/* Device.c generated by valac 0.34.6, the Vala compiler
 * generated from Device.vala, do not modify */

/*
 * Device.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */
/* Functions and classes for handling disk partitions */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <float.h>
#include <math.h>
#include <gio/gio.h>
#include <glib/gi18n-lib.h>
#include <gtk/gtk.h>


#define TYPE_DEVICE (device_get_type ())
#define DEVICE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_DEVICE, Device))
#define DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_DEVICE, DeviceClass))
#define IS_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_DEVICE))
#define IS_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_DEVICE))
#define DEVICE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_DEVICE, DeviceClass))

typedef struct _Device Device;
typedef struct _DeviceClass DeviceClass;
typedef struct _DevicePrivate DevicePrivate;

#define TYPE_MOUNT_ENTRY (mount_entry_get_type ())
#define MOUNT_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_MOUNT_ENTRY, MountEntry))
#define MOUNT_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_MOUNT_ENTRY, MountEntryClass))
#define IS_MOUNT_ENTRY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_MOUNT_ENTRY))
#define IS_MOUNT_ENTRY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_MOUNT_ENTRY))
#define MOUNT_ENTRY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_MOUNT_ENTRY, MountEntryClass))

typedef struct _MountEntry MountEntry;
typedef struct _MountEntryClass MountEntryClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _MountEntryPrivate MountEntryPrivate;
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_match_info_unref0(var) ((var == NULL) ? NULL : (var = (g_match_info_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

#define TYPE_TIMEOUT_COUNTER (timeout_counter_get_type ())
#define TIMEOUT_COUNTER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_TIMEOUT_COUNTER, TimeoutCounter))
#define TIMEOUT_COUNTER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_TIMEOUT_COUNTER, TimeoutCounterClass))
#define IS_TIMEOUT_COUNTER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_TIMEOUT_COUNTER))
#define IS_TIMEOUT_COUNTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_TIMEOUT_COUNTER))
#define TIMEOUT_COUNTER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_TIMEOUT_COUNTER, TimeoutCounterClass))

typedef struct _TimeoutCounter TimeoutCounter;
typedef struct _TimeoutCounterClass TimeoutCounterClass;

struct _Device {
	GObject parent_instance;
	DevicePrivate * priv;
	gchar* device;
	gchar* name;
	gchar* kname;
	gchar* pkname;
	gchar* pkname_toplevel;
	gchar* mapped_name;
	gchar* uuid;
	gchar* label;
	gchar* partuuid;
	gchar* partlabel;
	gint major;
	gint minor;
	gchar* device_mapper;
	gchar* device_by_uuid;
	gchar* device_by_label;
	gchar* device_by_partuuid;
	gchar* device_by_partlabel;
	gchar* type;
	gchar* fstype;
	gint order;
	gchar* vendor;
	gchar* model;
	gchar* serial;
	gchar* revision;
	gboolean removable;
	gboolean read_only;
	guint64 size_bytes;
	guint64 used_bytes;
	guint64 available_bytes;
	gchar* used_percent;
	gchar* dist_info;
	GeeArrayList* mount_points;
	GeeArrayList* symlinks;
	Device* parent;
	GeeArrayList* children;
};

struct _DeviceClass {
	GObjectClass parent_class;
};

struct _MountEntry {
	GObject parent_instance;
	MountEntryPrivate * priv;
	Device* device;
	gchar* mount_point;
	gchar* mount_options;
};

struct _MountEntryClass {
	GObjectClass parent_class;
};


static gpointer device_parent_class = NULL;
extern gdouble device_KB;
gdouble device_KB = (gdouble) 1000;
extern gdouble device_MB;
gdouble device_MB = 0.0;
extern gdouble device_GB;
gdouble device_GB = 0.0;
extern gdouble device_KiB;
gdouble device_KiB = (gdouble) 1024;
extern gdouble device_MiB;
gdouble device_MiB = 0.0;
extern gdouble device_GiB;
gdouble device_GiB = 0.0;
static gchar* device_lsblk_version;
static gchar* device_lsblk_version = NULL;
static gboolean device_lsblk_is_ancient;
static gboolean device_lsblk_is_ancient = FALSE;
static GeeArrayList* device_device_list;
static GeeArrayList* device_device_list = NULL;
extern gboolean tee_jee_logging_LOG_DEBUG;

GType device_get_type (void) G_GNUC_CONST;
GType mount_entry_get_type (void) G_GNUC_CONST;
enum  {
	DEVICE_DUMMY_PROPERTY,
	DEVICE_FREE_BYTES,
	DEVICE_SIZE,
	DEVICE_USED,
	DEVICE_FREE,
	DEVICE_IS_MOUNTED,
	DEVICE_FULL_NAME_WITH_ALIAS,
	DEVICE_FULL_NAME_WITH_PARENT,
	DEVICE_SHORT_NAME_WITH_ALIAS,
	DEVICE_SHORT_NAME_WITH_PARENT,
	DEVICE_DEVICE_NAME_WITH_PARENT
};
Device* device_new (void);
Device* device_construct (GType object_type);
void device_test_lsblk_version (void);
gint tee_jee_process_helper_exec_sync (const gchar* cmd, gchar** std_out, gchar** std_err);
gboolean device_is_mounted_at_path (Device* self, const gchar* subvolname, const gchar* mount_path);
gboolean device_has_linux_filesystem (Device* self);
gboolean device_is_encrypted_partition (Device* self);
gboolean device_is_on_encrypted_partition (Device* self);
gboolean device_is_lvm_partition (Device* self);
gboolean device_has_children (Device* self);
Device* device_first_linux_child (Device* self);
gboolean device_has_parent (Device* self);
GeeArrayList* device_get_filesystems (gboolean get_space, gboolean get_mounts);
GeeArrayList* device_get_block_devices_using_lsblk (const gchar* dev_name);
GeeArrayList* device_get_disk_space_using_df (const gchar* dev_name_or_mount_point);
Device* device_find_device_in_list (GeeArrayList* list, const gchar* _dev_alias);
GeeArrayList* device_get_mounted_filesystems_using_mtab (void);
void tee_jee_logging_log_debug (const gchar* message);
static void device_find_child_devices (GeeArrayList* list, Device* parent);
static void device_find_toplevel_parent (GeeArrayList* list, Device* dev);
static void device_find_child_devices_using_dmsetup (GeeArrayList* list);
void tee_jee_logging_log_error (const gchar* message, gboolean highlight, gboolean is_warning);
MountEntry* mount_entry_new (Device* device, const gchar* mount_point, const gchar* mount_options);
MountEntry* mount_entry_construct (GType object_type, Device* device, const gchar* mount_point, const gchar* mount_options);
gchar* tee_jee_file_system_path_combine (const gchar* path1, const gchar* path2);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
GeeArrayList* device_get_block_devices_using_blkid (const gchar* dev_name);
gint tee_jee_process_helper_exec_script_sync (const gchar* script, gchar** std_out, gchar** std_err, gboolean supress_errors, gboolean run_as_admin, gboolean cleanup_tmp, gboolean print_to_terminal);
gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path);
gchar* device_resolve_device_name (const gchar* dev_alias);
gchar* device_get_device_uuid (const gchar* device);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
Device* device_get_device_by_uuid (const gchar* uuid);
Device* device_get_device_by_name (const gchar* file_name);
Device* device_get_device_by_path (const gchar* path_to_check);
GeeArrayList* device_get_device_mount_points (const gchar* dev_name_or_uuid);
gboolean device_device_is_mounted (const gchar* dev_name_or_uuid);
gboolean device_mount_point_in_use (const gchar* mount_point);
gboolean tee_jee_file_system_file_is_symlink (const gchar* file_path);
gchar* tee_jee_file_system_file_get_symlink_target (const gchar* file_path);
void device_copy_fields_from (Device* self, Device* dev2);
Device* device_query_changes (Device* self);
void device_query_disk_space (Device* self);
gboolean device_automount_udisks (const gchar* dev_name_or_uuid, GtkWindow* parent_window);
void tee_jee_gtk_helper_gtk_messagebox (const gchar* title, const gchar* message, GtkWindow* parent_win, gboolean is_error);
gboolean device_automount_udisks_iso (const gchar* iso_file_path, gchar** loop_device, GtkWindow* parent_window);
void tee_jee_logging_log_msg (const gchar* message, gboolean highlight);
gboolean device_unmount_udisks (const gchar* dev_name_or_uuid, GtkWindow* parent_window);
Device* device_luks_unlock (Device* luks_device, const gchar* mapped_name, const gchar* passphrase, GtkWindow* parent_window, gchar** message, gchar** details);
GType timeout_counter_get_type (void) G_GNUC_CONST;
TimeoutCounter* timeout_counter_new (void);
TimeoutCounter* timeout_counter_construct (GType object_type);
void timeout_counter_kill_process_on_timeout (TimeoutCounter* self, const gchar* process_to_kill, gint seconds_to_wait, gboolean exit_app);
void timeout_counter_stop (TimeoutCounter* self);
gchar* tee_jee_gtk_helper_gtk_inputbox (const gchar* title, const gchar* message, GtkWindow* parent_win, gboolean mask_password);
gboolean device_luks_lock (const gchar* kname, GtkWindow* parent_window);
gboolean device_mount (const gchar* dev_name_or_uuid, const gchar* mount_point, const gchar* mount_options, gboolean silent);
gboolean tee_jee_file_system_dir_create (const gchar* dir_path, gboolean show_message);
gboolean device_unmount (const gchar* mount_point);
gchar* device_get_device_name_with_parent (Device* self);
gchar* device_automount (const gchar* dev_name_or_uuid, const gchar* mount_options, const gchar* mount_prefix);
gchar* device_description (Device* self);
gchar* device_description_formatted (Device* self);
gchar* tee_jee_file_system_format_file_size (guint64 size, gboolean binary_units, const gchar* unit, gboolean show_units, gint decimals);
gchar* device_get_short_name_with_parent (Device* self);
gchar* device_description_simple (Device* self);
gchar* device_description_simple_formatted (Device* self);
gchar* device_description_full_free (Device* self);
guint64 device_get_free_bytes (Device* self);
gchar* device_description_free (Device* self);
gchar* device_description_full (Device* self);
gchar* device_get_used (Device* self);
gchar* device_get_size (Device* self);
gchar* device_description_usage (Device* self);
gchar* device_tooltip_text (Device* self);
static gchar* device_display_name (Device* self, gboolean short_name, gboolean show_label, gboolean show_parent, gboolean show_alias);
void device_test_all (void);
void device_print_device_list (GeeArrayList* list);
void device_print_device_mounts (GeeArrayList* list);
void device_print_device_disk_space (GeeArrayList* list);
gchar* device_get_free (Device* self);
gboolean device_get_is_mounted (Device* self);
gchar* device_get_full_name_with_alias (Device* self);
gchar* device_get_full_name_with_parent (Device* self);
gchar* device_get_short_name_with_alias (Device* self);
static void device_finalize (GObject* obj);
static void _vala_device_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


Device* device_construct (GType object_type) {
	Device * self = NULL;
	GeeArrayList* _tmp0_ = NULL;
	GeeArrayList* _tmp1_ = NULL;
	GeeArrayList* _tmp2_ = NULL;
#line 94 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self = (Device*) g_object_new (object_type, NULL);
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_MOUNT_ENTRY, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (self->mount_points);
#line 95 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->mount_points = _tmp0_;
#line 96 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 96 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (self->symlinks);
#line 96 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->symlinks = _tmp1_;
#line 97 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 97 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (self->children);
#line 97 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->children = _tmp2_;
#line 99 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_test_lsblk_version ();
#line 94 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return self;
#line 292 "Device.c"
}


Device* device_new (void) {
#line 94 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return device_construct (TYPE_DEVICE);
#line 299 "Device.c"
}


void device_test_lsblk_version (void) {
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint status = 0;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gint _tmp7_ = 0;
	gint _tmp8_ = 0;
#line 104 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = device_lsblk_version;
#line 104 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp1_ != NULL) {
#line 317 "Device.c"
		const gchar* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
#line 104 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = device_lsblk_version;
#line 104 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = strlen (_tmp2_);
#line 104 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 104 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = _tmp4_ > 0;
#line 329 "Device.c"
	} else {
#line 104 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = FALSE;
#line 333 "Device.c"
	}
#line 104 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp0_) {
#line 105 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return;
#line 339 "Device.c"
	}
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp7_ = tee_jee_process_helper_exec_sync ("lsblk --bytes --pairs --output HOTPLUG,PKNAME,VENDOR,SERIAL,REV", &_tmp5_, &_tmp6_);
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_out = _tmp5_;
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_err = _tmp6_;
#line 109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	status = _tmp7_;
#line 110 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp8_ = status;
#line 110 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp8_ == 0) {
#line 357 "Device.c"
		const gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = std_out;
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device_lsblk_version);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device_lsblk_version = _tmp10_;
#line 112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device_lsblk_is_ancient = FALSE;
#line 370 "Device.c"
	} else {
		gchar* _tmp11_ = NULL;
#line 115 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = g_strdup ("ancient");
#line 115 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device_lsblk_version);
#line 115 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device_lsblk_version = _tmp11_;
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device_lsblk_is_ancient = TRUE;
#line 381 "Device.c"
	}
#line 102 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 102 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 387 "Device.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return self ? g_object_ref (self) : NULL;
#line 394 "Device.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 414 "Device.c"
}


gboolean device_is_mounted_at_path (Device* self, const gchar* subvolname, const gchar* mount_path) {
	gboolean result = FALSE;
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (subvolname != NULL, FALSE);
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (mount_path != NULL, FALSE);
#line 426 "Device.c"
	{
		GeeArrayList* _mnt_list = NULL;
		GeeArrayList* _tmp0_ = NULL;
		GeeArrayList* _tmp1_ = NULL;
		gint _mnt_size = 0;
		GeeArrayList* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
		gint _mnt_index = 0;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = self->mount_points;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_mnt_list = _tmp1_;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = _mnt_list;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_mnt_size = _tmp4_;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_mnt_index = -1;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 454 "Device.c"
			gint _tmp5_ = 0;
			gint _tmp6_ = 0;
			gint _tmp7_ = 0;
			MountEntry* mnt = NULL;
			GeeArrayList* _tmp8_ = NULL;
			gint _tmp9_ = 0;
			gpointer _tmp10_ = NULL;
			MountEntry* _tmp11_ = NULL;
			const gchar* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp5_ = _mnt_index;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_mnt_index = _tmp5_ + 1;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp6_ = _mnt_index;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp7_ = _mnt_size;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 477 "Device.c"
			}
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp8_ = _mnt_list;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp9_ = _mnt_index;
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			mnt = (MountEntry*) _tmp10_;
#line 161 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp11_ = mnt;
#line 161 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = _tmp11_->mount_point;
#line 161 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = mount_path;
#line 161 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp12_, _tmp13_) == 0) {
#line 495 "Device.c"
				const gchar* _tmp14_ = NULL;
				gint _tmp15_ = 0;
				gint _tmp16_ = 0;
#line 162 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp14_ = subvolname;
#line 162 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp15_ = strlen (_tmp14_);
#line 162 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp16_ = _tmp15_;
#line 162 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp16_ == 0) {
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					result = TRUE;
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (mnt);
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (_mnt_list);
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					return result;
#line 515 "Device.c"
				} else {
					gboolean _tmp17_ = FALSE;
					MountEntry* _tmp18_ = NULL;
					const gchar* _tmp19_ = NULL;
					const gchar* _tmp20_ = NULL;
					gchar* _tmp21_ = NULL;
					gchar* _tmp22_ = NULL;
					gboolean _tmp23_ = FALSE;
					gboolean _tmp24_ = FALSE;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp18_ = mnt;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp19_ = _tmp18_->mount_options;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp20_ = subvolname;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp21_ = g_strdup_printf ("subvol=%s", _tmp20_);
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp22_ = _tmp21_;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp23_ = string_contains (_tmp19_, _tmp22_);
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp24_ = _tmp23_;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_tmp22_);
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp24_) {
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp17_ = TRUE;
#line 545 "Device.c"
					} else {
						MountEntry* _tmp25_ = NULL;
						const gchar* _tmp26_ = NULL;
						const gchar* _tmp27_ = NULL;
						gchar* _tmp28_ = NULL;
						gchar* _tmp29_ = NULL;
						gboolean _tmp30_ = FALSE;
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp25_ = mnt;
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp26_ = _tmp25_->mount_options;
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp27_ = subvolname;
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp28_ = g_strdup_printf ("subvol=/%s", _tmp27_);
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp29_ = _tmp28_;
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp30_ = string_contains (_tmp26_, _tmp29_);
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp17_ = _tmp30_;
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp29_);
#line 569 "Device.c"
					}
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp17_) {
#line 168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						result = TRUE;
#line 168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (mnt);
#line 168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (_mnt_list);
#line 168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						return result;
#line 581 "Device.c"
					}
				}
			}
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (mnt);
#line 587 "Device.c"
		}
#line 160 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_mnt_list);
#line 591 "Device.c"
	}
#line 173 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = FALSE;
#line 173 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 597 "Device.c"
}


gboolean device_has_linux_filesystem (Device* self) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GQuark _tmp3_ = 0U;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label0 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label1 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label2 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label3 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label4 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label5 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label6 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label7 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label8 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label9 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label10 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label11 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label12 = 0;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	static GQuark _tmp2_label13 = 0;
#line 176 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = self->fstype;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = (NULL == _tmp1_) ? 0 : g_quark_from_string (_tmp1_);
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if ((((((((((((((_tmp3_ == ((0 != _tmp2_label0) ? _tmp2_label0 : (_tmp2_label0 = g_quark_from_static_string ("ext2")))) || (_tmp3_ == ((0 != _tmp2_label1) ? _tmp2_label1 : (_tmp2_label1 = g_quark_from_static_string ("ext3"))))) || (_tmp3_ == ((0 != _tmp2_label2) ? _tmp2_label2 : (_tmp2_label2 = g_quark_from_static_string ("ext4"))))) || (_tmp3_ == ((0 != _tmp2_label3) ? _tmp2_label3 : (_tmp2_label3 = g_quark_from_static_string ("reiserfs"))))) || (_tmp3_ == ((0 != _tmp2_label4) ? _tmp2_label4 : (_tmp2_label4 = g_quark_from_static_string ("reiser4"))))) || (_tmp3_ == ((0 != _tmp2_label5) ? _tmp2_label5 : (_tmp2_label5 = g_quark_from_static_string ("xfs"))))) || (_tmp3_ == ((0 != _tmp2_label6) ? _tmp2_label6 : (_tmp2_label6 = g_quark_from_static_string ("jfs"))))) || (_tmp3_ == ((0 != _tmp2_label7) ? _tmp2_label7 : (_tmp2_label7 = g_quark_from_static_string ("btrfs"))))) || (_tmp3_ == ((0 != _tmp2_label8) ? _tmp2_label8 : (_tmp2_label8 = g_quark_from_static_string ("lvm"))))) || (_tmp3_ == ((0 != _tmp2_label9) ? _tmp2_label9 : (_tmp2_label9 = g_quark_from_static_string ("lvm2"))))) || (_tmp3_ == ((0 != _tmp2_label10) ? _tmp2_label10 : (_tmp2_label10 = g_quark_from_static_string ("lvm2_member"))))) || (_tmp3_ == ((0 != _tmp2_label11) ? _tmp2_label11 : (_tmp2_label11 = g_quark_from_static_string ("luks"))))) || (_tmp3_ == ((0 != _tmp2_label12) ? _tmp2_label12 : (_tmp2_label12 = g_quark_from_static_string ("crypt"))))) || (_tmp3_ == ((0 != _tmp2_label13) ? _tmp2_label13 : (_tmp2_label13 = g_quark_from_static_string ("crypto_luks"))))) {
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		switch (0) {
#line 646 "Device.c"
			default:
			{
#line 192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				result = TRUE;
#line 192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				return result;
#line 653 "Device.c"
			}
		}
	} else {
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		switch (0) {
#line 659 "Device.c"
			default:
			{
#line 194 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				result = FALSE;
#line 194 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				return result;
#line 666 "Device.c"
			}
		}
	}
}


gboolean device_is_encrypted_partition (Device* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "part") == 0) {
#line 683 "Device.c"
		const gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = self->fstype;
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = g_utf8_strdown (_tmp2_, (gssize) -1);
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = string_contains (_tmp4_, "luks");
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = _tmp5_;
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp4_);
#line 700 "Device.c"
	} else {
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = FALSE;
#line 704 "Device.c"
	}
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp0_;
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 710 "Device.c"
}


gboolean device_is_on_encrypted_partition (Device* self) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
#line 202 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 203 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = self->type;
#line 203 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = g_strcmp0 (_tmp0_, "crypt") == 0;
#line 203 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 725 "Device.c"
}


gboolean device_is_lvm_partition (Device* self) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "part") == 0) {
#line 739 "Device.c"
		const gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = self->fstype;
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = g_utf8_strdown (_tmp2_, (gssize) -1);
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = string_contains (_tmp4_, "lvm2_member");
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = _tmp5_;
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp4_);
#line 756 "Device.c"
	} else {
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = FALSE;
#line 760 "Device.c"
	}
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp0_;
#line 207 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 766 "Device.c"
}


gboolean device_has_children (Device* self) {
	gboolean result = FALSE;
	GeeArrayList* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 211 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = self->children;
#line 211 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp0_);
#line 211 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 211 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp2_ > 0;
#line 211 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 787 "Device.c"
}


Device* device_first_linux_child (Device* self) {
	Device* result = NULL;
#line 214 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 795 "Device.c"
	{
		GeeArrayList* _child_list = NULL;
		GeeArrayList* _tmp0_ = NULL;
		GeeArrayList* _tmp1_ = NULL;
		gint _child_size = 0;
		GeeArrayList* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
		gint _child_index = 0;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = self->children;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp1_ = _g_object_ref0 (_tmp0_);
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_child_list = _tmp1_;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = _child_list;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_child_size = _tmp4_;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_child_index = -1;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 823 "Device.c"
			gint _tmp5_ = 0;
			gint _tmp6_ = 0;
			gint _tmp7_ = 0;
			Device* child = NULL;
			GeeArrayList* _tmp8_ = NULL;
			gint _tmp9_ = 0;
			gpointer _tmp10_ = NULL;
			Device* _tmp11_ = NULL;
			gboolean _tmp12_ = FALSE;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp5_ = _child_index;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_child_index = _tmp5_ + 1;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp6_ = _child_index;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp7_ = _child_size;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp6_ < _tmp7_)) {
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 845 "Device.c"
			}
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp8_ = _child_list;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp9_ = _child_index;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp10_ = gee_abstract_list_get ((GeeAbstractList*) _tmp8_, _tmp9_);
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			child = (Device*) _tmp10_;
#line 217 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp11_ = child;
#line 217 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = device_has_linux_filesystem (_tmp11_);
#line 217 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (_tmp12_) {
#line 218 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				result = child;
#line 218 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (_child_list);
#line 218 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				return result;
#line 867 "Device.c"
			}
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (child);
#line 871 "Device.c"
		}
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_child_list);
#line 875 "Device.c"
	}
#line 222 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = NULL;
#line 222 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 881 "Device.c"
}


gboolean device_has_parent (Device* self) {
	gboolean result = FALSE;
	Device* _tmp0_ = NULL;
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 226 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = self->parent;
#line 226 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp0_ != NULL;
#line 226 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 896 "Device.c"
}


GeeArrayList* device_get_filesystems (gboolean get_space, gboolean get_mounts) {
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp32_ = FALSE;
	GeeArrayList* _tmp54_ = NULL;
	gint _tmp55_ = 0;
	gint _tmp56_ = 0;
	gchar* _tmp57_ = NULL;
	gchar* _tmp58_ = NULL;
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_get_block_devices_using_lsblk ("");
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp0_;
#line 238 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = get_space;
#line 238 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp1_) {
#line 919 "Device.c"
		GeeArrayList* list_df = NULL;
		GeeArrayList* _tmp2_ = NULL;
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = device_get_disk_space_using_df ("");
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		list_df = _tmp2_;
#line 926 "Device.c"
		{
			GeeArrayList* _dev_df_list = NULL;
			GeeArrayList* _tmp3_ = NULL;
			GeeArrayList* _tmp4_ = NULL;
			gint _dev_df_size = 0;
			GeeArrayList* _tmp5_ = NULL;
			gint _tmp6_ = 0;
			gint _tmp7_ = 0;
			gint _dev_df_index = 0;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp3_ = list_df;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp4_ = _g_object_ref0 (_tmp3_);
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_df_list = _tmp4_;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp5_ = _dev_df_list;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp6_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp5_);
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp7_ = _tmp6_;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_df_size = _tmp7_;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_df_index = -1;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			while (TRUE) {
#line 954 "Device.c"
				gint _tmp8_ = 0;
				gint _tmp9_ = 0;
				gint _tmp10_ = 0;
				Device* dev_df = NULL;
				GeeArrayList* _tmp11_ = NULL;
				gint _tmp12_ = 0;
				gpointer _tmp13_ = NULL;
				Device* dev = NULL;
				GeeArrayList* _tmp14_ = NULL;
				Device* _tmp15_ = NULL;
				const gchar* _tmp16_ = NULL;
				Device* _tmp17_ = NULL;
				Device* _tmp18_ = NULL;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp8_ = _dev_df_index;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_dev_df_index = _tmp8_ + 1;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp9_ = _dev_df_index;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp10_ = _dev_df_size;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (!(_tmp9_ < _tmp10_)) {
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					break;
#line 980 "Device.c"
				}
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp11_ = _dev_df_list;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp12_ = _dev_df_index;
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp13_ = gee_abstract_list_get ((GeeAbstractList*) _tmp11_, _tmp12_);
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				dev_df = (Device*) _tmp13_;
#line 242 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp14_ = list;
#line 242 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp15_ = dev_df;
#line 242 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp16_ = _tmp15_->uuid;
#line 242 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp17_ = device_find_device_in_list (_tmp14_, _tmp16_);
#line 242 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				dev = _tmp17_;
#line 243 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp18_ = dev;
#line 243 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp18_ != NULL) {
#line 1004 "Device.c"
					Device* _tmp19_ = NULL;
					Device* _tmp20_ = NULL;
					guint64 _tmp21_ = 0ULL;
					Device* _tmp22_ = NULL;
					Device* _tmp23_ = NULL;
					guint64 _tmp24_ = 0ULL;
					Device* _tmp25_ = NULL;
					Device* _tmp26_ = NULL;
					guint64 _tmp27_ = 0ULL;
					Device* _tmp28_ = NULL;
					Device* _tmp29_ = NULL;
					const gchar* _tmp30_ = NULL;
					gchar* _tmp31_ = NULL;
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp19_ = dev;
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp20_ = dev_df;
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp21_ = _tmp20_->size_bytes;
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp19_->size_bytes = _tmp21_;
#line 245 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp22_ = dev;
#line 245 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp23_ = dev_df;
#line 245 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp24_ = _tmp23_->used_bytes;
#line 245 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp22_->used_bytes = _tmp24_;
#line 246 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp25_ = dev;
#line 246 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp26_ = dev_df;
#line 246 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp27_ = _tmp26_->available_bytes;
#line 246 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp25_->available_bytes = _tmp27_;
#line 247 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp28_ = dev;
#line 247 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp29_ = dev_df;
#line 247 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp30_ = _tmp29_->used_percent;
#line 247 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp31_ = g_strdup (_tmp30_);
#line 247 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_tmp28_->used_percent);
#line 247 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp28_->used_percent = _tmp31_;
#line 1054 "Device.c"
				}
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (dev);
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (dev_df);
#line 1060 "Device.c"
			}
#line 241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (_dev_df_list);
#line 1064 "Device.c"
		}
#line 238 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (list_df);
#line 1068 "Device.c"
	}
#line 252 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp32_ = get_mounts;
#line 252 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp32_) {
#line 1074 "Device.c"
		GeeArrayList* list_mtab = NULL;
		GeeArrayList* _tmp33_ = NULL;
#line 254 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp33_ = device_get_mounted_filesystems_using_mtab ();
#line 254 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		list_mtab = _tmp33_;
#line 1081 "Device.c"
		{
			GeeArrayList* _dev_mtab_list = NULL;
			GeeArrayList* _tmp34_ = NULL;
			GeeArrayList* _tmp35_ = NULL;
			gint _dev_mtab_size = 0;
			GeeArrayList* _tmp36_ = NULL;
			gint _tmp37_ = 0;
			gint _tmp38_ = 0;
			gint _dev_mtab_index = 0;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp34_ = list_mtab;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp35_ = _g_object_ref0 (_tmp34_);
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_mtab_list = _tmp35_;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp36_ = _dev_mtab_list;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp37_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp36_);
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp38_ = _tmp37_;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_mtab_size = _tmp38_;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_mtab_index = -1;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			while (TRUE) {
#line 1109 "Device.c"
				gint _tmp39_ = 0;
				gint _tmp40_ = 0;
				gint _tmp41_ = 0;
				Device* dev_mtab = NULL;
				GeeArrayList* _tmp42_ = NULL;
				gint _tmp43_ = 0;
				gpointer _tmp44_ = NULL;
				Device* dev = NULL;
				GeeArrayList* _tmp45_ = NULL;
				Device* _tmp46_ = NULL;
				const gchar* _tmp47_ = NULL;
				Device* _tmp48_ = NULL;
				Device* _tmp49_ = NULL;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp39_ = _dev_mtab_index;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_dev_mtab_index = _tmp39_ + 1;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp40_ = _dev_mtab_index;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp41_ = _dev_mtab_size;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (!(_tmp40_ < _tmp41_)) {
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					break;
#line 1135 "Device.c"
				}
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp42_ = _dev_mtab_list;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp43_ = _dev_mtab_index;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp44_ = gee_abstract_list_get ((GeeAbstractList*) _tmp42_, _tmp43_);
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				dev_mtab = (Device*) _tmp44_;
#line 256 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp45_ = list;
#line 256 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp46_ = dev_mtab;
#line 256 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp47_ = _tmp46_->uuid;
#line 256 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp48_ = device_find_device_in_list (_tmp45_, _tmp47_);
#line 256 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				dev = _tmp48_;
#line 257 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp49_ = dev;
#line 257 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp49_ != NULL) {
#line 1159 "Device.c"
					Device* _tmp50_ = NULL;
					Device* _tmp51_ = NULL;
					GeeArrayList* _tmp52_ = NULL;
					GeeArrayList* _tmp53_ = NULL;
#line 258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp50_ = dev;
#line 258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp51_ = dev_mtab;
#line 258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp52_ = _tmp51_->mount_points;
#line 258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp53_ = _g_object_ref0 (_tmp52_);
#line 258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (_tmp50_->mount_points);
#line 258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp50_->mount_points = _tmp53_;
#line 1176 "Device.c"
				}
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (dev);
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (dev_mtab);
#line 1182 "Device.c"
			}
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (_dev_mtab_list);
#line 1186 "Device.c"
		}
#line 252 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (list_mtab);
#line 1190 "Device.c"
	}
#line 267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp54_ = list;
#line 267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp55_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp54_);
#line 267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp56_ = _tmp55_;
#line 267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp57_ = g_strdup_printf ("Device: get_filesystems(): %d", _tmp56_);
#line 267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp58_ = _tmp57_;
#line 267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp58_);
#line 267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp58_);
#line 269 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = list;
#line 269 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 1210 "Device.c"
}


static void device_find_child_devices (GeeArrayList* list, Device* parent) {
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_if_fail (parent != NULL);
#line 273 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = device_lsblk_is_ancient;
#line 273 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp1_) {
#line 1225 "Device.c"
		Device* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
#line 273 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = parent;
#line 273 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = _tmp2_->type;
#line 273 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = g_strcmp0 (_tmp3_, "disk") == 0;
#line 1234 "Device.c"
	} else {
#line 273 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = FALSE;
#line 1238 "Device.c"
	}
#line 273 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp0_) {
#line 1242 "Device.c"
		{
			GeeArrayList* _part_list = NULL;
			GeeArrayList* _tmp4_ = NULL;
			GeeArrayList* _tmp5_ = NULL;
			gint _part_size = 0;
			GeeArrayList* _tmp6_ = NULL;
			gint _tmp7_ = 0;
			gint _tmp8_ = 0;
			gint _part_index = 0;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp4_ = list;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp5_ = _g_object_ref0 (_tmp4_);
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_part_list = _tmp5_;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp6_ = _part_list;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp7_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp6_);
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp8_ = _tmp7_;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_part_size = _tmp8_;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_part_index = -1;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			while (TRUE) {
#line 1270 "Device.c"
				gint _tmp9_ = 0;
				gint _tmp10_ = 0;
				gint _tmp11_ = 0;
				Device* part = NULL;
				GeeArrayList* _tmp12_ = NULL;
				gint _tmp13_ = 0;
				gpointer _tmp14_ = NULL;
				gboolean _tmp15_ = FALSE;
				Device* _tmp16_ = NULL;
				const gchar* _tmp17_ = NULL;
				Device* _tmp18_ = NULL;
				const gchar* _tmp19_ = NULL;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp9_ = _part_index;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_part_index = _tmp9_ + 1;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp10_ = _part_index;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp11_ = _part_size;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (!(_tmp10_ < _tmp11_)) {
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					break;
#line 1295 "Device.c"
				}
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp12_ = _part_list;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp13_ = _part_index;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp14_ = gee_abstract_list_get ((GeeAbstractList*) _tmp12_, _tmp13_);
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				part = (Device*) _tmp14_;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp16_ = part;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp17_ = _tmp16_->kname;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp18_ = parent;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp19_ = _tmp18_->kname;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp17_, _tmp19_) != 0) {
#line 1315 "Device.c"
					Device* _tmp20_ = NULL;
					const gchar* _tmp21_ = NULL;
					Device* _tmp22_ = NULL;
					const gchar* _tmp23_ = NULL;
					gboolean _tmp24_ = FALSE;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp20_ = part;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp21_ = _tmp20_->kname;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp22_ = parent;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp23_ = _tmp22_->kname;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp24_ = g_str_has_prefix (_tmp21_, _tmp23_);
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp15_ = _tmp24_;
#line 1333 "Device.c"
				} else {
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp15_ = FALSE;
#line 1337 "Device.c"
				}
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp15_) {
#line 1341 "Device.c"
					Device* _tmp25_ = NULL;
					GeeArrayList* _tmp26_ = NULL;
					Device* _tmp27_ = NULL;
					Device* _tmp28_ = NULL;
					Device* _tmp29_ = NULL;
					Device* _tmp30_ = NULL;
					Device* _tmp31_ = NULL;
					Device* _tmp32_ = NULL;
					const gchar* _tmp33_ = NULL;
					gchar* _tmp34_ = NULL;
					Device* _tmp35_ = NULL;
					const gchar* _tmp36_ = NULL;
					Device* _tmp37_ = NULL;
					const gchar* _tmp38_ = NULL;
					gchar* _tmp39_ = NULL;
					gchar* _tmp40_ = NULL;
#line 276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp25_ = parent;
#line 276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp26_ = _tmp25_->children;
#line 276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp27_ = part;
#line 276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp26_, _tmp27_);
#line 277 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp28_ = part;
#line 277 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp29_ = parent;
#line 277 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp30_ = _g_object_ref0 (_tmp29_);
#line 277 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (_tmp28_->parent);
#line 277 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp28_->parent = _tmp30_;
#line 278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp31_ = part;
#line 278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp32_ = parent;
#line 278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp33_ = _tmp32_->kname;
#line 278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp34_ = g_strdup (_tmp33_);
#line 278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_tmp31_->pkname);
#line 278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp31_->pkname = _tmp34_;
#line 279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp35_ = parent;
#line 279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp36_ = _tmp35_->kname;
#line 279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp37_ = part;
#line 279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp38_ = _tmp37_->kname;
#line 279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp39_ = g_strdup_printf ("%s -> %s", _tmp36_, _tmp38_);
#line 279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp40_ = _tmp39_;
#line 279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					tee_jee_logging_log_debug (_tmp40_);
#line 279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_tmp40_);
#line 1404 "Device.c"
				}
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (part);
#line 1408 "Device.c"
			}
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (_part_list);
#line 1412 "Device.c"
		}
	} else {
		{
			GeeArrayList* _part_list = NULL;
			GeeArrayList* _tmp41_ = NULL;
			GeeArrayList* _tmp42_ = NULL;
			gint _part_size = 0;
			GeeArrayList* _tmp43_ = NULL;
			gint _tmp44_ = 0;
			gint _tmp45_ = 0;
			gint _part_index = 0;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp41_ = list;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp42_ = _g_object_ref0 (_tmp41_);
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_part_list = _tmp42_;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp43_ = _part_list;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp44_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp43_);
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp45_ = _tmp44_;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_part_size = _tmp45_;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_part_index = -1;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			while (TRUE) {
#line 1442 "Device.c"
				gint _tmp46_ = 0;
				gint _tmp47_ = 0;
				gint _tmp48_ = 0;
				Device* part = NULL;
				GeeArrayList* _tmp49_ = NULL;
				gint _tmp50_ = 0;
				gpointer _tmp51_ = NULL;
				Device* _tmp52_ = NULL;
				const gchar* _tmp53_ = NULL;
				Device* _tmp54_ = NULL;
				const gchar* _tmp55_ = NULL;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp46_ = _part_index;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_part_index = _tmp46_ + 1;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp47_ = _part_index;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp48_ = _part_size;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (!(_tmp47_ < _tmp48_)) {
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					break;
#line 1466 "Device.c"
				}
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp49_ = _part_list;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp50_ = _part_index;
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp51_ = gee_abstract_list_get ((GeeAbstractList*) _tmp49_, _tmp50_);
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				part = (Device*) _tmp51_;
#line 285 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp52_ = part;
#line 285 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp53_ = _tmp52_->pkname;
#line 285 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp54_ = parent;
#line 285 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp55_ = _tmp54_->kname;
#line 285 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp53_, _tmp55_) == 0) {
#line 1486 "Device.c"
					Device* _tmp56_ = NULL;
					GeeArrayList* _tmp57_ = NULL;
					Device* _tmp58_ = NULL;
					Device* _tmp59_ = NULL;
					Device* _tmp60_ = NULL;
					Device* _tmp61_ = NULL;
#line 286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp56_ = parent;
#line 286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp57_ = _tmp56_->children;
#line 286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp58_ = part;
#line 286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp57_, _tmp58_);
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp59_ = part;
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp60_ = parent;
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp61_ = _g_object_ref0 (_tmp60_);
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (_tmp59_->parent);
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp59_->parent = _tmp61_;
#line 1511 "Device.c"
				}
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (part);
#line 1515 "Device.c"
			}
#line 284 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (_part_list);
#line 1519 "Device.c"
		}
	}
}


static void device_find_toplevel_parent (GeeArrayList* list, Device* dev) {
	Device* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
	gchar* top_kname = NULL;
	Device* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	Device* _tmp28_ = NULL;
	const gchar* _tmp29_ = NULL;
	gchar* _tmp30_ = NULL;
#line 293 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 293 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_if_fail (dev != NULL);
#line 295 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = dev;
#line 295 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = _tmp0_->pkname;
#line 295 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = strlen (_tmp1_);
#line 295 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 295 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp3_ == 0) {
#line 295 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return;
#line 1553 "Device.c"
	}
#line 297 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = dev;
#line 297 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = _tmp4_->pkname;
#line 297 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp6_ = g_strdup (_tmp5_);
#line 297 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	top_kname = _tmp6_;
#line 1563 "Device.c"
	{
		GeeArrayList* _part_list = NULL;
		GeeArrayList* _tmp7_ = NULL;
		GeeArrayList* _tmp8_ = NULL;
		gint _part_size = 0;
		GeeArrayList* _tmp9_ = NULL;
		gint _tmp10_ = 0;
		gint _tmp11_ = 0;
		gint _part_index = 0;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = list;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = _g_object_ref0 (_tmp7_);
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_part_list = _tmp8_;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = _part_list;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp9_);
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = _tmp10_;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_part_size = _tmp11_;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_part_index = -1;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 1591 "Device.c"
			gint _tmp12_ = 0;
			gint _tmp13_ = 0;
			gint _tmp14_ = 0;
			Device* part = NULL;
			GeeArrayList* _tmp15_ = NULL;
			gint _tmp16_ = 0;
			gpointer _tmp17_ = NULL;
			Device* _tmp18_ = NULL;
			const gchar* _tmp19_ = NULL;
			const gchar* _tmp20_ = NULL;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = _part_index;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_part_index = _tmp12_ + 1;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = _part_index;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = _part_size;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp13_ < _tmp14_)) {
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 1614 "Device.c"
			}
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp15_ = _part_list;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp16_ = _part_index;
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp17_ = gee_abstract_list_get ((GeeAbstractList*) _tmp15_, _tmp16_);
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			part = (Device*) _tmp17_;
#line 300 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp18_ = part;
#line 300 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp19_ = _tmp18_->kname;
#line 300 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp20_ = top_kname;
#line 300 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp19_, _tmp20_) == 0) {
#line 1632 "Device.c"
				Device* _tmp21_ = NULL;
				const gchar* _tmp22_ = NULL;
				gint _tmp23_ = 0;
				gint _tmp24_ = 0;
#line 301 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp21_ = part;
#line 301 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp22_ = _tmp21_->pkname;
#line 301 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp23_ = strlen (_tmp22_);
#line 301 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp24_ = _tmp23_;
#line 301 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp24_ > 0) {
#line 1647 "Device.c"
					Device* _tmp25_ = NULL;
					const gchar* _tmp26_ = NULL;
					gchar* _tmp27_ = NULL;
#line 302 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp25_ = part;
#line 302 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp26_ = _tmp25_->pkname;
#line 302 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp27_ = g_strdup (_tmp26_);
#line 302 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (top_kname);
#line 302 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					top_kname = _tmp27_;
#line 1661 "Device.c"
				}
			}
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (part);
#line 1666 "Device.c"
		}
#line 299 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_part_list);
#line 1670 "Device.c"
	}
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp28_ = dev;
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp29_ = top_kname;
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp30_ = g_strdup (_tmp29_);
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp28_->pkname_toplevel);
#line 307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp28_->pkname_toplevel = _tmp30_;
#line 293 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (top_kname);
#line 1684 "Device.c"
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1207 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _result_;
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1707 "Device.c"
}


static void device_find_child_devices_using_dmsetup (GeeArrayList* list) {
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	GRegex* rex = NULL;
	GMatchInfo* match = NULL;
	const gchar* _tmp2_ = NULL;
	gchar** _tmp3_ = NULL;
	gchar** _tmp4_ = NULL;
	GError * _inner_error_ = NULL;
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 315 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_process_helper_exec_sync ("dmsetup deps -o blkdevname", &_tmp0_, &_tmp1_);
#line 315 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 315 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_out = _tmp0_;
#line 315 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 315 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_err = _tmp1_;
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = std_out;
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = _tmp3_ = g_strsplit (_tmp2_, "\n", 0);
#line 1738 "Device.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		line_collection = _tmp4_;
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		line_collection_length1 = _vala_array_length (_tmp3_);
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		for (line_it = 0; line_it < _vala_array_length (_tmp3_); line_it = line_it + 1) {
#line 1750 "Device.c"
			gchar* _tmp5_ = NULL;
			gchar* line = NULL;
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp5_ = g_strdup (line_collection[line_it]);
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			line = _tmp5_;
#line 1757 "Device.c"
			{
				const gchar* _tmp6_ = NULL;
				gchar* _tmp7_ = NULL;
				gchar* _tmp8_ = NULL;
				gint _tmp9_ = 0;
				gint _tmp10_ = 0;
				gboolean _tmp11_ = FALSE;
#line 327 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp6_ = line;
#line 327 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp7_ = string_strip (_tmp6_);
#line 327 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp8_ = _tmp7_;
#line 327 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp9_ = strlen (_tmp8_);
#line 327 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp10_ = _tmp9_;
#line 327 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp11_ = _tmp10_ == 0;
#line 327 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp8_);
#line 327 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp11_) {
#line 327 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (line);
#line 327 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					continue;
#line 1785 "Device.c"
				}
				{
					GRegex* _tmp12_ = NULL;
					GRegex* _tmp13_ = NULL;
					GRegex* _tmp14_ = NULL;
					GRegex* _tmp15_ = NULL;
					const gchar* _tmp16_ = NULL;
					GMatchInfo* _tmp17_ = NULL;
					gboolean _tmp18_ = FALSE;
#line 331 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp13_ = g_regex_new ("([^:]*)\\:.*\\((.*)\\)", 0, 0, &_inner_error_);
#line 331 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp12_ = _tmp13_;
#line 331 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1801 "Device.c"
						goto __catch42_g_error;
					}
#line 331 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp14_ = _tmp12_;
#line 331 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp12_ = NULL;
#line 331 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 331 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					rex = _tmp14_;
#line 333 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp15_ = rex;
#line 333 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp16_ = line;
#line 333 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp18_ = g_regex_match (_tmp15_, _tmp16_, 0, &_tmp17_);
#line 333 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 333 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					match = _tmp17_;
#line 333 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp18_) {
#line 1824 "Device.c"
						gchar* child_name = NULL;
						GMatchInfo* _tmp19_ = NULL;
						gchar* _tmp20_ = NULL;
						gchar* _tmp21_ = NULL;
						gchar* _tmp22_ = NULL;
						gchar* _tmp23_ = NULL;
						gchar* parent_kname = NULL;
						GMatchInfo* _tmp24_ = NULL;
						gchar* _tmp25_ = NULL;
						gchar* _tmp26_ = NULL;
						gchar* _tmp27_ = NULL;
						gchar* _tmp28_ = NULL;
						Device* parent = NULL;
						Device* child = NULL;
						gboolean _tmp61_ = FALSE;
						Device* _tmp62_ = NULL;
#line 335 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp19_ = match;
#line 335 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp20_ = g_match_info_fetch (_tmp19_, 1);
#line 335 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp21_ = _tmp20_;
#line 335 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp22_ = string_strip (_tmp21_);
#line 335 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp23_ = _tmp22_;
#line 335 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp21_);
#line 335 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						child_name = _tmp23_;
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp24_ = match;
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp25_ = g_match_info_fetch (_tmp24_, 2);
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp26_ = _tmp25_;
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp27_ = string_strip (_tmp26_);
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp28_ = _tmp27_;
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp26_);
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						parent_kname = _tmp28_;
#line 338 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						parent = NULL;
#line 1871 "Device.c"
						{
							GeeArrayList* _dev_list = NULL;
							GeeArrayList* _tmp29_ = NULL;
							GeeArrayList* _tmp30_ = NULL;
							gint _dev_size = 0;
							GeeArrayList* _tmp31_ = NULL;
							gint _tmp32_ = 0;
							gint _tmp33_ = 0;
							gint _dev_index = 0;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp29_ = list;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp30_ = _g_object_ref0 (_tmp29_);
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_dev_list = _tmp30_;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp31_ = _dev_list;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp32_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp31_);
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp33_ = _tmp32_;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_dev_size = _tmp33_;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_dev_index = -1;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							while (TRUE) {
#line 1899 "Device.c"
								gint _tmp34_ = 0;
								gint _tmp35_ = 0;
								gint _tmp36_ = 0;
								Device* dev = NULL;
								GeeArrayList* _tmp37_ = NULL;
								gint _tmp38_ = 0;
								gpointer _tmp39_ = NULL;
								Device* _tmp40_ = NULL;
								const gchar* _tmp41_ = NULL;
								const gchar* _tmp42_ = NULL;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp34_ = _dev_index;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_dev_index = _tmp34_ + 1;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp35_ = _dev_index;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp36_ = _dev_size;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								if (!(_tmp35_ < _tmp36_)) {
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 1922 "Device.c"
								}
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp37_ = _dev_list;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp38_ = _dev_index;
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp39_ = gee_abstract_list_get ((GeeAbstractList*) _tmp37_, _tmp38_);
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								dev = (Device*) _tmp39_;
#line 340 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp40_ = dev;
#line 340 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp41_ = _tmp40_->kname;
#line 340 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp42_ = parent_kname;
#line 340 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								if (g_strcmp0 (_tmp41_, _tmp42_) == 0) {
#line 1940 "Device.c"
									Device* _tmp43_ = NULL;
									Device* _tmp44_ = NULL;
#line 341 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp43_ = dev;
#line 341 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp44_ = _g_object_ref0 (_tmp43_);
#line 341 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_object_unref0 (parent);
#line 341 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									parent = _tmp44_;
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_object_unref0 (dev);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 1955 "Device.c"
								}
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_g_object_unref0 (dev);
#line 1959 "Device.c"
							}
#line 339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_object_unref0 (_dev_list);
#line 1963 "Device.c"
						}
#line 346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						child = NULL;
#line 1967 "Device.c"
						{
							GeeArrayList* _dev_list = NULL;
							GeeArrayList* _tmp45_ = NULL;
							GeeArrayList* _tmp46_ = NULL;
							gint _dev_size = 0;
							GeeArrayList* _tmp47_ = NULL;
							gint _tmp48_ = 0;
							gint _tmp49_ = 0;
							gint _dev_index = 0;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp45_ = list;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp46_ = _g_object_ref0 (_tmp45_);
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_dev_list = _tmp46_;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp47_ = _dev_list;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp48_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp47_);
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp49_ = _tmp48_;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_dev_size = _tmp49_;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_dev_index = -1;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							while (TRUE) {
#line 1995 "Device.c"
								gint _tmp50_ = 0;
								gint _tmp51_ = 0;
								gint _tmp52_ = 0;
								Device* dev = NULL;
								GeeArrayList* _tmp53_ = NULL;
								gint _tmp54_ = 0;
								gpointer _tmp55_ = NULL;
								Device* _tmp56_ = NULL;
								const gchar* _tmp57_ = NULL;
								const gchar* _tmp58_ = NULL;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp50_ = _dev_index;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_dev_index = _tmp50_ + 1;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp51_ = _dev_index;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp52_ = _dev_size;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								if (!(_tmp51_ < _tmp52_)) {
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 2018 "Device.c"
								}
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp53_ = _dev_list;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp54_ = _dev_index;
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp55_ = gee_abstract_list_get ((GeeAbstractList*) _tmp53_, _tmp54_);
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								dev = (Device*) _tmp55_;
#line 348 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp56_ = dev;
#line 348 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp57_ = _tmp56_->mapped_name;
#line 348 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp58_ = child_name;
#line 348 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								if (g_strcmp0 (_tmp57_, _tmp58_) == 0) {
#line 2036 "Device.c"
									Device* _tmp59_ = NULL;
									Device* _tmp60_ = NULL;
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp59_ = dev;
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp60_ = _g_object_ref0 (_tmp59_);
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_object_unref0 (child);
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									child = _tmp60_;
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_object_unref0 (dev);
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 2051 "Device.c"
								}
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_g_object_unref0 (dev);
#line 2055 "Device.c"
							}
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_object_unref0 (_dev_list);
#line 2059 "Device.c"
						}
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp62_ = parent;
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (_tmp62_ != NULL) {
#line 2065 "Device.c"
							Device* _tmp63_ = NULL;
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp63_ = child;
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp61_ = _tmp63_ != NULL;
#line 2071 "Device.c"
						} else {
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp61_ = FALSE;
#line 2075 "Device.c"
						}
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (_tmp61_) {
#line 2079 "Device.c"
							Device* _tmp64_ = NULL;
							Device* _tmp65_ = NULL;
							const gchar* _tmp66_ = NULL;
							gchar* _tmp67_ = NULL;
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp64_ = child;
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp65_ = parent;
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp66_ = _tmp65_->kname;
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp67_ = g_strdup (_tmp66_);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp64_->pkname);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp64_->pkname = _tmp67_;
#line 2096 "Device.c"
						}
#line 333 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (child);
#line 333 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (parent);
#line 333 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (parent_kname);
#line 333 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (child_name);
#line 2106 "Device.c"
					} else {
						const gchar* _tmp68_ = NULL;
						gchar* _tmp69_ = NULL;
						gchar* _tmp70_ = NULL;
#line 361 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp68_ = line;
#line 361 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp69_ = g_strdup_printf ("no-match: %s", _tmp68_);
#line 361 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp70_ = _tmp69_;
#line 361 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						tee_jee_logging_log_debug (_tmp70_);
#line 361 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp70_);
#line 2121 "Device.c"
					}
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_regex_unref0 (_tmp12_);
#line 2125 "Device.c"
				}
				goto __finally42;
				__catch42_g_error:
				{
					GError* e = NULL;
					GError* _tmp71_ = NULL;
					const gchar* _tmp72_ = NULL;
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					e = _inner_error_;
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_inner_error_ = NULL;
#line 365 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp71_ = e;
#line 365 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp72_ = _tmp71_->message;
#line 365 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp72_, FALSE, FALSE);
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_error_free0 (e);
#line 2145 "Device.c"
				}
				__finally42:
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (line);
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (std_err);
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (std_out);
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					g_clear_error (&_inner_error_);
#line 329 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					return;
#line 2168 "Device.c"
				}
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (line);
#line 2172 "Device.c"
			}
		}
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 2177 "Device.c"
	}
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_match_info_unref0 (match);
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_regex_unref0 (rex);
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 2187 "Device.c"
}


static gint64 int64_parse (const gchar* str) {
	gint64 result = 0LL;
	const gchar* _tmp0_ = NULL;
	gint64 _tmp1_ = 0LL;
#line 679 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0LL);
#line 680 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 680 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = g_ascii_strtoll (_tmp0_, NULL, (guint) 0);
#line 680 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_;
#line 680 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 2205 "Device.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 2218 "Device.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2249 "Device.c"
				goto __catch45_g_regex_error;
			}
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 2258 "Device.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2274 "Device.c"
				goto __catch45_g_regex_error;
			}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 2285 "Device.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 2299 "Device.c"
	}
	goto __finally45;
	__catch45_g_regex_error:
	{
		GError* e = NULL;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 2313 "Device.c"
	}
	__finally45:
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 2324 "Device.c"
	}
}


GeeArrayList* device_get_block_devices_using_lsblk (const gchar* dev_name) {
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* cmd = NULL;
	gint ret_val = 0;
	GRegex* rex = NULL;
	GMatchInfo* match = NULL;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
	const gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gint _tmp15_ = 0;
	gint index = 0;
	const gchar* _tmp16_ = NULL;
	gchar** _tmp17_ = NULL;
	gchar** _tmp18_ = NULL;
	GeeArrayList* _tmp319_ = NULL;
	GeeArrayList* _tmp320_ = NULL;
	gboolean _tmp336_ = FALSE;
	GError * _inner_error_ = NULL;
#line 371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name != NULL, NULL);
#line 378 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_test_lsblk_version ();
#line 380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp0_;
#line 389 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = device_lsblk_is_ancient;
#line 389 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp1_) {
#line 2367 "Device.c"
		gchar* _tmp2_ = NULL;
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = g_strdup ("lsblk --bytes --pairs --output NAME,KNAME,LABEL,UUID,TYPE,FSTYPE,SIZE," \
"MOUNTPOINT,MODEL,RO,RM,MAJ:MIN");
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		cmd = _tmp2_;
#line 2375 "Device.c"
	} else {
		gchar* _tmp3_ = NULL;
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = g_strdup ("lsblk --bytes --pairs --output NAME,KNAME,LABEL,UUID,TYPE,FSTYPE,SIZE," \
"MOUNTPOINT,MODEL,RO,HOTPLUG,MAJ:MIN,PARTLABEL,PARTUUID,PKNAME,VENDOR,S" \
"ERIAL,REV");
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		cmd = _tmp3_;
#line 2384 "Device.c"
	}
#line 396 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = dev_name;
#line 396 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = strlen (_tmp4_);
#line 396 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp6_ = _tmp5_;
#line 396 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp6_ > 0) {
#line 2394 "Device.c"
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
#line 397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = cmd;
#line 397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = dev_name;
#line 397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = g_strdup_printf (" %s", _tmp8_);
#line 397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = g_strconcat (_tmp7_, _tmp10_, NULL);
#line 397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		cmd = _tmp11_;
#line 397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp10_);
#line 2416 "Device.c"
	}
#line 400 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp12_ = cmd;
#line 400 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp15_ = tee_jee_process_helper_exec_sync (_tmp12_, &_tmp13_, &_tmp14_);
#line 400 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 400 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_out = _tmp13_;
#line 400 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 400 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_err = _tmp14_;
#line 400 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	ret_val = _tmp15_;
#line 421 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	index = -1;
#line 423 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp16_ = std_out;
#line 423 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp18_ = _tmp17_ = g_strsplit (_tmp16_, "\n", 0);
#line 2438 "Device.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 423 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		line_collection = _tmp18_;
#line 423 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		line_collection_length1 = _vala_array_length (_tmp17_);
#line 423 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		for (line_it = 0; line_it < _vala_array_length (_tmp17_); line_it = line_it + 1) {
#line 2450 "Device.c"
			gchar* _tmp19_ = NULL;
			gchar* line = NULL;
#line 423 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp19_ = g_strdup (line_collection[line_it]);
#line 423 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			line = _tmp19_;
#line 2457 "Device.c"
			{
				const gchar* _tmp20_ = NULL;
				gchar* _tmp21_ = NULL;
				gchar* _tmp22_ = NULL;
				gint _tmp23_ = 0;
				gint _tmp24_ = 0;
				gboolean _tmp25_ = FALSE;
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp20_ = line;
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp21_ = string_strip (_tmp20_);
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp22_ = _tmp21_;
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp23_ = strlen (_tmp22_);
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp24_ = _tmp23_;
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp25_ = _tmp24_ == 0;
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp22_);
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp25_) {
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (line);
#line 424 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					continue;
#line 2485 "Device.c"
				}
				{
					gboolean _tmp26_ = FALSE;
					GRegex* _tmp33_ = NULL;
					const gchar* _tmp34_ = NULL;
					GMatchInfo* _tmp35_ = NULL;
					gboolean _tmp36_ = FALSE;
#line 427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp26_ = device_lsblk_is_ancient;
#line 427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp26_) {
#line 2497 "Device.c"
						GRegex* _tmp27_ = NULL;
						GRegex* _tmp28_ = NULL;
						GRegex* _tmp29_ = NULL;
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp28_ = g_regex_new ("NAME=\"(.*)\" KNAME=\"(.*)\" LABEL=\"(.*)\" UUID=\"(.*)\" TYPE=\"(.*)\"" \
" FSTYPE=\"(.*)\" SIZE=\"(.*)\" MOUNTPOINT=\"(.*)\" MODEL=\"(.*)\" RO=\"" \
"([0-9]+)\" RM=\"([0-9]+)\" MAJ:MIN=\"([0-9:]+)\"", 0, 0, &_inner_error_);
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp27_ = _tmp28_;
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2507 "Device.c"
							goto __catch43_g_error;
						}
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp29_ = _tmp27_;
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp27_ = NULL;
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_regex_unref0 (rex);
#line 428 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						rex = _tmp29_;
#line 427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp27_);
#line 2520 "Device.c"
					} else {
						GRegex* _tmp30_ = NULL;
						GRegex* _tmp31_ = NULL;
						GRegex* _tmp32_ = NULL;
#line 431 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp31_ = g_regex_new ("NAME=\"(.*)\" KNAME=\"(.*)\" LABEL=\"(.*)\" UUID=\"(.*)\" TYPE=\"(.*)\"" \
" FSTYPE=\"(.*)\" SIZE=\"(.*)\" MOUNTPOINT=\"(.*)\" MODEL=\"(.*)\" RO=\"" \
"([0-9]+)\" HOTPLUG=\"([0-9]+)\" MAJ:MIN=\"([0-9:]+)\" PARTLABEL=\"(.*)" \
"\" PARTUUID=\"(.*)\" PKNAME=\"(.*)\" VENDOR=\"(.*)\" SERIAL=\"(.*)\" R" \
"EV=\"(.*)\"", 0, 0, &_inner_error_);
#line 431 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp30_ = _tmp31_;
#line 431 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2531 "Device.c"
							goto __catch43_g_error;
						}
#line 431 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp32_ = _tmp30_;
#line 431 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp30_ = NULL;
#line 431 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_regex_unref0 (rex);
#line 431 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						rex = _tmp32_;
#line 427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp30_);
#line 2544 "Device.c"
					}
#line 434 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp33_ = rex;
#line 434 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp34_ = line;
#line 434 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp36_ = g_regex_match (_tmp33_, _tmp34_, 0, &_tmp35_);
#line 434 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 434 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					match = _tmp35_;
#line 434 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp36_) {
#line 2558 "Device.c"
						Device* pi = NULL;
						Device* _tmp37_ = NULL;
						gint pos = 0;
						Device* _tmp38_ = NULL;
						GMatchInfo* _tmp39_ = NULL;
						gint _tmp40_ = 0;
						gint _tmp41_ = 0;
						gchar* _tmp42_ = NULL;
						gchar* _tmp43_ = NULL;
						gchar* _tmp44_ = NULL;
						Device* _tmp45_ = NULL;
						GMatchInfo* _tmp46_ = NULL;
						gint _tmp47_ = 0;
						gint _tmp48_ = 0;
						gchar* _tmp49_ = NULL;
						gchar* _tmp50_ = NULL;
						gchar* _tmp51_ = NULL;
						Device* _tmp52_ = NULL;
						GMatchInfo* _tmp53_ = NULL;
						gint _tmp54_ = 0;
						gint _tmp55_ = 0;
						gchar* _tmp56_ = NULL;
						Device* _tmp57_ = NULL;
						GMatchInfo* _tmp58_ = NULL;
						gint _tmp59_ = 0;
						gint _tmp60_ = 0;
						gchar* _tmp61_ = NULL;
						gchar* _tmp62_ = NULL;
						gchar* _tmp63_ = NULL;
						Device* _tmp64_ = NULL;
						GMatchInfo* _tmp65_ = NULL;
						gint _tmp66_ = 0;
						gint _tmp67_ = 0;
						gchar* _tmp68_ = NULL;
						gchar* _tmp69_ = NULL;
						gchar* _tmp70_ = NULL;
						gchar* _tmp71_ = NULL;
						gchar* _tmp72_ = NULL;
						Device* _tmp73_ = NULL;
						GMatchInfo* _tmp74_ = NULL;
						gint _tmp75_ = 0;
						gint _tmp76_ = 0;
						gchar* _tmp77_ = NULL;
						gchar* _tmp78_ = NULL;
						gchar* _tmp79_ = NULL;
						gchar* _tmp80_ = NULL;
						gchar* _tmp81_ = NULL;
						const gchar* _tmp82_ = NULL;
						Device* _tmp83_ = NULL;
						const gchar* _tmp84_ = NULL;
						Device* _tmp87_ = NULL;
						gchar* _tmp88_ = NULL;
						const gchar* _tmp89_ = NULL;
						Device* _tmp90_ = NULL;
						const gchar* _tmp91_ = NULL;
						Device* _tmp94_ = NULL;
						gchar* _tmp95_ = NULL;
						Device* _tmp96_ = NULL;
						GMatchInfo* _tmp97_ = NULL;
						gint _tmp98_ = 0;
						gint _tmp99_ = 0;
						gchar* _tmp100_ = NULL;
						gchar* _tmp101_ = NULL;
						gchar* _tmp102_ = NULL;
						gchar* _tmp103_ = NULL;
						gint64 _tmp104_ = 0LL;
						gchar* mp = NULL;
						GMatchInfo* _tmp105_ = NULL;
						gint _tmp106_ = 0;
						gint _tmp107_ = 0;
						gchar* _tmp108_ = NULL;
						gchar* _tmp109_ = NULL;
						gchar* _tmp110_ = NULL;
						gchar* _tmp111_ = NULL;
						const gchar* _tmp112_ = NULL;
						gint _tmp113_ = 0;
						gint _tmp114_ = 0;
						Device* _tmp121_ = NULL;
						GMatchInfo* _tmp122_ = NULL;
						gint _tmp123_ = 0;
						gint _tmp124_ = 0;
						gchar* _tmp125_ = NULL;
						gchar* _tmp126_ = NULL;
						gchar* _tmp127_ = NULL;
						Device* _tmp128_ = NULL;
						GMatchInfo* _tmp129_ = NULL;
						gint _tmp130_ = 0;
						gint _tmp131_ = 0;
						gchar* _tmp132_ = NULL;
						gchar* _tmp133_ = NULL;
						gchar* _tmp134_ = NULL;
						gchar* _tmp135_ = NULL;
						Device* _tmp136_ = NULL;
						GMatchInfo* _tmp137_ = NULL;
						gint _tmp138_ = 0;
						gint _tmp139_ = 0;
						gchar* _tmp140_ = NULL;
						gchar* _tmp141_ = NULL;
						gchar* _tmp142_ = NULL;
						gchar* _tmp143_ = NULL;
						gchar* txt = NULL;
						GMatchInfo* _tmp144_ = NULL;
						gint _tmp145_ = 0;
						gint _tmp146_ = 0;
						gchar* _tmp147_ = NULL;
						gchar* _tmp148_ = NULL;
						gchar* _tmp149_ = NULL;
						gchar* _tmp150_ = NULL;
						const gchar* _tmp151_ = NULL;
						gboolean _tmp152_ = FALSE;
						gboolean _tmp167_ = FALSE;
						Device* _tmp208_ = NULL;
						gint _tmp209_ = 0;
						gint _tmp210_ = 0;
						Device* _tmp211_ = NULL;
						Device* _tmp212_ = NULL;
						const gchar* _tmp213_ = NULL;
						gchar* _tmp214_ = NULL;
						Device* _tmp215_ = NULL;
						const gchar* _tmp216_ = NULL;
						gint _tmp217_ = 0;
						gint _tmp218_ = 0;
						Device* _tmp223_ = NULL;
						const gchar* _tmp224_ = NULL;
						gint _tmp225_ = 0;
						gint _tmp226_ = 0;
						Device* _tmp231_ = NULL;
						const gchar* _tmp232_ = NULL;
						gint _tmp233_ = 0;
						gint _tmp234_ = 0;
						Device* _tmp239_ = NULL;
						const gchar* _tmp240_ = NULL;
						gint _tmp241_ = 0;
						gint _tmp242_ = 0;
						GeeArrayList* _tmp247_ = NULL;
						Device* _tmp248_ = NULL;
#line 436 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp37_ = device_new ();
#line 436 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pi = _tmp37_;
#line 438 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = 0;
#line 440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp38_ = pi;
#line 440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp39_ = match;
#line 440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp40_ = pos;
#line 440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = _tmp40_ + 1;
#line 440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp41_ = pos;
#line 440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp42_ = g_match_info_fetch (_tmp39_, _tmp41_);
#line 440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp43_ = _tmp42_;
#line 440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp44_ = string_strip (_tmp43_);
#line 440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp38_->name);
#line 440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp38_->name = _tmp44_;
#line 440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp43_);
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp45_ = pi;
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp46_ = match;
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp47_ = pos;
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = _tmp47_ + 1;
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp48_ = pos;
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp49_ = g_match_info_fetch (_tmp46_, _tmp48_);
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp50_ = _tmp49_;
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp51_ = string_strip (_tmp50_);
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp45_->kname);
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp45_->kname = _tmp51_;
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp50_);
#line 443 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp52_ = pi;
#line 443 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp53_ = match;
#line 443 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp54_ = pos;
#line 443 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = _tmp54_ + 1;
#line 443 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp55_ = pos;
#line 443 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp56_ = g_match_info_fetch (_tmp53_, _tmp55_);
#line 443 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp52_->label);
#line 443 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp52_->label = _tmp56_;
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp57_ = pi;
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp58_ = match;
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp59_ = pos;
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = _tmp59_ + 1;
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp60_ = pos;
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp61_ = g_match_info_fetch (_tmp58_, _tmp60_);
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp62_ = _tmp61_;
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp63_ = string_strip (_tmp62_);
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp57_->uuid);
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp57_->uuid = _tmp63_;
#line 444 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp62_);
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp64_ = pi;
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp65_ = match;
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp66_ = pos;
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = _tmp66_ + 1;
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp67_ = pos;
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp68_ = g_match_info_fetch (_tmp65_, _tmp67_);
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp69_ = _tmp68_;
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp70_ = string_strip (_tmp69_);
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp71_ = _tmp70_;
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp72_ = g_utf8_strdown (_tmp71_, (gssize) -1);
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp64_->type);
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp64_->type = _tmp72_;
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp71_);
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp69_);
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp73_ = pi;
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp74_ = match;
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp75_ = pos;
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = _tmp75_ + 1;
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp76_ = pos;
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp77_ = g_match_info_fetch (_tmp74_, _tmp76_);
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp78_ = _tmp77_;
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp79_ = string_strip (_tmp78_);
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp80_ = _tmp79_;
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp81_ = g_utf8_strdown (_tmp80_, (gssize) -1);
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp73_->fstype);
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp73_->fstype = _tmp81_;
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp80_);
#line 448 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp78_);
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp83_ = pi;
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp84_ = _tmp83_->fstype;
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (g_strcmp0 (_tmp84_, "crypto_luks") == 0) {
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp82_ = "luks";
#line 2847 "Device.c"
						} else {
							Device* _tmp85_ = NULL;
							const gchar* _tmp86_ = NULL;
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp85_ = pi;
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp86_ = _tmp85_->fstype;
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp82_ = _tmp86_;
#line 2857 "Device.c"
						}
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp87_ = pi;
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp88_ = g_strdup (_tmp82_);
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp87_->fstype);
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp87_->fstype = _tmp88_;
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp90_ = pi;
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp91_ = _tmp90_->fstype;
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (g_strcmp0 (_tmp91_, "lvm2_member") == 0) {
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp89_ = "lvm2";
#line 2875 "Device.c"
						} else {
							Device* _tmp92_ = NULL;
							const gchar* _tmp93_ = NULL;
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp92_ = pi;
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp93_ = _tmp92_->fstype;
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp89_ = _tmp93_;
#line 2885 "Device.c"
						}
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp94_ = pi;
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp95_ = g_strdup (_tmp89_);
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp94_->fstype);
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp94_->fstype = _tmp95_;
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp96_ = pi;
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp97_ = match;
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp98_ = pos;
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = _tmp98_ + 1;
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp99_ = pos;
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp100_ = g_match_info_fetch (_tmp97_, _tmp99_);
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp101_ = _tmp100_;
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp102_ = string_strip (_tmp101_);
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp103_ = _tmp102_;
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp104_ = int64_parse (_tmp103_);
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp96_->size_bytes = (guint64) _tmp104_;
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp103_);
#line 452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp101_);
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp105_ = match;
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp106_ = pos;
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = _tmp106_ + 1;
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp107_ = pos;
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp108_ = g_match_info_fetch (_tmp105_, _tmp107_);
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp109_ = _tmp108_;
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp110_ = string_strip (_tmp109_);
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp111_ = _tmp110_;
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp109_);
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						mp = _tmp111_;
#line 455 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp112_ = mp;
#line 455 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp113_ = strlen (_tmp112_);
#line 455 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp114_ = _tmp113_;
#line 455 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (_tmp114_ > 0) {
#line 2949 "Device.c"
							Device* _tmp115_ = NULL;
							GeeArrayList* _tmp116_ = NULL;
							Device* _tmp117_ = NULL;
							const gchar* _tmp118_ = NULL;
							MountEntry* _tmp119_ = NULL;
							MountEntry* _tmp120_ = NULL;
#line 456 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp115_ = pi;
#line 456 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp116_ = _tmp115_->mount_points;
#line 456 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp117_ = pi;
#line 456 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp118_ = mp;
#line 456 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp119_ = mount_entry_new (_tmp117_, _tmp118_, "");
#line 456 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp120_ = _tmp119_;
#line 456 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							gee_abstract_collection_add ((GeeAbstractCollection*) _tmp116_, _tmp120_);
#line 456 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_object_unref0 (_tmp120_);
#line 2972 "Device.c"
						}
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp121_ = pi;
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp122_ = match;
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp123_ = pos;
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = _tmp123_ + 1;
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp124_ = pos;
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp125_ = g_match_info_fetch (_tmp122_, _tmp124_);
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp126_ = _tmp125_;
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp127_ = string_strip (_tmp126_);
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp121_->model);
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp121_->model = _tmp127_;
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp126_);
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp128_ = pi;
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp129_ = match;
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp130_ = pos;
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = _tmp130_ + 1;
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp131_ = pos;
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp132_ = g_match_info_fetch (_tmp129_, _tmp131_);
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp133_ = _tmp132_;
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp134_ = string_strip (_tmp133_);
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp135_ = _tmp134_;
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp128_->read_only = g_strcmp0 (_tmp135_, "1") == 0;
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp135_);
#line 461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp133_);
#line 463 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp136_ = pi;
#line 463 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp137_ = match;
#line 463 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp138_ = pos;
#line 463 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = _tmp138_ + 1;
#line 463 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp139_ = pos;
#line 463 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp140_ = g_match_info_fetch (_tmp137_, _tmp139_);
#line 463 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp141_ = _tmp140_;
#line 463 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp142_ = string_strip (_tmp141_);
#line 463 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp143_ = _tmp142_;
#line 463 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp136_->removable = g_strcmp0 (_tmp143_, "1") == 0;
#line 463 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp143_);
#line 463 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp141_);
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp144_ = match;
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp145_ = pos;
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						pos = _tmp145_ + 1;
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp146_ = pos;
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp147_ = g_match_info_fetch (_tmp144_, _tmp146_);
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp148_ = _tmp147_;
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp149_ = string_strip (_tmp148_);
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp150_ = _tmp149_;
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp148_);
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						txt = _tmp150_;
#line 466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp151_ = txt;
#line 466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp152_ = string_contains (_tmp151_, ":");
#line 466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (_tmp152_) {
#line 3070 "Device.c"
							Device* _tmp153_ = NULL;
							const gchar* _tmp154_ = NULL;
							gchar** _tmp155_ = NULL;
							gchar** _tmp156_ = NULL;
							gchar** _tmp157_ = NULL;
							gint _tmp157__length1 = 0;
							const gchar* _tmp158_ = NULL;
							gint _tmp159_ = 0;
							Device* _tmp160_ = NULL;
							const gchar* _tmp161_ = NULL;
							gchar** _tmp162_ = NULL;
							gchar** _tmp163_ = NULL;
							gchar** _tmp164_ = NULL;
							gint _tmp164__length1 = 0;
							const gchar* _tmp165_ = NULL;
							gint _tmp166_ = 0;
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp153_ = pi;
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp154_ = txt;
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp156_ = _tmp155_ = g_strsplit (_tmp154_, ":", 0);
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp157_ = _tmp156_;
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp157__length1 = _vala_array_length (_tmp155_);
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp158_ = _tmp157_[0];
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp159_ = atoi (_tmp158_);
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp153_->major = _tmp159_;
#line 467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp157_ = (_vala_array_free (_tmp157_, _tmp157__length1, (GDestroyNotify) g_free), NULL);
#line 468 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp160_ = pi;
#line 468 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp161_ = txt;
#line 468 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp163_ = _tmp162_ = g_strsplit (_tmp161_, ":", 0);
#line 468 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp164_ = _tmp163_;
#line 468 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp164__length1 = _vala_array_length (_tmp162_);
#line 468 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp165_ = _tmp164_[1];
#line 468 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp166_ = atoi (_tmp165_);
#line 468 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp160_->minor = _tmp166_;
#line 468 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp164_ = (_vala_array_free (_tmp164_, _tmp164__length1, (GDestroyNotify) g_free), NULL);
#line 3123 "Device.c"
						}
#line 471 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp167_ = device_lsblk_is_ancient;
#line 471 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (!_tmp167_) {
#line 3129 "Device.c"
							Device* _tmp168_ = NULL;
							GMatchInfo* _tmp169_ = NULL;
							gint _tmp170_ = 0;
							gint _tmp171_ = 0;
							gchar* _tmp172_ = NULL;
							Device* _tmp173_ = NULL;
							GMatchInfo* _tmp174_ = NULL;
							gint _tmp175_ = 0;
							gint _tmp176_ = 0;
							gchar* _tmp177_ = NULL;
							gchar* _tmp178_ = NULL;
							gchar* _tmp179_ = NULL;
							Device* _tmp180_ = NULL;
							GMatchInfo* _tmp181_ = NULL;
							gint _tmp182_ = 0;
							gint _tmp183_ = 0;
							gchar* _tmp184_ = NULL;
							gchar* _tmp185_ = NULL;
							gchar* _tmp186_ = NULL;
							Device* _tmp187_ = NULL;
							GMatchInfo* _tmp188_ = NULL;
							gint _tmp189_ = 0;
							gint _tmp190_ = 0;
							gchar* _tmp191_ = NULL;
							gchar* _tmp192_ = NULL;
							gchar* _tmp193_ = NULL;
							Device* _tmp194_ = NULL;
							GMatchInfo* _tmp195_ = NULL;
							gint _tmp196_ = 0;
							gint _tmp197_ = 0;
							gchar* _tmp198_ = NULL;
							gchar* _tmp199_ = NULL;
							gchar* _tmp200_ = NULL;
							Device* _tmp201_ = NULL;
							GMatchInfo* _tmp202_ = NULL;
							gint _tmp203_ = 0;
							gint _tmp204_ = 0;
							gchar* _tmp205_ = NULL;
							gchar* _tmp206_ = NULL;
							gchar* _tmp207_ = NULL;
#line 473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp168_ = pi;
#line 473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp169_ = match;
#line 473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp170_ = pos;
#line 473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							pos = _tmp170_ + 1;
#line 473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp171_ = pos;
#line 473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp172_ = g_match_info_fetch (_tmp169_, _tmp171_);
#line 473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp168_->partlabel);
#line 473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp168_->partlabel = _tmp172_;
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp173_ = pi;
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp174_ = match;
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp175_ = pos;
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							pos = _tmp175_ + 1;
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp176_ = pos;
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp177_ = g_match_info_fetch (_tmp174_, _tmp176_);
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp178_ = _tmp177_;
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp179_ = string_strip (_tmp178_);
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp173_->partuuid);
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp173_->partuuid = _tmp179_;
#line 474 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp178_);
#line 476 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp180_ = pi;
#line 476 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp181_ = match;
#line 476 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp182_ = pos;
#line 476 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							pos = _tmp182_ + 1;
#line 476 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp183_ = pos;
#line 476 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp184_ = g_match_info_fetch (_tmp181_, _tmp183_);
#line 476 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp185_ = _tmp184_;
#line 476 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp186_ = string_strip (_tmp185_);
#line 476 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp180_->pkname);
#line 476 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp180_->pkname = _tmp186_;
#line 476 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp185_);
#line 477 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp187_ = pi;
#line 477 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp188_ = match;
#line 477 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp189_ = pos;
#line 477 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							pos = _tmp189_ + 1;
#line 477 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp190_ = pos;
#line 477 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp191_ = g_match_info_fetch (_tmp188_, _tmp190_);
#line 477 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp192_ = _tmp191_;
#line 477 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp193_ = string_strip (_tmp192_);
#line 477 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp187_->vendor);
#line 477 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp187_->vendor = _tmp193_;
#line 477 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp192_);
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp194_ = pi;
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp195_ = match;
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp196_ = pos;
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							pos = _tmp196_ + 1;
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp197_ = pos;
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp198_ = g_match_info_fetch (_tmp195_, _tmp197_);
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp199_ = _tmp198_;
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp200_ = string_strip (_tmp199_);
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp194_->serial);
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp194_->serial = _tmp200_;
#line 478 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp199_);
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp201_ = pi;
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp202_ = match;
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp203_ = pos;
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							pos = _tmp203_ + 1;
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp204_ = pos;
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp205_ = g_match_info_fetch (_tmp202_, _tmp204_);
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp206_ = _tmp205_;
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp207_ = string_strip (_tmp206_);
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp201_->revision);
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp201_->revision = _tmp207_;
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp206_);
#line 3296 "Device.c"
						}
#line 482 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp208_ = pi;
#line 482 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp209_ = index;
#line 482 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						index = _tmp209_ + 1;
#line 482 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp210_ = index;
#line 482 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp208_->order = _tmp210_;
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp211_ = pi;
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp212_ = pi;
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp213_ = _tmp212_->kname;
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp214_ = g_strdup_printf ("/dev/%s", _tmp213_);
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp211_->device);
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp211_->device = _tmp214_;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp215_ = pi;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp216_ = _tmp215_->uuid;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp217_ = strlen (_tmp216_);
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp218_ = _tmp217_;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (_tmp218_ > 0) {
#line 3330 "Device.c"
							Device* _tmp219_ = NULL;
							Device* _tmp220_ = NULL;
							const gchar* _tmp221_ = NULL;
							gchar* _tmp222_ = NULL;
#line 486 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp219_ = pi;
#line 486 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp220_ = pi;
#line 486 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp221_ = _tmp220_->uuid;
#line 486 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp222_ = g_strdup_printf ("/dev/disk/by-uuid/%s", _tmp221_);
#line 486 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp219_->device_by_uuid);
#line 486 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp219_->device_by_uuid = _tmp222_;
#line 3347 "Device.c"
						}
#line 489 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp223_ = pi;
#line 489 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp224_ = _tmp223_->label;
#line 489 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp225_ = strlen (_tmp224_);
#line 489 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp226_ = _tmp225_;
#line 489 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (_tmp226_ > 0) {
#line 3359 "Device.c"
							Device* _tmp227_ = NULL;
							Device* _tmp228_ = NULL;
							const gchar* _tmp229_ = NULL;
							gchar* _tmp230_ = NULL;
#line 490 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp227_ = pi;
#line 490 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp228_ = pi;
#line 490 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp229_ = _tmp228_->label;
#line 490 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp230_ = g_strdup_printf ("/dev/disk/by-label/%s", _tmp229_);
#line 490 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp227_->device_by_label);
#line 490 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp227_->device_by_label = _tmp230_;
#line 3376 "Device.c"
						}
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp231_ = pi;
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp232_ = _tmp231_->partuuid;
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp233_ = strlen (_tmp232_);
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp234_ = _tmp233_;
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (_tmp234_ > 0) {
#line 3388 "Device.c"
							Device* _tmp235_ = NULL;
							Device* _tmp236_ = NULL;
							const gchar* _tmp237_ = NULL;
							gchar* _tmp238_ = NULL;
#line 494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp235_ = pi;
#line 494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp236_ = pi;
#line 494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp237_ = _tmp236_->partuuid;
#line 494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp238_ = g_strdup_printf ("/dev/disk/by-partuuid/%s", _tmp237_);
#line 494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp235_->device_by_partuuid);
#line 494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp235_->device_by_partuuid = _tmp238_;
#line 3405 "Device.c"
						}
#line 497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp239_ = pi;
#line 497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp240_ = _tmp239_->partlabel;
#line 497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp241_ = strlen (_tmp240_);
#line 497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp242_ = _tmp241_;
#line 497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (_tmp242_ > 0) {
#line 3417 "Device.c"
							Device* _tmp243_ = NULL;
							Device* _tmp244_ = NULL;
							const gchar* _tmp245_ = NULL;
							gchar* _tmp246_ = NULL;
#line 498 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp243_ = pi;
#line 498 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp244_ = pi;
#line 498 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp245_ = _tmp244_->partlabel;
#line 498 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp246_ = g_strdup_printf ("/dev/disk/by-partlabel/%s", _tmp245_);
#line 498 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp243_->device_by_partlabel);
#line 498 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp243_->device_by_partlabel = _tmp246_;
#line 3434 "Device.c"
						}
#line 506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp247_ = list;
#line 506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp248_ = pi;
#line 506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp247_, _tmp248_);
#line 434 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (txt);
#line 434 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (mp);
#line 434 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (pi);
#line 3448 "Device.c"
					} else {
						const gchar* _tmp249_ = NULL;
						gchar* _tmp250_ = NULL;
						gchar* _tmp251_ = NULL;
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp249_ = line;
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp250_ = g_strdup_printf ("no-match: %s", _tmp249_);
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp251_ = _tmp250_;
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						tee_jee_logging_log_debug (_tmp251_);
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp251_);
#line 3463 "Device.c"
					}
				}
				goto __finally43;
				__catch43_g_error:
				{
					GError* e = NULL;
					GError* _tmp252_ = NULL;
					const gchar* _tmp253_ = NULL;
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					e = _inner_error_;
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_inner_error_ = NULL;
#line 514 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp252_ = e;
#line 514 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp253_ = _tmp252_->message;
#line 514 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp253_, FALSE, FALSE);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_error_free0 (e);
#line 3484 "Device.c"
				}
				__finally43:
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (line);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (cmd);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (std_err);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (std_out);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (list);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					g_clear_error (&_inner_error_);
#line 426 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					return NULL;
#line 3511 "Device.c"
				}
#line 423 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (line);
#line 3515 "Device.c"
			}
		}
#line 423 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 3520 "Device.c"
	}
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp254_ = NULL;
		GeeArrayList* _tmp255_ = NULL;
		gint _dev_size = 0;
		GeeArrayList* _tmp256_ = NULL;
		gint _tmp257_ = 0;
		gint _tmp258_ = 0;
		gint _dev_index = 0;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp254_ = list;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp255_ = _g_object_ref0 (_tmp254_);
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_list = _tmp255_;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp256_ = _dev_list;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp257_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp256_);
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp258_ = _tmp257_;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_size = _tmp258_;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_index = -1;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 3549 "Device.c"
			gint _tmp259_ = 0;
			gint _tmp260_ = 0;
			gint _tmp261_ = 0;
			Device* dev = NULL;
			GeeArrayList* _tmp262_ = NULL;
			gint _tmp263_ = 0;
			gpointer _tmp264_ = NULL;
			gchar* dev_by_uuid = NULL;
			Device* _tmp265_ = NULL;
			const gchar* _tmp266_ = NULL;
			gchar* _tmp267_ = NULL;
			const gchar* _tmp268_ = NULL;
			gboolean _tmp269_ = FALSE;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp259_ = _dev_index;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_index = _tmp259_ + 1;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp260_ = _dev_index;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp261_ = _dev_size;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp260_ < _tmp261_)) {
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 3575 "Device.c"
			}
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp262_ = _dev_list;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp263_ = _dev_index;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp264_ = gee_abstract_list_get ((GeeAbstractList*) _tmp262_, _tmp263_);
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			dev = (Device*) _tmp264_;
#line 526 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp265_ = dev;
#line 526 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp266_ = _tmp265_->uuid;
#line 526 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp267_ = tee_jee_file_system_path_combine ("/dev/disk/by-uuid/", _tmp266_);
#line 526 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			dev_by_uuid = _tmp267_;
#line 527 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp268_ = dev_by_uuid;
#line 527 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp269_ = tee_jee_file_system_file_exists (_tmp268_);
#line 527 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (_tmp269_) {
#line 3599 "Device.c"
				Device* _tmp270_ = NULL;
				GeeArrayList* _tmp271_ = NULL;
				const gchar* _tmp272_ = NULL;
#line 528 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp270_ = dev;
#line 528 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp271_ = _tmp270_->symlinks;
#line 528 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp272_ = dev_by_uuid;
#line 528 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp271_, _tmp272_);
#line 3611 "Device.c"
			}
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (dev_by_uuid);
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 3617 "Device.c"
		}
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 3621 "Device.c"
	}
	{
		GFile* f_dev_mapper = NULL;
		GFile* _tmp273_ = NULL;
		GFileEnumerator* enumerator = NULL;
		GFile* _tmp274_ = NULL;
		gchar* _tmp275_ = NULL;
		gchar* _tmp276_ = NULL;
		GFileEnumerator* _tmp277_ = NULL;
		GFileEnumerator* _tmp278_ = NULL;
		GFileInfo* info = NULL;
#line 536 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp273_ = g_file_new_for_path ("/dev/mapper");
#line 536 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		f_dev_mapper = _tmp273_;
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp274_ = f_dev_mapper;
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp275_ = g_strdup_printf ("%s,%s", G_FILE_ATTRIBUTE_STANDARD_NAME, G_FILE_ATTRIBUTE_STANDARD_SYMLINK_TARGET);
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp276_ = _tmp275_;
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp277_ = g_file_enumerate_children (_tmp274_, _tmp276_, G_FILE_QUERY_INFO_NOFOLLOW_SYMLINKS, NULL, &_inner_error_);
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp278_ = _tmp277_;
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp276_);
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		enumerator = _tmp278_;
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (f_dev_mapper);
#line 3655 "Device.c"
			goto __catch44_g_error;
		}
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 3660 "Device.c"
			GFileInfo* _tmp279_ = NULL;
			GFileEnumerator* _tmp280_ = NULL;
			GFileInfo* _tmp281_ = NULL;
			GFileInfo* _tmp282_ = NULL;
			GFileInfo* _tmp283_ = NULL;
			GFileInfo* _tmp284_ = NULL;
			const gchar* _tmp285_ = NULL;
			GFile* f_mapped = NULL;
			GFile* _tmp286_ = NULL;
			GFileInfo* _tmp287_ = NULL;
			const gchar* _tmp288_ = NULL;
			GFile* _tmp289_ = NULL;
			gchar* mapped_file = NULL;
			GFile* _tmp290_ = NULL;
			gchar* _tmp291_ = NULL;
			gchar* mapped_device = NULL;
			GFileInfo* _tmp292_ = NULL;
			const gchar* _tmp293_ = NULL;
			gchar* _tmp294_ = NULL;
			const gchar* _tmp295_ = NULL;
			gchar* _tmp296_ = NULL;
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp280_ = enumerator;
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp281_ = g_file_enumerator_next_file (_tmp280_, NULL, &_inner_error_);
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp279_ = _tmp281_;
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (info);
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (enumerator);
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (f_dev_mapper);
#line 3696 "Device.c"
				goto __catch44_g_error;
			}
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp282_ = _tmp279_;
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp279_ = NULL;
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (info);
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			info = _tmp282_;
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp283_ = info;
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp283_ != NULL)) {
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (_tmp279_);
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 3715 "Device.c"
			}
#line 546 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp284_ = info;
#line 546 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp285_ = g_file_info_get_name (_tmp284_);
#line 546 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp285_, "control") == 0) {
#line 546 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (_tmp279_);
#line 546 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				continue;
#line 3727 "Device.c"
			}
#line 548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp286_ = f_dev_mapper;
#line 548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp287_ = info;
#line 548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp288_ = g_file_info_get_name (_tmp287_);
#line 548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp289_ = g_file_resolve_relative_path (_tmp286_, _tmp288_);
#line 548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			f_mapped = _tmp289_;
#line 550 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp290_ = f_mapped;
#line 550 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp291_ = g_file_get_path (_tmp290_);
#line 550 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			mapped_file = _tmp291_;
#line 551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp292_ = info;
#line 551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp293_ = g_file_info_get_symlink_target (_tmp292_);
#line 551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp294_ = g_strdup (_tmp293_);
#line 551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			mapped_device = _tmp294_;
#line 552 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp295_ = mapped_device;
#line 552 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp296_ = string_replace (_tmp295_, "..", "/dev");
#line 552 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (mapped_device);
#line 552 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			mapped_device = _tmp296_;
#line 3761 "Device.c"
			{
				GeeArrayList* _dev_list = NULL;
				GeeArrayList* _tmp297_ = NULL;
				GeeArrayList* _tmp298_ = NULL;
				gint _dev_size = 0;
				GeeArrayList* _tmp299_ = NULL;
				gint _tmp300_ = 0;
				gint _tmp301_ = 0;
				gint _dev_index = 0;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp297_ = list;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp298_ = _g_object_ref0 (_tmp297_);
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_dev_list = _tmp298_;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp299_ = _dev_list;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp300_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp299_);
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp301_ = _tmp300_;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_dev_size = _tmp301_;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_dev_index = -1;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				while (TRUE) {
#line 3789 "Device.c"
					gint _tmp302_ = 0;
					gint _tmp303_ = 0;
					gint _tmp304_ = 0;
					Device* dev = NULL;
					GeeArrayList* _tmp305_ = NULL;
					gint _tmp306_ = 0;
					gpointer _tmp307_ = NULL;
					Device* _tmp308_ = NULL;
					const gchar* _tmp309_ = NULL;
					const gchar* _tmp310_ = NULL;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp302_ = _dev_index;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_dev_index = _tmp302_ + 1;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp303_ = _dev_index;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp304_ = _dev_size;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (!(_tmp303_ < _tmp304_)) {
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						break;
#line 3812 "Device.c"
					}
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp305_ = _dev_list;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp306_ = _dev_index;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp307_ = gee_abstract_list_get ((GeeAbstractList*) _tmp305_, _tmp306_);
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					dev = (Device*) _tmp307_;
#line 559 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp308_ = dev;
#line 559 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp309_ = _tmp308_->device;
#line 559 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp310_ = mapped_device;
#line 559 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (g_strcmp0 (_tmp309_, _tmp310_) == 0) {
#line 3830 "Device.c"
						Device* _tmp311_ = NULL;
						const gchar* _tmp312_ = NULL;
						gchar* _tmp313_ = NULL;
						Device* _tmp314_ = NULL;
						GeeArrayList* _tmp315_ = NULL;
						const gchar* _tmp316_ = NULL;
#line 560 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp311_ = dev;
#line 560 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp312_ = mapped_file;
#line 560 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp313_ = string_replace (_tmp312_, "/dev/mapper/", "");
#line 560 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp311_->mapped_name);
#line 560 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp311_->mapped_name = _tmp313_;
#line 561 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp314_ = dev;
#line 561 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp315_ = _tmp314_->symlinks;
#line 561 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp316_ = mapped_file;
#line 561 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp315_, _tmp316_);
#line 563 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (dev);
#line 563 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						break;
#line 3859 "Device.c"
					}
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 3863 "Device.c"
				}
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (_dev_list);
#line 3867 "Device.c"
			}
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (mapped_device);
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (mapped_file);
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (f_mapped);
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (_tmp279_);
#line 3877 "Device.c"
		}
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (info);
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (enumerator);
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (f_dev_mapper);
#line 3885 "Device.c"
	}
	goto __finally44;
	__catch44_g_error:
	{
		GError* e = NULL;
		GError* _tmp317_ = NULL;
		const gchar* _tmp318_ = NULL;
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		e = _inner_error_;
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_inner_error_ = NULL;
#line 569 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp317_ = e;
#line 569 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp318_ = _tmp317_->message;
#line 569 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp318_, FALSE, FALSE);
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_error_free0 (e);
#line 3905 "Device.c"
	}
	__finally44:
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_match_info_unref0 (match);
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_regex_unref0 (rex);
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_clear_error (&_inner_error_);
#line 534 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return NULL;
#line 3928 "Device.c"
	}
#line 572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp319_ = list;
#line 572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp320_ = _g_object_ref0 (_tmp319_);
#line 572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (device_device_list);
#line 572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_device_list = _tmp320_;
#line 3938 "Device.c"
	{
		GeeArrayList* _part_list = NULL;
		GeeArrayList* _tmp321_ = NULL;
		GeeArrayList* _tmp322_ = NULL;
		gint _part_size = 0;
		GeeArrayList* _tmp323_ = NULL;
		gint _tmp324_ = 0;
		gint _tmp325_ = 0;
		gint _part_index = 0;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp321_ = list;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp322_ = _g_object_ref0 (_tmp321_);
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_part_list = _tmp322_;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp323_ = _part_list;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp324_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp323_);
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp325_ = _tmp324_;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_part_size = _tmp325_;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_part_index = -1;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 3966 "Device.c"
			gint _tmp326_ = 0;
			gint _tmp327_ = 0;
			gint _tmp328_ = 0;
			Device* part = NULL;
			GeeArrayList* _tmp329_ = NULL;
			gint _tmp330_ = 0;
			gpointer _tmp331_ = NULL;
			GeeArrayList* _tmp332_ = NULL;
			Device* _tmp333_ = NULL;
			GeeArrayList* _tmp334_ = NULL;
			Device* _tmp335_ = NULL;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp326_ = _part_index;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_part_index = _tmp326_ + 1;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp327_ = _part_index;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp328_ = _part_size;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp327_ < _tmp328_)) {
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 3990 "Device.c"
			}
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp329_ = _part_list;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp330_ = _part_index;
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp331_ = gee_abstract_list_get ((GeeAbstractList*) _tmp329_, _tmp330_);
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			part = (Device*) _tmp331_;
#line 575 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp332_ = list;
#line 575 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp333_ = part;
#line 575 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			device_find_child_devices (_tmp332_, _tmp333_);
#line 576 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp334_ = list;
#line 576 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp335_ = part;
#line 576 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			device_find_toplevel_parent (_tmp334_, _tmp335_);
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (part);
#line 4014 "Device.c"
		}
#line 574 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_part_list);
#line 4018 "Device.c"
	}
#line 581 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp336_ = device_lsblk_is_ancient;
#line 581 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp336_) {
#line 4024 "Device.c"
		GeeArrayList* _tmp337_ = NULL;
#line 582 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp337_ = list;
#line 582 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device_find_child_devices_using_dmsetup (_tmp337_);
#line 4030 "Device.c"
	}
#line 589 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = list;
#line 589 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_match_info_unref0 (match);
#line 589 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_regex_unref0 (rex);
#line 589 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 589 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 589 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 589 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 4046 "Device.c"
}


GeeArrayList* device_get_block_devices_using_blkid (const gchar* dev_name) {
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* cmd = NULL;
	gint ret_val = 0;
	GRegex* rex = NULL;
	GMatchInfo* match = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gchar* _tmp8_ = NULL;
	gboolean _tmp9_ = FALSE;
	const gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gint _tmp14_ = 0;
	gint _tmp15_ = 0;
	const gchar* _tmp28_ = NULL;
	gchar** _tmp29_ = NULL;
	gchar** _tmp30_ = NULL;
	GeeArrayList* _tmp117_ = NULL;
	gint _tmp118_ = 0;
	gint _tmp119_ = 0;
	gchar* _tmp120_ = NULL;
	gchar* _tmp121_ = NULL;
	GError * _inner_error_ = NULL;
#line 593 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name != NULL, NULL);
#line 598 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 598 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp0_;
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = dev_name;
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp4_ > 0) {
#line 4094 "Device.c"
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = dev_name;
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = g_strconcat (" ", _tmp5_, NULL);
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp1_);
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp1_ = _tmp6_;
#line 4105 "Device.c"
	} else {
		gchar* _tmp7_ = NULL;
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = g_strdup ("");
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp1_);
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp1_ = _tmp7_;
#line 4114 "Device.c"
	}
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp8_ = g_strconcat ("/sbin/blkid", _tmp1_, NULL);
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 607 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	cmd = _tmp8_;
#line 609 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp9_ = tee_jee_logging_LOG_DEBUG;
#line 609 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp9_) {
#line 4126 "Device.c"
		const gchar* _tmp10_ = NULL;
#line 610 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = cmd;
#line 610 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_debug (_tmp10_);
#line 4132 "Device.c"
	}
#line 613 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp11_ = cmd;
#line 613 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp14_ = tee_jee_process_helper_exec_script_sync (_tmp11_, &_tmp12_, &_tmp13_, FALSE, FALSE, TRUE, FALSE);
#line 613 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 613 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_out = _tmp12_;
#line 613 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 613 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_err = _tmp13_;
#line 613 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	ret_val = _tmp14_;
#line 614 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp15_ = ret_val;
#line 614 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp15_ != 0) {
#line 4152 "Device.c"
		gchar* msg = NULL;
		const gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
		gint _tmp20_ = 0;
		gint _tmp21_ = 0;
		const gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
#line 615 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp16_ = _ ("Failed to get partition list");
#line 615 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp17_ = g_strconcat ("blkid: ", _tmp16_, NULL);
#line 615 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		msg = _tmp17_;
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp19_ = dev_name;
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp20_ = strlen (_tmp19_);
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp21_ = _tmp20_;
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp21_ > 0) {
#line 4177 "Device.c"
			const gchar* _tmp22_ = NULL;
			gchar* _tmp23_ = NULL;
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp22_ = dev_name;
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp23_ = g_strconcat (": ", _tmp22_, NULL);
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp18_);
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp18_ = _tmp23_;
#line 4188 "Device.c"
		} else {
			gchar* _tmp24_ = NULL;
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp24_ = g_strdup ("");
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp18_);
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp18_ = _tmp24_;
#line 4197 "Device.c"
		}
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp25_ = msg;
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp26_ = g_strconcat (_tmp25_, _tmp18_, NULL);
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (msg);
#line 616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		msg = _tmp26_;
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp27_ = msg;
#line 617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp27_, FALSE, FALSE);
#line 618 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = list;
#line 618 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp18_);
#line 618 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (msg);
#line 618 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp1_);
#line 618 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_match_info_unref0 (match);
#line 618 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_regex_unref0 (rex);
#line 618 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 618 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 618 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 618 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 4231 "Device.c"
	}
#line 631 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp28_ = std_out;
#line 631 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp30_ = _tmp29_ = g_strsplit (_tmp28_, "\n", 0);
#line 4237 "Device.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 631 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		line_collection = _tmp30_;
#line 631 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		line_collection_length1 = _vala_array_length (_tmp29_);
#line 631 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		for (line_it = 0; line_it < _vala_array_length (_tmp29_); line_it = line_it + 1) {
#line 4249 "Device.c"
			gchar* _tmp31_ = NULL;
			gchar* line = NULL;
#line 631 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp31_ = g_strdup (line_collection[line_it]);
#line 631 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			line = _tmp31_;
#line 4256 "Device.c"
			{
				const gchar* _tmp32_ = NULL;
				gchar* _tmp33_ = NULL;
				gchar* _tmp34_ = NULL;
				gint _tmp35_ = 0;
				gint _tmp36_ = 0;
				gboolean _tmp37_ = FALSE;
				Device* pi = NULL;
				Device* _tmp38_ = NULL;
				Device* _tmp39_ = NULL;
				const gchar* _tmp40_ = NULL;
				gchar** _tmp41_ = NULL;
				gchar** _tmp42_ = NULL;
				gchar** _tmp43_ = NULL;
				gint _tmp43__length1 = 0;
				const gchar* _tmp44_ = NULL;
				gchar* _tmp45_ = NULL;
				Device* _tmp46_ = NULL;
				const gchar* _tmp47_ = NULL;
				gint _tmp48_ = 0;
				gint _tmp49_ = 0;
				Device* _tmp50_ = NULL;
				const gchar* _tmp51_ = NULL;
				gboolean _tmp52_ = FALSE;
				gboolean _tmp53_ = FALSE;
				gboolean _tmp54_ = FALSE;
				gboolean _tmp55_ = FALSE;
				Device* _tmp56_ = NULL;
				const gchar* _tmp57_ = NULL;
				gboolean _tmp58_ = FALSE;
				Device* _tmp111_ = NULL;
				const gchar* _tmp112_ = NULL;
				gint _tmp113_ = 0;
				gint _tmp114_ = 0;
#line 632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp32_ = line;
#line 632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp33_ = string_strip (_tmp32_);
#line 632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp34_ = _tmp33_;
#line 632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp35_ = strlen (_tmp34_);
#line 632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp36_ = _tmp35_;
#line 632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp37_ = _tmp36_ == 0;
#line 632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp34_);
#line 632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp37_) {
#line 632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (line);
#line 632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					continue;
#line 4311 "Device.c"
				}
#line 634 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp38_ = device_new ();
#line 634 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				pi = _tmp38_;
#line 636 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp39_ = pi;
#line 636 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp40_ = line;
#line 636 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp42_ = _tmp41_ = g_strsplit (_tmp40_, ":", 0);
#line 636 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp43_ = _tmp42_;
#line 636 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp43__length1 = _vala_array_length (_tmp41_);
#line 636 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp44_ = _tmp43_[0];
#line 636 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp45_ = string_strip (_tmp44_);
#line 636 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp39_->device);
#line 636 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp39_->device = _tmp45_;
#line 636 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp43_ = (_vala_array_free (_tmp43_, _tmp43__length1, (GDestroyNotify) g_free), NULL);
#line 638 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp46_ = pi;
#line 638 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp47_ = _tmp46_->device;
#line 638 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp48_ = strlen (_tmp47_);
#line 638 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp49_ = _tmp48_;
#line 638 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp49_ == 0) {
#line 638 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (pi);
#line 638 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (line);
#line 638 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					continue;
#line 4353 "Device.c"
				}
#line 642 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp50_ = pi;
#line 642 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp51_ = _tmp50_->device;
#line 642 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp52_ = g_str_has_prefix (_tmp51_, "/dev/");
#line 642 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (!_tmp52_) {
#line 643 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (pi);
#line 643 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (line);
#line 643 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					continue;
#line 4369 "Device.c"
				}
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp56_ = pi;
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp57_ = _tmp56_->device;
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp58_ = g_str_has_prefix (_tmp57_, "/dev/sd");
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp58_) {
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp55_ = TRUE;
#line 4381 "Device.c"
				} else {
					Device* _tmp59_ = NULL;
					const gchar* _tmp60_ = NULL;
					gboolean _tmp61_ = FALSE;
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp59_ = pi;
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp60_ = _tmp59_->device;
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp61_ = g_str_has_prefix (_tmp60_, "/dev/hd");
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp55_ = _tmp61_;
#line 4394 "Device.c"
				}
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp55_) {
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp54_ = TRUE;
#line 4400 "Device.c"
				} else {
					Device* _tmp62_ = NULL;
					const gchar* _tmp63_ = NULL;
					gboolean _tmp64_ = FALSE;
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp62_ = pi;
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp63_ = _tmp62_->device;
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp64_ = g_str_has_prefix (_tmp63_, "/dev/mapper/");
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp54_ = _tmp64_;
#line 4413 "Device.c"
				}
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp54_) {
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp53_ = TRUE;
#line 4419 "Device.c"
				} else {
					Device* _tmp65_ = NULL;
					const gchar* _tmp66_ = NULL;
					gboolean _tmp67_ = FALSE;
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp65_ = pi;
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp66_ = _tmp65_->device;
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp67_ = g_str_has_prefix (_tmp66_, "/dev/dm");
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp53_ = _tmp67_;
#line 4432 "Device.c"
				}
#line 646 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp53_) {
#line 4436 "Device.c"
				} else {
					Device* _tmp68_ = NULL;
					const gchar* _tmp69_ = NULL;
					gboolean _tmp70_ = FALSE;
#line 649 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp68_ = pi;
#line 649 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp69_ = _tmp68_->device;
#line 649 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp70_ = g_str_has_prefix (_tmp69_, "/dev/disk/by-uuid/");
#line 649 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp70_) {
#line 4449 "Device.c"
						Device* _tmp71_ = NULL;
						Device* _tmp72_ = NULL;
						const gchar* _tmp73_ = NULL;
						gchar* _tmp74_ = NULL;
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp71_ = pi;
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp72_ = pi;
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp73_ = _tmp72_->device;
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp74_ = string_replace (_tmp73_, "/dev/disk/by-uuid/", "");
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp71_->uuid);
#line 651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp71_->uuid = _tmp74_;
#line 4466 "Device.c"
					} else {
#line 654 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (pi);
#line 654 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (line);
#line 654 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						continue;
#line 4474 "Device.c"
					}
				}
				{
					GRegex* _tmp75_ = NULL;
					GRegex* _tmp76_ = NULL;
					GRegex* _tmp77_ = NULL;
					GRegex* _tmp78_ = NULL;
					const gchar* _tmp79_ = NULL;
					GMatchInfo* _tmp80_ = NULL;
					gboolean _tmp81_ = FALSE;
					GRegex* _tmp85_ = NULL;
					GRegex* _tmp86_ = NULL;
					GRegex* _tmp87_ = NULL;
					GRegex* _tmp88_ = NULL;
					const gchar* _tmp89_ = NULL;
					GMatchInfo* _tmp90_ = NULL;
					gboolean _tmp91_ = FALSE;
					GRegex* _tmp97_ = NULL;
					GRegex* _tmp98_ = NULL;
					GRegex* _tmp99_ = NULL;
					GRegex* _tmp100_ = NULL;
					const gchar* _tmp101_ = NULL;
					GMatchInfo* _tmp102_ = NULL;
					gboolean _tmp103_ = FALSE;
#line 660 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp76_ = g_regex_new ("LABEL=\\\"([^\\\"]*)\\\"", 0, 0, &_inner_error_);
#line 660 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp75_ = _tmp76_;
#line 660 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 4505 "Device.c"
						goto __catch46_g_error;
					}
#line 660 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp77_ = _tmp75_;
#line 660 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp75_ = NULL;
#line 660 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 660 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					rex = _tmp77_;
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp78_ = rex;
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp79_ = line;
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp81_ = g_regex_match (_tmp78_, _tmp79_, 0, &_tmp80_);
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					match = _tmp80_;
#line 661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp81_) {
#line 4528 "Device.c"
						Device* _tmp82_ = NULL;
						GMatchInfo* _tmp83_ = NULL;
						gchar* _tmp84_ = NULL;
#line 662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp82_ = pi;
#line 662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp83_ = match;
#line 662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp84_ = g_match_info_fetch (_tmp83_, 1);
#line 662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp82_->label);
#line 662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp82_->label = _tmp84_;
#line 4542 "Device.c"
					}
#line 665 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp86_ = g_regex_new ("UUID=\\\"([^\\\"]*)\\\"", 0, 0, &_inner_error_);
#line 665 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp85_ = _tmp86_;
#line 665 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 665 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp75_);
#line 4552 "Device.c"
						goto __catch46_g_error;
					}
#line 665 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp87_ = _tmp85_;
#line 665 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp85_ = NULL;
#line 665 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 665 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					rex = _tmp87_;
#line 666 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp88_ = rex;
#line 666 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp89_ = line;
#line 666 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp91_ = g_regex_match (_tmp88_, _tmp89_, 0, &_tmp90_);
#line 666 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 666 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					match = _tmp90_;
#line 666 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp91_) {
#line 4575 "Device.c"
						Device* _tmp92_ = NULL;
						GMatchInfo* _tmp93_ = NULL;
						gchar* _tmp94_ = NULL;
						gchar* _tmp95_ = NULL;
						gchar* _tmp96_ = NULL;
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp92_ = pi;
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp93_ = match;
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp94_ = g_match_info_fetch (_tmp93_, 1);
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp95_ = _tmp94_;
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp96_ = string_strip (_tmp95_);
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp92_->uuid);
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp92_->uuid = _tmp96_;
#line 667 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp95_);
#line 4597 "Device.c"
					}
#line 670 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp98_ = g_regex_new ("TYPE=\\\"([^\\\"]*)\\\"", 0, 0, &_inner_error_);
#line 670 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp97_ = _tmp98_;
#line 670 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 670 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp85_);
#line 670 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_regex_unref0 (_tmp75_);
#line 4609 "Device.c"
						goto __catch46_g_error;
					}
#line 670 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp99_ = _tmp97_;
#line 670 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp97_ = NULL;
#line 670 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 670 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					rex = _tmp99_;
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp100_ = rex;
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp101_ = line;
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp103_ = g_regex_match (_tmp100_, _tmp101_, 0, &_tmp102_);
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					match = _tmp102_;
#line 671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp103_) {
#line 4632 "Device.c"
						Device* _tmp104_ = NULL;
						GMatchInfo* _tmp105_ = NULL;
						gchar* _tmp106_ = NULL;
						gchar* _tmp107_ = NULL;
						gchar* _tmp108_ = NULL;
#line 672 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp104_ = pi;
#line 672 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp105_ = match;
#line 672 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp106_ = g_match_info_fetch (_tmp105_, 1);
#line 672 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp107_ = _tmp106_;
#line 672 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp108_ = string_strip (_tmp107_);
#line 672 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp104_->fstype);
#line 672 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp104_->fstype = _tmp108_;
#line 672 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp107_);
#line 4654 "Device.c"
					}
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_regex_unref0 (_tmp97_);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_regex_unref0 (_tmp85_);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_regex_unref0 (_tmp75_);
#line 4662 "Device.c"
				}
				goto __finally46;
				__catch46_g_error:
				{
					GError* e = NULL;
					GError* _tmp109_ = NULL;
					const gchar* _tmp110_ = NULL;
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					e = _inner_error_;
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_inner_error_ = NULL;
#line 676 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp109_ = e;
#line 676 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp110_ = _tmp109_->message;
#line 676 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp110_, FALSE, FALSE);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_error_free0 (e);
#line 4682 "Device.c"
				}
				__finally46:
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (pi);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (line);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_tmp1_);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_match_info_unref0 (match);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_regex_unref0 (rex);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (cmd);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (std_err);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (std_out);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (list);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					g_clear_error (&_inner_error_);
#line 659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					return NULL;
#line 4713 "Device.c"
				}
#line 681 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp111_ = pi;
#line 681 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp112_ = _tmp111_->uuid;
#line 681 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp113_ = strlen (_tmp112_);
#line 681 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp114_ = _tmp113_;
#line 681 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp114_ > 0) {
#line 4725 "Device.c"
					GeeArrayList* _tmp115_ = NULL;
					Device* _tmp116_ = NULL;
#line 682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp115_ = list;
#line 682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp116_ = pi;
#line 682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp115_, _tmp116_);
#line 4734 "Device.c"
				}
#line 631 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (pi);
#line 631 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (line);
#line 4740 "Device.c"
			}
		}
#line 631 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		line_collection = (_vala_array_free (line_collection, line_collection_length1, (GDestroyNotify) g_free), NULL);
#line 4745 "Device.c"
	}
#line 686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp117_ = list;
#line 686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp118_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp117_);
#line 686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp119_ = _tmp118_;
#line 686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp120_ = g_strdup_printf ("Device: get_block_devices_using_blkid(): %d", _tmp119_);
#line 686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp121_ = _tmp120_;
#line 686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp121_);
#line 686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp121_);
#line 688 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = list;
#line 688 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 688 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_match_info_unref0 (match);
#line 688 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_regex_unref0 (rex);
#line 688 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 688 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 688 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 688 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 4777 "Device.c"
}


static guint64 uint64_parse (const gchar* str) {
	guint64 result = 0ULL;
	const gchar* _tmp0_ = NULL;
	guint64 _tmp1_ = 0ULL;
#line 733 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0ULL);
#line 734 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 734 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = g_ascii_strtoull (_tmp0_, NULL, (guint) 0);
#line 734 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_;
#line 734 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 4795 "Device.c"
}


GeeArrayList* device_get_disk_space_using_df (const gchar* dev_name_or_mount_point) {
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gchar* cmd = NULL;
	gint ret_val = 0;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gboolean _tmp12_ = FALSE;
	const gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	gint _tmp17_ = 0;
	gchar** lines = NULL;
	const gchar* _tmp18_ = NULL;
	gchar** _tmp19_ = NULL;
	gchar** _tmp20_ = NULL;
	gint lines_length1 = 0;
	gint _lines_size_ = 0;
	gint line_num = 0;
	gchar** _tmp21_ = NULL;
	gint _tmp21__length1 = 0;
	GeeArrayList* _tmp81_ = NULL;
	gint _tmp82_ = 0;
	gint _tmp83_ = 0;
	gchar* _tmp84_ = NULL;
	gchar* _tmp85_ = NULL;
#line 691 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_mount_point != NULL, NULL);
#line 698 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 698 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp0_;
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("df -T -B1");
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	cmd = _tmp1_;
#line 707 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = dev_name_or_mount_point;
#line 707 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 707 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 707 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp4_ > 0) {
#line 4850 "Device.c"
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
#line 708 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = cmd;
#line 708 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = dev_name_or_mount_point;
#line 708 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = tee_jee_file_system_escape_single_quote (_tmp6_);
#line 708 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 708 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = g_strdup_printf (" '%s'", _tmp8_);
#line 708 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 708 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = g_strconcat (_tmp5_, _tmp10_, NULL);
#line 708 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 708 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		cmd = _tmp11_;
#line 708 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp10_);
#line 708 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 4880 "Device.c"
	}
#line 711 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp12_ = tee_jee_logging_LOG_DEBUG;
#line 711 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp12_) {
#line 4886 "Device.c"
		const gchar* _tmp13_ = NULL;
#line 712 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp13_ = cmd;
#line 712 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_debug (_tmp13_);
#line 4892 "Device.c"
	}
#line 715 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp14_ = cmd;
#line 715 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp17_ = tee_jee_process_helper_exec_sync (_tmp14_, &_tmp15_, &_tmp16_);
#line 715 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 715 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_out = _tmp15_;
#line 715 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 715 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_err = _tmp16_;
#line 715 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	ret_val = _tmp17_;
#line 730 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp18_ = std_out;
#line 730 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp20_ = _tmp19_ = g_strsplit (_tmp18_, "\n", 0);
#line 730 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	lines = _tmp20_;
#line 730 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	lines_length1 = _vala_array_length (_tmp19_);
#line 730 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_lines_size_ = lines_length1;
#line 732 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	line_num = 0;
#line 733 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp21_ = lines;
#line 733 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp21__length1 = lines_length1;
#line 4924 "Device.c"
	{
		gchar** line_collection = NULL;
		gint line_collection_length1 = 0;
		gint _line_collection_size_ = 0;
		gint line_it = 0;
#line 733 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		line_collection = _tmp21_;
#line 733 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		line_collection_length1 = _tmp21__length1;
#line 733 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		for (line_it = 0; line_it < _tmp21__length1; line_it = line_it + 1) {
#line 4936 "Device.c"
			gchar* _tmp22_ = NULL;
			gchar* line = NULL;
#line 733 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp22_ = g_strdup (line_collection[line_it]);
#line 733 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			line = _tmp22_;
#line 4943 "Device.c"
			{
				gint _tmp23_ = 0;
				gint _tmp24_ = 0;
				const gchar* _tmp25_ = NULL;
				gchar* _tmp26_ = NULL;
				gchar* _tmp27_ = NULL;
				gint _tmp28_ = 0;
				gint _tmp29_ = 0;
				gboolean _tmp30_ = FALSE;
				Device* pi = NULL;
				Device* _tmp31_ = NULL;
				gint k = 0;
				const gchar* _tmp32_ = NULL;
				gchar** _tmp33_ = NULL;
				gchar** _tmp34_ = NULL;
				Device* _tmp67_ = NULL;
				Device* _tmp68_ = NULL;
				const gchar* _tmp69_ = NULL;
				gchar* _tmp70_ = NULL;
				Device* _tmp71_ = NULL;
				Device* _tmp72_ = NULL;
				const gchar* _tmp73_ = NULL;
				gchar* _tmp74_ = NULL;
				Device* _tmp75_ = NULL;
				const gchar* _tmp76_ = NULL;
				gint _tmp77_ = 0;
				gint _tmp78_ = 0;
#line 735 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp23_ = line_num;
#line 735 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				line_num = _tmp23_ + 1;
#line 735 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp24_ = line_num;
#line 735 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp24_ == 1) {
#line 735 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (line);
#line 735 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					continue;
#line 4983 "Device.c"
				}
#line 736 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp25_ = line;
#line 736 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp26_ = string_strip (_tmp25_);
#line 736 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp27_ = _tmp26_;
#line 736 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp28_ = strlen (_tmp27_);
#line 736 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp29_ = _tmp28_;
#line 736 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp30_ = _tmp29_ == 0;
#line 736 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp27_);
#line 736 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp30_) {
#line 736 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (line);
#line 736 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					continue;
#line 5005 "Device.c"
				}
#line 738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp31_ = device_new ();
#line 738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				pi = _tmp31_;
#line 742 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				k = 1;
#line 743 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp32_ = line;
#line 743 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp34_ = _tmp33_ = g_strsplit (_tmp32_, " ", 0);
#line 5017 "Device.c"
				{
					gchar** val_collection = NULL;
					gint val_collection_length1 = 0;
					gint _val_collection_size_ = 0;
					gint val_it = 0;
#line 743 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					val_collection = _tmp34_;
#line 743 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					val_collection_length1 = _vala_array_length (_tmp33_);
#line 743 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					for (val_it = 0; val_it < _vala_array_length (_tmp33_); val_it = val_it + 1) {
#line 5029 "Device.c"
						gchar* _tmp35_ = NULL;
						gchar* val = NULL;
#line 743 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp35_ = g_strdup (val_collection[val_it]);
#line 743 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						val = _tmp35_;
#line 5036 "Device.c"
						{
							const gchar* _tmp36_ = NULL;
							gchar* _tmp37_ = NULL;
							gchar* _tmp38_ = NULL;
							gint _tmp39_ = 0;
							gint _tmp40_ = 0;
							gboolean _tmp41_ = FALSE;
							gint _tmp42_ = 0;
#line 745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp36_ = val;
#line 745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp37_ = string_strip (_tmp36_);
#line 745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp38_ = _tmp37_;
#line 745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp39_ = strlen (_tmp38_);
#line 745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp40_ = _tmp39_;
#line 745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp41_ = _tmp40_ == 0;
#line 745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp38_);
#line 745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							if (_tmp41_) {
#line 745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_g_free0 (val);
#line 745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								continue;
#line 5065 "Device.c"
							}
#line 747 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp42_ = k;
#line 747 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							k = _tmp42_ + 1;
#line 747 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							switch (_tmp42_) {
#line 747 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								case 1:
#line 5075 "Device.c"
								{
									Device* _tmp43_ = NULL;
									const gchar* _tmp44_ = NULL;
									gchar* _tmp45_ = NULL;
#line 749 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp43_ = pi;
#line 749 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp44_ = val;
#line 749 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp45_ = string_strip (_tmp44_);
#line 749 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_free0 (_tmp43_->device);
#line 749 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp43_->device = _tmp45_;
#line 750 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5092 "Device.c"
								}
#line 747 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								case 2:
#line 5096 "Device.c"
								{
									Device* _tmp46_ = NULL;
									const gchar* _tmp47_ = NULL;
									gchar* _tmp48_ = NULL;
#line 752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp46_ = pi;
#line 752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp47_ = val;
#line 752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp48_ = string_strip (_tmp47_);
#line 752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_free0 (_tmp46_->fstype);
#line 752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp46_->fstype = _tmp48_;
#line 753 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5113 "Device.c"
								}
#line 747 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								case 3:
#line 5117 "Device.c"
								{
									Device* _tmp49_ = NULL;
									const gchar* _tmp50_ = NULL;
									gchar* _tmp51_ = NULL;
									gchar* _tmp52_ = NULL;
									guint64 _tmp53_ = 0ULL;
#line 755 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp49_ = pi;
#line 755 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp50_ = val;
#line 755 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp51_ = string_strip (_tmp50_);
#line 755 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp52_ = _tmp51_;
#line 755 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp53_ = uint64_parse (_tmp52_);
#line 755 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp49_->size_bytes = _tmp53_;
#line 755 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_free0 (_tmp52_);
#line 756 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5140 "Device.c"
								}
#line 747 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								case 4:
#line 5144 "Device.c"
								{
									Device* _tmp54_ = NULL;
									const gchar* _tmp55_ = NULL;
									gchar* _tmp56_ = NULL;
									gchar* _tmp57_ = NULL;
									guint64 _tmp58_ = 0ULL;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp54_ = pi;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp55_ = val;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp56_ = string_strip (_tmp55_);
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp57_ = _tmp56_;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp58_ = uint64_parse (_tmp57_);
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp54_->used_bytes = _tmp58_;
#line 758 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_free0 (_tmp57_);
#line 759 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5167 "Device.c"
								}
#line 747 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								case 5:
#line 5171 "Device.c"
								{
									Device* _tmp59_ = NULL;
									const gchar* _tmp60_ = NULL;
									gchar* _tmp61_ = NULL;
									gchar* _tmp62_ = NULL;
									guint64 _tmp63_ = 0ULL;
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp59_ = pi;
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp60_ = val;
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp61_ = string_strip (_tmp60_);
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp62_ = _tmp61_;
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp63_ = uint64_parse (_tmp62_);
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp59_->available_bytes = _tmp63_;
#line 761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_free0 (_tmp62_);
#line 762 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5194 "Device.c"
								}
#line 747 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								case 6:
#line 5198 "Device.c"
								{
									Device* _tmp64_ = NULL;
									const gchar* _tmp65_ = NULL;
									gchar* _tmp66_ = NULL;
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp64_ = pi;
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp65_ = val;
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp66_ = string_strip (_tmp65_);
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_free0 (_tmp64_->used_percent);
#line 764 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp64_->used_percent = _tmp66_;
#line 765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5215 "Device.c"
								}
#line 747 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								case 7:
#line 5219 "Device.c"
								{
#line 771 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5223 "Device.c"
								}
								default:
#line 747 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								break;
#line 5228 "Device.c"
							}
#line 743 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (val);
#line 5232 "Device.c"
						}
					}
#line 743 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					val_collection = (_vala_array_free (val_collection, val_collection_length1, (GDestroyNotify) g_free), NULL);
#line 5237 "Device.c"
				}
#line 784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp67_ = pi;
#line 784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp68_ = pi;
#line 784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp69_ = _tmp68_->device;
#line 784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp70_ = device_resolve_device_name (_tmp69_);
#line 784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp67_->device);
#line 784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp67_->device = _tmp70_;
#line 788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp71_ = pi;
#line 788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp72_ = pi;
#line 788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp73_ = _tmp72_->device;
#line 788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp74_ = device_get_device_uuid (_tmp73_);
#line 788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp71_->uuid);
#line 788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp71_->uuid = _tmp74_;
#line 792 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp75_ = pi;
#line 792 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp76_ = _tmp75_->uuid;
#line 792 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp77_ = strlen (_tmp76_);
#line 792 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp78_ = _tmp77_;
#line 792 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp78_ > 0) {
#line 5273 "Device.c"
					GeeArrayList* _tmp79_ = NULL;
					Device* _tmp80_ = NULL;
#line 793 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp79_ = list;
#line 793 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp80_ = pi;
#line 793 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp79_, _tmp80_);
#line 5282 "Device.c"
				}
#line 733 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (pi);
#line 733 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (line);
#line 5288 "Device.c"
			}
		}
	}
#line 797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp81_ = list;
#line 797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp82_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp81_);
#line 797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp83_ = _tmp82_;
#line 797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp84_ = g_strdup_printf ("Device: get_disk_space_using_df(): %d", _tmp83_);
#line 797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp85_ = _tmp84_;
#line 797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp85_);
#line 797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp85_);
#line 799 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = list;
#line 799 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	lines = (_vala_array_free (lines, lines_length1, (GDestroyNotify) g_free), NULL);
#line 799 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 799 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 799 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 799 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 5318 "Device.c"
}


GeeArrayList* device_get_mounted_filesystems_using_mtab (void) {
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_ = NULL;
	gchar* mtab_path = NULL;
	gchar* _tmp1_ = NULL;
	gchar* mtab_lines = NULL;
	gchar* _tmp2_ = NULL;
	GFile* f = NULL;
	gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	GFile* _tmp5_ = NULL;
	GFile* _tmp6_ = NULL;
	gboolean _tmp7_ = FALSE;
	const gchar* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	gchar** lines = NULL;
	const gchar* _tmp20_ = NULL;
	gchar** _tmp21_ = NULL;
	gchar** _tmp22_ = NULL;
	gint lines_length1 = 0;
	gint _lines_size_ = 0;
	GeeArrayList* mount_list = NULL;
	GeeArrayList* _tmp23_ = NULL;
	GeeArrayList* _tmp107_ = NULL;
	gint _tmp108_ = 0;
	gint _tmp109_ = 0;
	gchar* _tmp110_ = NULL;
	gchar* _tmp111_ = NULL;
#line 807 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = gee_array_list_new (TYPE_DEVICE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 807 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp0_;
#line 809 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("/etc/mtab");
#line 809 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	mtab_path = _tmp1_;
#line 810 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = g_strdup ("");
#line 810 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	mtab_lines = _tmp2_;
#line 816 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = g_strdup ("/proc/mounts");
#line 816 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (mtab_path);
#line 816 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	mtab_path = _tmp3_;
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = mtab_path;
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = g_file_new_for_path (_tmp4_);
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (f);
#line 817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	f = _tmp5_;
#line 818 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp6_ = f;
#line 818 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp7_ = g_file_query_exists (_tmp6_, NULL);
#line 818 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (!_tmp7_) {
#line 5383 "Device.c"
		gchar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		GFile* _tmp10_ = NULL;
		GFile* _tmp11_ = NULL;
		gboolean _tmp12_ = FALSE;
#line 819 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = g_strdup ("/proc/self/mounts");
#line 819 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (mtab_path);
#line 819 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		mtab_path = _tmp8_;
#line 820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = mtab_path;
#line 820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = g_file_new_for_path (_tmp9_);
#line 820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (f);
#line 820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		f = _tmp10_;
#line 821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = f;
#line 821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = g_file_query_exists (_tmp11_, NULL);
#line 821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (!_tmp12_) {
#line 5409 "Device.c"
			gchar* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
			GFile* _tmp15_ = NULL;
			GFile* _tmp16_ = NULL;
			gboolean _tmp17_ = FALSE;
#line 822 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = g_strdup ("/etc/mtab");
#line 822 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (mtab_path);
#line 822 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			mtab_path = _tmp13_;
#line 823 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = mtab_path;
#line 823 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp15_ = g_file_new_for_path (_tmp14_);
#line 823 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (f);
#line 823 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			f = _tmp15_;
#line 824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp16_ = f;
#line 824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp17_ = g_file_query_exists (_tmp16_, NULL);
#line 824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!_tmp17_) {
#line 825 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				result = list;
#line 825 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (f);
#line 825 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (mtab_lines);
#line 825 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (mtab_path);
#line 825 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				return result;
#line 5445 "Device.c"
			}
		}
	}
#line 838 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp18_ = mtab_path;
#line 838 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp19_ = tee_jee_file_system_file_read (_tmp18_);
#line 838 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (mtab_lines);
#line 838 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	mtab_lines = _tmp19_;
#line 867 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp20_ = mtab_lines;
#line 867 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp22_ = _tmp21_ = g_strsplit (_tmp20_, "\n", 0);
#line 867 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	lines = _tmp22_;
#line 867 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	lines_length1 = _vala_array_length (_tmp21_);
#line 867 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_lines_size_ = lines_length1;
#line 868 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp23_ = gee_array_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 868 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	mount_list = _tmp23_;
#line 5471 "Device.c"
	{
		gint i = 0;
		gchar** _tmp24_ = NULL;
		gint _tmp24__length1 = 0;
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp24_ = lines;
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp24__length1 = lines_length1;
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		i = _tmp24__length1 - 1;
#line 5482 "Device.c"
		{
			gboolean _tmp25_ = FALSE;
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp25_ = TRUE;
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			while (TRUE) {
#line 5489 "Device.c"
				gint _tmp27_ = 0;
				gchar* line = NULL;
				gchar** _tmp28_ = NULL;
				gint _tmp28__length1 = 0;
				gint _tmp29_ = 0;
				const gchar* _tmp30_ = NULL;
				gchar* _tmp31_ = NULL;
				const gchar* _tmp32_ = NULL;
				gint _tmp33_ = 0;
				gint _tmp34_ = 0;
				Device* pi = NULL;
				Device* _tmp35_ = NULL;
				MountEntry* mp = NULL;
				Device* _tmp36_ = NULL;
				MountEntry* _tmp37_ = NULL;
				gint k = 0;
				const gchar* _tmp38_ = NULL;
				gchar** _tmp39_ = NULL;
				gchar** _tmp40_ = NULL;
				Device* _tmp73_ = NULL;
				Device* _tmp74_ = NULL;
				const gchar* _tmp75_ = NULL;
				gchar* _tmp76_ = NULL;
				Device* _tmp77_ = NULL;
				Device* _tmp78_ = NULL;
				const gchar* _tmp79_ = NULL;
				gchar* _tmp80_ = NULL;
				Device* _tmp81_ = NULL;
				const gchar* _tmp82_ = NULL;
				gint _tmp83_ = 0;
				gint _tmp84_ = 0;
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (!_tmp25_) {
#line 5523 "Device.c"
					gint _tmp26_ = 0;
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp26_ = i;
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					i = _tmp26_ - 1;
#line 5529 "Device.c"
				}
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp25_ = FALSE;
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp27_ = i;
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (!(_tmp27_ >= 0)) {
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					break;
#line 5539 "Device.c"
				}
#line 872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp28_ = lines;
#line 872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp28__length1 = lines_length1;
#line 872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp29_ = i;
#line 872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp30_ = _tmp28_[_tmp29_];
#line 872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp31_ = string_strip (_tmp30_);
#line 872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				line = _tmp31_;
#line 873 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp32_ = line;
#line 873 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp33_ = strlen (_tmp32_);
#line 873 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp34_ = _tmp33_;
#line 873 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp34_ == 0) {
#line 873 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (line);
#line 873 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					continue;
#line 5565 "Device.c"
				}
#line 875 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp35_ = device_new ();
#line 875 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				pi = _tmp35_;
#line 877 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp36_ = pi;
#line 877 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp37_ = mount_entry_new (_tmp36_, "", "");
#line 877 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				mp = _tmp37_;
#line 881 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				k = 1;
#line 882 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp38_ = line;
#line 882 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp40_ = _tmp39_ = g_strsplit (_tmp38_, " ", 0);
#line 5583 "Device.c"
				{
					gchar** val_collection = NULL;
					gint val_collection_length1 = 0;
					gint _val_collection_size_ = 0;
					gint val_it = 0;
#line 882 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					val_collection = _tmp40_;
#line 882 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					val_collection_length1 = _vala_array_length (_tmp39_);
#line 882 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					for (val_it = 0; val_it < _vala_array_length (_tmp39_); val_it = val_it + 1) {
#line 5595 "Device.c"
						gchar* _tmp41_ = NULL;
						gchar* val = NULL;
#line 882 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp41_ = g_strdup (val_collection[val_it]);
#line 882 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						val = _tmp41_;
#line 5602 "Device.c"
						{
							const gchar* _tmp42_ = NULL;
							gchar* _tmp43_ = NULL;
							gchar* _tmp44_ = NULL;
							gint _tmp45_ = 0;
							gint _tmp46_ = 0;
							gboolean _tmp47_ = FALSE;
							gint _tmp48_ = 0;
#line 883 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp42_ = val;
#line 883 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp43_ = string_strip (_tmp42_);
#line 883 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp44_ = _tmp43_;
#line 883 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp45_ = strlen (_tmp44_);
#line 883 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp46_ = _tmp45_;
#line 883 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp47_ = _tmp46_ == 0;
#line 883 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (_tmp44_);
#line 883 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							if (_tmp47_) {
#line 883 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_g_free0 (val);
#line 883 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								continue;
#line 5631 "Device.c"
							}
#line 884 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp48_ = k;
#line 884 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							k = _tmp48_ + 1;
#line 884 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							switch (_tmp48_) {
#line 884 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								case 1:
#line 5641 "Device.c"
								{
									Device* _tmp49_ = NULL;
									const gchar* _tmp50_ = NULL;
									gchar* _tmp51_ = NULL;
#line 886 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp49_ = pi;
#line 886 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp50_ = val;
#line 886 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp51_ = string_strip (_tmp50_);
#line 886 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_free0 (_tmp49_->device);
#line 886 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp49_->device = _tmp51_;
#line 887 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5658 "Device.c"
								}
#line 884 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								case 2:
#line 5662 "Device.c"
								{
									MountEntry* _tmp52_ = NULL;
									const gchar* _tmp53_ = NULL;
									gchar* _tmp54_ = NULL;
									gchar* _tmp55_ = NULL;
									gchar* _tmp56_ = NULL;
									GeeArrayList* _tmp57_ = NULL;
									MountEntry* _tmp58_ = NULL;
									const gchar* _tmp59_ = NULL;
									gboolean _tmp60_ = FALSE;
#line 889 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp52_ = mp;
#line 889 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp53_ = val;
#line 889 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp54_ = string_strip (_tmp53_);
#line 889 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp55_ = _tmp54_;
#line 889 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp56_ = string_replace (_tmp55_, "\\040", " ");
#line 889 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_free0 (_tmp52_->mount_point);
#line 889 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp52_->mount_point = _tmp56_;
#line 889 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_free0 (_tmp55_);
#line 890 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp57_ = mount_list;
#line 890 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp58_ = mp;
#line 890 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp59_ = _tmp58_->mount_point;
#line 890 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp60_ = gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp57_, _tmp59_);
#line 890 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									if (!_tmp60_) {
#line 5699 "Device.c"
										GeeArrayList* _tmp61_ = NULL;
										MountEntry* _tmp62_ = NULL;
										const gchar* _tmp63_ = NULL;
										Device* _tmp64_ = NULL;
										GeeArrayList* _tmp65_ = NULL;
										MountEntry* _tmp66_ = NULL;
#line 891 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										_tmp61_ = mount_list;
#line 891 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										_tmp62_ = mp;
#line 891 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										_tmp63_ = _tmp62_->mount_point;
#line 891 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										gee_abstract_collection_add ((GeeAbstractCollection*) _tmp61_, _tmp63_);
#line 892 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										_tmp64_ = pi;
#line 892 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										_tmp65_ = _tmp64_->mount_points;
#line 892 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										_tmp66_ = mp;
#line 892 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										gee_abstract_collection_add ((GeeAbstractCollection*) _tmp65_, _tmp66_);
#line 5722 "Device.c"
									}
#line 894 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5726 "Device.c"
								}
#line 884 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								case 3:
#line 5730 "Device.c"
								{
									Device* _tmp67_ = NULL;
									const gchar* _tmp68_ = NULL;
									gchar* _tmp69_ = NULL;
#line 896 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp67_ = pi;
#line 896 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp68_ = val;
#line 896 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp69_ = string_strip (_tmp68_);
#line 896 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_free0 (_tmp67_->fstype);
#line 896 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp67_->fstype = _tmp69_;
#line 897 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5747 "Device.c"
								}
#line 884 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								case 4:
#line 5751 "Device.c"
								{
									MountEntry* _tmp70_ = NULL;
									const gchar* _tmp71_ = NULL;
									gchar* _tmp72_ = NULL;
#line 899 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp70_ = mp;
#line 899 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp71_ = val;
#line 899 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp72_ = string_strip (_tmp71_);
#line 899 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_free0 (_tmp70_->mount_options);
#line 899 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp70_->mount_options = _tmp72_;
#line 900 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5768 "Device.c"
								}
								default:
								{
#line 903 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5774 "Device.c"
								}
							}
#line 882 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (val);
#line 5779 "Device.c"
						}
					}
#line 882 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					val_collection = (_vala_array_free (val_collection, val_collection_length1, (GDestroyNotify) g_free), NULL);
#line 5784 "Device.c"
				}
#line 909 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp73_ = pi;
#line 909 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp74_ = pi;
#line 909 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp75_ = _tmp74_->device;
#line 909 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp76_ = device_resolve_device_name (_tmp75_);
#line 909 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp73_->device);
#line 909 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp73_->device = _tmp76_;
#line 913 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp77_ = pi;
#line 913 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp78_ = pi;
#line 913 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp79_ = _tmp78_->device;
#line 913 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp80_ = device_get_device_uuid (_tmp79_);
#line 913 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp77_->uuid);
#line 913 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp77_->uuid = _tmp80_;
#line 917 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp81_ = pi;
#line 917 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp82_ = _tmp81_->uuid;
#line 917 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp83_ = strlen (_tmp82_);
#line 917 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp84_ = _tmp83_;
#line 917 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp84_ > 0) {
#line 5820 "Device.c"
					Device* dev = NULL;
					GeeArrayList* _tmp85_ = NULL;
					Device* _tmp86_ = NULL;
					const gchar* _tmp87_ = NULL;
					Device* _tmp88_ = NULL;
					Device* _tmp89_ = NULL;
#line 918 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp85_ = list;
#line 918 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp86_ = pi;
#line 918 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp87_ = _tmp86_->uuid;
#line 918 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp88_ = device_find_device_in_list (_tmp85_, _tmp87_);
#line 918 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					dev = _tmp88_;
#line 919 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp89_ = dev;
#line 919 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp89_ == NULL) {
#line 5841 "Device.c"
						GeeArrayList* _tmp90_ = NULL;
						Device* _tmp91_ = NULL;
#line 920 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp90_ = list;
#line 920 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp91_ = pi;
#line 920 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp90_, _tmp91_);
#line 5850 "Device.c"
					} else {
						{
							GeeArrayList* _item_list = NULL;
							Device* _tmp92_ = NULL;
							GeeArrayList* _tmp93_ = NULL;
							GeeArrayList* _tmp94_ = NULL;
							gint _item_size = 0;
							GeeArrayList* _tmp95_ = NULL;
							gint _tmp96_ = 0;
							gint _tmp97_ = 0;
							gint _item_index = 0;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp92_ = pi;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp93_ = _tmp92_->mount_points;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp94_ = _g_object_ref0 (_tmp93_);
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_item_list = _tmp94_;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp95_ = _item_list;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp96_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp95_);
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp97_ = _tmp96_;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_item_size = _tmp97_;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_item_index = -1;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							while (TRUE) {
#line 5882 "Device.c"
								gint _tmp98_ = 0;
								gint _tmp99_ = 0;
								gint _tmp100_ = 0;
								MountEntry* item = NULL;
								GeeArrayList* _tmp101_ = NULL;
								gint _tmp102_ = 0;
								gpointer _tmp103_ = NULL;
								Device* _tmp104_ = NULL;
								GeeArrayList* _tmp105_ = NULL;
								MountEntry* _tmp106_ = NULL;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp98_ = _item_index;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_item_index = _tmp98_ + 1;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp99_ = _item_index;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp100_ = _item_size;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								if (!(_tmp99_ < _tmp100_)) {
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									break;
#line 5905 "Device.c"
								}
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp101_ = _item_list;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp102_ = _item_index;
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp103_ = gee_abstract_list_get ((GeeAbstractList*) _tmp101_, _tmp102_);
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								item = (MountEntry*) _tmp103_;
#line 925 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp104_ = dev;
#line 925 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp105_ = _tmp104_->mount_points;
#line 925 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp106_ = item;
#line 925 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								gee_abstract_collection_add ((GeeAbstractCollection*) _tmp105_, _tmp106_);
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_g_object_unref0 (item);
#line 5925 "Device.c"
							}
#line 924 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_object_unref0 (_item_list);
#line 5929 "Device.c"
						}
					}
#line 917 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 5934 "Device.c"
				}
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (mp);
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (pi);
#line 870 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (line);
#line 5942 "Device.c"
			}
		}
	}
#line 931 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp107_ = list;
#line 931 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp108_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp107_);
#line 931 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp109_ = _tmp108_;
#line 931 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp110_ = g_strdup_printf ("Device: get_mounted_filesystems_using_mtab(): %d", _tmp109_);
#line 931 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp111_ = _tmp110_;
#line 931 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp111_);
#line 931 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp111_);
#line 933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = list;
#line 933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (mount_list);
#line 933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	lines = (_vala_array_free (lines, lines_length1, (GDestroyNotify) g_free), NULL);
#line 933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (f);
#line 933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (mtab_lines);
#line 933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (mtab_path);
#line 933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 5974 "Device.c"
}


Device* device_get_device_by_uuid (const gchar* uuid) {
	Device* result = NULL;
	GeeArrayList* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	Device* _tmp2_ = NULL;
#line 938 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (uuid != NULL, NULL);
#line 940 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_device_list;
#line 940 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = uuid;
#line 940 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = device_find_device_in_list (_tmp0_, _tmp1_);
#line 940 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp2_;
#line 940 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 5995 "Device.c"
}


Device* device_get_device_by_name (const gchar* file_name) {
	Device* result = NULL;
	GeeArrayList* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	Device* _tmp2_ = NULL;
#line 943 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (file_name != NULL, NULL);
#line 945 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_device_list;
#line 945 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = file_name;
#line 945 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = device_find_device_in_list (_tmp0_, _tmp1_);
#line 945 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp2_;
#line 945 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 6016 "Device.c"
}


Device* device_get_device_by_path (const gchar* path_to_check) {
	Device* result = NULL;
	GeeArrayList* list = NULL;
	const gchar* _tmp0_ = NULL;
	GeeArrayList* _tmp1_ = NULL;
	GeeArrayList* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
#line 948 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (path_to_check != NULL, NULL);
#line 950 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = path_to_check;
#line 950 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = device_get_disk_space_using_df (_tmp0_);
#line 950 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp1_;
#line 952 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = list;
#line 952 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 952 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 952 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp4_ > 0) {
#line 6044 "Device.c"
		GeeArrayList* _tmp5_ = NULL;
		gpointer _tmp6_ = NULL;
#line 953 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = list;
#line 953 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = gee_abstract_list_get ((GeeAbstractList*) _tmp5_, 0);
#line 953 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = (Device*) _tmp6_;
#line 953 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 953 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 6057 "Device.c"
	}
#line 956 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = NULL;
#line 956 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 956 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 6065 "Device.c"
}


gchar* device_get_device_uuid (const gchar* device) {
	gchar* result = NULL;
	GeeArrayList* _tmp0_ = NULL;
	gchar* _tmp19_ = NULL;
#line 959 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (device != NULL, NULL);
#line 961 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_device_list;
#line 961 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp0_ == NULL) {
#line 6079 "Device.c"
		GeeArrayList* _tmp1_ = NULL;
#line 962 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp1_ = device_get_block_devices_using_lsblk ("");
#line 962 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (device_device_list);
#line 962 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device_device_list = _tmp1_;
#line 6087 "Device.c"
	}
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp2_ = NULL;
		GeeArrayList* _tmp3_ = NULL;
		gint _dev_size = 0;
		GeeArrayList* _tmp4_ = NULL;
		gint _tmp5_ = 0;
		gint _tmp6_ = 0;
		gint _dev_index = 0;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = device_device_list;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = _g_object_ref0 (_tmp2_);
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_list = _tmp3_;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = _dev_list;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = _tmp5_;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_size = _tmp6_;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_index = -1;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 6116 "Device.c"
			gint _tmp7_ = 0;
			gint _tmp8_ = 0;
			gint _tmp9_ = 0;
			Device* dev = NULL;
			GeeArrayList* _tmp10_ = NULL;
			gint _tmp11_ = 0;
			gpointer _tmp12_ = NULL;
			Device* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
			const gchar* _tmp15_ = NULL;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp7_ = _dev_index;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_index = _tmp7_ + 1;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp8_ = _dev_index;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp9_ = _dev_size;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp8_ < _tmp9_)) {
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 6139 "Device.c"
			}
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp10_ = _dev_list;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp11_ = _dev_index;
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			dev = (Device*) _tmp12_;
#line 965 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = dev;
#line 965 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = _tmp13_->device;
#line 965 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp15_ = device;
#line 965 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp14_, _tmp15_) == 0) {
#line 6157 "Device.c"
				Device* _tmp16_ = NULL;
				const gchar* _tmp17_ = NULL;
				gchar* _tmp18_ = NULL;
#line 966 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp16_ = dev;
#line 966 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp17_ = _tmp16_->uuid;
#line 966 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp18_ = g_strdup (_tmp17_);
#line 966 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				result = _tmp18_;
#line 966 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (dev);
#line 966 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (_dev_list);
#line 966 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				return result;
#line 6175 "Device.c"
			}
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 6179 "Device.c"
		}
#line 964 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 6183 "Device.c"
	}
#line 970 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp19_ = g_strdup ("");
#line 970 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp19_;
#line 970 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 6191 "Device.c"
}


GeeArrayList* device_get_device_mount_points (const gchar* dev_name_or_uuid) {
	GeeArrayList* result = NULL;
	gchar* device = NULL;
	gchar* _tmp0_ = NULL;
	gchar* uuid = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GeeArrayList* list_mtab = NULL;
	GeeArrayList* _tmp14_ = NULL;
	Device* dev = NULL;
	GeeArrayList* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	Device* _tmp17_ = NULL;
	Device* _tmp18_ = NULL;
#line 973 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, NULL);
#line 974 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 974 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device = _tmp0_;
#line 975 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 975 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	uuid = _tmp1_;
#line 977 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = dev_name_or_uuid;
#line 977 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = g_str_has_prefix (_tmp2_, "/dev");
#line 977 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp3_) {
#line 6226 "Device.c"
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
#line 978 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = dev_name_or_uuid;
#line 978 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = g_strdup (_tmp4_);
#line 978 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 978 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device = _tmp5_;
#line 979 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = dev_name_or_uuid;
#line 979 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = device_get_device_uuid (_tmp6_);
#line 979 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 979 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		uuid = _tmp7_;
#line 6247 "Device.c"
	} else {
		const gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
#line 982 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = dev_name_or_uuid;
#line 982 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = g_strdup (_tmp8_);
#line 982 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 982 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		uuid = _tmp9_;
#line 983 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = uuid;
#line 983 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = g_strdup_printf ("/dev/disk/by-uuid/%s", _tmp10_);
#line 983 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 983 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device = _tmp11_;
#line 984 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = device;
#line 984 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp13_ = device_resolve_device_name (_tmp12_);
#line 984 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 984 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device = _tmp13_;
#line 6279 "Device.c"
	}
#line 987 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp14_ = device_get_mounted_filesystems_using_mtab ();
#line 987 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list_mtab = _tmp14_;
#line 989 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp15_ = list_mtab;
#line 989 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp16_ = uuid;
#line 989 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp17_ = device_find_device_in_list (_tmp15_, _tmp16_);
#line 989 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	dev = _tmp17_;
#line 991 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp18_ = dev;
#line 991 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp18_ != NULL) {
#line 6297 "Device.c"
		Device* _tmp19_ = NULL;
		GeeArrayList* _tmp20_ = NULL;
		GeeArrayList* _tmp21_ = NULL;
#line 992 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp19_ = dev;
#line 992 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp20_ = _tmp19_->mount_points;
#line 992 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp21_ = _g_object_ref0 (_tmp20_);
#line 992 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = _tmp21_;
#line 992 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 992 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (list_mtab);
#line 992 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 992 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 992 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 6319 "Device.c"
	} else {
		GeeArrayList* _tmp22_ = NULL;
#line 995 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp22_ = gee_array_list_new (TYPE_MOUNT_ENTRY, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 995 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = _tmp22_;
#line 995 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 995 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (list_mtab);
#line 995 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 995 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 995 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 6336 "Device.c"
	}
#line 973 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (dev);
#line 973 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (list_mtab);
#line 973 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (uuid);
#line 973 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (device);
#line 6346 "Device.c"
}


gboolean device_device_is_mounted (const gchar* dev_name_or_uuid) {
	gboolean result = FALSE;
	GeeArrayList* mps = NULL;
	const gchar* _tmp0_ = NULL;
	GeeArrayList* _tmp1_ = NULL;
	GeeArrayList* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
#line 999 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, FALSE);
#line 1001 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = dev_name_or_uuid;
#line 1001 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = device_get_device_mount_points (_tmp0_);
#line 1001 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	mps = _tmp1_;
#line 1002 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = mps;
#line 1002 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp2_);
#line 1002 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1002 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp4_ > 0) {
#line 1003 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = TRUE;
#line 1003 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (mps);
#line 1003 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 6380 "Device.c"
	}
#line 1006 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = FALSE;
#line 1006 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (mps);
#line 1006 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 6388 "Device.c"
}


gboolean device_mount_point_in_use (const gchar* mount_point) {
	gboolean result = FALSE;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_ = NULL;
#line 1009 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (mount_point != NULL, FALSE);
#line 1010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_get_mounted_filesystems_using_mtab ();
#line 1010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp0_;
#line 6402 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp1_ = NULL;
		GeeArrayList* _tmp2_ = NULL;
		gint _dev_size = 0;
		GeeArrayList* _tmp3_ = NULL;
		gint _tmp4_ = 0;
		gint _tmp5_ = 0;
		gint _dev_index = 0;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp1_ = list;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = _g_object_ref0 (_tmp1_);
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_list = _tmp2_;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = _dev_list;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp3_);
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_size = _tmp5_;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_index = -1;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 6430 "Device.c"
			gint _tmp6_ = 0;
			gint _tmp7_ = 0;
			gint _tmp8_ = 0;
			Device* dev = NULL;
			GeeArrayList* _tmp9_ = NULL;
			gint _tmp10_ = 0;
			gpointer _tmp11_ = NULL;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp6_ = _dev_index;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_index = _tmp6_ + 1;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp7_ = _dev_index;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp8_ = _dev_size;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp7_ < _tmp8_)) {
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 6450 "Device.c"
			}
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp9_ = _dev_list;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp10_ = _dev_index;
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			dev = (Device*) _tmp11_;
#line 6460 "Device.c"
			{
				GeeArrayList* _mp_list = NULL;
				Device* _tmp12_ = NULL;
				GeeArrayList* _tmp13_ = NULL;
				GeeArrayList* _tmp14_ = NULL;
				gint _mp_size = 0;
				GeeArrayList* _tmp15_ = NULL;
				gint _tmp16_ = 0;
				gint _tmp17_ = 0;
				gint _mp_index = 0;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp12_ = dev;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp13_ = _tmp12_->mount_points;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp14_ = _g_object_ref0 (_tmp13_);
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_mp_list = _tmp14_;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp15_ = _mp_list;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp16_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp15_);
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp17_ = _tmp16_;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_mp_size = _tmp17_;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_mp_index = -1;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				while (TRUE) {
#line 6491 "Device.c"
					gint _tmp18_ = 0;
					gint _tmp19_ = 0;
					gint _tmp20_ = 0;
					MountEntry* mp = NULL;
					GeeArrayList* _tmp21_ = NULL;
					gint _tmp22_ = 0;
					gpointer _tmp23_ = NULL;
					MountEntry* _tmp24_ = NULL;
					const gchar* _tmp25_ = NULL;
					const gchar* _tmp26_ = NULL;
					gboolean _tmp27_ = FALSE;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp18_ = _mp_index;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_mp_index = _tmp18_ + 1;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp19_ = _mp_index;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp20_ = _mp_size;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (!(_tmp19_ < _tmp20_)) {
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						break;
#line 6515 "Device.c"
					}
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp21_ = _mp_list;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp22_ = _mp_index;
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp23_ = gee_abstract_list_get ((GeeAbstractList*) _tmp21_, _tmp22_);
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					mp = (MountEntry*) _tmp23_;
#line 1013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp24_ = mp;
#line 1013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp25_ = _tmp24_->mount_point;
#line 1013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp26_ = mount_point;
#line 1013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp27_ = g_str_has_prefix (_tmp25_, _tmp26_);
#line 1013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp27_) {
#line 1015 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						result = TRUE;
#line 1015 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (mp);
#line 1015 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (_mp_list);
#line 1015 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (dev);
#line 1015 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (_dev_list);
#line 1015 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (list);
#line 1015 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						return result;
#line 6549 "Device.c"
					}
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (mp);
#line 6553 "Device.c"
				}
#line 1012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (_mp_list);
#line 6557 "Device.c"
			}
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 6561 "Device.c"
		}
#line 1011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 6565 "Device.c"
	}
#line 1019 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = FALSE;
#line 1019 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1019 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 6573 "Device.c"
}


gchar* device_resolve_device_name (const gchar* dev_alias) {
	gchar* result = NULL;
	Device* dev = NULL;
	GeeArrayList* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	Device* _tmp2_ = NULL;
	Device* _tmp3_ = NULL;
#line 1022 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (dev_alias != NULL, NULL);
#line 1024 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_device_list;
#line 1024 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = dev_alias;
#line 1024 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = device_find_device_in_list (_tmp0_, _tmp1_);
#line 1024 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	dev = _tmp2_;
#line 1026 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = dev;
#line 1026 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp3_ != NULL) {
#line 6598 "Device.c"
		Device* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
#line 1027 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = dev;
#line 1027 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = _tmp4_->device;
#line 1027 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = g_strdup (_tmp5_);
#line 1027 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = _tmp6_;
#line 1027 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1027 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 6614 "Device.c"
	} else {
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 1030 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = dev_alias;
#line 1030 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = g_strdup (_tmp7_);
#line 1030 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = _tmp8_;
#line 1030 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1030 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 6628 "Device.c"
	}
#line 1022 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (dev);
#line 6632 "Device.c"
}


Device* device_find_device_in_list (GeeArrayList* list, const gchar* _dev_alias) {
	Device* result = NULL;
	gchar* dev_alias = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
#line 1034 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (list != NULL, NULL);
#line 1034 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (_dev_alias != NULL, NULL);
#line 1036 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = _dev_alias;
#line 1036 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1036 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	dev_alias = _tmp1_;
#line 1038 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = dev_alias;
#line 1038 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = g_utf8_strdown (_tmp2_, (gssize) -1);
#line 1038 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1038 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = g_str_has_prefix (_tmp4_, "uuid=");
#line 1038 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp6_ = _tmp5_;
#line 1038 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp4_);
#line 1038 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp6_) {
#line 6670 "Device.c"
		const gchar* _tmp7_ = NULL;
		gchar** _tmp8_ = NULL;
		gchar** _tmp9_ = NULL;
		gchar** _tmp10_ = NULL;
		gint _tmp10__length1 = 0;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
#line 1040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = dev_alias;
#line 1040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = _tmp8_ = g_strsplit (_tmp7_, "=", 2);
#line 1040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 1040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10__length1 = _vala_array_length (_tmp8_);
#line 1040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = _tmp10_[1];
#line 1040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = string_strip (_tmp11_);
#line 1040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp13_ = _tmp12_;
#line 1040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp14_ = g_utf8_strdown (_tmp13_, (gssize) -1);
#line 1040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (dev_alias);
#line 1040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		dev_alias = _tmp14_;
#line 1040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp13_);
#line 1040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = (_vala_array_free (_tmp10_, _tmp10__length1, (GDestroyNotify) g_free), NULL);
#line 6704 "Device.c"
	} else {
		gboolean _tmp15_ = FALSE;
		const gchar* _tmp16_ = NULL;
		gboolean _tmp17_ = FALSE;
#line 1042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp16_ = dev_alias;
#line 1042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp17_ = tee_jee_file_system_file_exists (_tmp16_);
#line 1042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp17_) {
#line 6715 "Device.c"
			const gchar* _tmp18_ = NULL;
			gboolean _tmp19_ = FALSE;
#line 1042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp18_ = dev_alias;
#line 1042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp19_ = tee_jee_file_system_file_is_symlink (_tmp18_);
#line 1042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp15_ = _tmp19_;
#line 6724 "Device.c"
		} else {
#line 1042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp15_ = FALSE;
#line 6728 "Device.c"
		}
#line 1042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp15_) {
#line 6732 "Device.c"
			gchar* link_path = NULL;
			const gchar* _tmp20_ = NULL;
			gchar* _tmp21_ = NULL;
			const gchar* _tmp22_ = NULL;
			gchar* _tmp23_ = NULL;
			gchar* _tmp24_ = NULL;
			gchar* _tmp25_ = NULL;
			gchar* _tmp26_ = NULL;
			gchar* _tmp27_ = NULL;
#line 1044 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp20_ = dev_alias;
#line 1044 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp21_ = tee_jee_file_system_file_get_symlink_target (_tmp20_);
#line 1044 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			link_path = _tmp21_;
#line 1046 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp22_ = link_path;
#line 1046 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp23_ = string_replace (_tmp22_, "../../../", "/dev/");
#line 1046 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp24_ = _tmp23_;
#line 1046 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp25_ = string_replace (_tmp24_, "../../", "/dev/");
#line 1046 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp26_ = _tmp25_;
#line 1046 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp27_ = string_replace (_tmp26_, "../", "/dev/");
#line 1046 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (dev_alias);
#line 1046 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			dev_alias = _tmp27_;
#line 1046 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp26_);
#line 1046 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp24_);
#line 1042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (link_path);
#line 6770 "Device.c"
		}
	}
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp28_ = NULL;
		GeeArrayList* _tmp29_ = NULL;
		gint _dev_size = 0;
		GeeArrayList* _tmp30_ = NULL;
		gint _tmp31_ = 0;
		gint _tmp32_ = 0;
		gint _dev_index = 0;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp28_ = list;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp29_ = _g_object_ref0 (_tmp28_);
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_list = _tmp29_;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp30_ = _dev_list;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp31_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp30_);
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp32_ = _tmp31_;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_size = _tmp32_;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_index = -1;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 6800 "Device.c"
			gint _tmp33_ = 0;
			gint _tmp34_ = 0;
			gint _tmp35_ = 0;
			Device* dev = NULL;
			GeeArrayList* _tmp36_ = NULL;
			gint _tmp37_ = 0;
			gpointer _tmp38_ = NULL;
			Device* _tmp39_ = NULL;
			const gchar* _tmp40_ = NULL;
			const gchar* _tmp41_ = NULL;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp33_ = _dev_index;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_index = _tmp33_ + 1;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp34_ = _dev_index;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp35_ = _dev_size;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp34_ < _tmp35_)) {
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 6823 "Device.c"
			}
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp36_ = _dev_list;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp37_ = _dev_index;
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp38_ = gee_abstract_list_get ((GeeAbstractList*) _tmp36_, _tmp37_);
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			dev = (Device*) _tmp38_;
#line 1051 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp39_ = dev;
#line 1051 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp40_ = _tmp39_->device;
#line 1051 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp41_ = dev_alias;
#line 1051 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp40_, _tmp41_) == 0) {
#line 1052 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				result = dev;
#line 1052 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (_dev_list);
#line 1052 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (dev_alias);
#line 1052 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				return result;
#line 6849 "Device.c"
			} else {
				Device* _tmp42_ = NULL;
				const gchar* _tmp43_ = NULL;
				const gchar* _tmp44_ = NULL;
#line 1054 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp42_ = dev;
#line 1054 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp43_ = _tmp42_->uuid;
#line 1054 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp44_ = dev_alias;
#line 1054 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp43_, _tmp44_) == 0) {
#line 1055 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					result = dev;
#line 1055 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (_dev_list);
#line 1055 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (dev_alias);
#line 1055 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					return result;
#line 6870 "Device.c"
				} else {
					Device* _tmp45_ = NULL;
					const gchar* _tmp46_ = NULL;
					const gchar* _tmp47_ = NULL;
#line 1057 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp45_ = dev;
#line 1057 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp46_ = _tmp45_->label;
#line 1057 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp47_ = dev_alias;
#line 1057 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (g_strcmp0 (_tmp46_, _tmp47_) == 0) {
#line 1058 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						result = dev;
#line 1058 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_object_unref0 (_dev_list);
#line 1058 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (dev_alias);
#line 1058 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						return result;
#line 6891 "Device.c"
					} else {
						Device* _tmp48_ = NULL;
						const gchar* _tmp49_ = NULL;
						const gchar* _tmp50_ = NULL;
#line 1060 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp48_ = dev;
#line 1060 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp49_ = _tmp48_->partuuid;
#line 1060 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp50_ = dev_alias;
#line 1060 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						if (g_strcmp0 (_tmp49_, _tmp50_) == 0) {
#line 1061 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							result = dev;
#line 1061 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_object_unref0 (_dev_list);
#line 1061 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_g_free0 (dev_alias);
#line 1061 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							return result;
#line 6912 "Device.c"
						} else {
							Device* _tmp51_ = NULL;
							const gchar* _tmp52_ = NULL;
							const gchar* _tmp53_ = NULL;
#line 1063 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp51_ = dev;
#line 1063 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp52_ = _tmp51_->partlabel;
#line 1063 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							_tmp53_ = dev_alias;
#line 1063 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
							if (g_strcmp0 (_tmp52_, _tmp53_) == 0) {
#line 1064 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								result = dev;
#line 1064 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_g_object_unref0 (_dev_list);
#line 1064 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_g_free0 (dev_alias);
#line 1064 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								return result;
#line 6933 "Device.c"
							} else {
								Device* _tmp54_ = NULL;
								const gchar* _tmp55_ = NULL;
								const gchar* _tmp56_ = NULL;
#line 1066 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp54_ = dev;
#line 1066 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp55_ = _tmp54_->device_by_uuid;
#line 1066 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								_tmp56_ = dev_alias;
#line 1066 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
								if (g_strcmp0 (_tmp55_, _tmp56_) == 0) {
#line 1067 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									result = dev;
#line 1067 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_object_unref0 (_dev_list);
#line 1067 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_g_free0 (dev_alias);
#line 1067 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									return result;
#line 6954 "Device.c"
								} else {
									Device* _tmp57_ = NULL;
									const gchar* _tmp58_ = NULL;
									const gchar* _tmp59_ = NULL;
#line 1069 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp57_ = dev;
#line 1069 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp58_ = _tmp57_->device_by_label;
#line 1069 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									_tmp59_ = dev_alias;
#line 1069 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
									if (g_strcmp0 (_tmp58_, _tmp59_) == 0) {
#line 1070 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										result = dev;
#line 1070 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										_g_object_unref0 (_dev_list);
#line 1070 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										_g_free0 (dev_alias);
#line 1070 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										return result;
#line 6975 "Device.c"
									} else {
										Device* _tmp60_ = NULL;
										const gchar* _tmp61_ = NULL;
										const gchar* _tmp62_ = NULL;
#line 1072 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										_tmp60_ = dev;
#line 1072 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										_tmp61_ = _tmp60_->device_by_partuuid;
#line 1072 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										_tmp62_ = dev_alias;
#line 1072 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
										if (g_strcmp0 (_tmp61_, _tmp62_) == 0) {
#line 1073 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
											result = dev;
#line 1073 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
											_g_object_unref0 (_dev_list);
#line 1073 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
											_g_free0 (dev_alias);
#line 1073 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
											return result;
#line 6996 "Device.c"
										} else {
											Device* _tmp63_ = NULL;
											const gchar* _tmp64_ = NULL;
											const gchar* _tmp65_ = NULL;
#line 1075 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
											_tmp63_ = dev;
#line 1075 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
											_tmp64_ = _tmp63_->device_by_partlabel;
#line 1075 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
											_tmp65_ = dev_alias;
#line 1075 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
											if (g_strcmp0 (_tmp64_, _tmp65_) == 0) {
#line 1076 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
												result = dev;
#line 1076 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
												_g_object_unref0 (_dev_list);
#line 1076 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
												_g_free0 (dev_alias);
#line 1076 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
												return result;
#line 7017 "Device.c"
											} else {
												Device* _tmp66_ = NULL;
												const gchar* _tmp67_ = NULL;
												const gchar* _tmp68_ = NULL;
#line 1078 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
												_tmp66_ = dev;
#line 1078 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
												_tmp67_ = _tmp66_->device_mapper;
#line 1078 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
												_tmp68_ = dev_alias;
#line 1078 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
												if (g_strcmp0 (_tmp67_, _tmp68_) == 0) {
#line 1079 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
													result = dev;
#line 1079 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
													_g_object_unref0 (_dev_list);
#line 1079 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
													_g_free0 (dev_alias);
#line 1079 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
													return result;
#line 7038 "Device.c"
												} else {
													Device* _tmp69_ = NULL;
													const gchar* _tmp70_ = NULL;
													const gchar* _tmp71_ = NULL;
#line 1081 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
													_tmp69_ = dev;
#line 1081 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
													_tmp70_ = _tmp69_->mapped_name;
#line 1081 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
													_tmp71_ = dev_alias;
#line 1081 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
													if (g_strcmp0 (_tmp70_, _tmp71_) == 0) {
#line 1082 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
														result = dev;
#line 1082 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
														_g_object_unref0 (_dev_list);
#line 1082 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
														_g_free0 (dev_alias);
#line 1082 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
														return result;
#line 7059 "Device.c"
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 7073 "Device.c"
		}
#line 1049 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 7077 "Device.c"
	}
#line 1086 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = NULL;
#line 1086 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (dev_alias);
#line 1086 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 7085 "Device.c"
}


void device_copy_fields_from (Device* self, Device* dev2) {
	Device* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	Device* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	Device* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	Device* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	Device* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	Device* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	Device* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	Device* _tmp21_ = NULL;
	const gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	Device* _tmp24_ = NULL;
	const gchar* _tmp25_ = NULL;
	gchar* _tmp26_ = NULL;
	Device* _tmp27_ = NULL;
	guint64 _tmp28_ = 0ULL;
	Device* _tmp29_ = NULL;
	guint64 _tmp30_ = 0ULL;
	Device* _tmp31_ = NULL;
	guint64 _tmp32_ = 0ULL;
	Device* _tmp33_ = NULL;
	GeeArrayList* _tmp34_ = NULL;
	GeeArrayList* _tmp35_ = NULL;
	Device* _tmp36_ = NULL;
	GeeArrayList* _tmp37_ = NULL;
	GeeArrayList* _tmp38_ = NULL;
	Device* _tmp39_ = NULL;
	Device* _tmp40_ = NULL;
	Device* _tmp41_ = NULL;
	Device* _tmp42_ = NULL;
	GeeArrayList* _tmp43_ = NULL;
	GeeArrayList* _tmp44_ = NULL;
	Device* _tmp45_ = NULL;
	const gchar* _tmp46_ = NULL;
	gchar* _tmp47_ = NULL;
	Device* _tmp48_ = NULL;
	const gchar* _tmp49_ = NULL;
	gchar* _tmp50_ = NULL;
	Device* _tmp51_ = NULL;
	const gchar* _tmp52_ = NULL;
	gchar* _tmp53_ = NULL;
	Device* _tmp54_ = NULL;
	const gchar* _tmp55_ = NULL;
	gchar* _tmp56_ = NULL;
	Device* _tmp57_ = NULL;
	gboolean _tmp58_ = FALSE;
	Device* _tmp59_ = NULL;
	gboolean _tmp60_ = FALSE;
#line 1089 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_if_fail (self != NULL);
#line 1089 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_if_fail (dev2 != NULL);
#line 1091 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = dev2;
#line 1091 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = _tmp0_->device;
#line 1091 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 1091 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->device);
#line 1091 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->device = _tmp2_;
#line 1092 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = dev2;
#line 1092 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = _tmp3_->name;
#line 1092 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = g_strdup (_tmp4_);
#line 1092 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->name);
#line 1092 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->name = _tmp5_;
#line 1093 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp6_ = dev2;
#line 1093 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp7_ = _tmp6_->kname;
#line 1093 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp8_ = g_strdup (_tmp7_);
#line 1093 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->kname);
#line 1093 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->kname = _tmp8_;
#line 1094 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp9_ = dev2;
#line 1094 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp10_ = _tmp9_->pkname;
#line 1094 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp11_ = g_strdup (_tmp10_);
#line 1094 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->pkname);
#line 1094 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->pkname = _tmp11_;
#line 1095 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp12_ = dev2;
#line 1095 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp13_ = _tmp12_->label;
#line 1095 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp14_ = g_strdup (_tmp13_);
#line 1095 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->label);
#line 1095 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->label = _tmp14_;
#line 1096 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp15_ = dev2;
#line 1096 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp16_ = _tmp15_->uuid;
#line 1096 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp17_ = g_strdup (_tmp16_);
#line 1096 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->uuid);
#line 1096 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->uuid = _tmp17_;
#line 1097 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp18_ = dev2;
#line 1097 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp19_ = _tmp18_->mapped_name;
#line 1097 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp20_ = g_strdup (_tmp19_);
#line 1097 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->mapped_name);
#line 1097 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->mapped_name = _tmp20_;
#line 1099 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp21_ = dev2;
#line 1099 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp22_ = _tmp21_->type;
#line 1099 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp23_ = g_strdup (_tmp22_);
#line 1099 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->type);
#line 1099 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->type = _tmp23_;
#line 1100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp24_ = dev2;
#line 1100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp25_ = _tmp24_->fstype;
#line 1100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp26_ = g_strdup (_tmp25_);
#line 1100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->fstype);
#line 1100 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->fstype = _tmp26_;
#line 1102 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp27_ = dev2;
#line 1102 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp28_ = _tmp27_->size_bytes;
#line 1102 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->size_bytes = _tmp28_;
#line 1103 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp29_ = dev2;
#line 1103 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp30_ = _tmp29_->used_bytes;
#line 1103 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->used_bytes = _tmp30_;
#line 1104 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp31_ = dev2;
#line 1104 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp32_ = _tmp31_->available_bytes;
#line 1104 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->available_bytes = _tmp32_;
#line 1106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp33_ = dev2;
#line 1106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp34_ = _tmp33_->mount_points;
#line 1106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp35_ = _g_object_ref0 (_tmp34_);
#line 1106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (self->mount_points);
#line 1106 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->mount_points = _tmp35_;
#line 1107 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp36_ = dev2;
#line 1107 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp37_ = _tmp36_->symlinks;
#line 1107 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp38_ = _g_object_ref0 (_tmp37_);
#line 1107 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (self->symlinks);
#line 1107 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->symlinks = _tmp38_;
#line 1108 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp39_ = dev2;
#line 1108 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp40_ = _tmp39_->parent;
#line 1108 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp41_ = _g_object_ref0 (_tmp40_);
#line 1108 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (self->parent);
#line 1108 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->parent = _tmp41_;
#line 1109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp42_ = dev2;
#line 1109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp43_ = _tmp42_->children;
#line 1109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp44_ = _g_object_ref0 (_tmp43_);
#line 1109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (self->children);
#line 1109 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->children = _tmp44_;
#line 1111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp45_ = dev2;
#line 1111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp46_ = _tmp45_->vendor;
#line 1111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp47_ = g_strdup (_tmp46_);
#line 1111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->vendor);
#line 1111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->vendor = _tmp47_;
#line 1112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp48_ = dev2;
#line 1112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp49_ = _tmp48_->model;
#line 1112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp50_ = g_strdup (_tmp49_);
#line 1112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->model);
#line 1112 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->model = _tmp50_;
#line 1113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp51_ = dev2;
#line 1113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp52_ = _tmp51_->serial;
#line 1113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp53_ = g_strdup (_tmp52_);
#line 1113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->serial);
#line 1113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->serial = _tmp53_;
#line 1114 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp54_ = dev2;
#line 1114 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp55_ = _tmp54_->revision;
#line 1114 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp56_ = g_strdup (_tmp55_);
#line 1114 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->revision);
#line 1114 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->revision = _tmp56_;
#line 1116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp57_ = dev2;
#line 1116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp58_ = _tmp57_->removable;
#line 1116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->removable = _tmp58_;
#line 1117 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp59_ = dev2;
#line 1117 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp60_ = _tmp59_->read_only;
#line 1117 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->read_only = _tmp60_;
#line 7355 "Device.c"
}


Device* device_query_changes (Device* self) {
	Device* result = NULL;
	Device* dev_new = NULL;
#line 1120 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	dev_new = NULL;
#line 7366 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp0_ = NULL;
		gint _dev_size = 0;
		GeeArrayList* _tmp1_ = NULL;
		gint _tmp2_ = 0;
		gint _tmp3_ = 0;
		gint _dev_index = 0;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = device_get_block_devices_using_lsblk ("");
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_list = _tmp0_;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp1_ = _dev_list;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp1_);
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = _tmp2_;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_size = _tmp3_;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_index = -1;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 7391 "Device.c"
			gint _tmp4_ = 0;
			gint _tmp5_ = 0;
			gint _tmp6_ = 0;
			Device* dev = NULL;
			GeeArrayList* _tmp7_ = NULL;
			gint _tmp8_ = 0;
			gpointer _tmp9_ = NULL;
			const gchar* _tmp10_ = NULL;
			gint _tmp11_ = 0;
			gint _tmp12_ = 0;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp4_ = _dev_index;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_index = _tmp4_ + 1;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp5_ = _dev_index;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp6_ = _dev_size;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp5_ < _tmp6_)) {
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 7414 "Device.c"
			}
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp7_ = _dev_list;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp8_ = _dev_index;
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp9_ = gee_abstract_list_get ((GeeAbstractList*) _tmp7_, _tmp8_);
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			dev = (Device*) _tmp9_;
#line 1125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp10_ = self->uuid;
#line 1125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp11_ = strlen (_tmp10_);
#line 1125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = _tmp11_;
#line 1125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (_tmp12_ > 0) {
#line 7432 "Device.c"
				Device* _tmp13_ = NULL;
				const gchar* _tmp14_ = NULL;
				const gchar* _tmp15_ = NULL;
#line 1126 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp13_ = dev;
#line 1126 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp14_ = _tmp13_->uuid;
#line 1126 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp15_ = self->uuid;
#line 1126 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp14_, _tmp15_) == 0) {
#line 7444 "Device.c"
					Device* _tmp16_ = NULL;
					Device* _tmp17_ = NULL;
#line 1127 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp16_ = dev;
#line 1127 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp17_ = _g_object_ref0 (_tmp16_);
#line 1127 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (dev_new);
#line 1127 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					dev_new = _tmp17_;
#line 1128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 1128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					break;
#line 7459 "Device.c"
				}
			} else {
				Device* _tmp18_ = NULL;
				const gchar* _tmp19_ = NULL;
				const gchar* _tmp20_ = NULL;
#line 1132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp18_ = dev;
#line 1132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp19_ = _tmp18_->device;
#line 1132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp20_ = self->device;
#line 1132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (g_strcmp0 (_tmp19_, _tmp20_) == 0) {
#line 7473 "Device.c"
					Device* _tmp21_ = NULL;
					Device* _tmp22_ = NULL;
#line 1133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp21_ = dev;
#line 1133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp22_ = _g_object_ref0 (_tmp21_);
#line 1133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (dev_new);
#line 1133 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					dev_new = _tmp22_;
#line 1134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 1134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					break;
#line 7488 "Device.c"
				}
			}
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 7493 "Device.c"
		}
#line 1124 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 7497 "Device.c"
	}
#line 1139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = dev_new;
#line 1139 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 7503 "Device.c"
}


void device_query_disk_space (Device* self) {
	GeeArrayList* list_df = NULL;
	const gchar* _tmp0_ = NULL;
	GeeArrayList* _tmp1_ = NULL;
	Device* dev_df = NULL;
	GeeArrayList* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	Device* _tmp4_ = NULL;
	Device* _tmp5_ = NULL;
#line 1142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_if_fail (self != NULL);
#line 1146 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = self->device;
#line 1146 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = device_get_disk_space_using_df (_tmp0_);
#line 1146 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list_df = _tmp1_;
#line 1148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = list_df;
#line 1148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = self->uuid;
#line 1148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = device_find_device_in_list (_tmp2_, _tmp3_);
#line 1148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	dev_df = _tmp4_;
#line 1150 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = dev_df;
#line 1150 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp5_ != NULL) {
#line 7536 "Device.c"
		Device* _tmp6_ = NULL;
		guint64 _tmp7_ = 0ULL;
		Device* _tmp8_ = NULL;
		guint64 _tmp9_ = 0ULL;
		Device* _tmp10_ = NULL;
		guint64 _tmp11_ = 0ULL;
		Device* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
#line 1152 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = dev_df;
#line 1152 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = _tmp6_->size_bytes;
#line 1152 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		self->size_bytes = _tmp7_;
#line 1153 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = dev_df;
#line 1153 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = _tmp8_->used_bytes;
#line 1153 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		self->used_bytes = _tmp9_;
#line 1154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = dev_df;
#line 1154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = _tmp10_->available_bytes;
#line 1154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		self->available_bytes = _tmp11_;
#line 1155 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = dev_df;
#line 1155 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp13_ = _tmp12_->used_percent;
#line 1155 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp14_ = g_strdup (_tmp13_);
#line 1155 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (self->used_percent);
#line 1155 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		self->used_percent = _tmp14_;
#line 7574 "Device.c"
	}
#line 1142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (dev_df);
#line 1142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (list_df);
#line 7580 "Device.c"
}


gboolean device_automount_udisks (const gchar* dev_name_or_uuid, GtkWindow* parent_window) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	gchar* cmd = NULL;
	const gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	gint status = 0;
	const gchar* _tmp7_ = NULL;
	gint _tmp8_ = 0;
	gint _tmp9_ = 0;
	gint _tmp15_ = 0;
#line 1161 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, FALSE);
#line 1163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = dev_name_or_uuid;
#line 1163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = strlen (_tmp0_);
#line 1163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 1163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp2_ == 0) {
#line 7608 "Device.c"
		const gchar* _tmp3_ = NULL;
#line 1164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = _ ("Device name is empty!");
#line 1164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp3_, FALSE, FALSE);
#line 1165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = FALSE;
#line 1165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 7618 "Device.c"
	}
#line 1168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = dev_name_or_uuid;
#line 1168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = g_strdup_printf ("udisksctl mount -b '%s'", _tmp4_);
#line 1168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	cmd = _tmp5_;
#line 1169 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp6_ = cmd;
#line 1169 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp6_);
#line 1170 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp7_ = cmd;
#line 1170 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp8_ = system (_tmp7_);
#line 1170 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	status = _tmp8_;
#line 1172 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp9_ = status;
#line 1172 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp9_ != 0) {
#line 7640 "Device.c"
		GtkWindow* _tmp10_ = NULL;
#line 1173 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = parent_window;
#line 1173 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp10_ != NULL) {
#line 7646 "Device.c"
			gchar* msg = NULL;
			const gchar* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
			GtkWindow* _tmp14_ = NULL;
#line 1174 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp11_ = dev_name_or_uuid;
#line 1174 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = g_strdup_printf ("Failed to mount: %s", _tmp11_);
#line 1174 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			msg = _tmp12_;
#line 1175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = msg;
#line 1175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = parent_window;
#line 1175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_gtk_helper_gtk_messagebox ("Error", _tmp13_, _tmp14_, TRUE);
#line 1173 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (msg);
#line 7666 "Device.c"
		}
	}
#line 1179 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp15_ = status;
#line 1179 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp15_ == 0;
#line 1179 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 1179 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 7677 "Device.c"
}


gboolean device_automount_udisks_iso (const gchar* iso_file_path, gchar** loop_device, GtkWindow* parent_window) {
	gchar* _vala_loop_device = NULL;
	gboolean result = FALSE;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gchar* cmd = NULL;
	const gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	const gchar* _tmp12_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint exit_code = 0;
	const gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	gint _tmp16_ = 0;
	gint _tmp17_ = 0;
#line 1182 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (iso_file_path != NULL, FALSE);
#line 1184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_vala_loop_device);
#line 1184 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_vala_loop_device = _tmp0_;
#line 1186 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = iso_file_path;
#line 1186 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = tee_jee_file_system_file_exists (_tmp1_);
#line 1186 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (!_tmp2_) {
#line 7716 "Device.c"
		gchar* msg = NULL;
		const gchar* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
#line 1187 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = _ ("Could not find file");
#line 1187 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = iso_file_path;
#line 1187 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = g_strdup_printf ("%s: %s", _tmp3_, _tmp4_);
#line 1187 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		msg = _tmp5_;
#line 1188 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = msg;
#line 1188 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp6_, FALSE, FALSE);
#line 1189 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = FALSE;
#line 1189 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (msg);
#line 1189 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (loop_device) {
#line 1189 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			*loop_device = _vala_loop_device;
#line 7742 "Device.c"
		} else {
#line 1189 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_vala_loop_device);
#line 7746 "Device.c"
		}
#line 1189 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 7750 "Device.c"
	}
#line 1192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp7_ = iso_file_path;
#line 1192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp8_ = tee_jee_file_system_escape_single_quote (_tmp7_);
#line 1192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp9_ = _tmp8_;
#line 1192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp10_ = g_strdup_printf ("udisksctl loop-setup -r -f '%s'", _tmp9_);
#line 1192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp11_ = _tmp10_;
#line 1192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp9_);
#line 1192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	cmd = _tmp11_;
#line 1195 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp12_ = cmd;
#line 1195 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp12_);
#line 1197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp13_ = cmd;
#line 1197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp16_ = tee_jee_process_helper_exec_sync (_tmp13_, &_tmp14_, &_tmp15_);
#line 1197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_out = _tmp14_;
#line 1197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_err = _tmp15_;
#line 1197 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	exit_code = _tmp16_;
#line 1199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp17_ = exit_code;
#line 1199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp17_ == 0) {
#line 7788 "Device.c"
		const gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
		gboolean _tmp22_ = FALSE;
		const gchar* _tmp23_ = NULL;
		gchar** _tmp24_ = NULL;
		gchar** _tmp25_ = NULL;
		gchar** _tmp26_ = NULL;
		gint _tmp26__length1 = 0;
		const gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
		gchar* _tmp30_ = NULL;
		const gchar* _tmp31_ = NULL;
		gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		GeeArrayList* list = NULL;
		GeeArrayList* _tmp34_ = NULL;
#line 1200 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp18_ = std_out;
#line 1200 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp19_ = g_strdup_printf ("%s", _tmp18_);
#line 1200 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp20_ = _tmp19_;
#line 1200 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_msg (_tmp20_, FALSE);
#line 1200 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp20_);
#line 1203 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp21_ = std_out;
#line 1203 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp22_ = string_contains (_tmp21_, " as ");
#line 1203 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (!_tmp22_) {
#line 1204 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_error ("Could not determine loop device", FALSE, FALSE);
#line 1205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			result = FALSE;
#line 1205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (std_err);
#line 1205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (std_out);
#line 1205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (cmd);
#line 1205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (loop_device) {
#line 1205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				*loop_device = _vala_loop_device;
#line 7838 "Device.c"
			} else {
#line 1205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_vala_loop_device);
#line 7842 "Device.c"
			}
#line 1205 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			return result;
#line 7846 "Device.c"
		}
#line 1208 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp23_ = std_out;
#line 1208 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp25_ = _tmp24_ = g_strsplit (_tmp23_, " as ", 0);
#line 1208 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp26_ = _tmp25_;
#line 1208 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp26__length1 = _vala_array_length (_tmp24_);
#line 1208 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp27_ = _tmp26_[1];
#line 1208 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp28_ = string_replace (_tmp27_, ".", "");
#line 1208 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp29_ = _tmp28_;
#line 1208 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp30_ = string_strip (_tmp29_);
#line 1208 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_vala_loop_device);
#line 1208 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_vala_loop_device = _tmp30_;
#line 1208 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp29_);
#line 1208 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp26_ = (_vala_array_free (_tmp26_, _tmp26__length1, (GDestroyNotify) g_free), NULL);
#line 1209 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp31_ = _vala_loop_device;
#line 1209 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp32_ = g_strdup_printf ("loop_device: %s", _tmp31_);
#line 1209 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp33_ = _tmp32_;
#line 1209 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_msg (_tmp33_, FALSE);
#line 1209 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp33_);
#line 1211 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp34_ = device_get_block_devices_using_lsblk ("");
#line 1211 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		list = _tmp34_;
#line 7886 "Device.c"
		{
			GeeArrayList* _dev_list = NULL;
			GeeArrayList* _tmp35_ = NULL;
			GeeArrayList* _tmp36_ = NULL;
			gint _dev_size = 0;
			GeeArrayList* _tmp37_ = NULL;
			gint _tmp38_ = 0;
			gint _tmp39_ = 0;
			gint _dev_index = 0;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp35_ = list;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp36_ = _g_object_ref0 (_tmp35_);
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_list = _tmp36_;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp37_ = _dev_list;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp38_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp37_);
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp39_ = _tmp38_;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_size = _tmp39_;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_index = -1;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			while (TRUE) {
#line 7914 "Device.c"
				gint _tmp40_ = 0;
				gint _tmp41_ = 0;
				gint _tmp42_ = 0;
				Device* dev = NULL;
				GeeArrayList* _tmp43_ = NULL;
				gint _tmp44_ = 0;
				gpointer _tmp45_ = NULL;
				gboolean _tmp46_ = FALSE;
				Device* _tmp47_ = NULL;
				const gchar* _tmp48_ = NULL;
				const gchar* _tmp49_ = NULL;
				gchar* _tmp50_ = NULL;
				gchar* _tmp51_ = NULL;
				gboolean _tmp52_ = FALSE;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp40_ = _dev_index;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_dev_index = _tmp40_ + 1;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp41_ = _dev_index;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp42_ = _dev_size;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (!(_tmp41_ < _tmp42_)) {
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					break;
#line 7941 "Device.c"
				}
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp43_ = _dev_list;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp44_ = _dev_index;
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp45_ = gee_abstract_list_get ((GeeAbstractList*) _tmp43_, _tmp44_);
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				dev = (Device*) _tmp45_;
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp47_ = dev;
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp48_ = _tmp47_->pkname;
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp49_ = _vala_loop_device;
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp50_ = string_replace (_tmp49_, "/dev/", "");
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp51_ = _tmp50_;
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp52_ = g_strcmp0 (_tmp48_, _tmp51_) == 0;
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp51_);
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp52_) {
#line 7967 "Device.c"
					Device* _tmp53_ = NULL;
					const gchar* _tmp54_ = NULL;
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp53_ = dev;
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp54_ = _tmp53_->fstype;
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp46_ = g_strcmp0 (_tmp54_, "iso9660") == 0;
#line 7976 "Device.c"
				} else {
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp46_ = FALSE;
#line 7980 "Device.c"
				}
#line 1213 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (_tmp46_) {
#line 7984 "Device.c"
					Device* _tmp55_ = NULL;
					const gchar* _tmp56_ = NULL;
					gchar* _tmp57_ = NULL;
					Device* _tmp58_ = NULL;
					const gchar* _tmp59_ = NULL;
					GtkWindow* _tmp60_ = NULL;
					gboolean _tmp61_ = FALSE;
#line 1214 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp55_ = dev;
#line 1214 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp56_ = _tmp55_->device;
#line 1214 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp57_ = g_strdup (_tmp56_);
#line 1214 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_vala_loop_device);
#line 1214 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_vala_loop_device = _tmp57_;
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp58_ = dev;
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp59_ = _tmp58_->device;
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp60_ = parent_window;
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp61_ = device_automount_udisks (_tmp59_, _tmp60_);
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					result = _tmp61_;
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (dev);
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (_dev_list);
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (list);
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (std_err);
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (std_out);
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (cmd);
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (loop_device) {
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						*loop_device = _vala_loop_device;
#line 8028 "Device.c"
					} else {
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_vala_loop_device);
#line 8032 "Device.c"
					}
#line 1215 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					return result;
#line 8036 "Device.c"
				}
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (dev);
#line 8040 "Device.c"
			}
#line 1212 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (_dev_list);
#line 8044 "Device.c"
		}
#line 1199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 8048 "Device.c"
	}
#line 1220 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = FALSE;
#line 1220 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1220 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1220 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 1220 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (loop_device) {
#line 1220 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		*loop_device = _vala_loop_device;
#line 8062 "Device.c"
	} else {
#line 1220 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_vala_loop_device);
#line 8066 "Device.c"
	}
#line 1220 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 8070 "Device.c"
}


gboolean device_unmount_udisks (const gchar* dev_name_or_uuid, GtkWindow* parent_window) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	gchar* cmd = NULL;
	const gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	gint status = 0;
	const gchar* _tmp7_ = NULL;
	gint _tmp8_ = 0;
	gint _tmp9_ = 0;
	gint _tmp15_ = 0;
#line 1223 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, FALSE);
#line 1225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = dev_name_or_uuid;
#line 1225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = strlen (_tmp0_);
#line 1225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 1225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp2_ == 0) {
#line 8098 "Device.c"
		const gchar* _tmp3_ = NULL;
#line 1226 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = _ ("Device name is empty!");
#line 1226 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp3_, FALSE, FALSE);
#line 1227 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = FALSE;
#line 1227 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 8108 "Device.c"
	}
#line 1230 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = dev_name_or_uuid;
#line 1230 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = g_strdup_printf ("udisksctl unmount -b '%s'", _tmp4_);
#line 1230 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	cmd = _tmp5_;
#line 1231 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp6_ = cmd;
#line 1231 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp6_);
#line 1232 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp7_ = cmd;
#line 1232 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp8_ = system (_tmp7_);
#line 1232 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	status = _tmp8_;
#line 1234 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp9_ = status;
#line 1234 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp9_ != 0) {
#line 8130 "Device.c"
		GtkWindow* _tmp10_ = NULL;
#line 1235 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = parent_window;
#line 1235 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp10_ != NULL) {
#line 8136 "Device.c"
			gchar* msg = NULL;
			const gchar* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
			GtkWindow* _tmp14_ = NULL;
#line 1236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp11_ = dev_name_or_uuid;
#line 1236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = g_strdup_printf ("Failed to unmount: %s", _tmp11_);
#line 1236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			msg = _tmp12_;
#line 1237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = msg;
#line 1237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = parent_window;
#line 1237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_gtk_helper_gtk_messagebox ("Error", _tmp13_, _tmp14_, TRUE);
#line 1235 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (msg);
#line 8156 "Device.c"
		}
	}
#line 1241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp15_ = status;
#line 1241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp15_ == 0;
#line 1241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 1241 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 8167 "Device.c"
}


Device* device_luks_unlock (Device* luks_device, const gchar* mapped_name, const gchar* passphrase, GtkWindow* parent_window, gchar** message, gchar** details) {
	gchar* _vala_message = NULL;
	gchar* _vala_details = NULL;
	Device* result = NULL;
	Device* unlocked_device = NULL;
	gchar* std_out = NULL;
	gchar* _tmp0_ = NULL;
	gchar* std_err = NULL;
	gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	Device* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp13_ = NULL;
	gchar* luks_pass = NULL;
	const gchar* _tmp37_ = NULL;
	gchar* _tmp38_ = NULL;
	gchar* luks_name = NULL;
	const gchar* _tmp39_ = NULL;
	gchar* _tmp40_ = NULL;
	gboolean _tmp41_ = FALSE;
	const gchar* _tmp42_ = NULL;
	GtkWindow* _tmp49_ = NULL;
	GeeArrayList* _tmp127_ = NULL;
	gboolean is_error = FALSE;
	Device* _tmp145_ = NULL;
	GtkWindow* _tmp160_ = NULL;
#line 1244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (luks_device != NULL, NULL);
#line 1244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (mapped_name != NULL, NULL);
#line 1244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (passphrase != NULL, NULL);
#line 1254 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	unlocked_device = NULL;
#line 1255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_out = _tmp0_;
#line 1255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 1255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_err = _tmp1_;
#line 1258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = luks_device;
#line 1258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = _tmp3_->fstype;
#line 1258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = string_contains (_tmp4_, "luks");
#line 1258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (!_tmp5_) {
#line 8223 "Device.c"
		Device* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gboolean _tmp8_ = FALSE;
#line 1258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = luks_device;
#line 1258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = _tmp6_->fstype;
#line 1258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = string_contains (_tmp7_, "crypt");
#line 1258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = !_tmp8_;
#line 8235 "Device.c"
	} else {
#line 1258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = FALSE;
#line 8239 "Device.c"
	}
#line 1258 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp2_) {
#line 8243 "Device.c"
		const gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
#line 1259 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = _ ("This device is not encrypted");
#line 1259 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 1259 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_vala_message);
#line 1259 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_vala_message = _tmp10_;
#line 1260 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = _ ("Failed to unlock device");
#line 1260 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = g_strdup (_tmp11_);
#line 1260 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_vala_details);
#line 1260 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_vala_details = _tmp12_;
#line 1261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = NULL;
#line 1261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (unlocked_device);
#line 1261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (message) {
#line 1261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			*message = _vala_message;
#line 8276 "Device.c"
		} else {
#line 1261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_vala_message);
#line 8280 "Device.c"
		}
#line 1261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (details) {
#line 1261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			*details = _vala_details;
#line 8286 "Device.c"
		} else {
#line 1261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_vala_details);
#line 8290 "Device.c"
		}
#line 1261 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 8294 "Device.c"
	}
#line 1265 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp13_ = device_get_block_devices_using_lsblk ("");
#line 1265 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp13_;
#line 8300 "Device.c"
	{
		GeeArrayList* _part_list = NULL;
		GeeArrayList* _tmp14_ = NULL;
		GeeArrayList* _tmp15_ = NULL;
		gint _part_size = 0;
		GeeArrayList* _tmp16_ = NULL;
		gint _tmp17_ = 0;
		gint _tmp18_ = 0;
		gint _part_index = 0;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp14_ = list;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp15_ = _g_object_ref0 (_tmp14_);
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_part_list = _tmp15_;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp16_ = _part_list;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp17_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp16_);
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp18_ = _tmp17_;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_part_size = _tmp18_;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_part_index = -1;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 8328 "Device.c"
			gint _tmp19_ = 0;
			gint _tmp20_ = 0;
			gint _tmp21_ = 0;
			Device* part = NULL;
			GeeArrayList* _tmp22_ = NULL;
			gint _tmp23_ = 0;
			gpointer _tmp24_ = NULL;
			Device* _tmp25_ = NULL;
			const gchar* _tmp26_ = NULL;
			Device* _tmp27_ = NULL;
			const gchar* _tmp28_ = NULL;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp19_ = _part_index;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_part_index = _tmp19_ + 1;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp20_ = _part_index;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp21_ = _part_size;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp20_ < _tmp21_)) {
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 8352 "Device.c"
			}
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp22_ = _part_list;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp23_ = _part_index;
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp24_ = gee_abstract_list_get ((GeeAbstractList*) _tmp22_, _tmp23_);
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			part = (Device*) _tmp24_;
#line 1267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp25_ = part;
#line 1267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp26_ = _tmp25_->pkname;
#line 1267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp27_ = luks_device;
#line 1267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp28_ = _tmp27_->kname;
#line 1267 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp26_, _tmp28_) == 0) {
#line 8372 "Device.c"
				Device* _tmp29_ = NULL;
				Device* _tmp30_ = NULL;
				const gchar* _tmp31_ = NULL;
				gchar* _tmp32_ = NULL;
				const gchar* _tmp33_ = NULL;
				Device* _tmp34_ = NULL;
				const gchar* _tmp35_ = NULL;
				gchar* _tmp36_ = NULL;
#line 1268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp29_ = part;
#line 1268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp30_ = _g_object_ref0 (_tmp29_);
#line 1268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (unlocked_device);
#line 1268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				unlocked_device = _tmp30_;
#line 1269 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp31_ = _ ("Device is unlocked");
#line 1269 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp32_ = g_strdup (_tmp31_);
#line 1269 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_vala_message);
#line 1269 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_vala_message = _tmp32_;
#line 1270 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp33_ = _ ("Unlocked device is mapped to '%s'");
#line 1270 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp34_ = part;
#line 1270 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp35_ = _tmp34_->mapped_name;
#line 1270 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp36_ = g_strdup_printf (_tmp33_, _tmp35_);
#line 1270 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_vala_details);
#line 1270 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_vala_details = _tmp36_;
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				result = part;
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (_part_list);
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (list);
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (std_err);
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (std_out);
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (unlocked_device);
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (message) {
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					*message = _vala_message;
#line 8425 "Device.c"
				} else {
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_vala_message);
#line 8429 "Device.c"
				}
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (details) {
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					*details = _vala_details;
#line 8435 "Device.c"
				} else {
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_vala_details);
#line 8439 "Device.c"
				}
#line 1271 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				return result;
#line 8443 "Device.c"
			}
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (part);
#line 8447 "Device.c"
		}
#line 1266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_part_list);
#line 8451 "Device.c"
	}
#line 1275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp37_ = passphrase;
#line 1275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp38_ = g_strdup (_tmp37_);
#line 1275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	luks_pass = _tmp38_;
#line 1276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp39_ = mapped_name;
#line 1276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp40_ = g_strdup (_tmp39_);
#line 1276 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	luks_name = _tmp40_;
#line 1278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp42_ = luks_name;
#line 1278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp42_ == NULL) {
#line 1278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp41_ = TRUE;
#line 8471 "Device.c"
	} else {
		const gchar* _tmp43_ = NULL;
		gint _tmp44_ = 0;
		gint _tmp45_ = 0;
#line 1278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp43_ = luks_name;
#line 1278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp44_ = strlen (_tmp43_);
#line 1278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp45_ = _tmp44_;
#line 1278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp41_ = _tmp45_ == 0;
#line 8484 "Device.c"
	}
#line 1278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp41_) {
#line 8488 "Device.c"
		Device* _tmp46_ = NULL;
		const gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
#line 1279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp46_ = luks_device;
#line 1279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp47_ = _tmp46_->kname;
#line 1279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp48_ = g_strdup_printf ("%s_crypt", _tmp47_);
#line 1279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (luks_name);
#line 1279 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		luks_name = _tmp48_;
#line 8502 "Device.c"
	}
#line 1282 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp49_ = parent_window;
#line 1282 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp49_ == NULL) {
#line 8508 "Device.c"
		gboolean _tmp50_ = FALSE;
		const gchar* _tmp51_ = NULL;
#line 1286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp51_ = luks_pass;
#line 1286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp51_ == NULL) {
#line 1286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp50_ = TRUE;
#line 8517 "Device.c"
		} else {
			const gchar* _tmp52_ = NULL;
			gint _tmp53_ = 0;
			gint _tmp54_ = 0;
#line 1286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp52_ = luks_pass;
#line 1286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp53_ = strlen (_tmp52_);
#line 1286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp54_ = _tmp53_;
#line 1286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp50_ = _tmp54_ == 0;
#line 8530 "Device.c"
		}
#line 1286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp50_) {
#line 8534 "Device.c"
			TimeoutCounter* counter = NULL;
			TimeoutCounter* _tmp55_ = NULL;
			TimeoutCounter* _tmp56_ = NULL;
			gchar* cmd = NULL;
			Device* _tmp57_ = NULL;
			const gchar* _tmp58_ = NULL;
			const gchar* _tmp59_ = NULL;
			gchar* _tmp60_ = NULL;
			const gchar* _tmp61_ = NULL;
			const gchar* _tmp62_ = NULL;
			TimeoutCounter* _tmp63_ = NULL;
#line 1290 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp55_ = timeout_counter_new ();
#line 1290 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			counter = _tmp55_;
#line 1291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp56_ = counter;
#line 1291 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			timeout_counter_kill_process_on_timeout (_tmp56_, "cryptsetup", 20, TRUE);
#line 1292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp57_ = luks_device;
#line 1292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp58_ = _tmp57_->device;
#line 1292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp59_ = luks_name;
#line 1292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp60_ = g_strdup_printf ("cryptsetup luksOpen '%s' '%s'", _tmp58_, _tmp59_);
#line 1292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			cmd = _tmp60_;
#line 1294 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp61_ = cmd;
#line 1294 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp61_);
#line 1295 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp62_ = cmd;
#line 1295 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			system (_tmp62_);
#line 1296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp63_ = counter;
#line 1296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			timeout_counter_stop (_tmp63_);
#line 1297 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_msg ("", FALSE);
#line 1286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (cmd);
#line 1286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (counter);
#line 8582 "Device.c"
		} else {
			gchar* cmd = NULL;
			const gchar* _tmp64_ = NULL;
			Device* _tmp65_ = NULL;
			const gchar* _tmp66_ = NULL;
			const gchar* _tmp67_ = NULL;
			gchar* _tmp68_ = NULL;
			const gchar* _tmp69_ = NULL;
			const gchar* _tmp70_ = NULL;
			gchar* _tmp71_ = NULL;
			gchar* _tmp72_ = NULL;
			gint status = 0;
			const gchar* _tmp73_ = NULL;
			gchar* _tmp74_ = NULL;
			gchar* _tmp75_ = NULL;
			gint _tmp76_ = 0;
			gint _tmp77_ = 0;
#line 1304 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp64_ = luks_pass;
#line 1304 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp65_ = luks_device;
#line 1304 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp66_ = _tmp65_->device;
#line 1304 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp67_ = luks_name;
#line 1304 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp68_ = g_strdup_printf ("echo -n -e '%s' | cryptsetup luksOpen --key-file - '%s' '%s'\n", _tmp64_, _tmp66_, _tmp67_);
#line 1304 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			cmd = _tmp68_;
#line 1307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp69_ = cmd;
#line 1307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp70_ = luks_pass;
#line 1307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp71_ = string_replace (_tmp69_, _tmp70_, "**PASSWORD**");
#line 1307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp72_ = _tmp71_;
#line 1307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp72_);
#line 1307 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp72_);
#line 1309 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp73_ = cmd;
#line 1309 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp76_ = tee_jee_process_helper_exec_script_sync (_tmp73_, &_tmp74_, &_tmp75_, FALSE, TRUE, TRUE, FALSE);
#line 1309 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (std_out);
#line 1309 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			std_out = _tmp74_;
#line 1309 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (std_err);
#line 1309 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			std_err = _tmp75_;
#line 1309 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			status = _tmp76_;
#line 1311 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp77_ = status;
#line 1311 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			switch (_tmp77_) {
#line 1311 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				case 512:
#line 8644 "Device.c"
				{
					const gchar* _tmp78_ = NULL;
					gchar* _tmp79_ = NULL;
					const gchar* _tmp80_ = NULL;
					gchar* _tmp81_ = NULL;
					const gchar* _tmp82_ = NULL;
					const gchar* _tmp83_ = NULL;
#line 1313 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp78_ = _ ("Wrong password");
#line 1313 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp79_ = g_strdup (_tmp78_);
#line 1313 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_vala_message);
#line 1313 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_vala_message = _tmp79_;
#line 1314 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp80_ = _ ("Failed to unlock device");
#line 1314 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp81_ = g_strdup (_tmp80_);
#line 1314 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_vala_details);
#line 1314 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_vala_details = _tmp81_;
#line 1315 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp82_ = _vala_message;
#line 1315 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp82_, FALSE, FALSE);
#line 1316 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp83_ = _vala_details;
#line 1316 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp83_, FALSE, FALSE);
#line 1317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					break;
#line 8678 "Device.c"
				}
				default:
#line 1311 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 8683 "Device.c"
			}
#line 1286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (cmd);
#line 8687 "Device.c"
		}
	} else {
		gboolean _tmp84_ = FALSE;
		const gchar* _tmp85_ = NULL;
		gboolean _tmp102_ = FALSE;
		const gchar* _tmp103_ = NULL;
#line 1326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp85_ = luks_pass;
#line 1326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp85_ == NULL) {
#line 1326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp84_ = TRUE;
#line 8700 "Device.c"
		} else {
			const gchar* _tmp86_ = NULL;
			gint _tmp87_ = 0;
			gint _tmp88_ = 0;
#line 1326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp86_ = luks_pass;
#line 1326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp87_ = strlen (_tmp86_);
#line 1326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp88_ = _tmp87_;
#line 1326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp84_ = _tmp88_ == 0;
#line 8713 "Device.c"
		}
#line 1326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp84_) {
#line 8717 "Device.c"
			const gchar* _tmp89_ = NULL;
			const gchar* _tmp90_ = NULL;
			Device* _tmp91_ = NULL;
			const gchar* _tmp92_ = NULL;
			gchar* _tmp93_ = NULL;
			gchar* _tmp94_ = NULL;
			GtkWindow* _tmp95_ = NULL;
			gchar* _tmp96_ = NULL;
			const gchar* _tmp97_ = NULL;
#line 1330 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_debug ("Prompting user for passphrase..");
#line 1332 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp89_ = _ ("Encrypted Device");
#line 1332 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp90_ = _ ("Enter passphrase to unlock '%s'");
#line 1332 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp91_ = luks_device;
#line 1332 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp92_ = _tmp91_->name;
#line 1332 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp93_ = g_strdup_printf (_tmp90_, _tmp92_);
#line 1332 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp94_ = _tmp93_;
#line 1332 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp95_ = parent_window;
#line 1332 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp96_ = tee_jee_gtk_helper_gtk_inputbox (_tmp89_, _tmp94_, _tmp95_, TRUE);
#line 1332 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (luks_pass);
#line 1332 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			luks_pass = _tmp96_;
#line 1332 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp94_);
#line 1337 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp97_ = luks_pass;
#line 1337 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (_tmp97_ == NULL) {
#line 8755 "Device.c"
				const gchar* _tmp98_ = NULL;
				gchar* _tmp99_ = NULL;
				const gchar* _tmp100_ = NULL;
				gchar* _tmp101_ = NULL;
#line 1339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp98_ = _ ("Failed to unlock device");
#line 1339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp99_ = g_strdup (_tmp98_);
#line 1339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_vala_message);
#line 1339 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_vala_message = _tmp99_;
#line 1340 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp100_ = _ ("User cancelled the password prompt");
#line 1340 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp101_ = g_strdup (_tmp100_);
#line 1340 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_vala_details);
#line 1340 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_vala_details = _tmp101_;
#line 1341 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				tee_jee_logging_log_debug ("User cancelled the password prompt");
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				result = NULL;
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (luks_name);
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (luks_pass);
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (list);
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (std_err);
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (std_out);
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (unlocked_device);
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (message) {
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					*message = _vala_message;
#line 8796 "Device.c"
				} else {
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_vala_message);
#line 8800 "Device.c"
				}
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (details) {
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					*details = _vala_details;
#line 8806 "Device.c"
				} else {
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_vala_details);
#line 8810 "Device.c"
				}
#line 1342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				return result;
#line 8814 "Device.c"
			}
		}
#line 1346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp103_ = luks_pass;
#line 1346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp103_ != NULL) {
#line 8821 "Device.c"
			const gchar* _tmp104_ = NULL;
			gint _tmp105_ = 0;
			gint _tmp106_ = 0;
#line 1346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp104_ = luks_pass;
#line 1346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp105_ = strlen (_tmp104_);
#line 1346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp106_ = _tmp105_;
#line 1346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp102_ = _tmp106_ > 0;
#line 8833 "Device.c"
		} else {
#line 1346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp102_ = FALSE;
#line 8837 "Device.c"
		}
#line 1346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp102_) {
#line 8841 "Device.c"
			gchar* cmd = NULL;
			const gchar* _tmp107_ = NULL;
			Device* _tmp108_ = NULL;
			const gchar* _tmp109_ = NULL;
			const gchar* _tmp110_ = NULL;
			gchar* _tmp111_ = NULL;
			const gchar* _tmp112_ = NULL;
			const gchar* _tmp113_ = NULL;
			gchar* _tmp114_ = NULL;
			gchar* _tmp115_ = NULL;
			gint status = 0;
			const gchar* _tmp116_ = NULL;
			gchar* _tmp117_ = NULL;
			gchar* _tmp118_ = NULL;
			gint _tmp119_ = 0;
			gint _tmp120_ = 0;
#line 1350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp107_ = luks_pass;
#line 1350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp108_ = luks_device;
#line 1350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp109_ = _tmp108_->device;
#line 1350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp110_ = luks_name;
#line 1350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp111_ = g_strdup_printf ("echo -n -e '%s' | cryptsetup luksOpen --key-file - '%s' '%s'\n", _tmp107_, _tmp109_, _tmp110_);
#line 1350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			cmd = _tmp111_;
#line 1353 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp112_ = cmd;
#line 1353 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp113_ = luks_pass;
#line 1353 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp114_ = string_replace (_tmp112_, _tmp113_, "**PASSWORD**");
#line 1353 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp115_ = _tmp114_;
#line 1353 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp115_);
#line 1353 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp115_);
#line 1355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp116_ = cmd;
#line 1355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp119_ = tee_jee_process_helper_exec_script_sync (_tmp116_, &_tmp117_, &_tmp118_, FALSE, TRUE, TRUE, FALSE);
#line 1355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (std_out);
#line 1355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			std_out = _tmp117_;
#line 1355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (std_err);
#line 1355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			std_err = _tmp118_;
#line 1355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			status = _tmp119_;
#line 1357 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp120_ = status;
#line 1357 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			switch (_tmp120_) {
#line 1357 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				case 512:
#line 8902 "Device.c"
				{
					const gchar* _tmp121_ = NULL;
					gchar* _tmp122_ = NULL;
					const gchar* _tmp123_ = NULL;
					gchar* _tmp124_ = NULL;
					const gchar* _tmp125_ = NULL;
					const gchar* _tmp126_ = NULL;
#line 1359 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp121_ = _ ("Wrong password");
#line 1359 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp122_ = g_strdup (_tmp121_);
#line 1359 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_vala_message);
#line 1359 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_vala_message = _tmp122_;
#line 1360 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp123_ = _ ("Failed to unlock device");
#line 1360 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp124_ = g_strdup (_tmp123_);
#line 1360 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_vala_details);
#line 1360 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_vala_details = _tmp124_;
#line 1361 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp125_ = _vala_message;
#line 1361 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp125_, FALSE, FALSE);
#line 1362 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp126_ = _vala_details;
#line 1362 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					tee_jee_logging_log_error (_tmp126_, FALSE, FALSE);
#line 1363 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					break;
#line 8936 "Device.c"
				}
				default:
#line 1357 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 8941 "Device.c"
			}
#line 1346 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (cmd);
#line 8945 "Device.c"
		}
	}
#line 1370 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp127_ = device_get_block_devices_using_lsblk ("");
#line 1370 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1370 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp127_;
#line 8954 "Device.c"
	{
		GeeArrayList* _part_list = NULL;
		GeeArrayList* _tmp128_ = NULL;
		GeeArrayList* _tmp129_ = NULL;
		gint _part_size = 0;
		GeeArrayList* _tmp130_ = NULL;
		gint _tmp131_ = 0;
		gint _tmp132_ = 0;
		gint _part_index = 0;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp128_ = list;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp129_ = _g_object_ref0 (_tmp128_);
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_part_list = _tmp129_;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp130_ = _part_list;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp131_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp130_);
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp132_ = _tmp131_;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_part_size = _tmp132_;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_part_index = -1;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 8982 "Device.c"
			gint _tmp133_ = 0;
			gint _tmp134_ = 0;
			gint _tmp135_ = 0;
			Device* part = NULL;
			GeeArrayList* _tmp136_ = NULL;
			gint _tmp137_ = 0;
			gpointer _tmp138_ = NULL;
			Device* _tmp139_ = NULL;
			const gchar* _tmp140_ = NULL;
			Device* _tmp141_ = NULL;
			const gchar* _tmp142_ = NULL;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp133_ = _part_index;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_part_index = _tmp133_ + 1;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp134_ = _part_index;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp135_ = _part_size;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp134_ < _tmp135_)) {
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 9006 "Device.c"
			}
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp136_ = _part_list;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp137_ = _part_index;
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp138_ = gee_abstract_list_get ((GeeAbstractList*) _tmp136_, _tmp137_);
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			part = (Device*) _tmp138_;
#line 1372 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp139_ = part;
#line 1372 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp140_ = _tmp139_->pkname;
#line 1372 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp141_ = luks_device;
#line 1372 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp142_ = _tmp141_->kname;
#line 1372 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp140_, _tmp142_) == 0) {
#line 9026 "Device.c"
				Device* _tmp143_ = NULL;
				Device* _tmp144_ = NULL;
#line 1373 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp143_ = part;
#line 1373 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp144_ = _g_object_ref0 (_tmp143_);
#line 1373 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (unlocked_device);
#line 1373 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				unlocked_device = _tmp144_;
#line 1374 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (part);
#line 1374 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 9041 "Device.c"
			}
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (part);
#line 9045 "Device.c"
		}
#line 1371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_part_list);
#line 9049 "Device.c"
	}
#line 1378 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	is_error = FALSE;
#line 1379 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp145_ = unlocked_device;
#line 1379 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp145_ == NULL) {
#line 9057 "Device.c"
		const gchar* _tmp146_ = NULL;
		Device* _tmp147_ = NULL;
		const gchar* _tmp148_ = NULL;
		gchar* _tmp149_ = NULL;
		gchar* _tmp150_ = NULL;
		gchar* _tmp151_ = NULL;
		const gchar* _tmp152_ = NULL;
		gchar* _tmp153_ = NULL;
#line 1380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp146_ = _ ("Failed to unlock device");
#line 1380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp147_ = luks_device;
#line 1380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp148_ = _tmp147_->device;
#line 1380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp149_ = g_strdup_printf (" '%s'", _tmp148_);
#line 1380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp150_ = _tmp149_;
#line 1380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp151_ = g_strconcat (_tmp146_, _tmp150_, NULL);
#line 1380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_vala_message);
#line 1380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_vala_message = _tmp151_;
#line 1380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp150_);
#line 1381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp152_ = std_err;
#line 1381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp153_ = g_strdup (_tmp152_);
#line 1381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_vala_details);
#line 1381 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_vala_details = _tmp153_;
#line 1382 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		is_error = TRUE;
#line 9094 "Device.c"
	} else {
		const gchar* _tmp154_ = NULL;
		gchar* _tmp155_ = NULL;
		const gchar* _tmp156_ = NULL;
		Device* _tmp157_ = NULL;
		const gchar* _tmp158_ = NULL;
		gchar* _tmp159_ = NULL;
#line 1385 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp154_ = _ ("Unlocked successfully");
#line 1385 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp155_ = g_strdup (_tmp154_);
#line 1385 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_vala_message);
#line 1385 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_vala_message = _tmp155_;
#line 1386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp156_ = _ ("Unlocked device is mapped to '%s'");
#line 1386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp157_ = unlocked_device;
#line 1386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp158_ = _tmp157_->mapped_name;
#line 1386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp159_ = g_strdup_printf (_tmp156_, _tmp158_);
#line 1386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_vala_details);
#line 1386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_vala_details = _tmp159_;
#line 9122 "Device.c"
	}
#line 1389 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp160_ = parent_window;
#line 1389 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp160_ != NULL) {
#line 9128 "Device.c"
		const gchar* _tmp161_ = NULL;
		const gchar* _tmp162_ = NULL;
		GtkWindow* _tmp163_ = NULL;
		gboolean _tmp164_ = FALSE;
#line 1390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp161_ = _vala_message;
#line 1390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp162_ = _vala_details;
#line 1390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp163_ = parent_window;
#line 1390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp164_ = is_error;
#line 1390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_gtk_helper_gtk_messagebox (_tmp161_, _tmp162_, _tmp163_, _tmp164_);
#line 9143 "Device.c"
	}
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = unlocked_device;
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (luks_name);
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (luks_pass);
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (message) {
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		*message = _vala_message;
#line 9161 "Device.c"
	} else {
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_vala_message);
#line 9165 "Device.c"
	}
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (details) {
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		*details = _vala_details;
#line 9171 "Device.c"
	} else {
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_vala_details);
#line 9175 "Device.c"
	}
#line 1393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 9179 "Device.c"
}


gboolean device_luks_lock (const gchar* kname, GtkWindow* parent_window) {
	gboolean result = FALSE;
	gchar* cmd = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint status = 0;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	const gchar* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
	gint _tmp9_ = 0;
	gint _tmp15_ = 0;
#line 1396 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (kname != NULL, FALSE);
#line 1397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = kname;
#line 1397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup_printf ("cryptsetup luksClose %s", _tmp0_);
#line 1397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	cmd = _tmp1_;
#line 1399 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = cmd;
#line 1399 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp2_);
#line 1402 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = cmd;
#line 1402 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp6_ = tee_jee_process_helper_exec_script_sync (_tmp3_, &_tmp4_, &_tmp5_, FALSE, TRUE, TRUE, FALSE);
#line 1402 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1402 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_out = _tmp4_;
#line 1402 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1402 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_err = _tmp5_;
#line 1402 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	status = _tmp6_;
#line 1403 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp7_ = std_out;
#line 1403 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_msg (_tmp7_, FALSE);
#line 1404 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp8_ = std_err;
#line 1404 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_msg (_tmp8_, FALSE);
#line 1406 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp9_ = status;
#line 1406 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp9_ != 0) {
#line 9238 "Device.c"
		GtkWindow* _tmp10_ = NULL;
#line 1407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = parent_window;
#line 1407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp10_ != NULL) {
#line 9244 "Device.c"
			gchar* msg = NULL;
			const gchar* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
			GtkWindow* _tmp14_ = NULL;
#line 1408 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp11_ = kname;
#line 1408 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = g_strdup_printf ("Failed to lock device: %s", _tmp11_);
#line 1408 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			msg = _tmp12_;
#line 1409 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = msg;
#line 1409 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = parent_window;
#line 1409 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_gtk_helper_gtk_messagebox ("Error", _tmp13_, _tmp14_, TRUE);
#line 1407 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (msg);
#line 9264 "Device.c"
		}
	}
#line 1413 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp15_ = status;
#line 1413 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp15_ == 0;
#line 1413 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1413 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1413 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 1413 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 9279 "Device.c"
}


gboolean device_mount (const gchar* dev_name_or_uuid, const gchar* mount_point, const gchar* mount_options, gboolean silent) {
	gboolean result = FALSE;
	gchar* cmd = NULL;
	gchar* _tmp0_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint ret_val = 0;
	gchar* device = NULL;
	gchar* _tmp1_ = NULL;
	gchar* uuid = NULL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	GeeArrayList* mps = NULL;
	const gchar* _tmp15_ = NULL;
	GeeArrayList* _tmp16_ = NULL;
	const gchar* _tmp17_ = NULL;
	const gchar* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	const gchar* _tmp68_ = NULL;
	const gchar* _tmp69_ = NULL;
	const gchar* _tmp70_ = NULL;
	gint _tmp71_ = 0;
	gint _tmp72_ = 0;
	const gchar* _tmp80_ = NULL;
	gchar* _tmp81_ = NULL;
	gchar* _tmp82_ = NULL;
	gint _tmp83_ = 0;
	gint _tmp84_ = 0;
#line 1427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, FALSE);
#line 1427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (mount_point != NULL, FALSE);
#line 1427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (mount_options != NULL, FALSE);
#line 1435 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1435 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	cmd = _tmp0_;
#line 1440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 1440 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device = _tmp1_;
#line 1441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = g_strdup ("");
#line 1441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	uuid = _tmp2_;
#line 1445 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = dev_name_or_uuid;
#line 1445 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = g_str_has_prefix (_tmp3_, "/dev");
#line 1445 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp4_) {
#line 9337 "Device.c"
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 1446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = dev_name_or_uuid;
#line 1446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = g_strdup (_tmp5_);
#line 1446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device = _tmp6_;
#line 1447 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = dev_name_or_uuid;
#line 1447 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = device_get_device_uuid (_tmp7_);
#line 1447 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1447 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		uuid = _tmp8_;
#line 9358 "Device.c"
	} else {
		const gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
#line 1450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = dev_name_or_uuid;
#line 1450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = g_strdup (_tmp9_);
#line 1450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		uuid = _tmp10_;
#line 1451 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = uuid;
#line 1451 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = g_strdup_printf ("/dev/disk/by-uuid/%s", _tmp11_);
#line 1451 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1451 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device = _tmp12_;
#line 1452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp13_ = device;
#line 1452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp14_ = device_resolve_device_name (_tmp13_);
#line 1452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1452 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device = _tmp14_;
#line 9390 "Device.c"
	}
#line 1457 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp15_ = dev_name_or_uuid;
#line 1457 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp16_ = device_get_device_mount_points (_tmp15_);
#line 1457 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	mps = _tmp16_;
#line 1459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("------------------");
#line 1460 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp17_ = dev_name_or_uuid;
#line 1460 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp18_ = device;
#line 1460 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp19_ = g_strdup_printf ("arg=%s, device=%s", _tmp17_, _tmp18_);
#line 1460 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp20_ = _tmp19_;
#line 1460 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp20_);
#line 1460 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp20_);
#line 9412 "Device.c"
	{
		GeeArrayList* _mp_list = NULL;
		GeeArrayList* _tmp21_ = NULL;
		GeeArrayList* _tmp22_ = NULL;
		gint _mp_size = 0;
		GeeArrayList* _tmp23_ = NULL;
		gint _tmp24_ = 0;
		gint _tmp25_ = 0;
		gint _mp_index = 0;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp21_ = mps;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp22_ = _g_object_ref0 (_tmp21_);
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_mp_list = _tmp22_;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp23_ = _mp_list;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp24_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp23_);
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp25_ = _tmp24_;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_mp_size = _tmp25_;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_mp_index = -1;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 9440 "Device.c"
			gint _tmp26_ = 0;
			gint _tmp27_ = 0;
			gint _tmp28_ = 0;
			MountEntry* mp = NULL;
			GeeArrayList* _tmp29_ = NULL;
			gint _tmp30_ = 0;
			gpointer _tmp31_ = NULL;
			MountEntry* _tmp32_ = NULL;
			const gchar* _tmp33_ = NULL;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp26_ = _mp_index;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_mp_index = _tmp26_ + 1;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp27_ = _mp_index;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp28_ = _mp_size;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp27_ < _tmp28_)) {
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 9462 "Device.c"
			}
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp29_ = _mp_list;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp30_ = _mp_index;
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp31_ = gee_abstract_list_get ((GeeAbstractList*) _tmp29_, _tmp30_);
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			mp = (MountEntry*) _tmp31_;
#line 1462 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp32_ = mp;
#line 1462 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp33_ = _tmp32_->mount_point;
#line 1462 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp33_);
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (mp);
#line 9480 "Device.c"
		}
#line 1461 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_mp_list);
#line 9484 "Device.c"
	}
#line 1464 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("------------------");
#line 9488 "Device.c"
	{
		GeeArrayList* _mp_list = NULL;
		GeeArrayList* _tmp34_ = NULL;
		GeeArrayList* _tmp35_ = NULL;
		gint _mp_size = 0;
		GeeArrayList* _tmp36_ = NULL;
		gint _tmp37_ = 0;
		gint _tmp38_ = 0;
		gint _mp_index = 0;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp34_ = mps;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp35_ = _g_object_ref0 (_tmp34_);
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_mp_list = _tmp35_;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp36_ = _mp_list;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp37_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp36_);
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp38_ = _tmp37_;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_mp_size = _tmp38_;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_mp_index = -1;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 9516 "Device.c"
			gint _tmp39_ = 0;
			gint _tmp40_ = 0;
			gint _tmp41_ = 0;
			MountEntry* mp = NULL;
			GeeArrayList* _tmp42_ = NULL;
			gint _tmp43_ = 0;
			gpointer _tmp44_ = NULL;
			gboolean _tmp45_ = FALSE;
			MountEntry* _tmp46_ = NULL;
			const gchar* _tmp47_ = NULL;
			const gchar* _tmp48_ = NULL;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp39_ = _mp_index;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_mp_index = _tmp39_ + 1;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp40_ = _mp_index;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp41_ = _mp_size;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp40_ < _tmp41_)) {
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 9540 "Device.c"
			}
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp42_ = _mp_list;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp43_ = _mp_index;
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp44_ = gee_abstract_list_get ((GeeAbstractList*) _tmp42_, _tmp43_);
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			mp = (MountEntry*) _tmp44_;
#line 1467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp46_ = mp;
#line 1467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp47_ = _tmp46_->mount_point;
#line 1467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp48_ = mount_point;
#line 1467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (g_strcmp0 (_tmp47_, _tmp48_) == 0) {
#line 9558 "Device.c"
				MountEntry* _tmp49_ = NULL;
				const gchar* _tmp50_ = NULL;
				const gchar* _tmp51_ = NULL;
				gboolean _tmp52_ = FALSE;
#line 1467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp49_ = mp;
#line 1467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp50_ = _tmp49_->mount_options;
#line 1467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp51_ = mount_options;
#line 1467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp52_ = string_contains (_tmp50_, _tmp51_);
#line 1467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp45_ = _tmp52_;
#line 9573 "Device.c"
			} else {
#line 1467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp45_ = FALSE;
#line 9577 "Device.c"
			}
#line 1467 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (_tmp45_) {
#line 9581 "Device.c"
				gboolean _tmp53_ = FALSE;
#line 1468 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp53_ = silent;
#line 1468 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				if (!_tmp53_) {
#line 9587 "Device.c"
					gchar* msg = NULL;
					const gchar* _tmp54_ = NULL;
					const gchar* _tmp55_ = NULL;
					gchar* _tmp56_ = NULL;
					MountEntry* _tmp57_ = NULL;
					const gchar* _tmp58_ = NULL;
					gint _tmp59_ = 0;
					gint _tmp60_ = 0;
					const gchar* _tmp67_ = NULL;
#line 1469 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp54_ = device;
#line 1469 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp55_ = mount_point;
#line 1469 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp56_ = g_strdup_printf ("%s is mounted at: %s", _tmp54_, _tmp55_);
#line 1469 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					msg = _tmp56_;
#line 1470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp57_ = mp;
#line 1470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp58_ = _tmp57_->mount_options;
#line 1470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp59_ = strlen (_tmp58_);
#line 1470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp60_ = _tmp59_;
#line 1470 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp60_ > 0) {
#line 9615 "Device.c"
						const gchar* _tmp61_ = NULL;
						MountEntry* _tmp62_ = NULL;
						const gchar* _tmp63_ = NULL;
						gchar* _tmp64_ = NULL;
						gchar* _tmp65_ = NULL;
						gchar* _tmp66_ = NULL;
#line 1471 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp61_ = msg;
#line 1471 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp62_ = mp;
#line 1471 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp63_ = _tmp62_->mount_options;
#line 1471 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp64_ = g_strdup_printf (", options: %s", _tmp63_);
#line 1471 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp65_ = _tmp64_;
#line 1471 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp66_ = g_strconcat (_tmp61_, _tmp65_, NULL);
#line 1471 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (msg);
#line 1471 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						msg = _tmp66_;
#line 1471 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp65_);
#line 9640 "Device.c"
					}
#line 1473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp67_ = msg;
#line 1473 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					tee_jee_logging_log_msg (_tmp67_, FALSE);
#line 1468 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (msg);
#line 9648 "Device.c"
				}
#line 1475 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				result = TRUE;
#line 1475 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (mp);
#line 1475 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (_mp_list);
#line 1475 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (mps);
#line 1475 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (uuid);
#line 1475 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (device);
#line 1475 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (std_err);
#line 1475 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (std_out);
#line 1475 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (cmd);
#line 1475 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				return result;
#line 9670 "Device.c"
			}
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (mp);
#line 9674 "Device.c"
		}
#line 1466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_mp_list);
#line 9678 "Device.c"
	}
#line 1479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp68_ = mount_point;
#line 1479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_file_system_dir_create (_tmp68_, FALSE);
#line 1483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp69_ = mount_point;
#line 1483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_unmount (_tmp69_);
#line 1487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp70_ = mount_options;
#line 1487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp71_ = strlen (_tmp70_);
#line 1487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp72_ = _tmp71_;
#line 1487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp72_ > 0) {
#line 9696 "Device.c"
		const gchar* _tmp73_ = NULL;
		const gchar* _tmp74_ = NULL;
		const gchar* _tmp75_ = NULL;
		gchar* _tmp76_ = NULL;
#line 1488 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp73_ = mount_options;
#line 1488 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp74_ = device;
#line 1488 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp75_ = mount_point;
#line 1488 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp76_ = g_strdup_printf ("mount -o %s \"%s\" \"%s\"", _tmp73_, _tmp74_, _tmp75_);
#line 1488 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1488 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		cmd = _tmp76_;
#line 9713 "Device.c"
	} else {
		const gchar* _tmp77_ = NULL;
		const gchar* _tmp78_ = NULL;
		gchar* _tmp79_ = NULL;
#line 1491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp77_ = device;
#line 1491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp78_ = mount_point;
#line 1491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp79_ = g_strdup_printf ("mount \"%s\" \"%s\"", _tmp77_, _tmp78_);
#line 1491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		cmd = _tmp79_;
#line 9728 "Device.c"
	}
#line 1494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp80_ = cmd;
#line 1494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp83_ = tee_jee_process_helper_exec_sync (_tmp80_, &_tmp81_, &_tmp82_);
#line 1494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_out = _tmp81_;
#line 1494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	std_err = _tmp82_;
#line 1494 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	ret_val = _tmp83_;
#line 1496 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp84_ = ret_val;
#line 1496 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp84_ != 0) {
#line 9748 "Device.c"
		const gchar* _tmp85_ = NULL;
		const gchar* _tmp86_ = NULL;
		gchar* _tmp87_ = NULL;
		gchar* _tmp88_ = NULL;
		const gchar* _tmp89_ = NULL;
#line 1497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp85_ = device;
#line 1497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp86_ = mount_point;
#line 1497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp87_ = g_strdup_printf ("Failed to mount device '%s' at mount point '%s'", _tmp85_, _tmp86_);
#line 1497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp88_ = _tmp87_;
#line 1497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp88_, FALSE, FALSE);
#line 1497 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp88_);
#line 1498 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp89_ = std_err;
#line 1498 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp89_, FALSE, FALSE);
#line 1499 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = FALSE;
#line 1499 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (mps);
#line 1499 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1499 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1499 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1499 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1499 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1499 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 9786 "Device.c"
	} else {
		gboolean _tmp90_ = FALSE;
#line 1502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp90_ = silent;
#line 1502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (!_tmp90_) {
#line 9793 "Device.c"
			Device* dev = NULL;
			const gchar* _tmp91_ = NULL;
			Device* _tmp92_ = NULL;
			gchar* _tmp93_ = NULL;
			Device* _tmp94_ = NULL;
			gchar* _tmp100_ = NULL;
			const gchar* _tmp101_ = NULL;
			gint _tmp102_ = 0;
			gint _tmp103_ = 0;
			const gchar* _tmp107_ = NULL;
			gchar* _tmp108_ = NULL;
			gchar* _tmp109_ = NULL;
#line 1503 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp91_ = device;
#line 1503 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp92_ = device_get_device_by_name (_tmp91_);
#line 1503 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			dev = _tmp92_;
#line 1505 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp94_ = dev;
#line 1505 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (_tmp94_ == NULL) {
#line 9816 "Device.c"
				const gchar* _tmp95_ = NULL;
				gchar* _tmp96_ = NULL;
#line 1505 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp95_ = device;
#line 1505 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp96_ = g_strdup (_tmp95_);
#line 1505 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp93_);
#line 1505 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp93_ = _tmp96_;
#line 9827 "Device.c"
			} else {
				Device* _tmp97_ = NULL;
				gchar* _tmp98_ = NULL;
				gchar* _tmp99_ = NULL;
#line 1505 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp97_ = dev;
#line 1505 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp98_ = device_get_device_name_with_parent (_tmp97_);
#line 1505 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp99_ = _tmp98_;
#line 1505 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp93_);
#line 1505 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp93_ = _tmp99_;
#line 9842 "Device.c"
			}
#line 1506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp101_ = mount_options;
#line 1506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp102_ = strlen (_tmp101_);
#line 1506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp103_ = _tmp102_;
#line 1506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (_tmp103_ > 0) {
#line 9852 "Device.c"
				const gchar* _tmp104_ = NULL;
				gchar* _tmp105_ = NULL;
#line 1506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp104_ = mount_options;
#line 1506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp105_ = g_strdup_printf (" (%s)", _tmp104_);
#line 1506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp100_);
#line 1506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp100_ = _tmp105_;
#line 9863 "Device.c"
			} else {
				gchar* _tmp106_ = NULL;
#line 1506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp106_ = g_strdup ("");
#line 1506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp100_);
#line 1506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp100_ = _tmp106_;
#line 9872 "Device.c"
			}
#line 1504 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp107_ = mount_point;
#line 1504 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp108_ = g_strdup_printf ("Mounted '%s'%s at '%s'", _tmp93_, _tmp100_, _tmp107_);
#line 1504 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp109_ = _tmp108_;
#line 1504 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_msg (_tmp109_, FALSE);
#line 1504 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp109_);
#line 1502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp100_);
#line 1502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp93_);
#line 1502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 9890 "Device.c"
		}
#line 1509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = TRUE;
#line 1509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (mps);
#line 1509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1509 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 9908 "Device.c"
	}
#line 1427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (mps);
#line 1427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (uuid);
#line 1427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (device);
#line 1427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1427 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 9922 "Device.c"
}


gchar* device_automount (const gchar* dev_name_or_uuid, const gchar* mount_options, const gchar* mount_prefix) {
	gchar* result = NULL;
	gchar* device = NULL;
	gchar* _tmp0_ = NULL;
	gchar* uuid = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp14_ = NULL;
	Device* dev = NULL;
	GeeArrayList* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	Device* _tmp17_ = NULL;
	Device* _tmp18_ = NULL;
	gchar* mount_point = NULL;
	const gchar* _tmp26_ = NULL;
	const gchar* _tmp27_ = NULL;
	gchar* _tmp28_ = NULL;
	const gchar* _tmp37_ = NULL;
	const gchar* _tmp38_ = NULL;
	const gchar* _tmp39_ = NULL;
	gboolean _tmp40_ = FALSE;
	GError * _inner_error_ = NULL;
#line 1524 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (dev_name_or_uuid != NULL, NULL);
#line 1524 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (mount_options != NULL, NULL);
#line 1524 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (mount_prefix != NULL, NULL);
#line 1531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1531 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device = _tmp0_;
#line 1532 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 1532 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	uuid = _tmp1_;
#line 1536 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = dev_name_or_uuid;
#line 1536 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = g_str_has_prefix (_tmp2_, "/dev");
#line 1536 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp3_) {
#line 9970 "Device.c"
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
#line 1537 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = dev_name_or_uuid;
#line 1537 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = g_strdup (_tmp4_);
#line 1537 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1537 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device = _tmp5_;
#line 1538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = dev_name_or_uuid;
#line 1538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = device_get_device_uuid (_tmp6_);
#line 1538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1538 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		uuid = _tmp7_;
#line 9991 "Device.c"
	} else {
		const gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
#line 1541 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = dev_name_or_uuid;
#line 1541 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = g_strdup (_tmp8_);
#line 1541 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1541 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		uuid = _tmp9_;
#line 1542 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = uuid;
#line 1542 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = g_strdup_printf ("/dev/disk/by-uuid/%s", _tmp10_);
#line 1542 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1542 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device = _tmp11_;
#line 1543 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = device;
#line 1543 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp13_ = device_resolve_device_name (_tmp12_);
#line 1543 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1543 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		device = _tmp13_;
#line 10023 "Device.c"
	}
#line 1548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp14_ = device_get_block_devices_using_lsblk ("");
#line 1548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp14_;
#line 1549 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp15_ = list;
#line 1549 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp16_ = uuid;
#line 1549 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp17_ = device_find_device_in_list (_tmp15_, _tmp16_);
#line 1549 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	dev = _tmp17_;
#line 1550 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp18_ = dev;
#line 1550 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp18_ != NULL) {
#line 10041 "Device.c"
		Device* _tmp19_ = NULL;
		GeeArrayList* _tmp20_ = NULL;
		gpointer _tmp21_ = NULL;
		MountEntry* _tmp22_ = NULL;
		const gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp19_ = dev;
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp20_ = _tmp19_->mount_points;
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp21_ = gee_abstract_list_get ((GeeAbstractList*) _tmp20_, 0);
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp22_ = (MountEntry*) _tmp21_;
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp23_ = _tmp22_->mount_point;
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp24_ = g_strdup (_tmp23_);
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp25_ = _tmp24_;
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_tmp22_);
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = _tmp25_;
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 10077 "Device.c"
	}
#line 1556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp26_ = mount_prefix;
#line 1556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp27_ = uuid;
#line 1556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp28_ = g_strdup_printf ("%s/%s", _tmp26_, _tmp27_);
#line 1556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	mount_point = _tmp28_;
#line 10087 "Device.c"
	{
		GFile* file = NULL;
		const gchar* _tmp29_ = NULL;
		GFile* _tmp30_ = NULL;
		GFile* _tmp31_ = NULL;
		gboolean _tmp32_ = FALSE;
#line 1559 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp29_ = mount_point;
#line 1559 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp30_ = g_file_new_for_path (_tmp29_);
#line 1559 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		file = _tmp30_;
#line 1560 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp31_ = file;
#line 1560 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp32_ = g_file_query_exists (_tmp31_, NULL);
#line 1560 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (!_tmp32_) {
#line 10106 "Device.c"
			GFile* _tmp33_ = NULL;
#line 1561 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp33_ = file;
#line 1561 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			g_file_make_directory_with_parents (_tmp33_, NULL, &_inner_error_);
#line 1561 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1561 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (file);
#line 10116 "Device.c"
				goto __catch47_g_error;
			}
		}
#line 1558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (file);
#line 10122 "Device.c"
	}
	goto __finally47;
	__catch47_g_error:
	{
		GError* e = NULL;
		GError* _tmp34_ = NULL;
		const gchar* _tmp35_ = NULL;
		gchar* _tmp36_ = NULL;
#line 1558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		e = _inner_error_;
#line 1558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_inner_error_ = NULL;
#line 1565 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp34_ = e;
#line 1565 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp35_ = _tmp34_->message;
#line 1565 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp35_, FALSE, FALSE);
#line 1566 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp36_ = g_strdup ("");
#line 1566 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = _tmp36_;
#line 1566 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_error_free0 (e);
#line 1566 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (mount_point);
#line 1566 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1566 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1566 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1566 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1566 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 10159 "Device.c"
	}
	__finally47:
#line 1558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (mount_point);
#line 1558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_clear_error (&_inner_error_);
#line 1558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return NULL;
#line 10180 "Device.c"
	}
#line 1571 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp37_ = uuid;
#line 1571 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp38_ = mount_point;
#line 1571 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp39_ = mount_options;
#line 1571 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp40_ = device_mount (_tmp37_, _tmp38_, _tmp39_, FALSE);
#line 1571 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp40_) {
#line 1572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = mount_point;
#line 1572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1572 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 10204 "Device.c"
	} else {
		gchar* _tmp41_ = NULL;
#line 1575 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp41_ = g_strdup ("");
#line 1575 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = _tmp41_;
#line 1575 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (mount_point);
#line 1575 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (dev);
#line 1575 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (list);
#line 1575 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (uuid);
#line 1575 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (device);
#line 1575 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 10223 "Device.c"
	}
#line 1524 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (mount_point);
#line 1524 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (dev);
#line 1524 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1524 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (uuid);
#line 1524 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (device);
#line 10235 "Device.c"
}


gboolean device_unmount (const gchar* mount_point) {
	gboolean result = FALSE;
	gchar* cmd = NULL;
	gchar* _tmp0_ = NULL;
	gchar* std_out = NULL;
	gchar* std_err = NULL;
	gint ret_val = 0;
	const gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	const gchar* _tmp26_ = NULL;
	gboolean _tmp27_ = FALSE;
	GError * _inner_error_ = NULL;
#line 1579 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (mount_point != NULL, FALSE);
#line 1584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1584 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	cmd = _tmp0_;
#line 1590 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = mount_point;
#line 1590 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = device_mount_point_in_use (_tmp1_);
#line 1590 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (!_tmp2_) {
#line 1591 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = TRUE;
#line 1591 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1591 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1591 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1591 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 10273 "Device.c"
	}
	{
		gchar* cmd_unmount = NULL;
		const gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gint _tmp15_ = 0;
		const gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gint _tmp19_ = 0;
		gint _tmp20_ = 0;
#line 1598 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = mount_point;
#line 1598 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = g_strdup_printf ("cat /proc/mounts | awk '{print $2}' | grep '%s' | sort -r | xargs umou" \
"nt", _tmp3_);
#line 1598 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		cmd_unmount = _tmp4_;
#line 1600 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = _ ("Unmounting from");
#line 1600 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = mount_point;
#line 1600 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (": '%s'", _tmp6_);
#line 1600 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1600 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 1600 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 1600 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_debug (_tmp10_);
#line 1600 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp10_);
#line 1600 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 1603 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = g_strdup ("sync");
#line 1603 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1603 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		cmd = _tmp11_;
#line 1604 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = cmd;
#line 1604 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_spawn_command_line_sync (_tmp12_, &_tmp13_, &_tmp14_, &_tmp15_, &_inner_error_);
#line 1604 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1604 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		std_out = _tmp13_;
#line 1604 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1604 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		std_err = _tmp14_;
#line 1604 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		ret_val = _tmp15_;
#line 1604 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1604 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (cmd_unmount);
#line 10343 "Device.c"
			goto __catch48_g_error;
		}
#line 1608 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp16_ = cmd_unmount;
#line 1608 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp19_ = tee_jee_process_helper_exec_script_sync (_tmp16_, &_tmp17_, &_tmp18_, FALSE, FALSE, TRUE, FALSE);
#line 1608 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1608 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		std_out = _tmp17_;
#line 1608 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1608 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		std_err = _tmp18_;
#line 1608 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		ret_val = _tmp19_;
#line 1610 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp20_ = ret_val;
#line 1610 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp20_ != 0) {
#line 10364 "Device.c"
			const gchar* _tmp21_ = NULL;
			const gchar* _tmp22_ = NULL;
#line 1611 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp21_ = _ ("Failed to unmount");
#line 1611 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_error (_tmp21_, FALSE, FALSE);
#line 1612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp22_ = std_err;
#line 1612 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_error (_tmp22_, FALSE, FALSE);
#line 10375 "Device.c"
		}
#line 1596 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd_unmount);
#line 10379 "Device.c"
	}
	goto __finally48;
	__catch48_g_error:
	{
		GError* e = NULL;
		GError* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
#line 1596 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		e = _inner_error_;
#line 1596 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_inner_error_ = NULL;
#line 1616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp23_ = e;
#line 1616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp24_ = _tmp23_->message;
#line 1616 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tee_jee_logging_log_error (_tmp24_, FALSE, FALSE);
#line 1617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = FALSE;
#line 1617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_error_free0 (e);
#line 1617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1617 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 10409 "Device.c"
	}
	__finally48:
#line 1596 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 10414 "Device.c"
		gboolean _tmp25_ = FALSE;
#line 1596 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1596 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1596 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1596 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1596 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_clear_error (&_inner_error_);
#line 1596 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return _tmp25_;
#line 10428 "Device.c"
	}
#line 1621 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp26_ = mount_point;
#line 1621 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp27_ = device_mount_point_in_use (_tmp26_);
#line 1621 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (!_tmp27_) {
#line 1622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = TRUE;
#line 1622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1622 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 10446 "Device.c"
	} else {
#line 1625 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = FALSE;
#line 1625 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_err);
#line 1625 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (std_out);
#line 1625 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (cmd);
#line 1625 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 10458 "Device.c"
	}
#line 1579 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_err);
#line 1579 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (std_out);
#line 1579 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (cmd);
#line 10466 "Device.c"
}


gchar* device_description (Device* self) {
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
#line 1681 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_description_formatted (self);
#line 1682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = string_replace (_tmp1_, "<b>", "");
#line 1682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = string_replace (_tmp3_, "</b>", "");
#line 1682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = _tmp4_;
#line 1682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 1682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 1682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp5_;
#line 1682 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 10500 "Device.c"
}


gchar* device_description_formatted (Device* self) {
	gchar* result = NULL;
	gchar* s = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp70_ = NULL;
	gchar* _tmp71_ = NULL;
#line 1685 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1686 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	s = _tmp0_;
#line 1688 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 1688 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "disk") == 0) {
#line 10521 "Device.c"
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		gint _tmp10_ = 0;
		gint _tmp11_ = 0;
		const gchar* _tmp17_ = NULL;
		gint _tmp18_ = 0;
		gint _tmp19_ = 0;
		guint64 _tmp25_ = 0ULL;
#line 1689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = s;
#line 1689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = self->kname;
#line 1689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = g_strconcat ("<b>", _tmp3_, NULL);
#line 1689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 1689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = g_strconcat (_tmp5_, "</b> ~", NULL);
#line 1689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 1689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = g_strconcat (_tmp2_, _tmp7_, NULL);
#line 1689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (s);
#line 1689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		s = _tmp8_;
#line 1689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp7_);
#line 1689 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp5_);
#line 1690 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = self->vendor;
#line 1690 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = strlen (_tmp9_);
#line 1690 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = _tmp10_;
#line 1690 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp11_ > 0) {
#line 10566 "Device.c"
			const gchar* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
			gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
#line 1691 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = s;
#line 1691 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = self->vendor;
#line 1691 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = g_strconcat (" ", _tmp13_, NULL);
#line 1691 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp15_ = _tmp14_;
#line 1691 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp16_ = g_strconcat (_tmp12_, _tmp15_, NULL);
#line 1691 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (s);
#line 1691 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			s = _tmp16_;
#line 1691 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp15_);
#line 10588 "Device.c"
		}
#line 1693 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp17_ = self->model;
#line 1693 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp18_ = strlen (_tmp17_);
#line 1693 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp19_ = _tmp18_;
#line 1693 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp19_ > 0) {
#line 10598 "Device.c"
			const gchar* _tmp20_ = NULL;
			const gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
			gchar* _tmp23_ = NULL;
			gchar* _tmp24_ = NULL;
#line 1694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp20_ = s;
#line 1694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp21_ = self->model;
#line 1694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp22_ = g_strconcat (" ", _tmp21_, NULL);
#line 1694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp23_ = _tmp22_;
#line 1694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp24_ = g_strconcat (_tmp20_, _tmp23_, NULL);
#line 1694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (s);
#line 1694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			s = _tmp24_;
#line 1694 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp23_);
#line 10620 "Device.c"
		}
#line 1696 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp25_ = self->size_bytes;
#line 1696 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp25_ > ((guint64) 0)) {
#line 10626 "Device.c"
			const gchar* _tmp26_ = NULL;
			guint64 _tmp27_ = 0ULL;
			gchar* _tmp28_ = NULL;
			gchar* _tmp29_ = NULL;
			gchar* _tmp30_ = NULL;
			gchar* _tmp31_ = NULL;
			gchar* _tmp32_ = NULL;
#line 1697 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp26_ = s;
#line 1697 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp27_ = self->size_bytes;
#line 1697 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp28_ = tee_jee_file_system_format_file_size (_tmp27_, FALSE, "", TRUE, 0);
#line 1697 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp29_ = _tmp28_;
#line 1697 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp30_ = g_strdup_printf (" (%s)", _tmp29_);
#line 1697 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp31_ = _tmp30_;
#line 1697 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp32_ = g_strconcat (_tmp26_, _tmp31_, NULL);
#line 1697 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (s);
#line 1697 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			s = _tmp32_;
#line 1697 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp31_);
#line 1697 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp29_);
#line 10656 "Device.c"
		}
	} else {
		const gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		gchar* _tmp35_ = NULL;
		gchar* _tmp36_ = NULL;
		gchar* _tmp37_ = NULL;
		gchar* _tmp38_ = NULL;
		gchar* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
		gchar* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
		const gchar* _tmp43_ = NULL;
		gint _tmp44_ = 0;
		gint _tmp45_ = 0;
		const gchar* _tmp51_ = NULL;
		gchar* _tmp52_ = NULL;
		gchar* _tmp53_ = NULL;
		const gchar* _tmp54_ = NULL;
		gint _tmp55_ = 0;
		gint _tmp56_ = 0;
		const gchar* _tmp60_ = NULL;
		gchar* _tmp61_ = NULL;
		guint64 _tmp62_ = 0ULL;
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp33_ = s;
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp34_ = device_get_short_name_with_parent (self);
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp35_ = _tmp34_;
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp36_ = _tmp35_;
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp37_ = g_strconcat ("<b>", _tmp36_, NULL);
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp38_ = _tmp37_;
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp39_ = g_strconcat (_tmp38_, "</b>", NULL);
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp40_ = _tmp39_;
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp41_ = g_strconcat (_tmp33_, _tmp40_, NULL);
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (s);
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		s = _tmp41_;
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp40_);
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp38_);
#line 1701 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp36_);
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp43_ = self->label;
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp44_ = strlen (_tmp43_);
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp45_ = _tmp44_;
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp45_ > 0) {
#line 10717 "Device.c"
			const gchar* _tmp46_ = NULL;
			gchar* _tmp47_ = NULL;
			gchar* _tmp48_ = NULL;
			gchar* _tmp49_ = NULL;
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp46_ = self->label;
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp47_ = g_strconcat (" (", _tmp46_, NULL);
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp48_ = _tmp47_;
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp49_ = g_strconcat (_tmp48_, ")", NULL);
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp42_);
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp42_ = _tmp49_;
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp48_);
#line 10736 "Device.c"
		} else {
			gchar* _tmp50_ = NULL;
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp50_ = g_strdup ("");
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp42_);
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp42_ = _tmp50_;
#line 10745 "Device.c"
		}
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp51_ = s;
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp52_ = g_strconcat (_tmp51_, _tmp42_, NULL);
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (s);
#line 1702 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		s = _tmp52_;
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp54_ = self->fstype;
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp55_ = strlen (_tmp54_);
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp56_ = _tmp55_;
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp56_ > 0) {
#line 10763 "Device.c"
			const gchar* _tmp57_ = NULL;
			gchar* _tmp58_ = NULL;
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp57_ = self->fstype;
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp58_ = g_strconcat (" ~ ", _tmp57_, NULL);
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp53_);
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp53_ = _tmp58_;
#line 10774 "Device.c"
		} else {
			gchar* _tmp59_ = NULL;
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp59_ = g_strdup ("");
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp53_);
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp53_ = _tmp59_;
#line 10783 "Device.c"
		}
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp60_ = s;
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp61_ = g_strconcat (_tmp60_, _tmp53_, NULL);
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (s);
#line 1703 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		s = _tmp61_;
#line 1704 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp62_ = self->size_bytes;
#line 1704 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp62_ > ((guint64) 0)) {
#line 10797 "Device.c"
			const gchar* _tmp63_ = NULL;
			guint64 _tmp64_ = 0ULL;
			gchar* _tmp65_ = NULL;
			gchar* _tmp66_ = NULL;
			gchar* _tmp67_ = NULL;
			gchar* _tmp68_ = NULL;
			gchar* _tmp69_ = NULL;
#line 1705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp63_ = s;
#line 1705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp64_ = self->size_bytes;
#line 1705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp65_ = tee_jee_file_system_format_file_size (_tmp64_, FALSE, "", TRUE, 0);
#line 1705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp66_ = _tmp65_;
#line 1705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp67_ = g_strdup_printf (" (%s)", _tmp66_);
#line 1705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp68_ = _tmp67_;
#line 1705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp69_ = g_strconcat (_tmp63_, _tmp68_, NULL);
#line 1705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (s);
#line 1705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			s = _tmp69_;
#line 1705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp68_);
#line 1705 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp66_);
#line 10827 "Device.c"
		}
#line 1688 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp53_);
#line 1688 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp42_);
#line 10833 "Device.c"
	}
#line 1709 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp70_ = s;
#line 1709 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp71_ = string_strip (_tmp70_);
#line 1709 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp71_;
#line 1709 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (s);
#line 1709 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 10845 "Device.c"
}


gchar* device_description_simple (Device* self) {
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
#line 1712 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1713 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_description_simple_formatted (self);
#line 1713 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1713 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = string_replace (_tmp1_, "<b>", "");
#line 1713 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1713 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = string_replace (_tmp3_, "</b>", "");
#line 1713 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = _tmp4_;
#line 1713 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 1713 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 1713 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp5_;
#line 1713 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 10879 "Device.c"
}


gchar* device_description_simple_formatted (Device* self) {
	gchar* result = NULL;
	gchar* s = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp76_ = NULL;
	gchar* _tmp77_ = NULL;
#line 1716 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1718 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1718 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	s = _tmp0_;
#line 1720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 1720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "disk") == 0) {
#line 10900 "Device.c"
		const gchar* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
		const gchar* _tmp10_ = NULL;
		gint _tmp11_ = 0;
		gint _tmp12_ = 0;
		guint64 _tmp18_ = 0ULL;
#line 1721 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = self->vendor;
#line 1721 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = strlen (_tmp2_);
#line 1721 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = _tmp3_;
#line 1721 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp4_ > 0) {
#line 10916 "Device.c"
			const gchar* _tmp5_ = NULL;
			const gchar* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
			gchar* _tmp8_ = NULL;
			gchar* _tmp9_ = NULL;
#line 1722 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp5_ = s;
#line 1722 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp6_ = self->vendor;
#line 1722 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp7_ = g_strconcat (" ", _tmp6_, NULL);
#line 1722 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp8_ = _tmp7_;
#line 1722 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 1722 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (s);
#line 1722 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			s = _tmp9_;
#line 1722 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp8_);
#line 10938 "Device.c"
		}
#line 1724 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = self->model;
#line 1724 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = strlen (_tmp10_);
#line 1724 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = _tmp11_;
#line 1724 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp12_ > 0) {
#line 10948 "Device.c"
			const gchar* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
			gchar* _tmp17_ = NULL;
#line 1725 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = s;
#line 1725 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = self->model;
#line 1725 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp15_ = g_strconcat (" ", _tmp14_, NULL);
#line 1725 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp16_ = _tmp15_;
#line 1725 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp17_ = g_strconcat (_tmp13_, _tmp16_, NULL);
#line 1725 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (s);
#line 1725 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			s = _tmp17_;
#line 1725 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp16_);
#line 10970 "Device.c"
		}
#line 1727 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp18_ = self->size_bytes;
#line 1727 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp18_ > ((guint64) 0)) {
#line 10976 "Device.c"
			const gchar* _tmp19_ = NULL;
			gchar* _tmp20_ = NULL;
			gchar* _tmp21_ = NULL;
			gint _tmp22_ = 0;
			gint _tmp23_ = 0;
			gboolean _tmp24_ = FALSE;
#line 1728 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp19_ = s;
#line 1728 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp20_ = string_strip (_tmp19_);
#line 1728 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp21_ = _tmp20_;
#line 1728 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp22_ = strlen (_tmp21_);
#line 1728 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp23_ = _tmp22_;
#line 1728 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp24_ = _tmp23_ == 0;
#line 1728 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp21_);
#line 1728 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (_tmp24_) {
#line 10999 "Device.c"
				const gchar* _tmp25_ = NULL;
				guint64 _tmp26_ = 0ULL;
				gchar* _tmp27_ = NULL;
				gchar* _tmp28_ = NULL;
				gchar* _tmp29_ = NULL;
				gchar* _tmp30_ = NULL;
				gchar* _tmp31_ = NULL;
#line 1729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp25_ = s;
#line 1729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp26_ = self->size_bytes;
#line 1729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp27_ = tee_jee_file_system_format_file_size (_tmp26_, FALSE, "", TRUE, 0);
#line 1729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp28_ = _tmp27_;
#line 1729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp29_ = g_strdup_printf ("%s Device", _tmp28_);
#line 1729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp30_ = _tmp29_;
#line 1729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp31_ = g_strconcat (_tmp25_, _tmp30_, NULL);
#line 1729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (s);
#line 1729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				s = _tmp31_;
#line 1729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp30_);
#line 1729 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp28_);
#line 11029 "Device.c"
			} else {
				const gchar* _tmp32_ = NULL;
				guint64 _tmp33_ = 0ULL;
				gchar* _tmp34_ = NULL;
				gchar* _tmp35_ = NULL;
				gchar* _tmp36_ = NULL;
				gchar* _tmp37_ = NULL;
				gchar* _tmp38_ = NULL;
#line 1732 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp32_ = s;
#line 1732 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp33_ = self->size_bytes;
#line 1732 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp34_ = tee_jee_file_system_format_file_size (_tmp33_, FALSE, "", TRUE, 0);
#line 1732 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp35_ = _tmp34_;
#line 1732 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp36_ = g_strdup_printf (" (%s)", _tmp35_);
#line 1732 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp37_ = _tmp36_;
#line 1732 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp38_ = g_strconcat (_tmp32_, _tmp37_, NULL);
#line 1732 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (s);
#line 1732 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				s = _tmp38_;
#line 1732 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp37_);
#line 1732 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp35_);
#line 11060 "Device.c"
			}
		}
	} else {
		const gchar* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
		gchar* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
		gchar* _tmp43_ = NULL;
		gchar* _tmp44_ = NULL;
		gchar* _tmp45_ = NULL;
		gchar* _tmp46_ = NULL;
		gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
		const gchar* _tmp49_ = NULL;
		gint _tmp50_ = 0;
		gint _tmp51_ = 0;
		const gchar* _tmp57_ = NULL;
		gchar* _tmp58_ = NULL;
		gchar* _tmp59_ = NULL;
		const gchar* _tmp60_ = NULL;
		gint _tmp61_ = 0;
		gint _tmp62_ = 0;
		const gchar* _tmp66_ = NULL;
		gchar* _tmp67_ = NULL;
		guint64 _tmp68_ = 0ULL;
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp39_ = s;
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp40_ = device_get_short_name_with_parent (self);
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp41_ = _tmp40_;
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp42_ = _tmp41_;
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp43_ = g_strconcat ("<b>", _tmp42_, NULL);
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp44_ = _tmp43_;
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp45_ = g_strconcat (_tmp44_, "</b>", NULL);
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp46_ = _tmp45_;
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp47_ = g_strconcat (_tmp39_, _tmp46_, NULL);
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (s);
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		s = _tmp47_;
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp46_);
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp44_);
#line 1737 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp42_);
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp49_ = self->label;
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp50_ = strlen (_tmp49_);
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp51_ = _tmp50_;
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp51_ > 0) {
#line 11122 "Device.c"
			const gchar* _tmp52_ = NULL;
			gchar* _tmp53_ = NULL;
			gchar* _tmp54_ = NULL;
			gchar* _tmp55_ = NULL;
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp52_ = self->label;
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp53_ = g_strconcat (" (", _tmp52_, NULL);
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp54_ = _tmp53_;
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp55_ = g_strconcat (_tmp54_, ")", NULL);
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp48_);
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp48_ = _tmp55_;
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp54_);
#line 11141 "Device.c"
		} else {
			gchar* _tmp56_ = NULL;
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp56_ = g_strdup ("");
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp48_);
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp48_ = _tmp56_;
#line 11150 "Device.c"
		}
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp57_ = s;
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp58_ = g_strconcat (_tmp57_, _tmp48_, NULL);
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (s);
#line 1738 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		s = _tmp58_;
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp60_ = self->fstype;
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp61_ = strlen (_tmp60_);
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp62_ = _tmp61_;
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp62_ > 0) {
#line 11168 "Device.c"
			const gchar* _tmp63_ = NULL;
			gchar* _tmp64_ = NULL;
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp63_ = self->fstype;
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp64_ = g_strconcat (" ~ ", _tmp63_, NULL);
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp59_);
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp59_ = _tmp64_;
#line 11179 "Device.c"
		} else {
			gchar* _tmp65_ = NULL;
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp65_ = g_strdup ("");
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp59_);
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp59_ = _tmp65_;
#line 11188 "Device.c"
		}
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp66_ = s;
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp67_ = g_strconcat (_tmp66_, _tmp59_, NULL);
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (s);
#line 1739 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		s = _tmp67_;
#line 1740 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp68_ = self->size_bytes;
#line 1740 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp68_ > ((guint64) 0)) {
#line 11202 "Device.c"
			const gchar* _tmp69_ = NULL;
			guint64 _tmp70_ = 0ULL;
			gchar* _tmp71_ = NULL;
			gchar* _tmp72_ = NULL;
			gchar* _tmp73_ = NULL;
			gchar* _tmp74_ = NULL;
			gchar* _tmp75_ = NULL;
#line 1741 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp69_ = s;
#line 1741 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp70_ = self->size_bytes;
#line 1741 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp71_ = tee_jee_file_system_format_file_size (_tmp70_, FALSE, "", TRUE, 0);
#line 1741 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp72_ = _tmp71_;
#line 1741 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp73_ = g_strdup_printf (" (%s)", _tmp72_);
#line 1741 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp74_ = _tmp73_;
#line 1741 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp75_ = g_strconcat (_tmp69_, _tmp74_, NULL);
#line 1741 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (s);
#line 1741 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			s = _tmp75_;
#line 1741 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp74_);
#line 1741 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp72_);
#line 11232 "Device.c"
		}
#line 1720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp59_);
#line 1720 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp48_);
#line 11238 "Device.c"
	}
#line 1745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp76_ = s;
#line 1745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp77_ = string_strip (_tmp76_);
#line 1745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp77_;
#line 1745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (s);
#line 1745 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 11250 "Device.c"
}


gchar* device_description_full_free (Device* self) {
	gchar* result = NULL;
	gchar* s = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1748 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1749 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1749 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	s = _tmp0_;
#line 1751 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 1751 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "disk") == 0) {
#line 11269 "Device.c"
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		gint _tmp11_ = 0;
		gint _tmp12_ = 0;
#line 1752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = s;
#line 1752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = self->model;
#line 1752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = self->vendor;
#line 1752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = g_strdup_printf ("%s %s", _tmp3_, _tmp4_);
#line 1752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = _tmp5_;
#line 1752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = string_strip (_tmp6_);
#line 1752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp2_, _tmp8_, NULL);
#line 1752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (s);
#line 1752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		s = _tmp9_;
#line 1752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 1752 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp6_);
#line 1753 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = s;
#line 1753 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = strlen (_tmp10_);
#line 1753 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = _tmp11_;
#line 1753 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp12_ == 0) {
#line 11313 "Device.c"
			guint64 _tmp13_ = 0ULL;
			gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
#line 1754 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = self->size_bytes;
#line 1754 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = tee_jee_file_system_format_file_size (_tmp13_, FALSE, "", TRUE, 1);
#line 1754 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp15_ = _tmp14_;
#line 1754 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp16_ = g_strdup_printf ("%s Disk", _tmp15_);
#line 1754 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (s);
#line 1754 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			s = _tmp16_;
#line 1754 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp15_);
#line 11332 "Device.c"
		} else {
			const gchar* _tmp17_ = NULL;
			guint64 _tmp18_ = 0ULL;
			gchar* _tmp19_ = NULL;
			gchar* _tmp20_ = NULL;
			gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
			gchar* _tmp23_ = NULL;
#line 1757 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp17_ = s;
#line 1757 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp18_ = self->size_bytes;
#line 1757 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp19_ = tee_jee_file_system_format_file_size (_tmp18_, FALSE, "", TRUE, 1);
#line 1757 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp20_ = _tmp19_;
#line 1757 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp21_ = g_strdup_printf (" (%s Disk)", _tmp20_);
#line 1757 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp22_ = _tmp21_;
#line 1757 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp23_ = g_strconcat (_tmp17_, _tmp22_, NULL);
#line 1757 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (s);
#line 1757 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			s = _tmp23_;
#line 1757 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp22_);
#line 1757 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp20_);
#line 11363 "Device.c"
		}
	} else {
		const gchar* _tmp24_ = NULL;
		const gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
		gint _tmp28_ = 0;
		gint _tmp29_ = 0;
		const gchar* _tmp35_ = NULL;
		gint _tmp36_ = 0;
		gint _tmp37_ = 0;
		guint64 _tmp43_ = 0ULL;
		guint64 _tmp44_ = 0ULL;
#line 1761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp24_ = s;
#line 1761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp25_ = self->kname;
#line 1761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp26_ = g_strconcat (_tmp24_, _tmp25_, NULL);
#line 1761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (s);
#line 1761 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		s = _tmp26_;
#line 1762 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp27_ = self->label;
#line 1762 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp28_ = strlen (_tmp27_);
#line 1762 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp29_ = _tmp28_;
#line 1762 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp29_ > 0) {
#line 11395 "Device.c"
			const gchar* _tmp30_ = NULL;
			const gchar* _tmp31_ = NULL;
			gchar* _tmp32_ = NULL;
			gchar* _tmp33_ = NULL;
			gchar* _tmp34_ = NULL;
#line 1763 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp30_ = s;
#line 1763 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp31_ = self->label;
#line 1763 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp32_ = g_strdup_printf (" (%s)", _tmp31_);
#line 1763 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp33_ = _tmp32_;
#line 1763 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp34_ = g_strconcat (_tmp30_, _tmp33_, NULL);
#line 1763 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (s);
#line 1763 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			s = _tmp34_;
#line 1763 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp33_);
#line 11417 "Device.c"
		}
#line 1765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp35_ = self->fstype;
#line 1765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp36_ = strlen (_tmp35_);
#line 1765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp37_ = _tmp36_;
#line 1765 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp37_ > 0) {
#line 11427 "Device.c"
			const gchar* _tmp38_ = NULL;
			const gchar* _tmp39_ = NULL;
			gchar* _tmp40_ = NULL;
			gchar* _tmp41_ = NULL;
			gchar* _tmp42_ = NULL;
#line 1766 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp38_ = s;
#line 1766 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp39_ = self->fstype;
#line 1766 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp40_ = g_strdup_printf (" ~ %s", _tmp39_);
#line 1766 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp41_ = _tmp40_;
#line 1766 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp42_ = g_strconcat (_tmp38_, _tmp41_, NULL);
#line 1766 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (s);
#line 1766 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			s = _tmp42_;
#line 1766 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp41_);
#line 11449 "Device.c"
		}
#line 1768 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp43_ = device_get_free_bytes (self);
#line 1768 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp44_ = _tmp43_;
#line 1768 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp44_ > ((guint64) 0)) {
#line 11457 "Device.c"
			const gchar* _tmp45_ = NULL;
			gchar* _tmp46_ = NULL;
			gchar* _tmp47_ = NULL;
			gchar* _tmp48_ = NULL;
			gchar* _tmp49_ = NULL;
			gchar* _tmp50_ = NULL;
#line 1769 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp45_ = s;
#line 1769 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp46_ = device_description_free (self);
#line 1769 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp47_ = _tmp46_;
#line 1769 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp48_ = g_strdup_printf (" ~ %s", _tmp47_);
#line 1769 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp49_ = _tmp48_;
#line 1769 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp50_ = g_strconcat (_tmp45_, _tmp49_, NULL);
#line 1769 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (s);
#line 1769 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			s = _tmp50_;
#line 1769 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp49_);
#line 1769 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp47_);
#line 11484 "Device.c"
		}
	}
#line 1773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = s;
#line 1773 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 11491 "Device.c"
}


gchar* device_description_full (Device* self) {
	gchar* result = NULL;
	gchar* s = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gint _tmp7_ = 0;
	const gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	gint _tmp17_ = 0;
	gint _tmp18_ = 0;
	const gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	const gchar* _tmp25_ = NULL;
	gint _tmp26_ = 0;
	gint _tmp27_ = 0;
	const gchar* _tmp31_ = NULL;
	gchar* _tmp32_ = NULL;
	gchar* _tmp33_ = NULL;
	gchar* _tmp34_ = NULL;
	gchar* _tmp35_ = NULL;
	gchar* _tmp36_ = NULL;
	gint _tmp37_ = 0;
	gint _tmp38_ = 0;
	gboolean _tmp39_ = FALSE;
	const gchar* _tmp59_ = NULL;
	gchar* _tmp60_ = NULL;
#line 1776 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1777 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	s = _tmp0_;
#line 1778 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = s;
#line 1778 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = self->device;
#line 1778 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = g_strconcat (_tmp1_, _tmp2_, NULL);
#line 1778 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (s);
#line 1778 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	s = _tmp3_;
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = self->label;
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp6_ = strlen (_tmp5_);
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp7_ = _tmp6_;
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp7_ > 0) {
#line 11553 "Device.c"
		const gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = self->label;
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (" (", _tmp8_, NULL);
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = g_strconcat (_tmp10_, ")", NULL);
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp4_);
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = _tmp11_;
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp10_);
#line 11572 "Device.c"
	} else {
		gchar* _tmp12_ = NULL;
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = g_strdup ("");
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp4_);
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = _tmp12_;
#line 11581 "Device.c"
	}
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp13_ = s;
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp14_ = g_strconcat (_tmp13_, _tmp4_, NULL);
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (s);
#line 1779 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	s = _tmp14_;
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp16_ = self->uuid;
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp17_ = strlen (_tmp16_);
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp18_ = _tmp17_;
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp18_ > 0) {
#line 11599 "Device.c"
		const gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp19_ = self->uuid;
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp20_ = g_strconcat (" ~ ", _tmp19_, NULL);
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp15_ = _tmp20_;
#line 11610 "Device.c"
	} else {
		gchar* _tmp21_ = NULL;
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp21_ = g_strdup ("");
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp15_ = _tmp21_;
#line 11619 "Device.c"
	}
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp22_ = s;
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp23_ = g_strconcat (_tmp22_, _tmp15_, NULL);
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (s);
#line 1780 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	s = _tmp23_;
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp25_ = self->fstype;
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp26_ = strlen (_tmp25_);
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp27_ = _tmp26_;
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp27_ > 0) {
#line 11637 "Device.c"
		const gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp28_ = self->fstype;
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp29_ = g_strconcat (" ~ ", _tmp28_, NULL);
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp24_);
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp24_ = _tmp29_;
#line 11648 "Device.c"
	} else {
		gchar* _tmp30_ = NULL;
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp30_ = g_strdup ("");
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp24_);
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp24_ = _tmp30_;
#line 11657 "Device.c"
	}
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp31_ = s;
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp32_ = g_strconcat (_tmp31_, _tmp24_, NULL);
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (s);
#line 1781 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	s = _tmp32_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp34_ = device_get_used (self);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp35_ = _tmp34_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp36_ = _tmp35_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp37_ = strlen (_tmp36_);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp38_ = _tmp37_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp39_ = _tmp38_ > 0;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp36_);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp39_) {
#line 11683 "Device.c"
		gchar* _tmp40_ = NULL;
		gchar* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
		gchar* _tmp43_ = NULL;
		gchar* _tmp44_ = NULL;
		gchar* _tmp45_ = NULL;
		gchar* _tmp46_ = NULL;
		gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
		gchar* _tmp49_ = NULL;
		gchar* _tmp50_ = NULL;
		gchar* _tmp51_ = NULL;
		gchar* _tmp52_ = NULL;
		gchar* _tmp53_ = NULL;
		const gchar* _tmp54_ = NULL;
		gchar* _tmp55_ = NULL;
		gchar* _tmp56_ = NULL;
		gchar* _tmp57_ = NULL;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp40_ = device_get_used (self);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp41_ = _tmp40_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp42_ = _tmp41_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp43_ = g_strconcat (" ~ ", _tmp42_, NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp44_ = _tmp43_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp45_ = g_strconcat (_tmp44_, " / ", NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp46_ = _tmp45_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp47_ = device_get_size (self);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp48_ = _tmp47_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp49_ = _tmp48_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp50_ = g_strconcat (_tmp46_, _tmp49_, NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp51_ = _tmp50_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp52_ = g_strconcat (_tmp51_, " GB used (", NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp53_ = _tmp52_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp54_ = self->used_percent;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp55_ = g_strconcat (_tmp53_, _tmp54_, NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp56_ = _tmp55_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp57_ = g_strconcat (_tmp56_, ")", NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp33_);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp33_ = _tmp57_;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp56_);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp53_);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp51_);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp49_);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp46_);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp44_);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp42_);
#line 11756 "Device.c"
	} else {
		gchar* _tmp58_ = NULL;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp58_ = g_strdup ("");
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp33_);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp33_ = _tmp58_;
#line 11765 "Device.c"
	}
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp59_ = s;
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp60_ = g_strconcat (_tmp59_, _tmp33_, NULL);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (s);
#line 1782 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	s = _tmp60_;
#line 1784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = s;
#line 1784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp33_);
#line 1784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp24_);
#line 1784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp15_);
#line 1784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp4_);
#line 1784 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 11787 "Device.c"
}


gchar* device_description_usage (Device* self) {
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gboolean _tmp5_ = FALSE;
#line 1787 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_get_used (self);
#line 1788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 1788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 1788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = _tmp4_ > 0;
#line 1788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp2_);
#line 1788 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp5_) {
#line 11817 "Device.c"
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		gchar* _tmp22_ = NULL;
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = device_get_used (self);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp8_, " / ", NULL);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = device_get_size (self);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = _tmp11_;
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp13_ = _tmp12_;
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp14_ = g_strconcat (_tmp10_, _tmp13_, NULL);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp15_ = _tmp14_;
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp16_ = g_strconcat (_tmp15_, " used (", NULL);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp17_ = _tmp16_;
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp18_ = self->used_percent;
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp19_ = g_strconcat (_tmp17_, _tmp18_, NULL);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp20_ = _tmp19_;
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp21_ = g_strconcat (_tmp20_, ")", NULL);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp22_ = _tmp21_;
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp20_);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp17_);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp15_);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp13_);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp10_);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = _tmp22_;
#line 1789 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 11885 "Device.c"
	} else {
		gchar* _tmp23_ = NULL;
#line 1792 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp23_ = g_strdup ("");
#line 1792 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = _tmp23_;
#line 1792 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 11894 "Device.c"
	}
}


gchar* device_description_free (Device* self) {
	gchar* result = NULL;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gboolean _tmp5_ = FALSE;
#line 1796 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_get_used (self);
#line 1797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 1797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 1797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = _tmp4_ > 0;
#line 1797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp2_);
#line 1797 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp5_) {
#line 11925 "Device.c"
		guint64 _tmp6_ = 0ULL;
		guint64 _tmp7_ = 0ULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		guint64 _tmp12_ = 0ULL;
		gchar* _tmp13_ = NULL;
		gchar* _tmp14_ = NULL;
		gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = device_get_free_bytes (self);
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = _tmp6_;
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = tee_jee_file_system_format_file_size (_tmp7_, FALSE, "g", FALSE, 1);
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = _tmp8_;
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = g_strconcat (_tmp9_, " / ", NULL);
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = _tmp10_;
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = self->size_bytes;
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp13_ = tee_jee_file_system_format_file_size (_tmp12_, FALSE, "g", TRUE, 1);
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp14_ = _tmp13_;
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp15_ = g_strconcat (_tmp11_, _tmp14_, NULL);
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp16_ = _tmp15_;
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp17_ = g_strconcat (_tmp16_, " free", NULL);
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp18_ = _tmp17_;
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp16_);
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp14_);
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp11_);
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp9_);
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = _tmp18_;
#line 1798 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 11977 "Device.c"
	} else {
		gchar* _tmp19_ = NULL;
#line 1802 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp19_ = g_strdup ("");
#line 1802 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = _tmp19_;
#line 1802 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 11986 "Device.c"
	}
}


gchar* device_tooltip_text (Device* self) {
	gchar* result = NULL;
	gchar* tt = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp114_ = NULL;
	gchar* _tmp115_ = NULL;
#line 1806 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1807 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1807 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tt = _tmp0_;
#line 1809 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = self->type;
#line 1809 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp1_, "disk") == 0) {
#line 12008 "Device.c"
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
		gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		const gchar* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
		const gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
		gchar* _tmp30_ = NULL;
		gchar* _tmp31_ = NULL;
		gchar* _tmp32_ = NULL;
		guint64 _tmp33_ = 0ULL;
		const gchar* _tmp37_ = NULL;
		const gchar* _tmp38_ = NULL;
		gchar* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
		gchar* _tmp41_ = NULL;
#line 1810 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = tt;
#line 1810 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = _ ("Device");
#line 1810 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = self->device;
#line 1810 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = g_strdup_printf ("%-15s: %s\n", _tmp3_, _tmp4_);
#line 1810 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = _tmp5_;
#line 1810 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = g_strconcat (_tmp2_, _tmp6_, NULL);
#line 1810 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1810 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp7_;
#line 1810 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp6_);
#line 1811 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = tt;
#line 1811 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = _ ("Vendor");
#line 1811 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = self->vendor;
#line 1811 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = g_strdup_printf ("%-15s: %s\n", _tmp9_, _tmp10_);
#line 1811 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp12_ = _tmp11_;
#line 1811 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp13_ = g_strconcat (_tmp8_, _tmp12_, NULL);
#line 1811 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1811 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp13_;
#line 1811 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp12_);
#line 1812 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp14_ = tt;
#line 1812 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp15_ = _ ("Model");
#line 1812 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp16_ = self->model;
#line 1812 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp17_ = g_strdup_printf ("%-15s: %s\n", _tmp15_, _tmp16_);
#line 1812 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp18_ = _tmp17_;
#line 1812 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp19_ = g_strconcat (_tmp14_, _tmp18_, NULL);
#line 1812 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1812 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp19_;
#line 1812 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp18_);
#line 1813 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp20_ = tt;
#line 1813 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp21_ = _ ("Serial");
#line 1813 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp22_ = self->serial;
#line 1813 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp23_ = g_strdup_printf ("%-15s: %s\n", _tmp21_, _tmp22_);
#line 1813 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp24_ = _tmp23_;
#line 1813 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp25_ = g_strconcat (_tmp20_, _tmp24_, NULL);
#line 1813 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1813 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp25_;
#line 1813 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp24_);
#line 1814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp26_ = tt;
#line 1814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp27_ = _ ("Revision");
#line 1814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp28_ = self->revision;
#line 1814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp29_ = g_strdup_printf ("%-15s: %s\n", _tmp27_, _tmp28_);
#line 1814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp30_ = _tmp29_;
#line 1814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp31_ = g_strconcat (_tmp26_, _tmp30_, NULL);
#line 1814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp31_;
#line 1814 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp30_);
#line 1817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp33_ = self->size_bytes;
#line 1817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp33_ > ((guint64) 0)) {
#line 12140 "Device.c"
			guint64 _tmp34_ = 0ULL;
			gchar* _tmp35_ = NULL;
#line 1817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp34_ = self->size_bytes;
#line 1817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp35_ = tee_jee_file_system_format_file_size (_tmp34_, FALSE, "", TRUE, 1);
#line 1817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp32_);
#line 1817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp32_ = _tmp35_;
#line 12151 "Device.c"
		} else {
			gchar* _tmp36_ = NULL;
#line 1817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp36_ = g_strdup ("N/A");
#line 1817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp32_);
#line 1817 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp32_ = _tmp36_;
#line 12160 "Device.c"
		}
#line 1816 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp37_ = tt;
#line 1816 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp38_ = _ ("Size");
#line 1816 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp39_ = g_strdup_printf ("%-15s: %s\n", _tmp38_, _tmp32_);
#line 1816 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp40_ = _tmp39_;
#line 1816 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp41_ = g_strconcat (_tmp37_, _tmp40_, NULL);
#line 1816 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1816 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp41_;
#line 1816 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp40_);
#line 1809 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp32_);
#line 12180 "Device.c"
	} else {
		gchar* _tmp42_ = NULL;
		const gchar* _tmp43_ = NULL;
		gint _tmp44_ = 0;
		gint _tmp45_ = 0;
		const gchar* _tmp51_ = NULL;
		const gchar* _tmp52_ = NULL;
		gchar* _tmp53_ = NULL;
		gchar* _tmp54_ = NULL;
		gchar* _tmp55_ = NULL;
		gboolean _tmp56_ = FALSE;
		const gchar* _tmp64_ = NULL;
		const gchar* _tmp65_ = NULL;
		const gchar* _tmp66_ = NULL;
		gchar* _tmp67_ = NULL;
		gchar* _tmp68_ = NULL;
		gchar* _tmp69_ = NULL;
		const gchar* _tmp70_ = NULL;
		const gchar* _tmp71_ = NULL;
		const gchar* _tmp72_ = NULL;
		gchar* _tmp73_ = NULL;
		gchar* _tmp74_ = NULL;
		gchar* _tmp75_ = NULL;
		const gchar* _tmp76_ = NULL;
		const gchar* _tmp77_ = NULL;
		const gchar* _tmp78_ = NULL;
		gchar* _tmp79_ = NULL;
		gchar* _tmp80_ = NULL;
		gchar* _tmp81_ = NULL;
		const gchar* _tmp82_ = NULL;
		const gchar* _tmp83_ = NULL;
		const gchar* _tmp84_ = NULL;
		gchar* _tmp85_ = NULL;
		gchar* _tmp86_ = NULL;
		gchar* _tmp87_ = NULL;
		gchar* _tmp88_ = NULL;
		guint64 _tmp89_ = 0ULL;
		const gchar* _tmp93_ = NULL;
		const gchar* _tmp94_ = NULL;
		gchar* _tmp95_ = NULL;
		gchar* _tmp96_ = NULL;
		gchar* _tmp97_ = NULL;
		gchar* _tmp98_ = NULL;
		guint64 _tmp99_ = 0ULL;
		const gchar* _tmp103_ = NULL;
		const gchar* _tmp104_ = NULL;
		gchar* _tmp105_ = NULL;
		gchar* _tmp106_ = NULL;
		gchar* _tmp107_ = NULL;
		const gchar* _tmp108_ = NULL;
		const gchar* _tmp109_ = NULL;
		const gchar* _tmp110_ = NULL;
		gchar* _tmp111_ = NULL;
		gchar* _tmp112_ = NULL;
		gchar* _tmp113_ = NULL;
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp43_ = self->mapped_name;
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp44_ = strlen (_tmp43_);
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp45_ = _tmp44_;
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp45_ > 0) {
#line 12244 "Device.c"
			const gchar* _tmp46_ = NULL;
			const gchar* _tmp47_ = NULL;
			gchar* _tmp48_ = NULL;
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp46_ = self->device;
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp47_ = self->mapped_name;
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp48_ = g_strdup_printf ("%s → %s", _tmp46_, _tmp47_);
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp42_);
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp42_ = _tmp48_;
#line 12258 "Device.c"
		} else {
			const gchar* _tmp49_ = NULL;
			gchar* _tmp50_ = NULL;
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp49_ = self->device;
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp50_ = g_strdup (_tmp49_);
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp42_);
#line 1821 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp42_ = _tmp50_;
#line 12270 "Device.c"
		}
#line 1820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp51_ = tt;
#line 1820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp52_ = _ ("Device");
#line 1820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp53_ = g_strdup_printf ("%-15s: %s\n", _tmp52_, _tmp42_);
#line 1820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp54_ = _tmp53_;
#line 1820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp55_ = g_strconcat (_tmp51_, _tmp54_, NULL);
#line 1820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp55_;
#line 1820 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp54_);
#line 1823 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp56_ = device_has_parent (self);
#line 1823 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp56_) {
#line 12292 "Device.c"
			const gchar* _tmp57_ = NULL;
			const gchar* _tmp58_ = NULL;
			Device* _tmp59_ = NULL;
			const gchar* _tmp60_ = NULL;
			gchar* _tmp61_ = NULL;
			gchar* _tmp62_ = NULL;
			gchar* _tmp63_ = NULL;
#line 1824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp57_ = tt;
#line 1824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp58_ = _ ("Parent Device");
#line 1824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp59_ = self->parent;
#line 1824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp60_ = _tmp59_->device;
#line 1824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp61_ = g_strdup_printf ("%-15s: %s\n", _tmp58_, _tmp60_);
#line 1824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp62_ = _tmp61_;
#line 1824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp63_ = g_strconcat (_tmp57_, _tmp62_, NULL);
#line 1824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (tt);
#line 1824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tt = _tmp63_;
#line 1824 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp62_);
#line 12320 "Device.c"
		}
#line 1826 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp64_ = tt;
#line 1826 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp65_ = _ ("UUID");
#line 1826 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp66_ = self->uuid;
#line 1826 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp67_ = g_strdup_printf ("%-15s: %s\n", _tmp65_, _tmp66_);
#line 1826 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp68_ = _tmp67_;
#line 1826 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp69_ = g_strconcat (_tmp64_, _tmp68_, NULL);
#line 1826 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1826 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp69_;
#line 1826 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp68_);
#line 1827 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp70_ = tt;
#line 1827 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp71_ = _ ("Type");
#line 1827 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp72_ = self->type;
#line 1827 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp73_ = g_strdup_printf ("%-15s: %s\n", _tmp71_, _tmp72_);
#line 1827 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp74_ = _tmp73_;
#line 1827 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp75_ = g_strconcat (_tmp70_, _tmp74_, NULL);
#line 1827 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1827 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp75_;
#line 1827 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp74_);
#line 1828 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp76_ = tt;
#line 1828 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp77_ = _ ("Filesystem");
#line 1828 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp78_ = self->fstype;
#line 1828 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp79_ = g_strdup_printf ("%-15s: %s\n", _tmp77_, _tmp78_);
#line 1828 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp80_ = _tmp79_;
#line 1828 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp81_ = g_strconcat (_tmp76_, _tmp80_, NULL);
#line 1828 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1828 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp81_;
#line 1828 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp80_);
#line 1829 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp82_ = tt;
#line 1829 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp83_ = _ ("Label");
#line 1829 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp84_ = self->label;
#line 1829 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp85_ = g_strdup_printf ("%-15s: %s\n", _tmp83_, _tmp84_);
#line 1829 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp86_ = _tmp85_;
#line 1829 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp87_ = g_strconcat (_tmp82_, _tmp86_, NULL);
#line 1829 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1829 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp87_;
#line 1829 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp86_);
#line 1832 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp89_ = self->size_bytes;
#line 1832 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp89_ > ((guint64) 0)) {
#line 12398 "Device.c"
			guint64 _tmp90_ = 0ULL;
			gchar* _tmp91_ = NULL;
#line 1832 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp90_ = self->size_bytes;
#line 1832 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp91_ = tee_jee_file_system_format_file_size (_tmp90_, FALSE, "", TRUE, 1);
#line 1832 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp88_);
#line 1832 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp88_ = _tmp91_;
#line 12409 "Device.c"
		} else {
			gchar* _tmp92_ = NULL;
#line 1832 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp92_ = g_strdup ("N/A");
#line 1832 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp88_);
#line 1832 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp88_ = _tmp92_;
#line 12418 "Device.c"
		}
#line 1831 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp93_ = tt;
#line 1831 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp94_ = _ ("Size");
#line 1831 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp95_ = g_strdup_printf ("%-15s: %s\n", _tmp94_, _tmp88_);
#line 1831 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp96_ = _tmp95_;
#line 1831 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp97_ = g_strconcat (_tmp93_, _tmp96_, NULL);
#line 1831 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1831 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp97_;
#line 1831 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp96_);
#line 1835 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp99_ = self->used_bytes;
#line 1835 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp99_ > ((guint64) 0)) {
#line 12440 "Device.c"
			guint64 _tmp100_ = 0ULL;
			gchar* _tmp101_ = NULL;
#line 1835 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp100_ = self->used_bytes;
#line 1835 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp101_ = tee_jee_file_system_format_file_size (_tmp100_, FALSE, "", TRUE, 1);
#line 1835 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp98_);
#line 1835 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp98_ = _tmp101_;
#line 12451 "Device.c"
		} else {
			gchar* _tmp102_ = NULL;
#line 1835 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp102_ = g_strdup ("N/A");
#line 1835 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp98_);
#line 1835 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp98_ = _tmp102_;
#line 12460 "Device.c"
		}
#line 1834 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp103_ = tt;
#line 1834 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp104_ = _ ("Used");
#line 1834 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp105_ = g_strdup_printf ("%-15s: %s\n", _tmp104_, _tmp98_);
#line 1834 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp106_ = _tmp105_;
#line 1834 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp107_ = g_strconcat (_tmp103_, _tmp106_, NULL);
#line 1834 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1834 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp107_;
#line 1834 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp106_);
#line 1837 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp108_ = tt;
#line 1837 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp109_ = _ ("System");
#line 1837 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp110_ = self->dist_info;
#line 1837 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp111_ = g_strdup_printf ("%-15s: %s\n", _tmp109_, _tmp110_);
#line 1837 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp112_ = _tmp111_;
#line 1837 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp113_ = g_strconcat (_tmp108_, _tmp112_, NULL);
#line 1837 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (tt);
#line 1837 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		tt = _tmp113_;
#line 1837 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp112_);
#line 1809 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp98_);
#line 1809 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp88_);
#line 1809 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp42_);
#line 12502 "Device.c"
	}
#line 1840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp114_ = tt;
#line 1840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp115_ = g_strdup_printf ("<tt>%s</tt>", _tmp114_);
#line 1840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp115_;
#line 1840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (tt);
#line 1840 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 12514 "Device.c"
}


static gchar* device_display_name (Device* self, gboolean short_name, gboolean show_label, gboolean show_parent, gboolean show_alias) {
	gchar* result = NULL;
	gchar* txt = NULL;
	gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp8_ = NULL;
#line 1843 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1845 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 1845 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	txt = _tmp0_;
#line 1847 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = short_name;
#line 1847 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp1_) {
#line 12534 "Device.c"
		const gchar* _tmp2_ = NULL;
		const gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
#line 1848 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = txt;
#line 1848 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = self->kname;
#line 1848 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = g_strconcat (_tmp2_, _tmp3_, NULL);
#line 1848 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (txt);
#line 1848 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		txt = _tmp4_;
#line 12548 "Device.c"
	} else {
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
#line 1851 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = txt;
#line 1851 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = self->device;
#line 1851 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = g_strconcat (_tmp5_, _tmp6_, NULL);
#line 1851 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (txt);
#line 1851 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		txt = _tmp7_;
#line 12563 "Device.c"
	}
#line 1854 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp8_ = self->type;
#line 1854 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (g_strcmp0 (_tmp8_, "disk") == 0) {
#line 12569 "Device.c"
		const gchar* _tmp9_ = NULL;
		gint _tmp10_ = 0;
		gint _tmp11_ = 0;
		const gchar* _tmp17_ = NULL;
		gint _tmp18_ = 0;
		gint _tmp19_ = 0;
		guint64 _tmp25_ = 0ULL;
#line 1855 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = self->vendor;
#line 1855 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = strlen (_tmp9_);
#line 1855 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = _tmp10_;
#line 1855 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp11_ > 0) {
#line 12585 "Device.c"
			const gchar* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
			gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
#line 1856 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = txt;
#line 1856 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = self->vendor;
#line 1856 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = g_strconcat (" ", _tmp13_, NULL);
#line 1856 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp15_ = _tmp14_;
#line 1856 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp16_ = g_strconcat (_tmp12_, _tmp15_, NULL);
#line 1856 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (txt);
#line 1856 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			txt = _tmp16_;
#line 1856 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp15_);
#line 12607 "Device.c"
		}
#line 1858 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp17_ = self->model;
#line 1858 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp18_ = strlen (_tmp17_);
#line 1858 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp19_ = _tmp18_;
#line 1858 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp19_ > 0) {
#line 12617 "Device.c"
			const gchar* _tmp20_ = NULL;
			const gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
			gchar* _tmp23_ = NULL;
			gchar* _tmp24_ = NULL;
#line 1859 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp20_ = txt;
#line 1859 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp21_ = self->model;
#line 1859 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp22_ = g_strconcat (" ", _tmp21_, NULL);
#line 1859 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp23_ = _tmp22_;
#line 1859 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp24_ = g_strconcat (_tmp20_, _tmp23_, NULL);
#line 1859 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (txt);
#line 1859 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			txt = _tmp24_;
#line 1859 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp23_);
#line 12639 "Device.c"
		}
#line 1861 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp25_ = self->size_bytes;
#line 1861 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp25_ > ((guint64) 0)) {
#line 12645 "Device.c"
			const gchar* _tmp26_ = NULL;
			gchar* _tmp27_ = NULL;
			gchar* _tmp28_ = NULL;
			gint _tmp29_ = 0;
			gint _tmp30_ = 0;
			gboolean _tmp31_ = FALSE;
#line 1862 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp26_ = txt;
#line 1862 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp27_ = string_strip (_tmp26_);
#line 1862 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp28_ = _tmp27_;
#line 1862 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp29_ = strlen (_tmp28_);
#line 1862 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp30_ = _tmp29_;
#line 1862 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp31_ = _tmp30_ == 0;
#line 1862 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp28_);
#line 1862 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (_tmp31_) {
#line 12668 "Device.c"
				const gchar* _tmp32_ = NULL;
				guint64 _tmp33_ = 0ULL;
				gchar* _tmp34_ = NULL;
				gchar* _tmp35_ = NULL;
				gchar* _tmp36_ = NULL;
				gchar* _tmp37_ = NULL;
				gchar* _tmp38_ = NULL;
#line 1863 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp32_ = txt;
#line 1863 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp33_ = self->size_bytes;
#line 1863 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp34_ = tee_jee_file_system_format_file_size (_tmp33_, FALSE, "", TRUE, 0);
#line 1863 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp35_ = _tmp34_;
#line 1863 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp36_ = g_strdup_printf ("%s Device", _tmp35_);
#line 1863 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp37_ = _tmp36_;
#line 1863 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp38_ = g_strconcat (_tmp32_, _tmp37_, NULL);
#line 1863 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (txt);
#line 1863 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				txt = _tmp38_;
#line 1863 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp37_);
#line 1863 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp35_);
#line 12698 "Device.c"
			} else {
				const gchar* _tmp39_ = NULL;
				guint64 _tmp40_ = 0ULL;
				gchar* _tmp41_ = NULL;
				gchar* _tmp42_ = NULL;
				gchar* _tmp43_ = NULL;
				gchar* _tmp44_ = NULL;
				gchar* _tmp45_ = NULL;
#line 1866 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp39_ = txt;
#line 1866 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp40_ = self->size_bytes;
#line 1866 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp41_ = tee_jee_file_system_format_file_size (_tmp40_, FALSE, "", TRUE, 0);
#line 1866 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp42_ = _tmp41_;
#line 1866 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp43_ = g_strdup_printf (" (%s)", _tmp42_);
#line 1866 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp44_ = _tmp43_;
#line 1866 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp45_ = g_strconcat (_tmp39_, _tmp44_, NULL);
#line 1866 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (txt);
#line 1866 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				txt = _tmp45_;
#line 1866 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp44_);
#line 1866 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_free0 (_tmp42_);
#line 12729 "Device.c"
			}
		}
	} else {
		gboolean _tmp46_ = FALSE;
		gboolean _tmp47_ = FALSE;
		gboolean _tmp56_ = FALSE;
		gboolean _tmp57_ = FALSE;
		gboolean _tmp58_ = FALSE;
		gboolean _tmp67_ = FALSE;
		gboolean _tmp68_ = FALSE;
#line 1871 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp47_ = show_label;
#line 1871 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp47_) {
#line 12744 "Device.c"
			const gchar* _tmp48_ = NULL;
			gint _tmp49_ = 0;
			gint _tmp50_ = 0;
#line 1871 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp48_ = self->label;
#line 1871 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp49_ = strlen (_tmp48_);
#line 1871 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp50_ = _tmp49_;
#line 1871 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp46_ = _tmp50_ > 0;
#line 12756 "Device.c"
		} else {
#line 1871 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp46_ = FALSE;
#line 12760 "Device.c"
		}
#line 1871 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp46_) {
#line 12764 "Device.c"
			const gchar* _tmp51_ = NULL;
			const gchar* _tmp52_ = NULL;
			gchar* _tmp53_ = NULL;
			gchar* _tmp54_ = NULL;
			gchar* _tmp55_ = NULL;
#line 1872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp51_ = txt;
#line 1872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp52_ = self->label;
#line 1872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp53_ = g_strdup_printf ("(%s)", _tmp52_);
#line 1872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp54_ = _tmp53_;
#line 1872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp55_ = g_strconcat (_tmp51_, _tmp54_, NULL);
#line 1872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (txt);
#line 1872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			txt = _tmp55_;
#line 1872 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp54_);
#line 12786 "Device.c"
		}
#line 1874 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp58_ = show_parent;
#line 1874 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp58_) {
#line 12792 "Device.c"
			gboolean _tmp59_ = FALSE;
#line 1874 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp59_ = device_has_parent (self);
#line 1874 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp57_ = _tmp59_;
#line 12798 "Device.c"
		} else {
#line 1874 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp57_ = FALSE;
#line 12802 "Device.c"
		}
#line 1874 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp57_) {
#line 12806 "Device.c"
			Device* _tmp60_ = NULL;
			const gchar* _tmp61_ = NULL;
#line 1874 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp60_ = self->parent;
#line 1874 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp61_ = _tmp60_->type;
#line 1874 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp56_ = g_strcmp0 (_tmp61_, "part") == 0;
#line 12815 "Device.c"
		} else {
#line 1874 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp56_ = FALSE;
#line 12819 "Device.c"
		}
#line 1874 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp56_) {
#line 12823 "Device.c"
			const gchar* _tmp62_ = NULL;
			const gchar* _tmp63_ = NULL;
			gchar* _tmp64_ = NULL;
			gchar* _tmp65_ = NULL;
			gchar* _tmp66_ = NULL;
#line 1875 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp62_ = txt;
#line 1875 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp63_ = self->pkname;
#line 1875 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp64_ = g_strdup_printf ("(%s)", _tmp63_);
#line 1875 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp65_ = _tmp64_;
#line 1875 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp66_ = g_strconcat (_tmp62_, _tmp65_, NULL);
#line 1875 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (txt);
#line 1875 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			txt = _tmp66_;
#line 1875 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp65_);
#line 12845 "Device.c"
		}
#line 1877 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp68_ = show_alias;
#line 1877 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp68_) {
#line 12851 "Device.c"
			const gchar* _tmp69_ = NULL;
			gint _tmp70_ = 0;
			gint _tmp71_ = 0;
#line 1877 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp69_ = self->mapped_name;
#line 1877 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp70_ = strlen (_tmp69_);
#line 1877 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp71_ = _tmp70_;
#line 1877 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp67_ = _tmp71_ > 0;
#line 12863 "Device.c"
		} else {
#line 1877 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp67_ = FALSE;
#line 12867 "Device.c"
		}
#line 1877 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp67_) {
#line 12871 "Device.c"
			const gchar* _tmp72_ = NULL;
			const gchar* _tmp73_ = NULL;
			gchar* _tmp74_ = NULL;
			gchar* _tmp75_ = NULL;
			gchar* _tmp76_ = NULL;
#line 1878 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp72_ = txt;
#line 1878 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp73_ = self->mapped_name;
#line 1878 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp74_ = g_strdup_printf ("(%s)", _tmp73_);
#line 1878 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp75_ = _tmp74_;
#line 1878 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp76_ = g_strconcat (_tmp72_, _tmp75_, NULL);
#line 1878 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (txt);
#line 1878 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			txt = _tmp76_;
#line 1878 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp75_);
#line 12893 "Device.c"
		}
	}
#line 1882 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = txt;
#line 1882 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 12900 "Device.c"
}


void device_test_all (void) {
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_ = NULL;
	GeeArrayList* _tmp1_ = NULL;
	GeeArrayList* _tmp2_ = NULL;
	GeeArrayList* _tmp3_ = NULL;
	GeeArrayList* _tmp4_ = NULL;
	GeeArrayList* _tmp5_ = NULL;
	GeeArrayList* _tmp6_ = NULL;
	GeeArrayList* _tmp7_ = NULL;
	GeeArrayList* _tmp8_ = NULL;
	GeeArrayList* _tmp9_ = NULL;
#line 1888 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_get_block_devices_using_lsblk ("");
#line 1888 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp0_;
#line 1889 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("\n> get_block_devices_using_lsblk()", FALSE);
#line 1890 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = list;
#line 1890 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_print_device_list (_tmp1_);
#line 1892 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 1898 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = device_get_mounted_filesystems_using_mtab ();
#line 1898 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1898 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp2_;
#line 1899 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("\n> get_mounted_filesystems_using_mtab()", FALSE);
#line 1900 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = list;
#line 1900 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_print_device_mounts (_tmp3_);
#line 1902 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 1904 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = device_get_disk_space_using_df ("");
#line 1904 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1904 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp4_;
#line 1905 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("\n> get_disk_space_using_df()", FALSE);
#line 1906 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = list;
#line 1906 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_print_device_disk_space (_tmp5_);
#line 1908 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 1910 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp6_ = device_get_filesystems (TRUE, TRUE);
#line 1910 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 1910 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	list = _tmp6_;
#line 1911 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("\n> get_filesystems()", FALSE);
#line 1912 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp7_ = list;
#line 1912 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_print_device_list (_tmp7_);
#line 1913 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp8_ = list;
#line 1913 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_print_device_mounts (_tmp8_);
#line 1914 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp9_ = list;
#line 1914 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_print_device_disk_space (_tmp9_);
#line 1916 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_msg ("", FALSE);
#line 1887 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (list);
#line 12980 "Device.c"
}


void device_print_device_list (GeeArrayList* list) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 1919 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 1921 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 1923 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup_printf ("%-12s ,%-5s ,%-5s ,%-36s ,%s", "device", "pkname", "kname", "uuid", "mapped_name");
#line 1923 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1923 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp1_);
#line 1923 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 1930 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = g_strnfill ((gsize) 100, '-');
#line 1930 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 1930 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 1930 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 13009 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp4_ = NULL;
		GeeArrayList* _tmp5_ = NULL;
		gint _dev_size = 0;
		GeeArrayList* _tmp6_ = NULL;
		gint _tmp7_ = 0;
		gint _tmp8_ = 0;
		gint _dev_index = 0;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = list;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = _g_object_ref0 (_tmp4_);
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_list = _tmp5_;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = _dev_list;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp6_);
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_size = _tmp8_;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_index = -1;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 13037 "Device.c"
			gint _tmp9_ = 0;
			gint _tmp10_ = 0;
			gint _tmp11_ = 0;
			Device* dev = NULL;
			GeeArrayList* _tmp12_ = NULL;
			gint _tmp13_ = 0;
			gpointer _tmp14_ = NULL;
			Device* _tmp15_ = NULL;
			const gchar* _tmp16_ = NULL;
			Device* _tmp17_ = NULL;
			const gchar* _tmp18_ = NULL;
			Device* _tmp19_ = NULL;
			const gchar* _tmp20_ = NULL;
			Device* _tmp21_ = NULL;
			const gchar* _tmp22_ = NULL;
			Device* _tmp23_ = NULL;
			const gchar* _tmp24_ = NULL;
			gchar* _tmp25_ = NULL;
			gchar* _tmp26_ = NULL;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp9_ = _dev_index;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_index = _tmp9_ + 1;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp10_ = _dev_index;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp11_ = _dev_size;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp10_ < _tmp11_)) {
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 13069 "Device.c"
			}
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = _dev_list;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = _dev_index;
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = gee_abstract_list_get ((GeeAbstractList*) _tmp12_, _tmp13_);
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			dev = (Device*) _tmp14_;
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp15_ = dev;
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp16_ = _tmp15_->device;
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp17_ = dev;
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp18_ = _tmp17_->pkname;
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp19_ = dev;
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp20_ = _tmp19_->kname;
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp21_ = dev;
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp22_ = _tmp21_->uuid;
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp23_ = dev;
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp24_ = _tmp23_->mapped_name;
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp25_ = g_strdup_printf ("%-12s ,%-5s ,%-5s ,%-36s ,%s", _tmp16_, _tmp18_, _tmp20_, _tmp22_, _tmp24_);
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp26_ = _tmp25_;
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp26_);
#line 1933 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp26_);
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 13109 "Device.c"
		}
#line 1932 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 13113 "Device.c"
	}
#line 1942 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 13117 "Device.c"
}


void device_print_device_mounts (GeeArrayList* list) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 1995 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 1997 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 1999 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup_printf ("%-15s %s", "device", "> mount_points (mount_options)");
#line 1999 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1999 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp1_);
#line 1999 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 2005 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = g_strnfill ((gsize) 100, '-');
#line 2005 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 2005 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 2005 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 13146 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp4_ = NULL;
		GeeArrayList* _tmp5_ = NULL;
		gint _dev_size = 0;
		GeeArrayList* _tmp6_ = NULL;
		gint _tmp7_ = 0;
		gint _tmp8_ = 0;
		gint _dev_index = 0;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = list;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = _g_object_ref0 (_tmp4_);
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_list = _tmp5_;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = _dev_list;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp6_);
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_size = _tmp8_;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_index = -1;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 13174 "Device.c"
			gint _tmp9_ = 0;
			gint _tmp10_ = 0;
			gint _tmp11_ = 0;
			Device* dev = NULL;
			GeeArrayList* _tmp12_ = NULL;
			gint _tmp13_ = 0;
			gpointer _tmp14_ = NULL;
			gchar* mps = NULL;
			gchar* _tmp15_ = NULL;
			Device* _tmp44_ = NULL;
			const gchar* _tmp45_ = NULL;
			const gchar* _tmp46_ = NULL;
			gchar* _tmp47_ = NULL;
			gchar* _tmp48_ = NULL;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp9_ = _dev_index;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_index = _tmp9_ + 1;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp10_ = _dev_index;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp11_ = _dev_size;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp10_ < _tmp11_)) {
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 13201 "Device.c"
			}
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = _dev_list;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = _dev_index;
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = gee_abstract_list_get ((GeeAbstractList*) _tmp12_, _tmp13_);
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			dev = (Device*) _tmp14_;
#line 2009 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp15_ = g_strdup ("");
#line 2009 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			mps = _tmp15_;
#line 13215 "Device.c"
			{
				GeeArrayList* _mp_list = NULL;
				Device* _tmp16_ = NULL;
				GeeArrayList* _tmp17_ = NULL;
				GeeArrayList* _tmp18_ = NULL;
				gint _mp_size = 0;
				GeeArrayList* _tmp19_ = NULL;
				gint _tmp20_ = 0;
				gint _tmp21_ = 0;
				gint _mp_index = 0;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp16_ = dev;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp17_ = _tmp16_->mount_points;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp18_ = _g_object_ref0 (_tmp17_);
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_mp_list = _tmp18_;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp19_ = _mp_list;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp20_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp19_);
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_tmp21_ = _tmp20_;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_mp_size = _tmp21_;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_mp_index = -1;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				while (TRUE) {
#line 13246 "Device.c"
					gint _tmp22_ = 0;
					gint _tmp23_ = 0;
					gint _tmp24_ = 0;
					MountEntry* mp = NULL;
					GeeArrayList* _tmp25_ = NULL;
					gint _tmp26_ = 0;
					gpointer _tmp27_ = NULL;
					const gchar* _tmp28_ = NULL;
					MountEntry* _tmp29_ = NULL;
					const gchar* _tmp30_ = NULL;
					gchar* _tmp31_ = NULL;
					gchar* _tmp32_ = NULL;
					gchar* _tmp33_ = NULL;
					MountEntry* _tmp34_ = NULL;
					const gchar* _tmp35_ = NULL;
					gint _tmp36_ = 0;
					gint _tmp37_ = 0;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp22_ = _mp_index;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_mp_index = _tmp22_ + 1;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp23_ = _mp_index;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp24_ = _mp_size;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (!(_tmp23_ < _tmp24_)) {
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						break;
#line 13276 "Device.c"
					}
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp25_ = _mp_list;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp26_ = _mp_index;
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp27_ = gee_abstract_list_get ((GeeAbstractList*) _tmp25_, _tmp26_);
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					mp = (MountEntry*) _tmp27_;
#line 2011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp28_ = mps;
#line 2011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp29_ = mp;
#line 2011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp30_ = _tmp29_->mount_point;
#line 2011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp31_ = g_strdup_printf ("\n    %s -> ", _tmp30_);
#line 2011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp32_ = _tmp31_;
#line 2011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp33_ = g_strconcat (_tmp28_, _tmp32_, NULL);
#line 2011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (mps);
#line 2011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					mps = _tmp33_;
#line 2011 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_free0 (_tmp32_);
#line 2012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp34_ = mp;
#line 2012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp35_ = _tmp34_->mount_options;
#line 2012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp36_ = strlen (_tmp35_);
#line 2012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_tmp37_ = _tmp36_;
#line 2012 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					if (_tmp37_ > 0) {
#line 13314 "Device.c"
						const gchar* _tmp38_ = NULL;
						MountEntry* _tmp39_ = NULL;
						const gchar* _tmp40_ = NULL;
						gchar* _tmp41_ = NULL;
						gchar* _tmp42_ = NULL;
						gchar* _tmp43_ = NULL;
#line 2013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp38_ = mps;
#line 2013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp39_ = mp;
#line 2013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp40_ = _tmp39_->mount_options;
#line 2013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp41_ = g_strdup_printf (" %s", _tmp40_);
#line 2013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp42_ = _tmp41_;
#line 2013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_tmp43_ = g_strconcat (_tmp38_, _tmp42_, NULL);
#line 2013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (mps);
#line 2013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						mps = _tmp43_;
#line 2013 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
						_g_free0 (_tmp42_);
#line 13339 "Device.c"
					}
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
					_g_object_unref0 (mp);
#line 13343 "Device.c"
				}
#line 2010 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				_g_object_unref0 (_mp_list);
#line 13347 "Device.c"
			}
#line 2017 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp44_ = dev;
#line 2017 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp45_ = _tmp44_->device;
#line 2017 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp46_ = mps;
#line 2017 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp47_ = g_strdup_printf ("%-15s %s", _tmp45_, _tmp46_);
#line 2017 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp48_ = _tmp47_;
#line 2017 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp48_);
#line 2017 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp48_);
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (mps);
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 13367 "Device.c"
		}
#line 2007 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 13371 "Device.c"
	}
#line 2025 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 13375 "Device.c"
}


void device_print_device_disk_space (GeeArrayList* list) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 2028 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_if_fail (list != NULL);
#line 2029 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 2031 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup_printf ("%-15s %-12s %15s %15s %15s %10s", "device", "fstype", "size", "used", "available", "used_percent");
#line 2031 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 2031 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp1_);
#line 2031 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp1_);
#line 2040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = g_strnfill ((gsize) 100, '-');
#line 2040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = _tmp2_;
#line 2040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug (_tmp3_);
#line 2040 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (_tmp3_);
#line 13404 "Device.c"
	{
		GeeArrayList* _dev_list = NULL;
		GeeArrayList* _tmp4_ = NULL;
		GeeArrayList* _tmp5_ = NULL;
		gint _dev_size = 0;
		GeeArrayList* _tmp6_ = NULL;
		gint _tmp7_ = 0;
		gint _tmp8_ = 0;
		gint _dev_index = 0;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = list;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = _g_object_ref0 (_tmp4_);
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_list = _tmp5_;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = _dev_list;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp6_);
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_size = _tmp8_;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_dev_index = -1;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		while (TRUE) {
#line 13432 "Device.c"
			gint _tmp9_ = 0;
			gint _tmp10_ = 0;
			gint _tmp11_ = 0;
			Device* dev = NULL;
			GeeArrayList* _tmp12_ = NULL;
			gint _tmp13_ = 0;
			gpointer _tmp14_ = NULL;
			Device* _tmp15_ = NULL;
			const gchar* _tmp16_ = NULL;
			Device* _tmp17_ = NULL;
			const gchar* _tmp18_ = NULL;
			Device* _tmp19_ = NULL;
			guint64 _tmp20_ = 0ULL;
			gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
			Device* _tmp23_ = NULL;
			guint64 _tmp24_ = 0ULL;
			gchar* _tmp25_ = NULL;
			gchar* _tmp26_ = NULL;
			Device* _tmp27_ = NULL;
			guint64 _tmp28_ = 0ULL;
			gchar* _tmp29_ = NULL;
			gchar* _tmp30_ = NULL;
			Device* _tmp31_ = NULL;
			const gchar* _tmp32_ = NULL;
			gchar* _tmp33_ = NULL;
			gchar* _tmp34_ = NULL;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp9_ = _dev_index;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_dev_index = _tmp9_ + 1;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp10_ = _dev_index;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp11_ = _dev_size;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			if (!(_tmp10_ < _tmp11_)) {
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
				break;
#line 13472 "Device.c"
			}
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp12_ = _dev_list;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp13_ = _dev_index;
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp14_ = gee_abstract_list_get ((GeeAbstractList*) _tmp12_, _tmp13_);
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			dev = (Device*) _tmp14_;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp15_ = dev;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp16_ = _tmp15_->device;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp17_ = dev;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp18_ = _tmp17_->fstype;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp19_ = dev;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp20_ = _tmp19_->size_bytes;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp21_ = tee_jee_file_system_format_file_size (_tmp20_, TRUE, "", TRUE, 1);
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp22_ = _tmp21_;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp23_ = dev;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp24_ = _tmp23_->used_bytes;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp25_ = tee_jee_file_system_format_file_size (_tmp24_, TRUE, "", TRUE, 1);
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp26_ = _tmp25_;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp27_ = dev;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp28_ = _tmp27_->available_bytes;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp29_ = tee_jee_file_system_format_file_size (_tmp28_, TRUE, "", TRUE, 1);
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp30_ = _tmp29_;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp31_ = dev;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp32_ = _tmp31_->used_percent;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp33_ = g_strdup_printf ("%-15s %-12s %15s %15s %15s %10s", _tmp16_, _tmp18_, _tmp22_, _tmp26_, _tmp30_, _tmp32_);
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp34_ = _tmp33_;
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			tee_jee_logging_log_debug (_tmp34_);
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp34_);
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp30_);
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp26_);
#line 2043 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_free0 (_tmp22_);
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_g_object_unref0 (dev);
#line 13534 "Device.c"
		}
#line 2042 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_object_unref0 (_dev_list);
#line 13538 "Device.c"
	}
#line 2053 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	tee_jee_logging_log_debug ("");
#line 13542 "Device.c"
}


guint64 device_get_free_bytes (Device* self) {
	guint64 result;
	guint64 _tmp0_ = 0ULL;
	guint64 _tmp1_ = 0ULL;
#line 121 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, 0ULL);
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = self->used_bytes;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp1_ == ((guint64) 0)) {
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = (guint64) 0;
#line 13558 "Device.c"
	} else {
		guint64 _tmp2_ = 0ULL;
		guint64 _tmp3_ = 0ULL;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = self->size_bytes;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = self->used_bytes;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = _tmp2_ - _tmp3_;
#line 13568 "Device.c"
	}
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp0_;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 13574 "Device.c"
}


gchar* device_get_size (Device* self) {
	gchar* result;
	guint64 _tmp0_ = 0ULL;
	gdouble _tmp1_ = 0.0;
#line 127 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = self->size_bytes;
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = device_GB;
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (((gdouble) _tmp0_) < _tmp1_) {
#line 13590 "Device.c"
		guint64 _tmp2_ = 0ULL;
		gdouble _tmp3_ = 0.0;
		gchar* _tmp4_ = NULL;
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = self->size_bytes;
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = device_MB;
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = g_strdup_printf ("%.1f MB", _tmp2_ / _tmp3_);
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		result = _tmp4_;
#line 129 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		return result;
#line 13604 "Device.c"
	} else {
		guint64 _tmp5_ = 0ULL;
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = self->size_bytes;
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		if (_tmp5_ > ((guint64) 0)) {
#line 13611 "Device.c"
			guint64 _tmp6_ = 0ULL;
			gdouble _tmp7_ = 0.0;
			gchar* _tmp8_ = NULL;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp6_ = self->size_bytes;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp7_ = device_GB;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp8_ = g_strdup_printf ("%.1f GB", _tmp6_ / _tmp7_);
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			result = _tmp8_;
#line 132 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			return result;
#line 13625 "Device.c"
		} else {
			gchar* _tmp9_ = NULL;
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			_tmp9_ = g_strdup ("");
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			result = _tmp9_;
#line 135 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
			return result;
#line 13634 "Device.c"
		}
	}
}


gchar* device_get_used (Device* self) {
	gchar* result;
	gchar* _tmp0_ = NULL;
	guint64 _tmp1_ = 0ULL;
#line 141 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = self->used_bytes;
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp1_ == ((guint64) 0)) {
#line 13650 "Device.c"
		gchar* _tmp2_ = NULL;
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = g_strdup ("");
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp0_);
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = _tmp2_;
#line 13658 "Device.c"
	} else {
		guint64 _tmp3_ = 0ULL;
		gdouble _tmp4_ = 0.0;
		gchar* _tmp5_ = NULL;
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = self->used_bytes;
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = device_GB;
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = g_strdup_printf ("%.1f GB", _tmp3_ / _tmp4_);
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp0_);
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = _tmp5_;
#line 13673 "Device.c"
	}
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp0_;
#line 142 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 13679 "Device.c"
}


gchar* device_get_free (Device* self) {
	gchar* result;
	gchar* _tmp0_ = NULL;
	guint64 _tmp1_ = 0ULL;
	guint64 _tmp2_ = 0ULL;
#line 147 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = device_get_free_bytes (self);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp2_ == ((guint64) 0)) {
#line 13696 "Device.c"
		gchar* _tmp3_ = NULL;
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp3_ = g_strdup ("");
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp0_);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = _tmp3_;
#line 13704 "Device.c"
	} else {
		guint64 _tmp4_ = 0ULL;
		guint64 _tmp5_ = 0ULL;
		gdouble _tmp6_ = 0.0;
		gchar* _tmp7_ = NULL;
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = device_get_free_bytes (self);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = _tmp4_;
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = device_GB;
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf ("%.1f GB", _tmp5_ / _tmp6_);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp0_);
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp0_ = _tmp7_;
#line 13722 "Device.c"
	}
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp0_;
#line 148 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 13728 "Device.c"
}


gboolean device_get_is_mounted (Device* self) {
	gboolean result;
	GeeArrayList* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 153 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = self->mount_points;
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp0_);
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = _tmp1_;
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp2_ > 0;
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 13749 "Device.c"
}


gchar* device_get_full_name_with_alias (Device* self) {
	gchar* result;
	gchar* text = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
#line 1632 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1633 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = self->device;
#line 1633 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1633 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	text = _tmp1_;
#line 1634 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = self->mapped_name;
#line 1634 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 1634 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1634 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp4_ > 0) {
#line 13777 "Device.c"
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1635 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = text;
#line 1635 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = self->mapped_name;
#line 1635 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (" (%s)", _tmp6_);
#line 1635 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1635 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 1635 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (text);
#line 1635 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		text = _tmp9_;
#line 1635 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 13799 "Device.c"
	}
#line 1637 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = text;
#line 1637 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 13805 "Device.c"
}


gchar* device_get_full_name_with_parent (Device* self) {
	gchar* result;
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1642 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1643 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_get_device_name_with_parent (self);
#line 1643 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = _tmp0_;
#line 1643 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = _tmp1_;
#line 1643 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 13823 "Device.c"
}


gchar* device_get_short_name_with_alias (Device* self) {
	gchar* result;
	gchar* text = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
#line 1648 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1649 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = self->kname;
#line 1649 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1649 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	text = _tmp1_;
#line 1650 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = self->mapped_name;
#line 1650 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = strlen (_tmp2_);
#line 1650 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = _tmp3_;
#line 1650 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp4_ > 0) {
#line 13851 "Device.c"
		const gchar* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = text;
#line 1651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = self->mapped_name;
#line 1651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = g_strdup_printf (" (%s)", _tmp6_);
#line 1651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = _tmp7_;
#line 1651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = g_strconcat (_tmp5_, _tmp8_, NULL);
#line 1651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (text);
#line 1651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		text = _tmp9_;
#line 1651 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp8_);
#line 13873 "Device.c"
	}
#line 1653 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = text;
#line 1653 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 13879 "Device.c"
}


gchar* device_get_short_name_with_parent (Device* self) {
	gchar* result;
	gchar* text = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
#line 1658 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = self->kname;
#line 1659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1659 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	text = _tmp1_;
#line 1661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = device_has_parent (self);
#line 1661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp3_) {
#line 13902 "Device.c"
		Device* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
#line 1661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = self->parent;
#line 1661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = _tmp4_->type;
#line 1661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = g_strcmp0 (_tmp5_, "part") == 0;
#line 13911 "Device.c"
	} else {
#line 1661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = FALSE;
#line 13915 "Device.c"
	}
#line 1661 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp2_) {
#line 13919 "Device.c"
		const gchar* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
#line 1662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = text;
#line 1662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = self->pkname;
#line 1662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = g_strdup_printf (" (%s)", _tmp7_);
#line 1662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = _tmp8_;
#line 1662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = g_strconcat (_tmp6_, _tmp9_, NULL);
#line 1662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (text);
#line 1662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		text = _tmp10_;
#line 1662 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp9_);
#line 13941 "Device.c"
	}
#line 1665 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = text;
#line 1665 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 13947 "Device.c"
}


gchar* device_get_device_name_with_parent (Device* self) {
	gchar* result;
	gchar* text = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
#line 1670 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 1671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = self->device;
#line 1671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 1671 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	text = _tmp1_;
#line 1673 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = device_has_parent (self);
#line 1673 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp3_) {
#line 13970 "Device.c"
		Device* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
#line 1673 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp4_ = self->parent;
#line 1673 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp5_ = _tmp4_->type;
#line 1673 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = g_strcmp0 (_tmp5_, "part") == 0;
#line 13979 "Device.c"
	} else {
#line 1673 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp2_ = FALSE;
#line 13983 "Device.c"
	}
#line 1673 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	if (_tmp2_) {
#line 13987 "Device.c"
		const gchar* _tmp6_ = NULL;
		Device* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
#line 1674 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp6_ = text;
#line 1674 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp7_ = self->parent;
#line 1674 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp8_ = _tmp7_->kname;
#line 1674 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp9_ = g_strdup_printf (" (%s)", _tmp8_);
#line 1674 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp10_ = _tmp9_;
#line 1674 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_tmp11_ = g_strconcat (_tmp6_, _tmp10_, NULL);
#line 1674 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (text);
#line 1674 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		text = _tmp11_;
#line 1674 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		_g_free0 (_tmp10_);
#line 14012 "Device.c"
	}
#line 1677 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	result = text;
#line 1677 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	return result;
#line 14018 "Device.c"
}


static void device_class_init (DeviceClass * klass) {
	gdouble _tmp0_ = 0.0;
	gdouble _tmp1_ = 0.0;
	gdouble _tmp2_ = 0.0;
	gdouble _tmp3_ = 0.0;
	gchar* _tmp4_ = NULL;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_parent_class = g_type_class_peek_parent (klass);
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_device_get_property;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	G_OBJECT_CLASS (klass)->finalize = device_finalize;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_FREE_BYTES, g_param_spec_uint64 ("free-bytes", "free-bytes", "free-bytes", 0, G_MAXUINT64, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_SIZE, g_param_spec_string ("size", "size", "size", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_USED, g_param_spec_string ("used", "used", "used", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_FREE, g_param_spec_string ("free", "free", "free", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_IS_MOUNTED, g_param_spec_boolean ("is-mounted", "is-mounted", "is-mounted", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_FULL_NAME_WITH_ALIAS, g_param_spec_string ("full-name-with-alias", "full-name-with-alias", "full-name-with-alias", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_FULL_NAME_WITH_PARENT, g_param_spec_string ("full-name-with-parent", "full-name-with-parent", "full-name-with-parent", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_SHORT_NAME_WITH_ALIAS, g_param_spec_string ("short-name-with-alias", "short-name-with-alias", "short-name-with-alias", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_SHORT_NAME_WITH_PARENT, g_param_spec_string ("short-name-with-parent", "short-name-with-parent", "short-name-with-parent", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), DEVICE_DEVICE_NAME_WITH_PARENT, g_param_spec_string ("device-name-with-parent", "device-name-with-parent", "device-name-with-parent", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 37 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = device_KB;
#line 37 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_MB = 1000 * _tmp0_;
#line 38 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = device_MB;
#line 38 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_GB = 1000 * _tmp1_;
#line 41 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = device_KiB;
#line 41 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_MiB = 1024 * _tmp2_;
#line 42 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = device_MiB;
#line 42 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_GiB = 1024 * _tmp3_;
#line 89 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = g_strdup ("");
#line 89 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	device_lsblk_version = _tmp4_;
#line 14074 "Device.c"
}


static void device_instance_init (Device * self) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	gchar* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
#line 44 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp0_ = g_strdup ("");
#line 44 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->device = _tmp0_;
#line 45 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp1_ = g_strdup ("");
#line 45 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->name = _tmp1_;
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp2_ = g_strdup ("");
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->kname = _tmp2_;
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp3_ = g_strdup ("");
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->pkname = _tmp3_;
#line 48 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp4_ = g_strdup ("");
#line 48 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->pkname_toplevel = _tmp4_;
#line 49 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp5_ = g_strdup ("");
#line 49 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->mapped_name = _tmp5_;
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp6_ = g_strdup ("");
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->uuid = _tmp6_;
#line 51 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp7_ = g_strdup ("");
#line 51 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->label = _tmp7_;
#line 52 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp8_ = g_strdup ("");
#line 52 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->partuuid = _tmp8_;
#line 53 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp9_ = g_strdup ("");
#line 53 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->partlabel = _tmp9_;
#line 55 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->major = -1;
#line 56 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->minor = -1;
#line 58 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp10_ = g_strdup ("");
#line 58 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->device_mapper = _tmp10_;
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp11_ = g_strdup ("");
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->device_by_uuid = _tmp11_;
#line 60 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp12_ = g_strdup ("");
#line 60 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->device_by_label = _tmp12_;
#line 61 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp13_ = g_strdup ("");
#line 61 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->device_by_partuuid = _tmp13_;
#line 62 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp14_ = g_strdup ("");
#line 62 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->device_by_partlabel = _tmp14_;
#line 64 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp15_ = g_strdup ("");
#line 64 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->type = _tmp15_;
#line 65 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp16_ = g_strdup ("");
#line 65 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->fstype = _tmp16_;
#line 67 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->order = -1;
#line 69 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp17_ = g_strdup ("");
#line 69 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->vendor = _tmp17_;
#line 70 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp18_ = g_strdup ("");
#line 70 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->model = _tmp18_;
#line 71 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp19_ = g_strdup ("");
#line 71 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->serial = _tmp19_;
#line 72 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp20_ = g_strdup ("");
#line 72 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->revision = _tmp20_;
#line 74 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->removable = FALSE;
#line 75 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->read_only = FALSE;
#line 77 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->size_bytes = (guint64) 0;
#line 78 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->used_bytes = (guint64) 0;
#line 79 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->available_bytes = (guint64) 0;
#line 81 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp21_ = g_strdup ("");
#line 81 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->used_percent = _tmp21_;
#line 82 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_tmp22_ = g_strdup ("");
#line 82 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->dist_info = _tmp22_;
#line 86 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->parent = NULL;
#line 87 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self->children = NULL;
#line 14214 "Device.c"
}


static void device_finalize (GObject* obj) {
	Device * self;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_DEVICE, Device);
#line 44 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->device);
#line 45 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->name);
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->kname);
#line 47 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->pkname);
#line 48 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->pkname_toplevel);
#line 49 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->mapped_name);
#line 50 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->uuid);
#line 51 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->label);
#line 52 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->partuuid);
#line 53 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->partlabel);
#line 58 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->device_mapper);
#line 59 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->device_by_uuid);
#line 60 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->device_by_label);
#line 61 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->device_by_partuuid);
#line 62 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->device_by_partlabel);
#line 64 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->type);
#line 65 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->fstype);
#line 69 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->vendor);
#line 70 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->model);
#line 71 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->serial);
#line 72 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->revision);
#line 81 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->used_percent);
#line 82 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_free0 (self->dist_info);
#line 83 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (self->mount_points);
#line 84 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (self->symlinks);
#line 86 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (self->parent);
#line 87 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	_g_object_unref0 (self->children);
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	G_OBJECT_CLASS (device_parent_class)->finalize (obj);
#line 14278 "Device.c"
}


GType device_get_type (void) {
	static volatile gsize device_type_id__volatile = 0;
	if (g_once_init_enter (&device_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (DeviceClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) device_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (Device), 0, (GInstanceInitFunc) device_instance_init, NULL };
		GType device_type_id;
		device_type_id = g_type_register_static (G_TYPE_OBJECT, "Device", &g_define_type_info, 0);
		g_once_init_leave (&device_type_id__volatile, device_type_id);
	}
	return device_type_id__volatile;
}


static void _vala_device_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	Device * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, TYPE_DEVICE, Device);
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
	switch (property_id) {
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		case DEVICE_FREE_BYTES:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_value_set_uint64 (value, device_get_free_bytes (self));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		case DEVICE_SIZE:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_value_take_string (value, device_get_size (self));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		case DEVICE_USED:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_value_take_string (value, device_get_used (self));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		case DEVICE_FREE:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_value_take_string (value, device_get_free (self));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		case DEVICE_IS_MOUNTED:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_value_set_boolean (value, device_get_is_mounted (self));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		case DEVICE_FULL_NAME_WITH_ALIAS:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_value_take_string (value, device_get_full_name_with_alias (self));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		case DEVICE_FULL_NAME_WITH_PARENT:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_value_take_string (value, device_get_full_name_with_parent (self));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		case DEVICE_SHORT_NAME_WITH_ALIAS:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_value_take_string (value, device_get_short_name_with_alias (self));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		case DEVICE_SHORT_NAME_WITH_PARENT:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_value_take_string (value, device_get_short_name_with_parent (self));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		break;
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		case DEVICE_DEVICE_NAME_WITH_PARENT:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		g_value_take_string (value, device_get_device_name_with_parent (self));
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		break;
#line 14359 "Device.c"
		default:
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 32 "/builddir/build/BUILD/timeshift-18.4/src/Utility/Device.vala"
		break;
#line 14365 "Device.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



