/* RsyncTask.c generated by valac 0.34.6, the Vala compiler
 * generated from RsyncTask.vala, do not modify */

/*
 * RsyncTask.vala
 *
 * Copyright 2012-2018 Tony George <teejeetech@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 *
 *
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>
#include <gee.h>
#include <glib/gi18n-lib.h>


#define TYPE_ASYNC_TASK (async_task_get_type ())
#define ASYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_ASYNC_TASK, AsyncTask))
#define ASYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_ASYNC_TASK, AsyncTaskClass))
#define IS_ASYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_ASYNC_TASK))
#define IS_ASYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_ASYNC_TASK))
#define ASYNC_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_ASYNC_TASK, AsyncTaskClass))

typedef struct _AsyncTask AsyncTask;
typedef struct _AsyncTaskClass AsyncTaskClass;
typedef struct _AsyncTaskPrivate AsyncTaskPrivate;

#define TYPE_APP_STATUS (app_status_get_type ())

#define TYPE_RSYNC_TASK (rsync_task_get_type ())
#define RSYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_RSYNC_TASK, RsyncTask))
#define RSYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_RSYNC_TASK, RsyncTaskClass))
#define IS_RSYNC_TASK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_RSYNC_TASK))
#define IS_RSYNC_TASK_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_RSYNC_TASK))
#define RSYNC_TASK_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_RSYNC_TASK, RsyncTaskClass))

typedef struct _RsyncTask RsyncTask;
typedef struct _RsyncTaskClass RsyncTaskClass;
typedef struct _RsyncTaskPrivate RsyncTaskPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define __g_queue_free__g_free0_0(var) ((var == NULL) ? NULL : (var = (_g_queue_free__g_free0_ (var), NULL)))
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

#define TYPE_FILE_ITEM (file_item_get_type ())
#define FILE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_FILE_ITEM, FileItem))
#define FILE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_FILE_ITEM, FileItemClass))
#define IS_FILE_ITEM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_FILE_ITEM))
#define IS_FILE_ITEM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_FILE_ITEM))
#define FILE_ITEM_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_FILE_ITEM, FileItemClass))

typedef struct _FileItem FileItem;
typedef struct _FileItemClass FileItemClass;
#define _g_match_info_unref0(var) ((var == NULL) ? NULL : (var = (g_match_info_unref (var), NULL)))
typedef struct _FileItemPrivate FileItemPrivate;

typedef enum  {
	APP_STATUS_NOT_STARTED,
	APP_STATUS_RUNNING,
	APP_STATUS_PAUSED,
	APP_STATUS_FINISHED,
	APP_STATUS_CANCELLED,
	APP_STATUS_PASSWORD_REQUIRED
} AppStatus;

struct _AsyncTask {
	GObject parent_instance;
	AsyncTaskPrivate * priv;
	GDataOutputStream* dos_log;
	gboolean is_terminated;
	GPid child_pid;
	gchar* script_file;
	gchar* working_dir;
	gchar* log_file;
	gboolean background_mode;
	AppStatus status;
	gchar* status_line;
	gint exit_code;
	gchar* error_msg;
	GTimer* timer;
	gdouble progress;
	gdouble percent;
	gint64 prg_count;
	gint64 prg_count_total;
	gint64 prg_bytes;
	gint64 prg_bytes_total;
	gchar* eta;
};

struct _AsyncTaskClass {
	GObjectClass parent_class;
	void (*parse_stdout_line) (AsyncTask* self, const gchar* out_line);
	void (*parse_stderr_line) (AsyncTask* self, const gchar* err_line);
	void (*finish_task) (AsyncTask* self);
};

struct _RsyncTask {
	AsyncTask parent_instance;
	RsyncTaskPrivate * priv;
	gboolean delete_extra;
	gboolean delete_after;
	gboolean delete_excluded;
	gboolean relative;
	gchar* rsync_log_file;
	gchar* exclude_from_file;
	gchar* link_from_path;
	gchar* source_path;
	gchar* dest_path;
	gboolean verbose;
	gboolean io_nice;
	gboolean dry_run;
	GQueue* status_lines;
	gint64 status_line_count;
	gint64 total_size;
	gint64 count_created;
	gint64 count_deleted;
	gint64 count_modified;
	gint64 count_checksum;
	gint64 count_size;
	gint64 count_timestamp;
	gint64 count_permissions;
	gint64 count_owner;
	gint64 count_group;
	gint64 count_unchanged;
	GString* log;
};

struct _RsyncTaskClass {
	AsyncTaskClass parent_class;
};

struct _RsyncTaskPrivate {
	GeeHashMap* regex_list;
};

struct _FileItem {
	GObject parent_instance;
	FileItemPrivate * priv;
	gchar* file_name;
	gchar* file_location;
	gchar* file_path;
	gchar* file_path_prefix;
	GFileType file_type;
	GDateTime* modified;
	gchar* permissions;
	gchar* owner_user;
	gchar* owner_group;
	gchar* content_type;
	gchar* file_status;
	gboolean is_selected;
	gboolean is_symlink;
	gchar* symlink_target;
	gboolean is_archive;
	gboolean is_stale;
	FileItem* parent;
	GeeHashMap* children;
	FileItem* source_archive;
	GObject* tag;
	glong file_count;
	glong dir_count;
	glong file_count_total;
	glong dir_count_total;
	GIcon* icon;
	gboolean is_dummy;
};

struct _FileItemClass {
	GObjectClass parent_class;
};


static gpointer rsync_task_parent_class = NULL;

GType async_task_get_type (void) G_GNUC_CONST;
GType app_status_get_type (void) G_GNUC_CONST;
GType rsync_task_get_type (void) G_GNUC_CONST;
#define RSYNC_TASK_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), TYPE_RSYNC_TASK, RsyncTaskPrivate))
enum  {
	RSYNC_TASK_DUMMY_PROPERTY
};
static void _g_free0_ (gpointer var);
static void _g_queue_free__g_free0_ (GQueue* self);
RsyncTask* rsync_task_new (void);
RsyncTask* rsync_task_construct (GType object_type);
AsyncTask* async_task_construct (GType object_type);
static void rsync_task_init_regular_expressions (RsyncTask* self);
void tee_jee_logging_log_error (const gchar* message, gboolean highlight, gboolean is_warning);
void rsync_task_prepare (RsyncTask* self);
static gchar* rsync_task_build_script (RsyncTask* self);
void tee_jee_logging_log_debug (const gchar* message);
gchar* tee_jee_process_helper_save_bash_script_temp (const gchar* commands, const gchar* script_path, gboolean force_locale, gboolean supress_errors);
gchar* tee_jee_file_system_escape_single_quote (const gchar* file_path);
gchar* tee_jee_file_system_remove_trailing_slash (const gchar* path);
GType file_item_get_type (void) G_GNUC_CONST;
GeeArrayList* rsync_task_parse_log (RsyncTask* self, const gchar* log_file_path);
gboolean tee_jee_file_system_file_exists (const gchar* file_path);
gint64 tee_jee_file_system_file_line_count (const gchar* file_path);
gchar* tee_jee_file_system_path_combine (const gchar* path1, const gchar* path2);
gchar* tee_jee_file_system_file_parent (const gchar* file_path);
FileItem* file_item_new_from_disk_path_with_basic_info (const gchar* _file_path);
FileItem* file_item_construct_from_disk_path_with_basic_info (GType object_type, const gchar* _file_path);
void tee_jee_logging_log_msg (const gchar* message, gboolean highlight);
gboolean tee_jee_file_system_file_gzip (const gchar* src_file);
void rsync_task_execute (RsyncTask* self);
gboolean async_task_begin (AsyncTask* self);
static void rsync_task_real_parse_stdout_line (AsyncTask* base, const gchar* out_line);
gboolean rsync_task_update_progress_parse_console_output (RsyncTask* self, const gchar* line);
static void rsync_task_real_parse_stderr_line (AsyncTask* base, const gchar* err_line);
static void rsync_task_real_finish_task (AsyncTask* base);
gboolean tee_jee_file_system_file_write (const gchar* file_path, const gchar* contents);
gint rsync_task_read_status (RsyncTask* self);
gchar* tee_jee_file_system_file_read (const gchar* file_path);
static void rsync_task_finalize (GObject* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static void _g_free0_ (gpointer var) {
#line 52 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	var = (g_free (var), NULL);
#line 246 "RsyncTask.c"
}


static void _g_queue_free__g_free0_ (GQueue* self) {
#line 52 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_queue_foreach (self, (GFunc) _g_free0_, NULL);
#line 52 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_queue_free (self);
#line 255 "RsyncTask.c"
}


RsyncTask* rsync_task_construct (GType object_type) {
	RsyncTask * self = NULL;
	GQueue* _tmp0_ = NULL;
#line 69 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self = (RsyncTask*) async_task_construct (object_type);
#line 70 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	rsync_task_init_regular_expressions (self);
#line 71 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp0_ = g_queue_new ();
#line 71 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	__g_queue_free__g_free0_0 (self->status_lines);
#line 71 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->status_lines = _tmp0_;
#line 69 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	return self;
#line 274 "RsyncTask.c"
}


RsyncTask* rsync_task_new (void) {
#line 69 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	return rsync_task_construct (TYPE_RSYNC_TASK);
#line 281 "RsyncTask.c"
}


static void rsync_task_init_regular_expressions (RsyncTask* self) {
	GeeHashMap* _tmp0_ = NULL;
	GeeHashMap* _tmp1_ = NULL;
	GError * _inner_error_ = NULL;
#line 74 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 75 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp0_ = self->priv->regex_list;
#line 75 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp0_ != NULL) {
#line 76 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		return;
#line 297 "RsyncTask.c"
	}
#line 79 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp1_ = gee_hash_map_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, G_TYPE_REGEX, (GBoxedCopyFunc) g_regex_ref, (GDestroyNotify) g_regex_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 79 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_object_unref0 (self->priv->regex_list);
#line 79 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->priv->regex_list = _tmp1_;
#line 305 "RsyncTask.c"
	{
		GRegex* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GeeHashMap* _tmp4_ = NULL;
		GRegex* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		GeeHashMap* _tmp7_ = NULL;
		GRegex* _tmp8_ = NULL;
		GRegex* _tmp9_ = NULL;
		GeeHashMap* _tmp10_ = NULL;
		GRegex* _tmp11_ = NULL;
		GRegex* _tmp12_ = NULL;
		GeeHashMap* _tmp13_ = NULL;
		GRegex* _tmp14_ = NULL;
		GRegex* _tmp15_ = NULL;
		GeeHashMap* _tmp16_ = NULL;
		GRegex* _tmp17_ = NULL;
		GRegex* _tmp18_ = NULL;
		GeeHashMap* _tmp19_ = NULL;
		GRegex* _tmp20_ = NULL;
		GRegex* _tmp21_ = NULL;
		GeeHashMap* _tmp22_ = NULL;
		GRegex* _tmp23_ = NULL;
		GRegex* _tmp24_ = NULL;
		GeeHashMap* _tmp25_ = NULL;
		GRegex* _tmp26_ = NULL;
		GRegex* _tmp27_ = NULL;
		GeeHashMap* _tmp28_ = NULL;
		GRegex* _tmp29_ = NULL;
		GRegex* _tmp30_ = NULL;
		GeeHashMap* _tmp31_ = NULL;
#line 113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp3_ = g_regex_new ("([<>ch.*])([.fdLDS])(c|\\+|\\.| )(s|\\+|\\.| )(t|\\+|\\.| )(p|\\+|\\.|" \
" )(o|\\+|\\.| )(g|\\+|\\.| )(u|\\+|\\.| )(a|\\+|\\.| )(x|\\+|\\.| ) (." \
"*)", 0, 0, &_inner_error_);
#line 113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp2_ = _tmp3_;
#line 113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 343 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp4_ = self->priv->regex_list;
#line 113 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp4_, "status", _tmp2_);
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp6_ = g_regex_new ("([<>ch.*])([.fdLDS])[+]{9} (.*)", 0, 0, &_inner_error_);
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp5_ = _tmp6_;
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 358 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp7_ = self->priv->regex_list;
#line 116 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp7_, "created", _tmp5_);
#line 119 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp9_ = g_regex_new ("[0-9\\/]+ [0-9:.]+ \\[[0-9]+\\] ([<>ch.*])([.fdLDS])[+]{9} (.*)", 0, 0, &_inner_error_);
#line 119 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp8_ = _tmp9_;
#line 119 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 119 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 119 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 375 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 119 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp10_ = self->priv->regex_list;
#line 119 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp10_, "log-created", _tmp8_);
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp12_ = g_regex_new ("\\*deleting[ \\t]+(.*)", 0, 0, &_inner_error_);
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp11_ = _tmp12_;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 394 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp13_ = self->priv->regex_list;
#line 122 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp13_, "deleted", _tmp11_);
#line 125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp15_ = g_regex_new ("[0-9\\/]+ [0-9:.]+ \\[[0-9]+\\] \\*deleting[ \\t]+(.*)", 0, 0, &_inner_error_);
#line 125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp14_ = _tmp15_;
#line 125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 415 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp16_ = self->priv->regex_list;
#line 125 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp16_, "log-deleted", _tmp14_);
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp18_ = g_regex_new ("([<>ch.])([.fdLDS])(c|\\+|\\.| )(s|\\+|\\.| )(t|\\+|\\.| )(p|\\+|\\.| " \
")(o|\\+|\\.| )(g|\\+|\\.| )(u|\\+|\\.| )(a|\\+|\\.| )(x|\\+|\\.) (.*)", 0, 0, &_inner_error_);
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp17_ = _tmp18_;
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 438 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp19_ = self->priv->regex_list;
#line 128 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp19_, "modified", _tmp17_);
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp21_ = g_regex_new ("[0-9\\/]+ [0-9:.]+ \\[[0-9]+\\] ([<>ch.])([.fdLDS])(c|\\+|\\.| )(s|\\+" \
"|\\.| )(t|\\+|\\.| )(p|\\+|\\.| )(o|\\+|\\.| )(g|\\+|\\.| )(u|\\+|\\.|" \
" )(a|\\+|\\.| )(x|\\+|\\.) (.*)", 0, 0, &_inner_error_);
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp20_ = _tmp21_;
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp17_);
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 463 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp22_ = self->priv->regex_list;
#line 131 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp22_, "log-modified", _tmp20_);
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp24_ = g_regex_new ("([.h])([.fdLDS])[ ]{9} (.*)", 0, 0, &_inner_error_);
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp23_ = _tmp24_;
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp20_);
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp17_);
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 490 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp25_ = self->priv->regex_list;
#line 134 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp25_, "unchanged", _tmp23_);
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp27_ = g_regex_new ("[0-9\\/]+ [0-9:.]+ \\[[0-9]+\\] ([.h])([.fdLDS])[ ]{9} (.*)", 0, 0, &_inner_error_);
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp26_ = _tmp27_;
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp23_);
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp20_);
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp17_);
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 519 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp28_ = self->priv->regex_list;
#line 137 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp28_, "log-unchanged", _tmp26_);
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp30_ = g_regex_new ("total size is ([0-9,]+)[ \\t]+speedup is [0-9.]+", 0, 0, &_inner_error_);
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp29_ = _tmp30_;
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp26_);
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp23_);
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp20_);
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp17_);
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp14_);
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp11_);
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp8_);
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp5_);
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp2_);
#line 550 "RsyncTask.c"
			goto __catch60_g_error;
		}
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp31_ = self->priv->regex_list;
#line 140 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		gee_abstract_map_set ((GeeAbstractMap*) _tmp31_, "total-size", _tmp29_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp29_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp26_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp23_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp20_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp17_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp14_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp11_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp8_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp5_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp2_);
#line 577 "RsyncTask.c"
	}
	goto __finally60;
	__catch60_g_error:
	{
		GError* e = NULL;
		GError* _tmp32_ = NULL;
		const gchar* _tmp33_ = NULL;
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		e = _inner_error_;
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_inner_error_ = NULL;
#line 145 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp32_ = e;
#line 145 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp33_ = _tmp32_->message;
#line 145 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		tee_jee_logging_log_error (_tmp33_, FALSE, FALSE);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_error_free0 (e);
#line 597 "RsyncTask.c"
	}
	__finally60:
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		g_clear_error (&_inner_error_);
#line 111 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		return;
#line 608 "RsyncTask.c"
	}
}


void rsync_task_prepare (RsyncTask* self) {
	gchar* script_text = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	GString* _tmp7_ = NULL;
#line 149 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 150 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp0_ = rsync_task_build_script (self);
#line 150 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	script_text = _tmp0_;
#line 152 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug (script_text);
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp1_ = ((AsyncTask*) self)->script_file;
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp2_ = tee_jee_process_helper_save_bash_script_temp (script_text, _tmp1_, TRUE, FALSE);
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp3_ = _tmp2_;
#line 154 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp3_);
#line 155 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp4_ = ((AsyncTask*) self)->script_file;
#line 155 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp5_ = g_strdup_printf ("RsyncTask:prepare(): saved: %s", _tmp4_);
#line 155 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp6_ = _tmp5_;
#line 155 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug (_tmp6_);
#line 155 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp6_);
#line 158 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->status_line_count = (gint64) 0;
#line 159 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->total_size = (gint64) 0;
#line 161 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->count_created = (gint64) 0;
#line 162 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->count_deleted = (gint64) 0;
#line 163 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->count_modified = (gint64) 0;
#line 164 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->count_checksum = (gint64) 0;
#line 165 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->count_size = (gint64) 0;
#line 166 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->count_timestamp = (gint64) 0;
#line 167 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->count_permissions = (gint64) 0;
#line 168 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->count_owner = (gint64) 0;
#line 169 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->count_group = (gint64) 0;
#line 170 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->count_unchanged = (gint64) 0;
#line 172 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp7_ = g_string_new ("");
#line 172 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_string_free0 (self->log);
#line 172 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->log = _tmp7_;
#line 149 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (script_text);
#line 681 "RsyncTask.c"
}


static gchar* rsync_task_build_script (RsyncTask* self) {
	gchar* result = NULL;
	gchar* cmd = NULL;
	gchar* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	gboolean _tmp11_ = FALSE;
	gboolean _tmp14_ = FALSE;
	const gchar* _tmp17_ = NULL;
	gchar* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	gboolean _tmp21_ = FALSE;
	gboolean _tmp24_ = FALSE;
	const gchar* _tmp27_ = NULL;
	gint _tmp28_ = 0;
	gint _tmp29_ = 0;
	const gchar* _tmp41_ = NULL;
	gint _tmp42_ = 0;
	gint _tmp43_ = 0;
	const gchar* _tmp51_ = NULL;
	gint _tmp52_ = 0;
	gint _tmp53_ = 0;
	const gchar* _tmp66_ = NULL;
	gchar* _tmp67_ = NULL;
	const gchar* _tmp68_ = NULL;
	gchar* _tmp69_ = NULL;
	const gchar* _tmp70_ = NULL;
	const gchar* _tmp71_ = NULL;
	gchar* _tmp72_ = NULL;
	gchar* _tmp73_ = NULL;
	gchar* _tmp74_ = NULL;
	gchar* _tmp75_ = NULL;
	gchar* _tmp76_ = NULL;
	const gchar* _tmp77_ = NULL;
	const gchar* _tmp78_ = NULL;
	gchar* _tmp79_ = NULL;
	gchar* _tmp80_ = NULL;
	gchar* _tmp81_ = NULL;
	gchar* _tmp82_ = NULL;
	gchar* _tmp83_ = NULL;
#line 175 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp0_ = g_strdup ("");
#line 177 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	cmd = _tmp0_;
#line 179 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp1_ = self->io_nice;
#line 179 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp1_) {
#line 740 "RsyncTask.c"
	}
#line 183 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp2_ = cmd;
#line 183 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp3_ = g_strconcat (_tmp2_, "rsync -aii", NULL);
#line 183 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 183 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	cmd = _tmp3_;
#line 189 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp4_ = cmd;
#line 189 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp5_ = g_strconcat (_tmp4_, " --recursive", NULL);
#line 189 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 189 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	cmd = _tmp5_;
#line 191 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp6_ = self->verbose;
#line 191 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp6_) {
#line 762 "RsyncTask.c"
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp7_ = cmd;
#line 192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp8_ = g_strconcat (_tmp7_, " --verbose", NULL);
#line 192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 192 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		cmd = _tmp8_;
#line 773 "RsyncTask.c"
	} else {
		const gchar* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
#line 195 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp9_ = cmd;
#line 195 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp10_ = g_strconcat (_tmp9_, " --quiet", NULL);
#line 195 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 195 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		cmd = _tmp10_;
#line 785 "RsyncTask.c"
	}
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp11_ = self->delete_extra;
#line 198 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp11_) {
#line 791 "RsyncTask.c"
		const gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp12_ = cmd;
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp13_ = g_strconcat (_tmp12_, " --delete", NULL);
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 199 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		cmd = _tmp13_;
#line 802 "RsyncTask.c"
	}
#line 202 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp14_ = self->delete_after;
#line 202 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp14_) {
#line 808 "RsyncTask.c"
		const gchar* _tmp15_ = NULL;
		gchar* _tmp16_ = NULL;
#line 203 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp15_ = cmd;
#line 203 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp16_ = g_strconcat (_tmp15_, " --delete-after", NULL);
#line 203 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 203 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		cmd = _tmp16_;
#line 819 "RsyncTask.c"
	}
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp17_ = cmd;
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp18_ = g_strconcat (_tmp17_, " --force", NULL);
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 206 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	cmd = _tmp18_;
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp19_ = cmd;
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp20_ = g_strconcat (_tmp19_, " --stats", NULL);
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 210 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	cmd = _tmp20_;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp21_ = self->delete_excluded;
#line 216 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp21_) {
#line 841 "RsyncTask.c"
		const gchar* _tmp22_ = NULL;
		gchar* _tmp23_ = NULL;
#line 217 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp22_ = cmd;
#line 217 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp23_ = g_strconcat (_tmp22_, " --delete-excluded", NULL);
#line 217 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 217 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		cmd = _tmp23_;
#line 852 "RsyncTask.c"
	}
#line 220 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp24_ = self->dry_run;
#line 220 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp24_) {
#line 858 "RsyncTask.c"
		const gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp25_ = cmd;
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp26_ = g_strconcat (_tmp25_, " --dry-run", NULL);
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 221 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		cmd = _tmp26_;
#line 869 "RsyncTask.c"
	}
#line 224 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp27_ = self->link_from_path;
#line 224 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp28_ = strlen (_tmp27_);
#line 224 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp29_ = _tmp28_;
#line 224 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp29_ > 0) {
#line 879 "RsyncTask.c"
		const gchar* _tmp30_ = NULL;
		gboolean _tmp31_ = FALSE;
		const gchar* _tmp34_ = NULL;
		const gchar* _tmp35_ = NULL;
		gchar* _tmp36_ = NULL;
		gchar* _tmp37_ = NULL;
		gchar* _tmp38_ = NULL;
		gchar* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp30_ = self->link_from_path;
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp31_ = g_str_has_suffix (_tmp30_, "/");
#line 225 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (!_tmp31_) {
#line 895 "RsyncTask.c"
			const gchar* _tmp32_ = NULL;
			gchar* _tmp33_ = NULL;
#line 226 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp32_ = self->link_from_path;
#line 226 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp33_ = g_strdup_printf ("%s/", _tmp32_);
#line 226 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (self->link_from_path);
#line 226 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			self->link_from_path = _tmp33_;
#line 906 "RsyncTask.c"
		}
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp34_ = cmd;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp35_ = self->link_from_path;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp36_ = tee_jee_file_system_escape_single_quote (_tmp35_);
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp37_ = _tmp36_;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp38_ = g_strdup_printf (" --link-dest='%s'", _tmp37_);
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp39_ = _tmp38_;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp40_ = g_strconcat (_tmp34_, _tmp39_, NULL);
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		cmd = _tmp40_;
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp39_);
#line 229 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp37_);
#line 930 "RsyncTask.c"
	}
#line 232 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp41_ = self->rsync_log_file;
#line 232 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp42_ = strlen (_tmp41_);
#line 232 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp43_ = _tmp42_;
#line 232 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp43_ > 0) {
#line 940 "RsyncTask.c"
		const gchar* _tmp44_ = NULL;
		const gchar* _tmp45_ = NULL;
		gchar* _tmp46_ = NULL;
		gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
		gchar* _tmp49_ = NULL;
		gchar* _tmp50_ = NULL;
#line 233 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp44_ = cmd;
#line 233 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp45_ = self->rsync_log_file;
#line 233 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp46_ = tee_jee_file_system_escape_single_quote (_tmp45_);
#line 233 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp47_ = _tmp46_;
#line 233 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp48_ = g_strdup_printf (" --log-file='%s'", _tmp47_);
#line 233 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp49_ = _tmp48_;
#line 233 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp50_ = g_strconcat (_tmp44_, _tmp49_, NULL);
#line 233 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 233 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		cmd = _tmp50_;
#line 233 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp49_);
#line 233 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp47_);
#line 970 "RsyncTask.c"
	}
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp51_ = self->exclude_from_file;
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp52_ = strlen (_tmp51_);
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp53_ = _tmp52_;
#line 236 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp53_ > 0) {
#line 980 "RsyncTask.c"
		const gchar* _tmp54_ = NULL;
		const gchar* _tmp55_ = NULL;
		gchar* _tmp56_ = NULL;
		gchar* _tmp57_ = NULL;
		gchar* _tmp58_ = NULL;
		gchar* _tmp59_ = NULL;
		gchar* _tmp60_ = NULL;
		gboolean _tmp61_ = FALSE;
		gboolean _tmp62_ = FALSE;
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp54_ = cmd;
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp55_ = self->exclude_from_file;
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp56_ = tee_jee_file_system_escape_single_quote (_tmp55_);
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp57_ = _tmp56_;
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp58_ = g_strdup_printf (" --exclude-from='%s'", _tmp57_);
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp59_ = _tmp58_;
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp60_ = g_strconcat (_tmp54_, _tmp59_, NULL);
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (cmd);
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		cmd = _tmp60_;
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp59_);
#line 237 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp57_);
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp62_ = self->delete_extra;
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (_tmp62_) {
#line 1016 "RsyncTask.c"
			gboolean _tmp63_ = FALSE;
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp63_ = self->delete_excluded;
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp61_ = _tmp63_;
#line 1022 "RsyncTask.c"
		} else {
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp61_ = FALSE;
#line 1026 "RsyncTask.c"
		}
#line 239 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (_tmp61_) {
#line 1030 "RsyncTask.c"
			const gchar* _tmp64_ = NULL;
			gchar* _tmp65_ = NULL;
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp64_ = cmd;
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp65_ = g_strconcat (_tmp64_, " --delete-excluded", NULL);
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (cmd);
#line 240 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			cmd = _tmp65_;
#line 1041 "RsyncTask.c"
		}
	}
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp66_ = self->source_path;
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp67_ = tee_jee_file_system_remove_trailing_slash (_tmp66_);
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (self->source_path);
#line 244 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->source_path = _tmp67_;
#line 246 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp68_ = self->dest_path;
#line 246 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp69_ = tee_jee_file_system_remove_trailing_slash (_tmp68_);
#line 246 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (self->dest_path);
#line 246 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->dest_path = _tmp69_;
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp70_ = cmd;
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp71_ = self->source_path;
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp72_ = tee_jee_file_system_escape_single_quote (_tmp71_);
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp73_ = _tmp72_;
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp74_ = g_strdup_printf (" '%s/'", _tmp73_);
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp75_ = _tmp74_;
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp76_ = g_strconcat (_tmp70_, _tmp75_, NULL);
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	cmd = _tmp76_;
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp75_);
#line 248 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp73_);
#line 250 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp77_ = cmd;
#line 250 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp78_ = self->dest_path;
#line 250 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp79_ = tee_jee_file_system_escape_single_quote (_tmp78_);
#line 250 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp80_ = _tmp79_;
#line 250 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp81_ = g_strdup_printf (" '%s/'", _tmp80_);
#line 250 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp82_ = _tmp81_;
#line 250 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp83_ = g_strconcat (_tmp77_, _tmp82_, NULL);
#line 250 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (cmd);
#line 250 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	cmd = _tmp83_;
#line 250 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp82_);
#line 250 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp80_);
#line 252 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	result = cmd;
#line 252 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	return result;
#line 1108 "RsyncTask.c"
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1207 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1208 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1209 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _result_;
#line 1210 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1131 "RsyncTask.c"
}


GeeArrayList* rsync_task_parse_log (RsyncTask* self, const gchar* log_file_path) {
	GeeArrayList* result = NULL;
	GeeArrayList* list = NULL;
	GeeArrayList* _tmp0_ = NULL;
	gchar* log_file = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	GDataOutputStream* dos_changes = NULL;
	const gchar* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
	const gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	const gchar* _tmp25_ = NULL;
	gint64 _tmp26_ = 0LL;
	GDataOutputStream* _tmp204_ = NULL;
	GError * _inner_error_ = NULL;
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 255 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (log_file_path != NULL, NULL);
#line 257 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp0_ = gee_array_list_new (TYPE_FILE_ITEM, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 257 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	list = _tmp0_;
#line 259 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp1_ = log_file_path;
#line 259 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 259 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	log_file = _tmp2_;
#line 260 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	dos_changes = NULL;
#line 262 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp3_ = log_file;
#line 262 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp4_ = g_str_has_suffix (_tmp3_, "-changes");
#line 262 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (!_tmp4_) {
#line 1174 "RsyncTask.c"
		gchar* log_file_changes = NULL;
		const gchar* _tmp5_ = NULL;
		gchar* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gboolean _tmp8_ = FALSE;
#line 264 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp5_ = log_file_path;
#line 264 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp6_ = g_strconcat (_tmp5_, "-changes", NULL);
#line 264 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		log_file_changes = _tmp6_;
#line 266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp7_ = log_file_changes;
#line 266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp8_ = tee_jee_file_system_file_exists (_tmp7_);
#line 266 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (_tmp8_) {
#line 1192 "RsyncTask.c"
			const gchar* _tmp9_ = NULL;
			gchar* _tmp10_ = NULL;
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp9_ = log_file_changes;
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp10_ = g_strdup (_tmp9_);
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (log_file);
#line 268 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			log_file = _tmp10_;
#line 1203 "RsyncTask.c"
		} else {
			{
				GFile* file = NULL;
				const gchar* _tmp11_ = NULL;
				GFile* _tmp12_ = NULL;
				GFile* _tmp13_ = NULL;
				gboolean _tmp14_ = FALSE;
				GFileOutputStream* file_stream = NULL;
				GFile* _tmp16_ = NULL;
				GFileOutputStream* _tmp17_ = NULL;
				GFileOutputStream* _tmp18_ = NULL;
				GDataOutputStream* _tmp19_ = NULL;
#line 273 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp11_ = log_file_changes;
#line 273 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp12_ = g_file_new_for_path (_tmp11_);
#line 273 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				file = _tmp12_;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp13_ = file;
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp14_ = g_file_query_exists (_tmp13_, NULL);
#line 274 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				if (_tmp14_) {
#line 1228 "RsyncTask.c"
					GFile* _tmp15_ = NULL;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp15_ = file;
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					g_file_delete (_tmp15_, NULL, &_inner_error_);
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 275 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_object_unref0 (file);
#line 1238 "RsyncTask.c"
						goto __catch61_g_error;
					}
				}
#line 277 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp16_ = file;
#line 277 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp17_ = g_file_create (_tmp16_, G_FILE_CREATE_REPLACE_DESTINATION, NULL, &_inner_error_);
#line 277 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				file_stream = _tmp17_;
#line 277 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 277 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_object_unref0 (file);
#line 1252 "RsyncTask.c"
					goto __catch61_g_error;
				}
#line 278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp18_ = file_stream;
#line 278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp19_ = g_data_output_stream_new ((GOutputStream*) _tmp18_);
#line 278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_object_unref0 (dos_changes);
#line 278 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				dos_changes = _tmp19_;
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_object_unref0 (file_stream);
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_object_unref0 (file);
#line 1267 "RsyncTask.c"
			}
			goto __finally61;
			__catch61_g_error:
			{
				GError* e = NULL;
				GError* _tmp20_ = NULL;
				const gchar* _tmp21_ = NULL;
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				e = _inner_error_;
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_inner_error_ = NULL;
#line 281 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp20_ = e;
#line 281 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp21_ = _tmp20_->message;
#line 281 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				tee_jee_logging_log_error (_tmp21_, FALSE, FALSE);
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_error_free0 (e);
#line 1287 "RsyncTask.c"
			}
			__finally61:
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (log_file_changes);
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_object_unref0 (dos_changes);
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (log_file);
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_object_unref0 (list);
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				g_clear_error (&_inner_error_);
#line 272 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				return NULL;
#line 1306 "RsyncTask.c"
			}
		}
#line 262 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (log_file_changes);
#line 1311 "RsyncTask.c"
	}
#line 286 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug ("RsyncTask: parse_log()");
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp22_ = log_file;
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp23_ = g_strdup_printf ("log_file = %s", _tmp22_);
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp24_ = _tmp23_;
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug (_tmp24_);
#line 287 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp24_);
#line 289 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	((AsyncTask*) self)->prg_count = (gint64) 0;
#line 290 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp25_ = log_file;
#line 290 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp26_ = tee_jee_file_system_file_line_count (_tmp25_);
#line 290 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	((AsyncTask*) self)->prg_count_total = _tmp26_;
#line 1333 "RsyncTask.c"
	{
		gchar* line = NULL;
		GFile* file = NULL;
		const gchar* _tmp27_ = NULL;
		GFile* _tmp28_ = NULL;
		GFile* _tmp29_ = NULL;
		gboolean _tmp30_ = FALSE;
		GFileInputStream* _tmp37_ = NULL;
		GFile* _tmp38_ = NULL;
		GFileInputStream* _tmp39_ = NULL;
		GDataInputStream* dis = NULL;
		GDataInputStream* _tmp40_ = NULL;
		gchar* item_path = NULL;
		gchar* _tmp41_ = NULL;
		gchar* item_disk_path = NULL;
		gchar* _tmp42_ = NULL;
		gchar* item_status = NULL;
		gchar* _tmp43_ = NULL;
		gchar* item_basepath = NULL;
		const gchar* _tmp44_ = NULL;
		gchar* _tmp45_ = NULL;
		gchar* _tmp46_ = NULL;
		gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
#line 294 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp27_ = log_file;
#line 294 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp28_ = g_file_new_for_path (_tmp27_);
#line 294 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		file = _tmp28_;
#line 295 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp29_ = file;
#line 295 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp30_ = g_file_query_exists (_tmp29_, NULL);
#line 295 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (!_tmp30_) {
#line 1370 "RsyncTask.c"
			const gchar* _tmp31_ = NULL;
			const gchar* _tmp32_ = NULL;
			gchar* _tmp33_ = NULL;
			gchar* _tmp34_ = NULL;
			gchar* _tmp35_ = NULL;
			gchar* _tmp36_ = NULL;
#line 296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp31_ = _ ("File not found");
#line 296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp32_ = log_file;
#line 296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp33_ = g_strdup_printf (": %s", _tmp32_);
#line 296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp34_ = _tmp33_;
#line 296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp35_ = g_strconcat (_tmp31_, _tmp34_, NULL);
#line 296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp36_ = _tmp35_;
#line 296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			tee_jee_logging_log_error (_tmp36_, FALSE, FALSE);
#line 296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp36_);
#line 296 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp34_);
#line 297 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			result = list;
#line 297 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_object_unref0 (file);
#line 297 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (line);
#line 297 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_object_unref0 (dos_changes);
#line 297 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (log_file);
#line 297 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			return result;
#line 1407 "RsyncTask.c"
		}
#line 300 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp38_ = file;
#line 300 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp39_ = g_file_read (_tmp38_, NULL, &_inner_error_);
#line 300 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp37_ = _tmp39_;
#line 300 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 300 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_object_unref0 (file);
#line 300 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (line);
#line 1421 "RsyncTask.c"
			goto __catch62_g_error;
		}
#line 300 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp40_ = g_data_input_stream_new ((GInputStream*) _tmp37_);
#line 300 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		dis = _tmp40_;
#line 302 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp41_ = g_strdup ("");
#line 302 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		item_path = _tmp41_;
#line 303 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp42_ = g_strdup ("");
#line 303 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		item_disk_path = _tmp42_;
#line 304 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp43_ = g_strdup ("");
#line 304 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		item_status = _tmp43_;
#line 306 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp44_ = log_file_path;
#line 306 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp45_ = tee_jee_file_system_file_parent (_tmp44_);
#line 306 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp46_ = _tmp45_;
#line 306 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp47_ = tee_jee_file_system_path_combine (_tmp46_, "localhost");
#line 306 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp48_ = _tmp47_;
#line 306 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp46_);
#line 306 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		item_basepath = _tmp48_;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		while (TRUE) {
#line 1456 "RsyncTask.c"
			gchar* _tmp49_ = NULL;
			GDataInputStream* _tmp50_ = NULL;
			gchar* _tmp51_ = NULL;
			gchar* _tmp52_ = NULL;
			const gchar* _tmp53_ = NULL;
			gint64 _tmp54_ = 0LL;
			const gchar* _tmp55_ = NULL;
			gchar* _tmp56_ = NULL;
			gchar* _tmp57_ = NULL;
			gint _tmp58_ = 0;
			gint _tmp59_ = 0;
			gboolean _tmp60_ = FALSE;
			gchar* _tmp61_ = NULL;
			GMatchInfo* match = NULL;
			gboolean _tmp62_ = FALSE;
			GeeHashMap* _tmp63_ = NULL;
			gpointer _tmp64_ = NULL;
			GRegex* _tmp65_ = NULL;
			const gchar* _tmp66_ = NULL;
			GMatchInfo* _tmp67_ = NULL;
			gboolean _tmp68_ = FALSE;
			gboolean _tmp69_ = FALSE;
			gboolean _tmp185_ = FALSE;
			gboolean _tmp186_ = FALSE;
			const gchar* _tmp187_ = NULL;
			gint _tmp188_ = 0;
			gint _tmp189_ = 0;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp50_ = dis;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp51_ = g_data_input_stream_read_line (_tmp50_, NULL, NULL, &_inner_error_);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp49_ = _tmp51_;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (item_basepath);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (item_status);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (item_disk_path);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (item_path);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_object_unref0 (dis);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_object_unref0 (_tmp37_);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_object_unref0 (file);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (line);
#line 1508 "RsyncTask.c"
				goto __catch62_g_error;
			}
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp52_ = _tmp49_;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp49_ = NULL;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (line);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			line = _tmp52_;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp53_ = line;
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			if (!(_tmp53_ != NULL)) {
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp49_);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				break;
#line 1527 "RsyncTask.c"
			}
#line 310 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp54_ = ((AsyncTask*) self)->prg_count;
#line 310 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			((AsyncTask*) self)->prg_count = _tmp54_ + 1;
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp55_ = line;
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp56_ = string_strip (_tmp55_);
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp57_ = _tmp56_;
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp58_ = strlen (_tmp57_);
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp59_ = _tmp58_;
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp60_ = _tmp59_ == 0;
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp57_);
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			if (_tmp60_) {
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp49_);
#line 312 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				continue;
#line 1553 "RsyncTask.c"
			}
#line 314 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp61_ = g_strdup ("");
#line 314 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (item_path);
#line 314 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			item_path = _tmp61_;
#line 317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp63_ = self->priv->regex_list;
#line 317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp64_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp63_, "created");
#line 317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp65_ = (GRegex*) _tmp64_;
#line 317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp66_ = line;
#line 317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp68_ = g_regex_match (_tmp65_, _tmp66_, 0, &_tmp67_);
#line 317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_match_info_unref0 (match);
#line 317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			match = _tmp67_;
#line 317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp69_ = _tmp68_;
#line 317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp65_);
#line 317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			if (_tmp69_) {
#line 317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp62_ = TRUE;
#line 1583 "RsyncTask.c"
			} else {
				GeeHashMap* _tmp70_ = NULL;
				gpointer _tmp71_ = NULL;
				GRegex* _tmp72_ = NULL;
				const gchar* _tmp73_ = NULL;
				GMatchInfo* _tmp74_ = NULL;
				gboolean _tmp75_ = FALSE;
#line 318 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp70_ = self->priv->regex_list;
#line 318 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp71_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp70_, "log-created");
#line 318 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp72_ = (GRegex*) _tmp71_;
#line 318 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp73_ = line;
#line 318 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp75_ = g_regex_match (_tmp72_, _tmp73_, 0, &_tmp74_);
#line 318 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_match_info_unref0 (match);
#line 318 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				match = _tmp74_;
#line 318 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp62_ = _tmp75_;
#line 318 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_regex_unref0 (_tmp72_);
#line 1609 "RsyncTask.c"
			}
#line 317 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			if (_tmp62_) {
#line 1613 "RsyncTask.c"
				GDataOutputStream* _tmp76_ = NULL;
				GMatchInfo* _tmp81_ = NULL;
				gchar* _tmp82_ = NULL;
				gchar* _tmp83_ = NULL;
				gchar** _tmp84_ = NULL;
				gchar** _tmp85_ = NULL;
				gchar** _tmp86_ = NULL;
				gint _tmp86__length1 = 0;
				const gchar* _tmp87_ = NULL;
				gchar* _tmp88_ = NULL;
				gchar* _tmp89_ = NULL;
#line 320 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp76_ = dos_changes;
#line 320 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				if (_tmp76_ != NULL) {
#line 1629 "RsyncTask.c"
					GDataOutputStream* _tmp77_ = NULL;
					const gchar* _tmp78_ = NULL;
					gchar* _tmp79_ = NULL;
					gchar* _tmp80_ = NULL;
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp77_ = dos_changes;
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp78_ = line;
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp79_ = g_strdup_printf ("%s\n", _tmp78_);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp80_ = _tmp79_;
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					g_data_output_stream_put_string (_tmp77_, _tmp80_, NULL, &_inner_error_);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp80_);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_match_info_unref0 (match);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp49_);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (item_basepath);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (item_status);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (item_disk_path);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (item_path);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_object_unref0 (dis);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_object_unref0 (_tmp37_);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_object_unref0 (file);
#line 321 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (line);
#line 1668 "RsyncTask.c"
						goto __catch62_g_error;
					}
				}
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp81_ = match;
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp82_ = g_match_info_fetch (_tmp81_, 3);
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp83_ = _tmp82_;
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp85_ = _tmp84_ = g_strsplit (_tmp83_, " -> ", 0);
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp86_ = _tmp85_;
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp86__length1 = _vala_array_length (_tmp84_);
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp87_ = _tmp86_[0];
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp88_ = string_strip (_tmp87_);
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (item_path);
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				item_path = _tmp88_;
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp86_ = (_vala_array_free (_tmp86_, _tmp86__length1, (GDestroyNotify) g_free), NULL);
#line 326 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp83_);
#line 334 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp89_ = g_strdup ("created");
#line 334 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (item_status);
#line 334 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				item_status = _tmp89_;
#line 1702 "RsyncTask.c"
			} else {
				gboolean _tmp90_ = FALSE;
				GeeHashMap* _tmp91_ = NULL;
				gpointer _tmp92_ = NULL;
				GRegex* _tmp93_ = NULL;
				const gchar* _tmp94_ = NULL;
				GMatchInfo* _tmp95_ = NULL;
				gboolean _tmp96_ = FALSE;
				gboolean _tmp97_ = FALSE;
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp91_ = self->priv->regex_list;
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp92_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp91_, "log-deleted");
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp93_ = (GRegex*) _tmp92_;
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp94_ = line;
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp96_ = g_regex_match (_tmp93_, _tmp94_, 0, &_tmp95_);
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_match_info_unref0 (match);
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				match = _tmp95_;
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp97_ = _tmp96_;
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_regex_unref0 (_tmp93_);
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				if (_tmp97_) {
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp90_ = TRUE;
#line 1734 "RsyncTask.c"
				} else {
					GeeHashMap* _tmp98_ = NULL;
					gpointer _tmp99_ = NULL;
					GRegex* _tmp100_ = NULL;
					const gchar* _tmp101_ = NULL;
					GMatchInfo* _tmp102_ = NULL;
					gboolean _tmp103_ = FALSE;
#line 337 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp98_ = self->priv->regex_list;
#line 337 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp99_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp98_, "deleted");
#line 337 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp100_ = (GRegex*) _tmp99_;
#line 337 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp101_ = line;
#line 337 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp103_ = g_regex_match (_tmp100_, _tmp101_, 0, &_tmp102_);
#line 337 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_match_info_unref0 (match);
#line 337 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					match = _tmp102_;
#line 337 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp90_ = _tmp103_;
#line 337 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_regex_unref0 (_tmp100_);
#line 1760 "RsyncTask.c"
				}
#line 336 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				if (_tmp90_) {
#line 1764 "RsyncTask.c"
					GDataOutputStream* _tmp104_ = NULL;
					GMatchInfo* _tmp109_ = NULL;
					gchar* _tmp110_ = NULL;
					gchar* _tmp111_ = NULL;
					gchar** _tmp112_ = NULL;
					gchar** _tmp113_ = NULL;
					gchar** _tmp114_ = NULL;
					gint _tmp114__length1 = 0;
					const gchar* _tmp115_ = NULL;
					gchar* _tmp116_ = NULL;
					gchar* _tmp117_ = NULL;
#line 341 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp104_ = dos_changes;
#line 341 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					if (_tmp104_ != NULL) {
#line 1780 "RsyncTask.c"
						GDataOutputStream* _tmp105_ = NULL;
						const gchar* _tmp106_ = NULL;
						gchar* _tmp107_ = NULL;
						gchar* _tmp108_ = NULL;
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp105_ = dos_changes;
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp106_ = line;
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp107_ = g_strdup_printf ("%s\n", _tmp106_);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp108_ = _tmp107_;
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						g_data_output_stream_put_string (_tmp105_, _tmp108_, NULL, &_inner_error_);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp108_);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_match_info_unref0 (match);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp49_);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_free0 (item_basepath);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_free0 (item_status);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_free0 (item_disk_path);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_free0 (item_path);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_object_unref0 (dis);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_object_unref0 (_tmp37_);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_object_unref0 (file);
#line 342 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_free0 (line);
#line 1819 "RsyncTask.c"
							goto __catch62_g_error;
						}
					}
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp109_ = match;
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp110_ = g_match_info_fetch (_tmp109_, 1);
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp111_ = _tmp110_;
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp113_ = _tmp112_ = g_strsplit (_tmp111_, " -> ", 0);
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp114_ = _tmp113_;
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp114__length1 = _vala_array_length (_tmp112_);
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp115_ = _tmp114_[0];
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp116_ = string_strip (_tmp115_);
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_free0 (item_path);
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					item_path = _tmp116_;
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp114_ = (_vala_array_free (_tmp114_, _tmp114__length1, (GDestroyNotify) g_free), NULL);
#line 345 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp111_);
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp117_ = g_strdup ("deleted");
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_free0 (item_status);
#line 347 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					item_status = _tmp117_;
#line 1853 "RsyncTask.c"
				} else {
					gboolean _tmp118_ = FALSE;
					GeeHashMap* _tmp119_ = NULL;
					gpointer _tmp120_ = NULL;
					GRegex* _tmp121_ = NULL;
					const gchar* _tmp122_ = NULL;
					GMatchInfo* _tmp123_ = NULL;
					gboolean _tmp124_ = FALSE;
					gboolean _tmp125_ = FALSE;
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp119_ = self->priv->regex_list;
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp120_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp119_, "modified");
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp121_ = (GRegex*) _tmp120_;
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp122_ = line;
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp124_ = g_regex_match (_tmp121_, _tmp122_, 0, &_tmp123_);
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_match_info_unref0 (match);
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					match = _tmp123_;
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp125_ = _tmp124_;
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_regex_unref0 (_tmp121_);
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					if (_tmp125_) {
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp118_ = TRUE;
#line 1885 "RsyncTask.c"
					} else {
						GeeHashMap* _tmp126_ = NULL;
						gpointer _tmp127_ = NULL;
						GRegex* _tmp128_ = NULL;
						const gchar* _tmp129_ = NULL;
						GMatchInfo* _tmp130_ = NULL;
						gboolean _tmp131_ = FALSE;
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp126_ = self->priv->regex_list;
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp127_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp126_, "log-modified");
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp128_ = (GRegex*) _tmp127_;
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp129_ = line;
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp131_ = g_regex_match (_tmp128_, _tmp129_, 0, &_tmp130_);
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_match_info_unref0 (match);
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						match = _tmp130_;
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp118_ = _tmp131_;
#line 350 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_regex_unref0 (_tmp128_);
#line 1911 "RsyncTask.c"
					}
#line 349 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					if (_tmp118_) {
#line 1915 "RsyncTask.c"
						GDataOutputStream* _tmp132_ = NULL;
						GMatchInfo* _tmp137_ = NULL;
						gchar* _tmp138_ = NULL;
						gchar* _tmp139_ = NULL;
						gchar** _tmp140_ = NULL;
						gchar** _tmp141_ = NULL;
						gchar** _tmp142_ = NULL;
						gint _tmp142__length1 = 0;
						const gchar* _tmp143_ = NULL;
						gchar* _tmp144_ = NULL;
						GMatchInfo* _tmp145_ = NULL;
						gchar* _tmp146_ = NULL;
						gchar* _tmp147_ = NULL;
						gboolean _tmp148_ = FALSE;
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp132_ = dos_changes;
#line 354 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						if (_tmp132_ != NULL) {
#line 1934 "RsyncTask.c"
							GDataOutputStream* _tmp133_ = NULL;
							const gchar* _tmp134_ = NULL;
							gchar* _tmp135_ = NULL;
							gchar* _tmp136_ = NULL;
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp133_ = dos_changes;
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp134_ = line;
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp135_ = g_strdup_printf ("%s\n", _tmp134_);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp136_ = _tmp135_;
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							g_data_output_stream_put_string (_tmp133_, _tmp136_, NULL, &_inner_error_);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp136_);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_match_info_unref0 (match);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_free0 (_tmp49_);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_free0 (item_basepath);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_free0 (item_status);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_free0 (item_disk_path);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_free0 (item_path);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_object_unref0 (dis);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_object_unref0 (_tmp37_);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_object_unref0 (file);
#line 355 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_free0 (line);
#line 1973 "RsyncTask.c"
								goto __catch62_g_error;
							}
						}
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp137_ = match;
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp138_ = g_match_info_fetch (_tmp137_, 12);
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp139_ = _tmp138_;
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp141_ = _tmp140_ = g_strsplit (_tmp139_, " -> ", 0);
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp142_ = _tmp141_;
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp142__length1 = _vala_array_length (_tmp140_);
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp143_ = _tmp142_[0];
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp144_ = string_strip (_tmp143_);
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (item_path);
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						item_path = _tmp144_;
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp142_ = (_vala_array_free (_tmp142_, _tmp142__length1, (GDestroyNotify) g_free), NULL);
#line 358 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp139_);
#line 367 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp145_ = match;
#line 367 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp146_ = g_match_info_fetch (_tmp145_, 3);
#line 367 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp147_ = _tmp146_;
#line 367 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp148_ = g_strcmp0 (_tmp147_, "c") == 0;
#line 367 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp147_);
#line 367 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						if (_tmp148_) {
#line 2013 "RsyncTask.c"
							gchar* _tmp149_ = NULL;
#line 368 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp149_ = g_strdup ("checksum");
#line 368 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_free0 (item_status);
#line 368 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							item_status = _tmp149_;
#line 2021 "RsyncTask.c"
						} else {
							GMatchInfo* _tmp150_ = NULL;
							gchar* _tmp151_ = NULL;
							gchar* _tmp152_ = NULL;
							gboolean _tmp153_ = FALSE;
#line 370 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp150_ = match;
#line 370 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp151_ = g_match_info_fetch (_tmp150_, 4);
#line 370 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp152_ = _tmp151_;
#line 370 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp153_ = g_strcmp0 (_tmp152_, "s") == 0;
#line 370 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp152_);
#line 370 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							if (_tmp153_) {
#line 2039 "RsyncTask.c"
								gchar* _tmp154_ = NULL;
#line 371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_tmp154_ = g_strdup ("size");
#line 371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_free0 (item_status);
#line 371 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								item_status = _tmp154_;
#line 2047 "RsyncTask.c"
							} else {
								GMatchInfo* _tmp155_ = NULL;
								gchar* _tmp156_ = NULL;
								gchar* _tmp157_ = NULL;
								gboolean _tmp158_ = FALSE;
#line 373 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_tmp155_ = match;
#line 373 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_tmp156_ = g_match_info_fetch (_tmp155_, 5);
#line 373 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_tmp157_ = _tmp156_;
#line 373 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_tmp158_ = g_strcmp0 (_tmp157_, "t") == 0;
#line 373 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_free0 (_tmp157_);
#line 373 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								if (_tmp158_) {
#line 2065 "RsyncTask.c"
									gchar* _tmp159_ = NULL;
#line 374 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_tmp159_ = g_strdup ("timestamp");
#line 374 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_g_free0 (item_status);
#line 374 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									item_status = _tmp159_;
#line 2073 "RsyncTask.c"
								} else {
									GMatchInfo* _tmp160_ = NULL;
									gchar* _tmp161_ = NULL;
									gchar* _tmp162_ = NULL;
									gboolean _tmp163_ = FALSE;
#line 376 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_tmp160_ = match;
#line 376 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_tmp161_ = g_match_info_fetch (_tmp160_, 6);
#line 376 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_tmp162_ = _tmp161_;
#line 376 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_tmp163_ = g_strcmp0 (_tmp162_, "p") == 0;
#line 376 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_g_free0 (_tmp162_);
#line 376 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									if (_tmp163_) {
#line 2091 "RsyncTask.c"
										gchar* _tmp164_ = NULL;
#line 377 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_tmp164_ = g_strdup ("permissions");
#line 377 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_g_free0 (item_status);
#line 377 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										item_status = _tmp164_;
#line 2099 "RsyncTask.c"
									} else {
										GMatchInfo* _tmp165_ = NULL;
										gchar* _tmp166_ = NULL;
										gchar* _tmp167_ = NULL;
										gboolean _tmp168_ = FALSE;
#line 379 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_tmp165_ = match;
#line 379 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_tmp166_ = g_match_info_fetch (_tmp165_, 7);
#line 379 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_tmp167_ = _tmp166_;
#line 379 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_tmp168_ = g_strcmp0 (_tmp167_, "o") == 0;
#line 379 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_g_free0 (_tmp167_);
#line 379 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										if (_tmp168_) {
#line 2117 "RsyncTask.c"
											gchar* _tmp169_ = NULL;
#line 380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											_tmp169_ = g_strdup ("owner");
#line 380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											_g_free0 (item_status);
#line 380 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											item_status = _tmp169_;
#line 2125 "RsyncTask.c"
										} else {
											GMatchInfo* _tmp170_ = NULL;
											gchar* _tmp171_ = NULL;
											gchar* _tmp172_ = NULL;
											gboolean _tmp173_ = FALSE;
#line 382 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											_tmp170_ = match;
#line 382 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											_tmp171_ = g_match_info_fetch (_tmp170_, 8);
#line 382 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											_tmp172_ = _tmp171_;
#line 382 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											_tmp173_ = g_strcmp0 (_tmp172_, "g") == 0;
#line 382 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											_g_free0 (_tmp172_);
#line 382 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											if (_tmp173_) {
#line 2143 "RsyncTask.c"
												gchar* _tmp174_ = NULL;
#line 383 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
												_tmp174_ = g_strdup ("group");
#line 383 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
												_g_free0 (item_status);
#line 383 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
												item_status = _tmp174_;
#line 2151 "RsyncTask.c"
											}
										}
									}
								}
							}
						}
					} else {
						GeeHashMap* _tmp175_ = NULL;
						gpointer _tmp176_ = NULL;
						GRegex* _tmp177_ = NULL;
						const gchar* _tmp178_ = NULL;
						GMatchInfo* _tmp179_ = NULL;
						gboolean _tmp180_ = FALSE;
						gboolean _tmp181_ = FALSE;
#line 386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp175_ = self->priv->regex_list;
#line 386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp176_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp175_, "log-unchanged");
#line 386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp177_ = (GRegex*) _tmp176_;
#line 386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp178_ = line;
#line 386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp180_ = g_regex_match (_tmp177_, _tmp178_, 0, &_tmp179_);
#line 386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_match_info_unref0 (match);
#line 386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						match = _tmp179_;
#line 386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp181_ = _tmp180_;
#line 386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_regex_unref0 (_tmp177_);
#line 386 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						if (_tmp181_) {
#line 2186 "RsyncTask.c"
						} else {
							const gchar* _tmp182_ = NULL;
							gchar* _tmp183_ = NULL;
							gchar* _tmp184_ = NULL;
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp182_ = line;
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp183_ = g_strdup_printf ("not-matched: %s", _tmp182_);
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp184_ = _tmp183_;
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							tee_jee_logging_log_debug (_tmp184_);
#line 390 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp184_);
#line 2201 "RsyncTask.c"
						}
					}
				}
			}
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp187_ = item_path;
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp188_ = strlen (_tmp187_);
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp189_ = _tmp188_;
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			if (_tmp189_ > 0) {
#line 2214 "RsyncTask.c"
				const gchar* _tmp190_ = NULL;
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp190_ = item_path;
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp186_ = g_strcmp0 (_tmp190_, "/./") != 0;
#line 2220 "RsyncTask.c"
			} else {
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp186_ = FALSE;
#line 2224 "RsyncTask.c"
			}
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			if (_tmp186_) {
#line 2228 "RsyncTask.c"
				const gchar* _tmp191_ = NULL;
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp191_ = item_path;
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp185_ = g_strcmp0 (_tmp191_, "./") != 0;
#line 2234 "RsyncTask.c"
			} else {
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp185_ = FALSE;
#line 2238 "RsyncTask.c"
			}
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			if (_tmp185_) {
#line 2242 "RsyncTask.c"
				const gchar* _tmp192_ = NULL;
				const gchar* _tmp193_ = NULL;
				gchar* _tmp194_ = NULL;
				FileItem* item = NULL;
				const gchar* _tmp195_ = NULL;
				FileItem* _tmp196_ = NULL;
				FileItem* _tmp197_ = NULL;
				const gchar* _tmp198_ = NULL;
				gchar* _tmp199_ = NULL;
				GeeArrayList* _tmp200_ = NULL;
				FileItem* _tmp201_ = NULL;
#line 395 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp192_ = item_basepath;
#line 395 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp193_ = item_path;
#line 395 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp194_ = tee_jee_file_system_path_combine (_tmp192_, _tmp193_);
#line 395 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (item_disk_path);
#line 395 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				item_disk_path = _tmp194_;
#line 397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp195_ = item_disk_path;
#line 397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp196_ = file_item_new_from_disk_path_with_basic_info (_tmp195_);
#line 397 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				item = _tmp196_;
#line 398 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp197_ = item;
#line 398 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp198_ = item_status;
#line 398 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp199_ = g_strdup (_tmp198_);
#line 398 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp197_->file_status);
#line 398 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp197_->file_status = _tmp199_;
#line 399 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp200_ = list;
#line 399 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp201_ = item;
#line 399 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp200_, _tmp201_);
#line 393 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_object_unref0 (item);
#line 2288 "RsyncTask.c"
			}
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_match_info_unref0 (match);
#line 308 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp49_);
#line 2294 "RsyncTask.c"
		}
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (item_basepath);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (item_status);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (item_disk_path);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (item_path);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_object_unref0 (dis);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_object_unref0 (_tmp37_);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_object_unref0 (file);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (line);
#line 2312 "RsyncTask.c"
	}
	goto __finally62;
	__catch62_g_error:
	{
		GError* e = NULL;
		GError* _tmp202_ = NULL;
		const gchar* _tmp203_ = NULL;
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		e = _inner_error_;
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_inner_error_ = NULL;
#line 405 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp202_ = e;
#line 405 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp203_ = _tmp202_->message;
#line 405 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		tee_jee_logging_log_error (_tmp203_, FALSE, FALSE);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_error_free0 (e);
#line 2332 "RsyncTask.c"
	}
	__finally62:
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_object_unref0 (dos_changes);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (log_file);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_object_unref0 (list);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		g_clear_error (&_inner_error_);
#line 292 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		return NULL;
#line 2349 "RsyncTask.c"
	}
#line 408 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp204_ = dos_changes;
#line 408 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp204_ != NULL) {
#line 2355 "RsyncTask.c"
		const gchar* _tmp205_ = NULL;
		gchar* _tmp206_ = NULL;
		gchar* _tmp207_ = NULL;
		const gchar* _tmp208_ = NULL;
#line 410 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp205_ = log_file_path;
#line 410 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp206_ = g_strdup_printf ("Archiving: %s", _tmp205_);
#line 410 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp207_ = _tmp206_;
#line 410 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		tee_jee_logging_log_msg (_tmp207_, FALSE);
#line 410 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp207_);
#line 411 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp208_ = log_file_path;
#line 411 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		tee_jee_file_system_file_gzip (_tmp208_);
#line 2374 "RsyncTask.c"
	}
#line 414 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug ("RsyncTask: parse_log(): exit");
#line 416 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	result = list;
#line 416 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_object_unref0 (dos_changes);
#line 416 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (log_file);
#line 416 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	return result;
#line 2386 "RsyncTask.c"
}


void rsync_task_execute (RsyncTask* self) {
	AppStatus _tmp0_ = 0;
#line 421 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_return_if_fail (self != NULL);
#line 423 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	tee_jee_logging_log_debug ("RsyncTask:execute()");
#line 425 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	rsync_task_prepare (self);
#line 433 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	async_task_begin ((AsyncTask*) self);
#line 435 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp0_ = ((AsyncTask*) self)->status;
#line 435 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp0_ == APP_STATUS_RUNNING) {
#line 2404 "RsyncTask.c"
	}
}


static void rsync_task_real_parse_stdout_line (AsyncTask* base, const gchar* out_line) {
	RsyncTask * self;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self = (RsyncTask*) base;
#line 441 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_return_if_fail (out_line != NULL);
#line 442 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp0_ = ((AsyncTask*) self)->is_terminated;
#line 442 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp0_) {
#line 443 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		return;
#line 2423 "RsyncTask.c"
	}
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp1_ = out_line;
#line 446 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	rsync_task_update_progress_parse_console_output (self, _tmp1_);
#line 2429 "RsyncTask.c"
}


static void rsync_task_real_parse_stderr_line (AsyncTask* base, const gchar* err_line) {
	RsyncTask * self;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self = (RsyncTask*) base;
#line 449 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_return_if_fail (err_line != NULL);
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp0_ = ((AsyncTask*) self)->is_terminated;
#line 450 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp0_) {
#line 451 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		return;
#line 2447 "RsyncTask.c"
	}
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp1_ = err_line;
#line 454 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	rsync_task_update_progress_parse_console_output (self, _tmp1_);
#line 2453 "RsyncTask.c"
}


static gint64 int64_parse (const gchar* str) {
	gint64 result = 0LL;
	const gchar* _tmp0_ = NULL;
	gint64 _tmp1_ = 0LL;
#line 679 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0LL);
#line 680 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 680 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = g_ascii_strtoll (_tmp0_, NULL, (guint) 0);
#line 680 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_;
#line 680 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 2471 "RsyncTask.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 2484 "RsyncTask.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2515 "RsyncTask.c"
				goto __catch63_g_regex_error;
			}
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 2524 "RsyncTask.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2540 "RsyncTask.c"
				goto __catch63_g_regex_error;
			}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 2551 "RsyncTask.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 2565 "RsyncTask.c"
	}
	goto __finally63;
	__catch63_g_regex_error:
	{
		GError* e = NULL;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 2579 "RsyncTask.c"
	}
	__finally63:
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 2590 "RsyncTask.c"
	}
}


gboolean rsync_task_update_progress_parse_console_output (RsyncTask* self, const gchar* line) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
	gint64 _tmp5_ = 0LL;
	gint64 _tmp6_ = 0LL;
	GMatchInfo* match = NULL;
	GeeHashMap* _tmp10_ = NULL;
	gpointer _tmp11_ = NULL;
	GRegex* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	GMatchInfo* _tmp14_ = NULL;
	gboolean _tmp15_ = FALSE;
	gboolean _tmp16_ = FALSE;
#line 457 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 457 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (line != NULL, FALSE);
#line 458 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp1_ = line;
#line 458 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp1_ == NULL) {
#line 458 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp0_ = TRUE;
#line 2619 "RsyncTask.c"
	} else {
		const gchar* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
#line 458 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp2_ = line;
#line 458 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp3_ = strlen (_tmp2_);
#line 458 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp4_ = _tmp3_;
#line 458 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp0_ = _tmp4_ == 0;
#line 2632 "RsyncTask.c"
	}
#line 458 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp0_) {
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		result = TRUE;
#line 459 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		return result;
#line 2640 "RsyncTask.c"
	}
#line 462 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp5_ = self->status_line_count;
#line 462 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->status_line_count = _tmp5_ + 1;
#line 464 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp6_ = ((AsyncTask*) self)->prg_count_total;
#line 464 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp6_ > ((gint64) 0)) {
#line 2650 "RsyncTask.c"
		gint64 _tmp7_ = 0LL;
		gint64 _tmp8_ = 0LL;
		gint64 _tmp9_ = 0LL;
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp7_ = self->status_line_count;
#line 465 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		((AsyncTask*) self)->prg_count = _tmp7_;
#line 466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp8_ = ((AsyncTask*) self)->prg_count;
#line 466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp9_ = ((AsyncTask*) self)->prg_count_total;
#line 466 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		((AsyncTask*) self)->progress = (_tmp8_ * 1.0) / _tmp9_;
#line 2664 "RsyncTask.c"
	}
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp10_ = self->priv->regex_list;
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp11_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp10_, "created");
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp12_ = (GRegex*) _tmp11_;
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp13_ = line;
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp15_ = g_regex_match (_tmp12_, _tmp13_, 0, &_tmp14_);
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_match_info_unref0 (match);
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	match = _tmp14_;
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp16_ = _tmp15_;
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_regex_unref0 (_tmp12_);
#line 479 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp16_) {
#line 2686 "RsyncTask.c"
		gint64 _tmp17_ = 0LL;
		GMatchInfo* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar** _tmp21_ = NULL;
		gchar** _tmp22_ = NULL;
		gchar** _tmp23_ = NULL;
		gint _tmp23__length1 = 0;
		const gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		GString* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp17_ = self->count_created;
#line 483 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		self->count_created = _tmp17_ + 1;
#line 484 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp18_ = match;
#line 484 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp19_ = g_match_info_fetch (_tmp18_, 3);
#line 484 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp20_ = _tmp19_;
#line 484 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp22_ = _tmp21_ = g_strsplit (_tmp20_, " -> ", 0);
#line 484 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp23_ = _tmp22_;
#line 484 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp23__length1 = _vala_array_length (_tmp21_);
#line 484 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp24_ = _tmp23_[0];
#line 484 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp25_ = string_strip (_tmp24_);
#line 484 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (((AsyncTask*) self)->status_line);
#line 484 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		((AsyncTask*) self)->status_line = _tmp25_;
#line 484 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp23_ = (_vala_array_free (_tmp23_, _tmp23__length1, (GDestroyNotify) g_free), NULL);
#line 484 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp20_);
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp26_ = self->log;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp27_ = line;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp28_ = g_strconcat (_tmp27_, "\n", NULL);
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp29_ = _tmp28_;
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		g_string_append (_tmp26_, _tmp29_);
#line 485 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (_tmp29_);
#line 2741 "RsyncTask.c"
	} else {
		GeeHashMap* _tmp30_ = NULL;
		gpointer _tmp31_ = NULL;
		GRegex* _tmp32_ = NULL;
		const gchar* _tmp33_ = NULL;
		GMatchInfo* _tmp34_ = NULL;
		gboolean _tmp35_ = FALSE;
		gboolean _tmp36_ = FALSE;
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp30_ = self->priv->regex_list;
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp31_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp30_, "deleted");
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp32_ = (GRegex*) _tmp31_;
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp33_ = line;
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp35_ = g_regex_match (_tmp32_, _tmp33_, 0, &_tmp34_);
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_match_info_unref0 (match);
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		match = _tmp34_;
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp36_ = _tmp35_;
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_regex_unref0 (_tmp32_);
#line 487 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		if (_tmp36_) {
#line 2770 "RsyncTask.c"
			gint64 _tmp37_ = 0LL;
			GMatchInfo* _tmp38_ = NULL;
			gchar* _tmp39_ = NULL;
			gchar* _tmp40_ = NULL;
			gchar** _tmp41_ = NULL;
			gchar** _tmp42_ = NULL;
			gchar** _tmp43_ = NULL;
			gint _tmp43__length1 = 0;
			const gchar* _tmp44_ = NULL;
			gchar* _tmp45_ = NULL;
			GString* _tmp46_ = NULL;
			const gchar* _tmp47_ = NULL;
			gchar* _tmp48_ = NULL;
			gchar* _tmp49_ = NULL;
#line 491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp37_ = self->count_deleted;
#line 491 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			self->count_deleted = _tmp37_ + 1;
#line 492 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp38_ = match;
#line 492 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp39_ = g_match_info_fetch (_tmp38_, 1);
#line 492 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp40_ = _tmp39_;
#line 492 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp42_ = _tmp41_ = g_strsplit (_tmp40_, " -> ", 0);
#line 492 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp43_ = _tmp42_;
#line 492 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp43__length1 = _vala_array_length (_tmp41_);
#line 492 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp44_ = _tmp43_[0];
#line 492 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp45_ = string_strip (_tmp44_);
#line 492 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (((AsyncTask*) self)->status_line);
#line 492 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			((AsyncTask*) self)->status_line = _tmp45_;
#line 492 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp43_ = (_vala_array_free (_tmp43_, _tmp43__length1, (GDestroyNotify) g_free), NULL);
#line 492 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp40_);
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp46_ = self->log;
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp47_ = line;
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp48_ = g_strconcat (_tmp47_, "\n", NULL);
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp49_ = _tmp48_;
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			g_string_append (_tmp46_, _tmp49_);
#line 493 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_free0 (_tmp49_);
#line 2825 "RsyncTask.c"
		} else {
			GeeHashMap* _tmp50_ = NULL;
			gpointer _tmp51_ = NULL;
			GRegex* _tmp52_ = NULL;
			const gchar* _tmp53_ = NULL;
			GMatchInfo* _tmp54_ = NULL;
			gboolean _tmp55_ = FALSE;
			gboolean _tmp56_ = FALSE;
#line 495 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp50_ = self->priv->regex_list;
#line 495 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp51_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp50_, "unchanged");
#line 495 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp52_ = (GRegex*) _tmp51_;
#line 495 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp53_ = line;
#line 495 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp55_ = g_regex_match (_tmp52_, _tmp53_, 0, &_tmp54_);
#line 495 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_match_info_unref0 (match);
#line 495 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			match = _tmp54_;
#line 495 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_tmp56_ = _tmp55_;
#line 495 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			_g_regex_unref0 (_tmp52_);
#line 495 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
			if (_tmp56_) {
#line 2854 "RsyncTask.c"
				gint64 _tmp57_ = 0LL;
				GMatchInfo* _tmp58_ = NULL;
				gchar* _tmp59_ = NULL;
				gchar* _tmp60_ = NULL;
				gchar** _tmp61_ = NULL;
				gchar** _tmp62_ = NULL;
				gchar** _tmp63_ = NULL;
				gint _tmp63__length1 = 0;
				const gchar* _tmp64_ = NULL;
				gchar* _tmp65_ = NULL;
#line 499 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp57_ = self->count_unchanged;
#line 499 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				self->count_unchanged = _tmp57_ + 1;
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp58_ = match;
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp59_ = g_match_info_fetch (_tmp58_, 3);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp60_ = _tmp59_;
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp62_ = _tmp61_ = g_strsplit (_tmp60_, " -> ", 0);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp63_ = _tmp62_;
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp63__length1 = _vala_array_length (_tmp61_);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp64_ = _tmp63_[0];
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp65_ = string_strip (_tmp64_);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (((AsyncTask*) self)->status_line);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				((AsyncTask*) self)->status_line = _tmp65_;
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp63_ = (_vala_array_free (_tmp63_, _tmp63__length1, (GDestroyNotify) g_free), NULL);
#line 500 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_free0 (_tmp60_);
#line 2893 "RsyncTask.c"
			} else {
				GeeHashMap* _tmp66_ = NULL;
				gpointer _tmp67_ = NULL;
				GRegex* _tmp68_ = NULL;
				const gchar* _tmp69_ = NULL;
				GMatchInfo* _tmp70_ = NULL;
				gboolean _tmp71_ = FALSE;
				gboolean _tmp72_ = FALSE;
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp66_ = self->priv->regex_list;
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp67_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp66_, "modified");
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp68_ = (GRegex*) _tmp67_;
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp69_ = line;
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp71_ = g_regex_match (_tmp68_, _tmp69_, 0, &_tmp70_);
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_match_info_unref0 (match);
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				match = _tmp70_;
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_tmp72_ = _tmp71_;
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				_g_regex_unref0 (_tmp68_);
#line 502 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
				if (_tmp72_) {
#line 2922 "RsyncTask.c"
					gint64 _tmp73_ = 0LL;
					GMatchInfo* _tmp74_ = NULL;
					gchar* _tmp75_ = NULL;
					gchar* _tmp76_ = NULL;
					gchar** _tmp77_ = NULL;
					gchar** _tmp78_ = NULL;
					gchar** _tmp79_ = NULL;
					gint _tmp79__length1 = 0;
					const gchar* _tmp80_ = NULL;
					gchar* _tmp81_ = NULL;
					GString* _tmp82_ = NULL;
					const gchar* _tmp83_ = NULL;
					gchar* _tmp84_ = NULL;
					gchar* _tmp85_ = NULL;
					GMatchInfo* _tmp86_ = NULL;
					gchar* _tmp87_ = NULL;
					gchar* _tmp88_ = NULL;
					gboolean _tmp89_ = FALSE;
#line 506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp73_ = self->count_modified;
#line 506 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					self->count_modified = _tmp73_ + 1;
#line 507 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp74_ = match;
#line 507 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp75_ = g_match_info_fetch (_tmp74_, 12);
#line 507 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp76_ = _tmp75_;
#line 507 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp78_ = _tmp77_ = g_strsplit (_tmp76_, " -> ", 0);
#line 507 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp79_ = _tmp78_;
#line 507 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp79__length1 = _vala_array_length (_tmp77_);
#line 507 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp80_ = _tmp79_[0];
#line 507 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp81_ = string_strip (_tmp80_);
#line 507 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_free0 (((AsyncTask*) self)->status_line);
#line 507 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					((AsyncTask*) self)->status_line = _tmp81_;
#line 507 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp79_ = (_vala_array_free (_tmp79_, _tmp79__length1, (GDestroyNotify) g_free), NULL);
#line 507 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp76_);
#line 508 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp82_ = self->log;
#line 508 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp83_ = line;
#line 508 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp84_ = g_strconcat (_tmp83_, "\n", NULL);
#line 508 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp85_ = _tmp84_;
#line 508 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					g_string_append (_tmp82_, _tmp85_);
#line 508 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp85_);
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp86_ = match;
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp87_ = g_match_info_fetch (_tmp86_, 3);
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp88_ = _tmp87_;
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp89_ = g_strcmp0 (_tmp88_, "c") == 0;
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_free0 (_tmp88_);
#line 510 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					if (_tmp89_) {
#line 2993 "RsyncTask.c"
						gint64 _tmp90_ = 0LL;
#line 511 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp90_ = self->count_checksum;
#line 511 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						self->count_checksum = _tmp90_ + 1;
#line 2999 "RsyncTask.c"
					} else {
						GMatchInfo* _tmp91_ = NULL;
						gchar* _tmp92_ = NULL;
						gchar* _tmp93_ = NULL;
						gboolean _tmp94_ = FALSE;
#line 513 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp91_ = match;
#line 513 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp92_ = g_match_info_fetch (_tmp91_, 4);
#line 513 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp93_ = _tmp92_;
#line 513 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp94_ = g_strcmp0 (_tmp93_, "s") == 0;
#line 513 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp93_);
#line 513 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						if (_tmp94_) {
#line 3017 "RsyncTask.c"
							gint64 _tmp95_ = 0LL;
#line 514 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp95_ = self->count_size;
#line 514 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							self->count_size = _tmp95_ + 1;
#line 3023 "RsyncTask.c"
						} else {
							GMatchInfo* _tmp96_ = NULL;
							gchar* _tmp97_ = NULL;
							gchar* _tmp98_ = NULL;
							gboolean _tmp99_ = FALSE;
#line 516 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp96_ = match;
#line 516 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp97_ = g_match_info_fetch (_tmp96_, 5);
#line 516 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp98_ = _tmp97_;
#line 516 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_tmp99_ = g_strcmp0 (_tmp98_, "t") == 0;
#line 516 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							_g_free0 (_tmp98_);
#line 516 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
							if (_tmp99_) {
#line 3041 "RsyncTask.c"
								gint64 _tmp100_ = 0LL;
#line 517 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_tmp100_ = self->count_timestamp;
#line 517 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								self->count_timestamp = _tmp100_ + 1;
#line 3047 "RsyncTask.c"
							} else {
								GMatchInfo* _tmp101_ = NULL;
								gchar* _tmp102_ = NULL;
								gchar* _tmp103_ = NULL;
								gboolean _tmp104_ = FALSE;
#line 519 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_tmp101_ = match;
#line 519 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_tmp102_ = g_match_info_fetch (_tmp101_, 6);
#line 519 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_tmp103_ = _tmp102_;
#line 519 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_tmp104_ = g_strcmp0 (_tmp103_, "p") == 0;
#line 519 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								_g_free0 (_tmp103_);
#line 519 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
								if (_tmp104_) {
#line 3065 "RsyncTask.c"
									gint64 _tmp105_ = 0LL;
#line 520 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_tmp105_ = self->count_permissions;
#line 520 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									self->count_permissions = _tmp105_ + 1;
#line 3071 "RsyncTask.c"
								} else {
									GMatchInfo* _tmp106_ = NULL;
									gchar* _tmp107_ = NULL;
									gchar* _tmp108_ = NULL;
									gboolean _tmp109_ = FALSE;
#line 522 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_tmp106_ = match;
#line 522 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_tmp107_ = g_match_info_fetch (_tmp106_, 7);
#line 522 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_tmp108_ = _tmp107_;
#line 522 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_tmp109_ = g_strcmp0 (_tmp108_, "o") == 0;
#line 522 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									_g_free0 (_tmp108_);
#line 522 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
									if (_tmp109_) {
#line 3089 "RsyncTask.c"
										gint64 _tmp110_ = 0LL;
#line 523 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_tmp110_ = self->count_owner;
#line 523 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										self->count_owner = _tmp110_ + 1;
#line 3095 "RsyncTask.c"
									} else {
										GMatchInfo* _tmp111_ = NULL;
										gchar* _tmp112_ = NULL;
										gchar* _tmp113_ = NULL;
										gboolean _tmp114_ = FALSE;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_tmp111_ = match;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_tmp112_ = g_match_info_fetch (_tmp111_, 8);
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_tmp113_ = _tmp112_;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_tmp114_ = g_strcmp0 (_tmp113_, "g") == 0;
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										_g_free0 (_tmp113_);
#line 525 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
										if (_tmp114_) {
#line 3113 "RsyncTask.c"
											gint64 _tmp115_ = 0LL;
#line 526 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											_tmp115_ = self->count_group;
#line 526 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											self->count_group = _tmp115_ + 1;
#line 3119 "RsyncTask.c"
										} else {
											gint64 _tmp116_ = 0LL;
#line 529 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											_tmp116_ = self->count_unchanged;
#line 529 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
											self->count_unchanged = _tmp116_ + 1;
#line 3126 "RsyncTask.c"
										}
									}
								}
							}
						}
					}
				} else {
					GeeHashMap* _tmp117_ = NULL;
					gpointer _tmp118_ = NULL;
					GRegex* _tmp119_ = NULL;
					const gchar* _tmp120_ = NULL;
					GMatchInfo* _tmp121_ = NULL;
					gboolean _tmp122_ = FALSE;
					gboolean _tmp123_ = FALSE;
#line 532 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp117_ = self->priv->regex_list;
#line 532 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp118_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp117_, "total-size");
#line 532 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp119_ = (GRegex*) _tmp118_;
#line 532 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp120_ = line;
#line 532 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp122_ = g_regex_match (_tmp119_, _tmp120_, 0, &_tmp121_);
#line 532 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_match_info_unref0 (match);
#line 532 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					match = _tmp121_;
#line 532 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_tmp123_ = _tmp122_;
#line 532 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					_g_regex_unref0 (_tmp119_);
#line 532 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
					if (_tmp123_) {
#line 3161 "RsyncTask.c"
						GMatchInfo* _tmp124_ = NULL;
						gchar* _tmp125_ = NULL;
						gchar* _tmp126_ = NULL;
						gchar* _tmp127_ = NULL;
						gchar* _tmp128_ = NULL;
						gint64 _tmp129_ = 0LL;
#line 533 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp124_ = match;
#line 533 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp125_ = g_match_info_fetch (_tmp124_, 1);
#line 533 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp126_ = _tmp125_;
#line 533 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp127_ = string_replace (_tmp126_, ",", "");
#line 533 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp128_ = _tmp127_;
#line 533 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_tmp129_ = int64_parse (_tmp128_);
#line 533 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						self->total_size = _tmp129_;
#line 533 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp128_);
#line 533 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
						_g_free0 (_tmp126_);
#line 3186 "RsyncTask.c"
					} else {
					}
				}
			}
		}
	}
#line 539 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	result = TRUE;
#line 539 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_match_info_unref0 (match);
#line 539 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	return result;
#line 3199 "RsyncTask.c"
}


static void rsync_task_real_finish_task (AsyncTask* base) {
	RsyncTask * self;
	gboolean _tmp0_ = FALSE;
	AppStatus _tmp1_ = 0;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	GString* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
#line 542 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self = (RsyncTask*) base;
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp1_ = ((AsyncTask*) self)->status;
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp1_ != APP_STATUS_CANCELLED) {
#line 3218 "RsyncTask.c"
		AppStatus _tmp2_ = 0;
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp2_ = ((AsyncTask*) self)->status;
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp0_ = _tmp2_ != APP_STATUS_PASSWORD_REQUIRED;
#line 3224 "RsyncTask.c"
	} else {
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp0_ = FALSE;
#line 3228 "RsyncTask.c"
	}
#line 544 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp0_) {
#line 545 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		((AsyncTask*) self)->status = APP_STATUS_FINISHED;
#line 3234 "RsyncTask.c"
	}
#line 548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp3_ = self->rsync_log_file;
#line 548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp4_ = g_strconcat (_tmp3_, "-changes", NULL);
#line 548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp5_ = _tmp4_;
#line 548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp6_ = self->log;
#line 548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp7_ = _tmp6_->str;
#line 548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	tee_jee_file_system_file_write (_tmp5_, _tmp7_);
#line 548 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (_tmp5_);
#line 3250 "RsyncTask.c"
}


gint rsync_task_read_status (RsyncTask* self) {
	gint result = 0;
	gchar* status_file = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	GFile* f = NULL;
	const gchar* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	GFile* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
#line 551 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 552 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp0_ = ((AsyncTask*) self)->working_dir;
#line 552 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp1_ = g_strconcat (_tmp0_, "/status", NULL);
#line 552 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	status_file = _tmp1_;
#line 553 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp2_ = status_file;
#line 553 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp3_ = g_file_new_for_path (_tmp2_);
#line 553 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	f = _tmp3_;
#line 554 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp4_ = f;
#line 554 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp5_ = g_file_query_exists (_tmp4_, NULL);
#line 554 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	if (_tmp5_) {
#line 3284 "RsyncTask.c"
		gchar* txt = NULL;
		const gchar* _tmp6_ = NULL;
		gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		gint _tmp9_ = 0;
#line 555 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp6_ = status_file;
#line 555 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp7_ = tee_jee_file_system_file_read (_tmp6_);
#line 555 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		txt = _tmp7_;
#line 556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp8_ = txt;
#line 556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_tmp9_ = atoi (_tmp8_);
#line 556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		result = _tmp9_;
#line 556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (txt);
#line 556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_object_unref0 (f);
#line 556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		_g_free0 (status_file);
#line 556 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
		return result;
#line 3310 "RsyncTask.c"
	}
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	result = -1;
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_object_unref0 (f);
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (status_file);
#line 558 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	return result;
#line 3320 "RsyncTask.c"
}


static void rsync_task_class_init (RsyncTaskClass * klass) {
#line 31 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	rsync_task_parent_class = g_type_class_peek_parent (klass);
#line 31 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	g_type_class_add_private (klass, sizeof (RsyncTaskPrivate));
#line 31 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	((AsyncTaskClass *) klass)->parse_stdout_line = (void (*)(AsyncTask*, const gchar*)) rsync_task_real_parse_stdout_line;
#line 31 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	((AsyncTaskClass *) klass)->parse_stderr_line = (void (*)(AsyncTask*, const gchar*)) rsync_task_real_parse_stderr_line;
#line 31 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	((AsyncTaskClass *) klass)->finish_task = (void (*)(AsyncTask*)) rsync_task_real_finish_task;
#line 31 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	G_OBJECT_CLASS (klass)->finalize = rsync_task_finalize;
#line 3337 "RsyncTask.c"
}


static void rsync_task_instance_init (RsyncTask * self) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
#line 31 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->priv = RSYNC_TASK_GET_PRIVATE (self);
#line 34 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->delete_extra = TRUE;
#line 35 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->delete_after = FALSE;
#line 36 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->delete_excluded = FALSE;
#line 37 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->relative = FALSE;
#line 39 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp0_ = g_strdup ("");
#line 39 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->rsync_log_file = _tmp0_;
#line 40 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp1_ = g_strdup ("");
#line 40 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->exclude_from_file = _tmp1_;
#line 41 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp2_ = g_strdup ("");
#line 41 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->link_from_path = _tmp2_;
#line 42 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp3_ = g_strdup ("");
#line 42 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->source_path = _tmp3_;
#line 43 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_tmp4_ = g_strdup ("");
#line 43 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->dest_path = _tmp4_;
#line 44 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->verbose = TRUE;
#line 45 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->io_nice = TRUE;
#line 46 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->dry_run = FALSE;
#line 53 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->status_line_count = (gint64) 0;
#line 54 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self->total_size = (gint64) 0;
#line 3387 "RsyncTask.c"
}


static void rsync_task_finalize (GObject* obj) {
	RsyncTask * self;
#line 31 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_RSYNC_TASK, RsyncTask);
#line 39 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (self->rsync_log_file);
#line 40 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (self->exclude_from_file);
#line 41 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (self->link_from_path);
#line 42 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (self->source_path);
#line 43 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_free0 (self->dest_path);
#line 49 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_object_unref0 (self->priv->regex_list);
#line 52 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	__g_queue_free__g_free0_0 (self->status_lines);
#line 67 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	_g_string_free0 (self->log);
#line 31 "/builddir/build/BUILD/timeshift-18.4/src/Utility/RsyncTask.vala"
	G_OBJECT_CLASS (rsync_task_parent_class)->finalize (obj);
#line 3413 "RsyncTask.c"
}


GType rsync_task_get_type (void) {
	static volatile gsize rsync_task_type_id__volatile = 0;
	if (g_once_init_enter (&rsync_task_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (RsyncTaskClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) rsync_task_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (RsyncTask), 0, (GInstanceInitFunc) rsync_task_instance_init, NULL };
		GType rsync_task_type_id;
		rsync_task_type_id = g_type_register_static (TYPE_ASYNC_TASK, "RsyncTask", &g_define_type_info, 0);
		g_once_init_leave (&rsync_task_type_id__volatile, rsync_task_type_id);
	}
	return rsync_task_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



